title: Le commun est une cellule
url: http://maiadereva.net/le-commun-est-une-cellule/
hash_url: 1ea303e05dbf5c10711a79385271c0ec

<p> Cela fait plusieurs années que j'évolue dans le réseau des <a rel="noreferrer noopener" href="https://lescommuns.org/" target="_blank">communs</a> et que j'y observe une danse prolifique et vivante. Une des questions récurrentes dans ce réseau est la suivante : "<em>qu'est-ce qu'un commun ?</em>", question existentielle s'il en est, car on peut se sentir appartenir à ce réseau sans pour autant savoir de quoi il s'agit exactement ! </p> 

<p> Si beaucoup s'entendent sur la définition relativement simplifiée "<em>un <strong>commun</strong> = une <strong>ressource</strong> + une <strong>communauté</strong> + une <strong>gouvernance</strong> (qui établit des règles)</em>", celle-ci prend l'eau de plus en plus au fur et à mesure que les communs se développent et que des penseurs/euses cherchent à formaliser ce qu'iels observent. À bien y réfléchir, c'est logique, puisqu'on nomme ici des éléments de structure sans jamais définir ce qui relie ces éléments entre eux. </p> 

<p> Je propose donc une analogie avec le monde du vivant qui permettrait (peut-être ?) de sortir des schémas de pensée habituels peinant à sortir des références hiérarchiques. </p> 

<p> Un <strong>commun</strong> est une cellule vivante. <br/> Il est constitué d'un intérieur et d'une membrane. </p> 

<p> La membrane est constitué d'éléments qui sont mobiles, fluctuants et qui répondent à des <strong>règles</strong> d'entrée et de sortie, plus ou moins souples selon les communs considérés. La membrane met en contact le commun avec l'extérieur, lui permettant à la fois de faire entrer et sortir des éléments, et de communiquer. </p> 

<p> L'intérieur de la cellule est constituée d'une <strong>communauté</strong> d'éléments (commoners) aux rôles variés qui interagissent entre eux. </p> 

<p> La raison d'être d'un commun est variable et peut être multiple : </p> 

<ul><li>produire une <strong>ressource</strong> qui peut être utile à lui-même et/ou à d'autres éléments à l'extérieur de lui ;</li><li>se maintenir en vie en tant que :<ul><li>élément de structure/défense (maintien de la cohésion du commun ou de différents communs entre eux)</li><li>élément de communication/transport entre différents communs</li></ul></li></ul>

<p> Cette façon d'envisager le commun permet de : </p> 

<ul><li>s'affranchir des concepts hiérarchiques. Par exemple, quand on construit une structure permettant de mutualiser des éléments entre différents communs, il conviendrait de la considérer non pas comme un élément de centralisation (modèle hiérarchique) mais comme un élément de <strong>cohésion</strong> (membrane d'un organe) permettant une <strong>confédération</strong> des différents communs et commoners spécialisés dans un objectif/une thématique ;</li><li>prendre acte que dans un commun, les différents éléments agissants de la communauté sont tous <strong>informés</strong> plus ou moins directement de ce que font les autres mais ne participent pas nécessairement directement à l'ensemble des <strong>décisions</strong> selon leur spécialisation ;</li><li>assumer que l'on peut, en tant que commoner, être détenteur des éléments constituant la <strong>raison d'être</strong> d'un commun (ADN) sans pour autant être "le chef" (entre le message génétique et sa confrontation au réel, beaucoup de choses peuvent se passer) ;</li><li>comprendre que les règles (membranes) ne sont pas des cadres rigides et enfermants mais la condition vivante et nécessaire à la survie du commun, pour peu que ces règles s'adaptent en permanence aux besoins du-dit commun pour assurer une <strong>pérennité</strong> liée à sa raison d'être (et non pas sa pérennité intrinsèque : si la raison d'être disparaît, le commun s'éteint naturellement) ;</li><li><strong>envisager la ressource à protéger comme possiblement autre chose qu'un objet différent de la communauté</strong>. Un commun peut prendre soin de lui-même parce son existence permet de prendre soin d'une ressource extérieure à lui, en tant qu'élément structurant d'un écosystème (organe) plus vaste que lui par exemple.</li></ul>

<p> Mais alors, qu'est-ce qui distingue un commun d'une autre structure sociale ? Pas grand-chose au final sur le plan structurel, mais beaucoup sur le plan des règles de création et de fonctionnement des membranes… autrement dit <strong>l'éthique qui régit la raison d'être, la gouvernance et les échanges</strong>. </p> 

<p> Et quels seraient ses points communs avec les autres structures sociales ? Avec l'analogie de la cellule vivante, on comprend que la vie et la mort d'une commun sont un phénomène normal (et non pas une tragédie), que la compétition n'est pas forcément à regarder comme un conflit voulu mais comme le résultat d'une sélection normale où il n'est pas nécessaire d'être violent avec la structure voisine. Saviez-vous que lors des premiers stades du développement embryonnaire du ver <em>Caenorhabditis elegans</em>, 671 cellules naissent et 111 meurent (ou 113, selon le sexe du ver) ?  </p> 

<p> Quand je vois le nombre de projets morts-nés que j'ai pu observer au sein du réseau des communs, je trouve rassérénant de me dire que ces disparitions sont le signe d'une vie foisonnante et prometteuse, et réjouissant de constater que la structuration en marche entre les différents communs présage du développement d'un bel organisme vivant <span class="wp-font-emots-emo-happy"/> </p> 

<p> À suivre... </p> 
