title: Thoughts on Trust in Business
url: https://garrettdimon.com/2020/thoughts-on-trust-in-business/
hash_url: 70e5fefd4e7ab3f2bc03e917c4add8b0

<p>The other day, I signed up for <a href="https://hey.com">Hey</a> without poking around or even thinking about it. I just put in my credit card and set up forwarding for my personal email.</p>

<p>After the fact, I thought about how unusual that was and started thinking about what it takes for something like that to happen. It boils down to trust. I wholeheartedly trust Basecamp. I also happen to like their products, but that’s another topic.</p>

<p>The fact that I trust them doesn’t mean that I believe they are perfect or that I fully agree with each and every decision they make. But over the almost 20 years that I’ve been following them, they’ve consistently been honest, fair, and caring. They have principles, and they stand by them. There’s alignment and transparency in everything they do.</p>

<p>You may not agree with them or like their software, but you can’t deny that you always know where they stand and why. What’s disappointing is just how unique that is among businesses. So how does a company earn that kind of trust? Through repeated action.</p>

<p>They’ve created and shared <a href="https://github.com/basecamp">numerous open source tools</a> and even <a href="https://github.com/basecamp/policies">released their various policies under an open source license</a>. They invest significantly in security and infrastructure and <a href="https://twitter.com/dhh/status/1260289063455621121">actively share those advances back into Rails</a>.</p>

<p>They don’t hesitate to publicly call out problematic behavior by people or companies that deserve it <a href="https://m.signalvnoise.com/tagged/jeff-bezos/">even when that person is an investor in their business</a> or <a href="https://twitter.com/dhh/status/1272968382329942017">when it’s a company that carries significant power over their businesses and manfactures the hardware that most of their team relies on to do their jobs</a>.</p>

<p>They <a href="https://m.signalvnoise.com/mailing-list-software-should-stop-spying-on-subscribers/">advocate against invasive tracking</a> and <a href="https://m.signalvnoise.com/the-last-tracker-was-just-removed-from-basecamp-com/">remove it from their own products</a> and <a href="https://m.signalvnoise.com/marking-the-end-of-pixel-trackers-in-basecamp-emails/">emails</a>. They <a href="https://m.signalvnoise.com/employee-surveillance-software-is-not-welcome-to-integrate-with-basecamp/">block employee-surveilance software from integrating with their products</a>.</p>

<p>They care deeply about great customer support and <a href="https://basecamp.com/support">respond to support requests in about 24 minutes</a> and <a href="https://m.signalvnoise.com/until-the-end-of-the-internet/">commit to supporting their products until the end of the internet</a>. They focus on the <a href="https://github.com/basecamp/policies/blob/master/refund/index.md">fairness of their policies</a> rather than universal applicability or consistency.</p>

<p>They <a href="https://m.signalvnoise.com/celebrating-3-million-accounts-fewer/">commit the time to clean up and treat people who likely aren’t even customers any longer with care and consideration in the process</a>. They’re <a href="https://m.signalvnoise.com/postmortem-on-the-read-only-outage-of-basecamp-on-november-9th-2018/">open and honest about their own mistakes</a>.</p>

<p>They keep pricing simple and fair focusing on what it costs them to deliver the service with a reasonable profit rather than how much they can extract from an organization. They even offer a <a href="https://m.signalvnoise.com/launch-basecamp-gets-personal/">truly free personal version</a>. “No credit card required. No justification required. No obligation required. No ads. No selling your personal information.”</p>

<p>They treat their employees like people rather than cogs. Just look at their <a href="https://basecamp.com/handbook">publicly available employee handbook</a>. There simply aren’t many companies that make that much effort at supporting their people through their policies. They recognize the <a href="https://m.signalvnoise.com/only-15-of-the-basecamp-operations-budget-is-spent-on-ruby/">value of developer joy vs. purely the easier-to-measure cost of servers</a>. And they <a href="https://m.signalvnoise.com/why-hey-had-to-wait/">delay launches to look out for their people</a>.</p>

<p>You can see how that respect extends to potential employees as well. Just look at their <a href="https://m.signalvnoise.com/basecamp-is-hiring-a-front-end-programmer/">latest job post</a>. Salaries are transparent and not tied to geography. They’re clear about expectations and timelines for the interview process. And they use an <a href="https://m.signalvnoise.com/hiring-programmers-with-a-take-home-test/">incredibly reasonable process for assessing skills remotely</a>. And the second paragraph in that job post clearly states their appreciation for diversity in their team. It’s not an equal opportunity statement tacked on at the end. It’s the very first thing they mention. No wonder they received over 1,300 applications for that role.</p>

<p>They care about what the <a href="https://www.goodreads.com/quotes/445621-when-you-re-a-carpenter-making-a-beautiful-chest-of-drawers">“back of the cabinet”</a> is made from. Instead of jumping on web development trends, they focus on building in ways that <a href="https://twitter.com/sstephenson/status/1272608618941231107">embrace the architecture of the web</a> rather than try to route around it. They care about <a href="https://m.signalvnoise.com/paying-tribute-to-the-web-with-view-source/">delivering code that learners can read and understand</a>.</p>

<p>They share what they learn, and they’ve <a href="https://basecamp.com/books">written multiple books</a> that expose and address all of the bad habits and myths that most companies accepted and embraced a long time ago. And that has helped steer the software industry (and likely other industries as well) in a much healthier direction.</p>

<p>All of that is to say that when Basecamp says something, there’s little reason to doubt them or their sincerity. While most companies are busy cutting corners or focusing on growth for growth’s sake, they’re focused on doing right by their employees and customers.</p>

<p>So when they launch a <a href="https://hey.com">new product</a> with a <a href="https://hey.com/the-hey-way/">clear manifesto</a>, you may not agree with their decisions, but you can be confident they’re genuine and will continue to be. You can also be confident they’ll make mistakes. But unlike most companies, you can also trust that they’ll admit their mistakes and do better.</p>

<p>It’s kind of uncomfortable thinking about the degree to which I trust them, but in hindsight, it makes sense. They’ve earned and solidified my trust time and again, and they’ve done it when it was easier to take a different path.</p>

<p>It’s just unfortunate that a company can so easily set itself apart simply by being honest and fair.</p>
