title: Carnets Web de La Grange
url: https://www.la-grange.net/2021/01/05/newsletter
hash_url: 5f4b0220be54d83f711a78b356c73a68

<figure>
  <img src="https://www.la-grange.net/2021/01/02/0071-garage.jpg" alt="objets dans un garage">
  <figcaption>Tsujido, Japon, 2 janvier 2021</figcaption>
</figure>
<blockquote>
<p>parler de patrimoine, c'est considérer chaque génération comme l'usufruitière d'un bien dont ell a hérité, avec obligation de transmettre quelque chose d'équivalent afin de garantir les conditions de vie de ses successeurs.<br>
— Penser et agir avec la nature - Catherine Larrère, Raphaël Larrère, urn:isbn:978-2-3480-3627-9</p>
</blockquote>
<p><a href="https://www.robinrendle.com/">Robin Rendle</a> a écrit un <a href="https://www.robinrendle.com/essays/newsletters">essai à propos des newsletters</a>. Depuis quelques temps, de plus en plus d'auteurs se tournent vers la newsletter pour communiquer avec une communauté. Je ne suis abonné qu'à une seule newsletter : <a href="https://mailbot2000.craigmod.com/t/r-l-juhkydn-htxuklljt-t/">Roden</a> de <a href="https://craigmod.com/">Craig Mod</a>.</p>
<p>Robin explique que l'attraction pour les newsletters tient à trois paramètres :</p>
<ol>
<li>Elles sont faciles à publier</li>
<li>Elles arrivent directement dans la boite aux lettes</li>
<li>Les auteurs peuvent être payés.</li>
</ol>
<p>Alors pourquoi cela fonctionne par mail et cela ne fonctionne pas sur le Web. Robin pense que la technologie est là mais n'est pas déployée : flux <a href="https://www.rssboard.org/rss-specification">RSS</a> ou <a href="https://tools.ietf.org/html/rfc4287">Atom</a> dans le navigateur (Firefox a récemment enlevé le détecteur RSS plutôt que de l'améliorer, malheureusement) et <a href="https://w3c.github.io/payment-request/">W3C Payment Request API</a>. Certes cela peut aider. J'utilise NetNewsWire pour mon lecteur de flux et ne pas avoir à visiter les sites. C'est un système de pull.</p>
<p>L'email est un système de push et cela change beaucoup de choses. Il y a une notion d'intimité qui est importante et qui définit un plus grand contrôle. La newsletter n'atteint pas potentiellement tout le monde, uniquement ceux qui ont voulu s'inscrire (et potentiellement payer). Créer un site Web intime, c'est à dire gérer le contrôle d'accès est plus difficile.</p>


<table class="tg"> <thead> <tr> <th class="tg-0pky">Type</th> <th class="tg-c3ow">Auteur</th> <th class="tg-c3ow">Vers</th> <th class="tg-c3ow">Lecteurs</th> </tr> </thead> <tbody> <tr> <td class="tg-0lax">Web</td> <td class="tg-baqh">One</td> <td class="tg-baqh">⬅︎<br></td> <td class="tg-baqh">Tout le monde</td> </tr> <tr> <td class="tg-0pky">Newsletter</td> <td class="tg-c3ow">One<br></td> <td class="tg-c3ow">⮕</td> <td class="tg-c3ow">Quelques personnes</td> </tr> </tbody> </table>
<p>Je pense que toutes les pièces sont là pour en effet permettre un système similaire aux newsletters d'exister mais en effet il faut que les navigateurs et les propositions de services est un scénario simple pour le micropaiement et le contrôle d'accès.</p>
<p>Peut-être un système mélangeant Payment Request API avec « Atom as notifications. » Mais les notifications ne gèrent pas l'archivage de celles-ci, ni le navigateur, on en revient à <a href="https://www.otsukare.info/2020/07/07/browser-tabs-time-machine">Browser Tabs Time Machine</a>.</p>
<h2>sur le bord du chemin</h2>
<ul>
<li><p>J'ai travaillé récemment sur ce <a href="https://bugs.python.org/issue41748">bug</a> (la <a href="https://github.com/python/cpython/pull/24072">PR</a> avance bien) de la librairie <a href="https://docs.python.org/3/library/html.parser.html">HTMLParser</a>.</p>
<pre><code>  data:text/html,&lt;!doctype html&gt;&lt;div class=bar ,baz=asd&gt;text&lt;/div&gt;
</code></pre>
<p>était sérializé par les navigateurs en</p>
<pre><code>  &lt;div class="bar" ,baz="asd"&gt;text&lt;/div&gt;
</code></pre>
<p>alors que HTMLParser allait en erreur. Mais j'ai trouvé un autre bug pendant la discussion.</p>
<pre><code>  data:text/html,&lt;!doctype html&gt;&lt;div class="bar" class="foo"&gt;text&lt;/div&gt;
</code></pre>
<p>est sérializé par les navigateurs en</p>
<pre><code>  &lt;div class="bar"&gt;text&lt;/div&gt;
</code></pre>
<p>mais HTMLParser donne:</p>
<pre><code>  &lt;div class="bar" class="foo"&gt;text&lt;/div&gt;
</code></pre>
<p>J'ai ouvert un <a href="https://bugs.python.org/issue42821">nouveau bug sur le projet</a>. Il y a d'<a href="https://bugs.python.org/issue?%40columns=id%2Cactivity%2Ctitle%2Ccreator%2Cassignee%2Cstatus%2Ctype&amp;%40sort=-activity&amp;%40filter=status&amp;%40action=searchid&amp;ignore=file%3Acontent&amp;%40search_text=htmlparser&amp;submit=search&amp;status=-1%2C1%2C3">autres bugs intéressants pour HTMLParser</a>. Probablement aussi, le HTMLParser est plus un tokenizer qu'un parser html.</p>
</li>
</ul>
