title: Writing for distributed teams
url: https://veekaybee.github.io/2021/07/17/p2s/
hash_url: 83fa7f0f8105aa10ffc88555f5699f1c

<p>This week was my first anniversary since I started at Automattic in the spring of 2020,  and I was going through my work artifacts to reflect on what I’ve done so far this year. One thing that completely surprised me was that it turns out that I only sent 11 emails this entire year.</p>

<p>How is it possible? The answer is P2s.</p>

<p>For those not familiar with <a href="https://automattic.com/">Automattic</a>, the company behind WordPress.com and <a href="https://photomatt.tumblr.com/post/186964618222/automattic-tumblr">Tumblr</a>, which I now work on as a machine learning engineer, one of the big MOs of the company is that <a href="https://automattic.com/creed/">we communicate as much as possible in durable written format</a> since we’re distributed.</p>

<p>How does no email square with complete distributed communication? The answer is <a href="https://automattic.com/creed/">P2</a>.  P2 is the name of a WordPress theme <a href="https://ma.tt/2009/05/how-p2-changed-automattic/">that every team at Automattic</a> uses internally for documentation. Essentially, we have (probably) hundreds of P2s, for current teams, for teams that used to exist, for special interest groups, and events.</p>

<p>When you “P2” something, you’re writing a blog post, where you can tag in coworkers and cross-post to other P2s.  What do teams use P2s for? <a href="https://p2guides.wordpress.com/best-practices/writing-useful-posts/">Absolutely everything</a>. Checklists for onboarding, status reports on projects, thoughts about detailing projects, discussions about best coding practices, architectural diagrams, marketing data analyses, and more. The best part is that the entire company’s history of P2s is available to search through. Also, you can subscribe to literally any P2, and comment on it as necessary, starting with your own team’s.</p>

<p>Why P2s? Because they capture fleeting one-off written communication: you can read a P2 at your own speed, in your own timezone, which is key since we operate across all timezones.</p>

<p>Here’s Matt <a href="https://distributed.blog/2020/06/18/distributed-faq-p2-automattic/">with more on it:</a></p>

<blockquote>
  <p>P2 is the evolution of the blog for the purpose of working within and across teams. It’s organized much like a Yammer or Facebook stream, but on the back end it still operates like a blog, allowing for archiving, advanced search, and rich media embeds.</p>
</blockquote>

<p>Here’s a great post on the company MO and <a href="https://nomad.blog/2020/12/08/you-might-not-love-working-at-automattic-if/">more detail</a>:</p>

<blockquote>
  <p>Most of our company communication is done on what we call “p2s”. You can actually create your own here. Think of them as free flowing, chronological sites where people can share updates, tag others for feedback, cross post to other p2s, and more. I’m on the more talkative and connected side of things which is reflected in the stats you see below (almost at the 1.5 million word mark!):</p>
</blockquote>

<blockquote>
  <p>Conversations on P2s take place in line, update in real time, and provide space for threaded replies. We’ve stuck with P2 for years now, and it has ultimately evolved into a rich source of institutional wisdom and collective company memory.</p>
</blockquote>

<p>If you want to know what the team worked on last week, it’s in a P2. If you want to look for the results of a meeting from last year, you can do a keyword search.</p>

<p>A saying around the company is that you should “P2 something or it didn’t happen”, aka it doesn’t get surfaced to a place where everyone can read about it, lost languishing in an email thread.</p>

<h1>What works for me about P2s</h1>

<p>This is a completely different paradigm than I’ve ever worked in, which has been a world usually riddled with information lost to Slack, Confluence, and dozens of email re:re:res.</p>

<p>It’s true that I still spend an enormous amount of time in Slack, but the company’s focus on P2 as THE place where institutional memory lives, and where other people can interact with your work, means that there is an internal incentive to get stuff out of Slack and into P2s, where they can live forever and be collected with other P2s to form a cohesive view of how a team, project, or division operates over time. In this way, the company also owns its own institutional knoweldge instead of having it locked away in third-party tools.</p>

<p>The nature of reading P2s means even if you only write one or two P2s a month, you can send them around in meetings or Slack conversations as solid anchors and points of reference. (Another note is that we definitely do still have meetings, and I spend a good deal of my day in Slack, but I don’t come away from these times feeling like the information is lost, because I’m always building towards a P2 on whatever was discussed in either format.)</p>

<p>I’m super biased on this, but as someone who spends a lot of time processing things in writing, and who enjoys writing, I love P2s. I love that they make me clearly state what was jumbled in my head, I love that I now have a concrete trail, with links, of things that I’ve worked on. I love that I essentially am encouraged to blog internally, about things that I’ve worked on, my thoughts on projects, my progress, and ideas I have, and that I can do it mostly at a pace that works for my own work schedule.</p>

<p>Of course, as with any technology, P2s come with their own tradeoffs: <a href="https://automattic.design/2020/09/29/how-not-to-start-a-job-at-automattic/">it can be easy to get lost</a> reading through hundreds of P2 posts every day and responding unless you have a very good P2 strategy and focus on the ones relevant to you. It can be hard to synthesize a lot of technical information into a post that’s relevant enough to both engineers and business people and offer enough context and value to continue the conversation. It can be hard to go back far enough to find all of the historical context you need for your own P2s.</p>

<p>But, in spite of these issues, I really love the P2 as a medium for institutional knowledge and will definitely take the idea of P2s wherever I am in my career from now on.</p>
