title: Autisme « au féminin » ou autisme tout court ?
url: https://dieses.fr/autisme-au-feminin-ou-autisme-tout-court
hash_url: 9655fe9a307f08ff5dcf3824ae74c0ba

<p>Avez-vous déjà entendu parler d’« autisme au féminin », ou de profil-type de la femme autiste&nbsp;? Alors que les représentations autour de l’autisme évoluent ces dernières années, un sujet a attiré l’attention de la communauté scientifique et des médias&nbsp;: ces femmes qui, après une vie passée à faire le caméléon et à rendre ainsi leur autisme « invisible », font l’objet d’un diagnostic à l’âge adulte. Des études sont lancées, des formations sont données, des documents de vulgarisation sont rédigés, bref, l’information s’étend sur ce point&nbsp;: les filles et femmes autistes (le plus souvent sans déficience intellectuelle, verbales et oralisantes) sont largement sous-diagnostiquées, le déséquilibre entre les genres devrait tendre à se réduire, et les filles/femmes qui passent sous le radar ont souvent un profil différent des descriptions psychiatriques.</p>



<p>C&rsquo;est une bonne chose que le sujet se démocratise. Cela permet d&rsquo;améliorer la situation de beaucoup d’entre nous&nbsp;: on peut aujourd&rsquo;hui facilement partager un article de magazine grand public pour résumer la situation à nos proches, ou même pour convaincre un·e psy ou un·e médecin traitant qui ne serait pas au courant de ces problématiques. Mais le succès de l’expression « autisme (au) féminin » risque néanmoins d’enfermer dans une vision rigide et binaire de l’expression de l’autisme, ainsi que de reproduire d’autres biais sexistes, mais aussi racistes et classistes.</p>

## De quoi parle-t-on, quand on parle d’autisme « au féminin »&nbsp;?



<p>On a longtemps pensé que l’autisme était une condition (une maladie, disait-on alors, un trouble, dit-on aujourd’hui) qui affectait surtout les garçons. Les deux personnes dont on a retenu les premières descriptions de cette condition étaient deux hommes, Léo Kanner aux États-Unis et Hans Asperger en Allemagne, en 1943<sup class="modern-footnotes-footnote " data-mfn="1"><a href="javascript:void(0)"  data-mfn-reset>1</a></sup><span class="modern-footnotes-footnote__note" data-mfn="1">Une femme, <a rel="noreferrer noopener" href="https://blogs.mediapart.fr/jean-vincot/blog/101118/comment-lhistoire-oublie-la-femme-qui-defini-lautisme-grounia-soukhareva" target="_blank">Grounia Soukhareva</a>, avait fait les mêmes descriptions en 1925, mais comme souvent en sciences ce sont les hommes qu’on retient.</span>, qui fondaient leurs observations principalement sur des petits garçons – blancs, cela va de soi. Kanner pensait même que cette condition était extrêmement rare. Les descriptions cliniques et les critères diagnostiques n’ont pas beaucoup évolué sur plusieurs décennies, et la France a eu encore plus de retard dans la connaissance de l’autisme et de ses formes diverses. Même si, au fil du temps et des versions du DSM, les descriptions de l’autisme et les critères diagnostiques se sont élargis pour inclure différents types de personnes autistes, aux intelligences, habilités et incapacités diverses, tout progrès est lent&nbsp;: les idées reçues et les clichés ont eu le temps de s’installer – oui, même chez les médecins. L’autisme, ce serait un petit garçon blanc obsédé par les trains, qui ne s’intéresse pas au contact humain et se balance visiblement d’avant en arrière sans aucune raison. Je schématise, mais vous voyez l’idée – chacun·e aura sa représentation-type de ce qu’est l’autisme, et généralement, c’est un petit garçon ou un homme de génie.</p>



<p>Les médecins se représentent ainsi l’autisme comme typiquement masculin<sup class="modern-footnotes-footnote " data-mfn="2"><a href="javascript:void(0)" >2</a></sup><span class="modern-footnotes-footnote__note" data-mfn="2">Il y en a même qui ont postulé que l’autisme était une forme de cerveau hyper-masculin, comme Simon Baron-Cohen, et que c’est l’exposition à la testostérone in utero qui est partiellement responsable du développement de l’autisme.</span>, et la littérature scientifique répète, sur base des diagnostics faits jusque-là, que l’on trouve 1 fille autiste pour 4 garçons autistes<sup class="modern-footnotes-footnote " data-mfn="3"><a href="javascript:void(0)" >3</a></sup><span class="modern-footnotes-footnote__note" data-mfn="3">Les chiffres varient entre 4 garçons pour une fille et 12 garçons pour une fille pour l’autisme « Asperger », dans des études datant d’avant 2017. Une étude de 2017 largement reprise depuis dans la communauté scientifique avance le chiffre de 3 garçons pour 1 fille&nbsp;: on voit que ça évolue. Voir <a rel="noreferrer noopener" href="https://comprendrelautisme.com/une-infographie-sur-les-femmes-autistes-principales-specificites/" target="_blank">comprendrelautisme.com/une-infographie-sur-les-femmes-autistes-principales-specificites</a> et <a rel="noreferrer noopener" href="https://femmesautistesfrancophones.com/2018/07/26/sexe-ratio-de-lautisme-explique/" target="_blank">femmesautistesfrancophones.com/2018/07/26/sexe-ratio-de-lautisme-explique</a>.</span>. Ces biais médicaux sexistes empêcheront parfois le diagnostic, à signes cliniques similaires, de filles et femmes autistes, encore plus si elles ne sont pas blanches, puisque des <a href="https://www.openaccessgovernment.org/black-autism/91621/">biais racistes</a> entraînent aussi une autre lecture des comportements. On pourra tendre à l’inverse à mieux diagnostiquer chez les filles et les femmes les troubles anxieux ou les troubles du comportement alimentaire&nbsp;; à l’âge adulte, c’est plus facilement un diagnostic de trouble bipolaire ou de trouble de la personnalité limite (borderline) qu’elles recevront, que ce diagnostic se révèle ou non finalement adéquat. Ainsi l’expression de l’autisme n’est pas forcément toujours si différente entre les genres&nbsp;: c’est d’abord l’interprétation des comportements par les psychiatres qui change.</p>



<p>Par ailleurs, il semblerait que sous l’influence de la socialisation genrée, un certain nombre de petites filles autistes suivent très tôt une trajectoire de développement différente de leurs pairs masculins, notamment en apprenant à se fondre dans la masse et en acquérant plus de compétences sociales normées. D’une part, on attend davantage des filles et femmes en termes de démonstration d’empathie, d&rsquo;expression des émotions, de capacités relationnelles&nbsp;: beaucoup seront poussées à s’y conformer, développeront ces compétences et/ou souffriront à les feindre et à cacher qui elles sont réellement. D’autre part, l’intériorisation des difficultés rend aussi nombre de filles plus discrètes, effacées, rêveuses, ce qui risque moins d’alerter les adultes qu’un garçon agité, bruyant, qui dérange la classe. Par instinct de survie, certaines comprendront très tôt comment imiter ou se cacher derrière une copine pour passer inaperçues, porteront leurs passions sur des thématiques plus normées socialement, et apprendront à cacher les gestes jugés bizarres.</p>



<p>En conséquence, leur parcours de vie est différent de celui de beaucoup de garçons autistes. Elles ont souvent davantage d’expériences sociales mais se retrouvent aussi plus touchées par des comorbidités (plus facilement identifiées que l’autisme sous-jacent, et tenues pour responsables de toutes les difficultés rencontrées)&nbsp;: troubles anxieux dont anxiété sociale, dépression, troubles alimentaires, ou stress post-traumatique à la suite de violences sexuelles ou harcèlement au travail (entre autres mauvaises expériences que l’on peut vivre en tant que femme autiste). Pour vulgariser ces enjeux, permettre aux filles et femmes autistes de se reconnaître ou au personnel médico-social de les reconnaître, on a donc dressé un « profil féminin » de l&rsquo;autisme, qui liste des caractéristiques observables, insistant souvent sur la plus grande discrétion de ces dernières, et tendant parfois à l’essentialisation, oubliant la grande variété de personnalités et les effets de l’éducation et de la société sexiste sur le développement de telle ou telle caractéristique.</p>



<p>Or, ce sont en réalité tous les profils s’éloignant de la description typique de l’autisme qui risquent de ne pas être repérés – et établir un seul autre profil alternatif, que l’on nomme féminin, perpétue les stéréotypes sexistes et maintient des exclusions.</p>

## Plus largement, une ignorance de ce qu’est l’autisme



<p>Le sous-diagnostic d’un grand nombre de personnes autistes – femmes, mais aussi hommes et personnes non-binaires – n’est en effet pas seulement dû à une manque de reconnaissance d’un profil qui serait forcément « féminin », mais à une ignorance générale de ce qu’est le fonctionnement autistique et de la manière dont peut évoluer une personne autiste au cours de sa vie. Voici quelques représentations faussées sur l’autisme qui empêchent d’identifier les profils qui s’éloignent des premières descriptions&nbsp;:</p>

### Erreur n<sup>o</sup> 1&nbsp;: surestimer l&rsquo;importance de l’aspect social et communicationnel

<p>Les neurotypiques qui aiment socialiser continuent à penser que la plus grande « déficience » des personnes autistes est socio-communicative. Or la science commence enfin à montrer ce que les militant·e·s disent depuis longtemps&nbsp;: notre manière de communiquer et de socialiser est simplement différente. Parfois, pour les autistes non-oralisant·e·s, notre manière de communiquer est tellement différente qu’on est réduit·e au silence et ignoré·e. Souvent, entre personnes autistes nous nous entendons mieux. Et si nous nous débattons toute notre vie avec le déficit de compréhension du fonctionnement neurotypique, les neurotypiques semblent avoir tout autant de mal à comprendre intuitivement le fonctionnement autistique. Seulement, nous autistes sommes une minorité et c’est notre fonctionnement qui est désigné comme dysfonctionnel&nbsp;; on considère donc que c’est à nous de nous adapter. Certain·e·s autistes se découragent et se replient sur elleux-mêmes après avoir fait l’expérience du rejet, de l’incompréhension ou du harcèlement.</p>



<p>Penser que le critère principal de l’autisme doit être une déficience socio-communicative peut rendre difficile l’identification de personnes autistes hyperverbales, ou extraverties, ou qui ont élaboré des stratégies de « camouflage social ». Si l’autisme est identifié chez ces personnes, on suppose alors qu’il est « léger », ignorant le coût élevé du <em>masking </em>(le fait de camoufler ses traits autistiques pour avoir « l’air normal »)<em> </em>ainsi que les autres aspects de l’autisme qui peuvent être handicapants (les particularités sensorielles, la rigidité mentale, les troubles des fonctions exécutives).</p>



<p>Le mythe du désintérêt des autistes pour les autres humains et la sociabilité empêche de reconnaître qu’il existe des autistes qui au contraire adorent observer les autres et comprendre leur fonctionnement, se passionnent pour l’étude des groupes et du <em>small talk</em>, et se servent de leurs passions pour mieux s’intégrer parmi les non-autistes. Il existe aussi des personnes autistes qui évoluent dans un environnement bienveillant voire autiste lui-même (parents autistes qui s’ignorent, amitiés ou relations amoureuses avec d’autres personnes autistes identifiées ou non, travail dans un milieu autistico-compatible) et qui donnent ainsi l’impression de ne pas toujours avoir de grandes difficultés à se lier avec autrui, puisqu’elles ont trouvé des semblables ou des gens qui les acceptent comme elles sont. Mais prendre en compte l’influence de l’environnement comme les ressorts du <em>masking</em>, cela signifierait admettre que nous ne sommes pas forcément déficient·e·s en soi&nbsp;; cela impliquerait de s’éloigner de ce que l&rsquo;on nomme aujourd&rsquo;hui le <a href="https://dieses.fr/le-crip-pour-rendre-leur-humanite-aux-personnes-handicapees" target="_blank" rel="noreferrer noopener">modèle médical du handicap</a>.</p>



### Erreur n<sup>o</sup> 2&nbsp;: ne pas comprendre (ce que sont) nos intérêts spécifiques

<p>Nos passions sont définies comme des intérêts « restreints », censés être particulièrement étranges, c’est-à-dire s’éloignant des intérêts les plus courants dans la population générale. C’est ainsi qu’une petite fille autiste se passionnant pour les chevaux ou la danse, ou une jeune femme se plongeant dans la psychologie, le militantisme ou la couture, peut passer inaperçue. Il y a aussi des personnes autistes qui développent des intérêts spécifiques autour de séries télévisées, d’une langue ou d’un pays, ou d’une condition de santé qui les touche. Tout peut être un intérêt spécifique, et on peut en avoir plusieurs, qui durent plus ou moins longtemps, qui évoluent, qui s’en vont et reviennent, ou qui sont substitués par d’autres. Les psychiatres cherchent souvent à noter le <em>type</em> d’intérêt plutôt que d’en comprendre le fonctionnement – comment on l’explore et s’y plonge, comment on s’en sert au quotidien, comment on en parle, ce qu&rsquo;il nous fait ressentir, et son intensité. On part aussi souvent du principe que les intérêts autistes sortent de nulle part et n’ont aucune utilité. Alors que nos intérêts spécifiques nous apportent joie et quiétude, et nous permettent de survivre, de comprendre et d&rsquo;ordonner le monde, de nous donner des repères, ainsi que de communiquer et de se lier avec d’autres personnes. Nos intérêts spécifiques peuvent être refuge quand plus rien ne va, et devenir envahissants lorsque l’on va mal, mais s’équilibrer et nous aider à nous intégrer dans le monde quand notre vie est plus paisible.</p>



### Erreur n<sup>o</sup> 3&nbsp;: plus généralement, méconnaître la nature des comportements considérés comme typiquement autistiques



<p>Cela empêche aussi d&rsquo;en comprendre la variété : les routines et rituels ainsi que le <em>stimming</em><sup class="modern-footnotes-footnote " data-mfn="4"><a href="javascript:void(0)" >4</a></sup><span class="modern-footnotes-footnote__note" data-mfn="4">Gestes d’exploration sensorielle, de régulation émotionnelle et d’expression, souvent répétitifs : se balancer, battre des mains, mordiller des choses, tapoter les doigts, répéter des sons, rechercher une stimulation visuelle, auditive ou proprioceptive…</span> sont vus comme des comportements pathologiques qui n’ont aucun sens, alors que ce sont encore une fois des manières d’ordonner le monde, de minimiser le risque d’imprévu, et de nous exprimer, de réguler nos émotions ou de communiquer. Or, ayant souvent en tête une idée très précise et restreinte de ce que devrait être un rituel ou un comportement d’auto-stimulation, les médecins peinent à remarquer les autistes adultes qui stimment de manière plus discrète en public, ont remplacé leur besoin de stimmer par des comportements nocifs (alcoolisme, TCA), ont moins besoin de stims ou de routines parce qu’ont une vie peu stressante, ou sont rigides sur des routines sans que personne ne s’en aperçoive puisqu’ils·elles vivent seul·e·s et ont le contrôle sur leur emploi du temps et leur environnement.</p>



### Erreur n<sup>o</sup> 4&nbsp;: penser qu’une personne autiste ne peut ni apprendre ni évoluer



<p>De fait, l’autisme au-delà de l’enfance reste un impensé social. Certain·e·s psychiatres sont décontenancé·e·s face à des adultes autistes, non-diagnostiqué·e·s encore, qui leur racontent leur apprentissage par imitation, les phrases retenues pour faire la conversation d’usage, la capacité développée à comprendre l’état d’esprit des autres, etc. Tout ça est en contradiction avec ce qui est enseigné dans les cours de médecine, qui se concentrent sur des enfants en bas âge. Il ne s’agit pas juste de la bonne volonté des psychiatres et psychologues&nbsp;: les outils mis en place pour diagnostiquer l’autisme ne sont pas adaptés aux adultes, et encore moins aux adultes qui masquent. Les questions posées lors des entretiens ou dans les questionnaires ne s’intéressent pas aux stratégies développées pour faire face aux difficultés et défis, et pour apprendre à s’adapter et à comprendre le monde. Les médecins sont malgré tout obligé·e·s de fonctionner avec ces outils qu’ils·elles reconnaissent parfois comme bancals, et avec lesquels ils·elles trichent un peu si leur expérience leur fait reconnaître un·e autiste derrière le masque. Il ne faut pas oublier non plus que les capacités fluctuent au cours de l’existence et dépendent fortement de l’environnement dans lequel on est, de la stabilité dont on jouit ou non – une personne autiste n’a, pas plus qu’une personne neurotypique, un comportement égal et immuable dans toutes les situations.</p>



### Erreur n<sup>o</sup> 5&nbsp;: réduire une personne à son autisme



<p>On le voit dans les films et les séries, les personnages autistes ne sont là que pour représenter l’autisme qui sert de ressort dramatique, et leur personnalité semble se réduire à une liste de symptômes. Malheureusement, la vision des psychiatres est parfois tout aussi réductrice. On n’envisage pas que, comme chez tout être humain, tout peut être possible chez une personne autiste en termes de passions, de préférences, d’expériences de vie&nbsp;; que leur vécu et leur environnement les modèlent, les construisent, les impriment&nbsp;; que leur manière de penser, sentir, communiquer, agir, si elle est autistique, est aussi un certain nombre d’autres choses<sup class="modern-footnotes-footnote " data-mfn="5"><a href="javascript:void(0)" >5</a></sup><span class="modern-footnotes-footnote__note" data-mfn="5">Mon conseil : engagez des personnes autistes pour aider au diagnostic ! Non seulement nous nous reconnaissons souvent entre nous, mais nous sommes aussi souvent particulièrement doué·e·s pour distinguer les patterns – de langage, de comportement – dans un ensemble foisonnant d’informations.</span>.</p>



<p>Milieu médical comme grand public ont également du mal à penser le cumul de conditions et comprendre que la co-occurrence de conditions (neurologiques, physiques, psychiques) change aussi l’expression de chacune (en gros&nbsp;: notre autisme ne s’exprime pas forcément de la même manière selon que l’on est aussi TDAH, que l’on a de l’endométriose ou autre maladie chronique, que l’on a un trouble anxieux généralisé…). Le diagnostic d&rsquo;autisme est ainsi difficile dès lors que d’autres conditions sont présentes et plus visibles que l’autisme (il arrive aussi, à l’inverse, que le diagnostic d&rsquo;autisme occulte tous les autres). Or, non seulement il est fréquent d’avoir plusieurs conditions neurologiques, mais il est très probable qu’un·e autiste qui atteint l’âge adulte sans diagnostic et sans environnement adapté présentera en plus une ou plusieurs conditions psychiatriques, ou aura fait l’objet d’un diagnostic erroné qui ne lui aura été d’aucune aide.</p>

## Hétérociscentrisme et manque de prise en compte de la variété culturelle

<p>J’ai jusque-là parlé principalement de filles et de garçons, de femmes et d’hommes, comme si notre population s&rsquo;y réduisait. On continue, en 2021, à mener des recherches et poser des questions selon cette division binaire de la population, inscrite sur nos cartes d’identité (M/F), sauf lorsque l&rsquo;étude porte spécifiquement sur les personnes transgenres et/ou <a href="https://dieses.fr/que-signifie-le-mot-intersexe" target="_blank" rel="noreferrer noopener">intersexuées</a>. Il est évidemment plus simple de limiter le nombre de genres pris en compte, sans même préciser de quoi on parle exactement quand on parle d’hommes et de femmes. Dans la plupart des études, il n’est jamais très clair si on fait référence au genre assigné à la naissance, à l’éducation reçue, au genre auquel on s’identifie, à des éléments biologiques tels que les organes reproducteurs, les taux de telle ou telle hormone, à tout cela à la fois, ou à plusieurs de ces possibilités.</p>



<p>Où se situe une personne trans, non-binaire, agenre, dans cette classification binaire de l&rsquo;autisme au masculin / autisme au féminin&nbsp;? Comment prend-on en compte les personnes intersexuées, qui sont loin d’être rares&nbsp;? Où classe-t-on les personnes qui transitionnent après l’adolescence voire à l’âge adulte, et qui ont une expérience de vécu social de plusieurs genres&nbsp;? Que fait-on de l’influence des hormones prises (dans le cadre d’une transition, ou d’un traitement médical)&nbsp;? Les filles qui présentent un autisme plus « typique », que l’on dit « masculin », sont-elles forcément diagnostiquées plus tôt et plus facilement, ou les biais médicaux pèsent-ils plus fort dans la balance&nbsp;? Que fait-on, qu’ils soient trans ou cisgenres, des garçons qui correspondent au « profil féminin » et font aussi face à un retard de diagnostic&nbsp;? Et enfin, comment articuler, dans les études, les constats, les chiffres, le risque de sous-diagnostic ou de diagnostic erroné en raison de la <em>race</em> (entendue comme catégorie socialement construite), de la classe sociale, ou des conditions co-occurrentes&nbsp;?</p>



<p>L&rsquo;opposition binaire entre autisme masculin et autisme féminin est d’autant plus problématique que l’on dénombre parmi les personnes autistes un pourcentage plus élevé de personnes transgenres que dans la population générale, et, plus largement, de personnes ne se reconnaissant pas et ne se conformant pas aux normes de genre. Essentialiser l’un ou l’autre profil – et surtout, réduire l’autisme à deux profils – constitue finalement une barrière de plus à l’accès au diagnostic.</p>



<p>Je ne fais ici que gratter la surface de ce qu’il y a à explorer. Rappelons-nous que les personnes autistes sont des êtres humains de la même manière que tous les autres, et donc des êtres modelés par l’éducation et l’influence sociale. Même si d’aucun·e·s diront que nous sommes plus résistant·e·s aux normes sociales, nous ne sommes pas pour autant des robinsons évoluant en autonomie sur une île déserte. Tout autistique qu’il soit, notre fonctionnement, notre caractère, nos goûts, notre manière d’(inter)agir, de parler, de faire face à la vie, sont aussi partiellement nourris par notre environnement. Chaque personne autiste est unique. Ainsi, il existera forcément des expressions différentes de l’autisme en termes de signes cliniques selon le milieu dont on est issu, la culture qui nous a nourri, la personnalité que l’on a, notre parcours de vie et nos passions – et des différences de lecture de ces signes cliniques selon le médecin qui nous observe. Pour l’autisme comme pour grand nombre d’autres conditions, il est probable aussi que les populations racisées et/ou pauvres aient un accès plus difficile au juste diagnostic, que ce soit par un moindre accès aux services de santé (barrières financières, structurelles, logistiques ou culturelles) ou en raison de <a href="https://dieses.fr/la-minimisation-de-la-douleur-entraine-aussi-des-retards-de-diagnostic" target="_blank" rel="noreferrer noopener">préjugés persistants dans le milieu médical</a>. L’expression de notre autisme peut aussi varier au cours de notre vie, et il est ainsi possible de correspondre à différents profils à des âges différents.</p>



<p>Pour prendre mon exemple personnel, de quel côté me situerais-je&nbsp;? Est-ce que je corresponds à l’autisme « féminin » parce que je masque extrêmement bien, ai surcompensé jusqu’au burn-out et ai des intérêts spécifiques pour la danse, la cuisine et les sciences humaines&nbsp;? Ou est-ce que je corresponds plutôt à l’autisme « masculin » pour n&rsquo;avoir appris à masquer que tardivement, avoir été un enfant bruyant et dérangeant, n’avoir jamais eu une meilleure amie derrière qui me cacher, et vivre des crises explosives&nbsp;?</p>



<p>À force de ne parler que d’autisme « au féminin », on finit par figer et essentialiser certaines caractéristiques, en oublier le pourquoi et le comment, ainsi que les multiples expressions possibles de l’autisme. Ne devrait-on pas plutôt nuancer de manière générale le « portrait-type » de l’autiste qui est inscrit dans les mentalités comme dans le DSM, revoir la manière dont sont formulés les critères diagnostiques, diversifier les membres des équipes de recherche afin de minimiser les biais, et encourager le personnel médical à se nourrir de narrations diverses autour de l’autisme&nbsp;?</p>



<p>Ainsi, en attendant que le monde scientifique se donne les moyens d’évoluer dans ce sens, j’encourage informellement le grand public comme les professionnel·le·s à lire et écouter des personnes qui se savent autistes et qui expliquent leur fonctionnement et ses manifestations concrètes, parfois subtiles. Lire et écouter des personnes autistes diverses, des autistes racisé·e·s, des autistes queers, des autistes handicapé·e·s moteur, des autistes psychiatrisé·e·s, des autistes pauvres, des autistes qui pratiquent toutes sortes d’activités, de métiers ou de passions.</p>

