title: Longueur du processus de recrutement
url: https://n.survol.fr/n/longueur-du-processus-de-recrutement
hash_url: b50e973ef4e131098b91c9d99cb69a5a

<p>Le proces­sus clas­sique des entre­tiens de recru­te­ment en infor­ma­tique c’est : </p>



<ol><li>Une prise de connais­sance</li><li>Un entre­tien orienté tech­nique</li><li>Un entre­tien orienté humain</li><li>Un entre­tien de confir­ma­tion</li></ol><p>Suivant les entre­prises, l’en­tre­tien humain vient avant ou après l’en­tre­tien tech­nique. C’est d’ailleurs inté­res­sant parce que ça en dit parfois long sur ce que la boite prio­rise dans ses recru­te­ments.</p>



<p>Sur les postes à respon­sa­bi­lité on a souvent une multi­tudes de discus­sions avec diffé­rents acteurs clefs de la société entre les deux entre­tiens prin­ci­paux et l’en­tre­tien de confir­ma­tion.</p>



<p>La tota­lité du proces­sus décrit ici c’est entre 3 et 6 heures au total.</p>



<hr class="wp-block-separator"><p>Ok, mais est-ce bien raison­nable tout ça ?</p>



<p>Le fond c’est que <a href="https://n.survol.fr/n/se-reposer-sur-la-periode-dessai">le candi­dat et l’en­tre­prise ont tout inté­rêt à s’as­su­rer que la rela­tion est bonne avant de se taper dans la main et d’en­ta­mer la période d’es­sai</a>. On n’est jamais certain à 100 % mais on ne peut pas non plus s’en­ga­ger au hasard pour un boulot qui repré­sen­tera la majo­rité de notre temps non contraint pour les prochaines années et qui impac­tera dura­ble­ment notre vie en cas de mauvais choix.</p>



<p>Oui mais, en détail ?</p>



<p>La prise de connais­sance c’est souvent 15 minutes pour confir­mer ce qu’il y a derrière l’an­nonce (pour le candi­dat), ce qu’il y a derrière le CV (pour l’en­tre­prise) et que les deux corres­pondent avant de deman­der à chacun d’in­ves­tir du temps. Quand la commu­ni­ca­tion passe bien et que le candi­dat a du temps ou des ques­tions ça peut aller jusqu’à 45 minutes, rare­ment plus.</p>



<p>L’en­tre­tien humain semble la partie la moins comprise autour de moi quand j’en discute. On me parle de test psy et de marke­ting bull­shit. Pour moi c’est de la discus­sion et c’est litté­ra­le­ment le plus impor­tant dans tout le proces­sus, que ce soit côté candi­dat ou côté employeur. Il s’agit de s’as­su­rer que le candi­dat, la boite et les autres sala­riés vont s’en­tendre. Si le terme de valeurs est galvaudé, il y a beau­coup de ça. On parlera aussi fonc­tion­ne­ment de l’en­tre­prise, évolu­tion des postes, orga­ni­sa­tion, moti­va­tions, mana­ge­ment, etc. <br>Sur cet partie j’ap­pré­cie un temps long parce qu’il s’agit d’ou­vrir une discus­sion au delà des discours prépa­rés. </p>



<p>L’en­tre­tien tech­nique c’est le plus liti­gieux pour moi. La plupart comprennent « test tech­nique » mais je n’ai jamais vu pour l’ins­tant de test tech­nique que je trouve vrai­ment perti­nent. On arrive souvent bien mieux à quali­fier les choses en montrant le code source, en discu­tant autour, ou éven­tuel­le­ment en parlant en codant ensemble.<br>Plus que quali­fier le niveau tech­nique, on quali­fie aussi que ça se passera bien sur la base de code, sur comment l’équipe travaille, etc. C’est de la discus­sion et donc ça prend du temps aussi.</p>



<p>L’en­tre­tien de confir­ma­tion c’est pour toutes les ques­tions qui restent. On reparle souvent de valeur. On discute des ques­tions levées par les entre­tiens précé­dents. On parle de l’ave­nir et des objec­tifs de l’en­tre­prise. On parle rému­né­ra­tion.<br>C’est entre­tien est aussi impor­tant en ce qu’il permet de faire inter­ve­nir une autre personne et d’avoir un feed­back diffé­rent, que ce soit pour le recru­teur ou pour le candi­dat.</p>



<p>Si on prend le temps de la discus­sion, on arrive plus à 5 heures qu’à 3 heures, et je ne vois rien d’inu­tile à faire sauter là dedans.</p>



<p>À chaque étape la ques­tion est essen­tiel­le­ment « Est-ce qu’on veut travailler ensemble ? pourquoi ? qu’est-ce qui pour­rait coin­cer ? ». À l’en­tre­tien tech­nique on peut éven­tuel­le­ment ajou­ter « Où posi­tion­ner le candi­dat par rapport aux sala­riés actuels au niveau compé­tences et rému­né­ra­tion ? ». Le reste c’est de la litté­ra­ture.</p>



<hr class="wp-block-separator"><p>On peut par contre modu­ler. </p>



<p>Je disais que je n’ai jamais vu de test tech­nique vrai­ment perti­nent, encore moins ceux à réali­ser chez soi, mais j’ai à moitié menti. Il y a une chose qui a assez bien fonc­tionné : « Tiens, je te donne accès à notre code source et nos PR, tu peux fouiller comme tu veux et c’est à toi de nous dire si tu as les compé­tences et l’en­vie de travailler là dessus. Si oui on t’in­vite à la discus­sion tech­nique et tu verras si tu veux travailler avec nous. ».</p>



<p>Du coup l’en­tre­tien tech­nique lui même est essen­tiel­le­ment « Passe une demie jour­née avec un déve­lop­peur à discu­ter du code, de l’équipe, de son orga­ni­sa­tion, et faire du pair program­ming. Tu pour­ras nous confir­mer ensuite si tu as bien envie de travailler avec nous. »</p>



<p>C’est plus long mais quand c’est possible ça me parait une approche plus saine et plus effi­cace que la démarche de test. Les retours des candi­dats ont tous été très posi­tifs, plus que sur les autres proces­sus que j’ai pu super­vi­ser. Vu que ça permet bien de cerner la personne on peut réduire d’au­tant les autres étapes et on arrive à garder une durée totale assez simi­laire.</p>



<p>Ça c’est ce que je préfère vis à vis de mes valeurs et mes fonc­tion­ne­ments. D’autres boites appuie­ront plus sur les compé­tences tech­niques. D’autres préfé­re­ront vous faire discu­ter avec les équipes produit ou un direc­teur. En fait tout ça est inté­res­sant, ça en dit long aussi sur ce qui est jugé impor­tant par la société, donc ça permet au candi­dat de savoir lui aussi où il met les pieds.</p>



<hr class="wp-block-separator"><p>Est-ce encore trop ? </p>



<p>Possible. Je n’ai pas de réponse univer­selle. Je ne donne que mes retours et mon expé­rience.</p>



<p>L’idée c’est de propo­ser un proces­sus « idéal » et ensuite de l’adap­ter autant que possible aux circons­tances et aux personnes, par exemple pour qui habite loin, qui ne peut pas se libé­rer en jour­née, ou qui ne peut pas se permettre d’être vu dans les locaux avant que ce ne soit offi­ciel. </p>



<p>Ce qui m’ap­pa­rait certain c’est que je ne sais pas évaluer un employeur, son équipe, son orga­ni­sa­tion, ses valeurs et le poste qu’il propose en deux heures. J’ai vécu des envi­ron­ne­ments et direc­tions toxiques. Croyez-moi si je dis que jamais ne ne conseille­rai à quiconque de s’en­ga­ger en CDI rapi­de­ment sans faire un vrai proces­sus.</p>



<p>C’est vrai aussi dans l’autre sens. En tant qu’em­ployeur je ne sais pas faire évaluer l’adé­qua­tion d’un candi­dat sur des discus­sions de moins d’une heure ou après avoir vu une seule personne.</p>



<hr class="wp-block-separator"><p>Que faire alors pour qui ne peut ou ne veut inves­tir plus de 2 heures ?</p>



<p>Je ne sais pas. Je suis ouvert aux sugges­tions mais ma réponse pour l’ins­tant est « je ne sais pas faire ».</p>



<p>On parle de s’en­ga­ger pour 6 à 8 heures par jour, 5 jours par semaine, pour 2 à 10 ans. Tout ça ne se résume pas en quelques ques­tions et « je fais mon job tu me payes, pas besoin d’er­go­ter ». </p>



<p>Ça serait très diffé­rent pour une mission courte ou un rôle de consul­tant (ou en tout cas ça l’a été pour moi vu que j’ai aussi ces expé­riences là).</p>



<hr class="wp-block-separator"><p>Pour complé­ter :</p>



<p>Aujourd’­hui près de 60% des réponses est entre 3 ou 6 heures ou plus de 6 heures. </p>



<p>Et c’est là que ça devient inté­res­sant. Quand on demande le proces­sus idéal, les répon­dant n’ex­cluent pas du tout les entre­tiens de 3 à 6 heures, au contraire. C’est même la réponse la plus mise en avant.</p>



<p>Ce n’est repré­sen­ta­tif que des gens qui ont répondu, mais je trouve ça inté­res­sant quand même. Je ne semble pas être le seul à trou­ver impor­tant de quali­fier la rela­tion avant d’en­trer en période d’es­sai.</p>



<p>L’enjeu est pour moi beau­coup plus de ce qu’on met dans les diffé­rentes étapes du proces­sus que de sa longueur effec­tive (tant qu’on reste dans le raison­nable, on m’a parlé de tests tech­niques de 15 h à faire chez soi et ça… juste non). Je veux des discus­sions libres à double sens et pas des tests unila­té­raux.</p>
