title: Comment réduire la transmission du COVID par les aérosols ?
url: https://scienceetonnante.com/2021/04/30/covid-aerosols/
hash_url: d73bc89a90d59a754d1aef48251da90a

<p>Après plus d’un an de retenue sur la question, j’ai fini par me laisser aller à faire une vidéo qui parle de COVID…</p>
<p><iframe loading="lazy" title="Comment limiter la transmission aérienne du COVID ? 🦠➡️🪟" src="https://www.youtube.com/embed/8b3lhDyVqgk?feature=oembed" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen>VIDEO</iframe></p>
<p>Je ne vais pas forcément ajouter beaucoup de détails scientifiques dans ce billet, car énormément d’éléments se trouvent dans l’article qui est en accès libre</p>
<p>Bazant, M. Z., &amp; Bush, J. W. (2021). <a href="https://www.pnas.org/content/pnas/118/17/e2018995118.full.pdf">A guideline to limit indoor airborne transmission of COVID-19</a>. <i>Proceedings of the National Academy of Sciences</i>, <i>118</i>(17).</p>
<p>Concernant l’article, il précise notamment des choses sur <strong>la distribution de taille des aérosols, les estimations de concentration, les limitations de l’hypothèse d’homogénéité spatiale, l’impact des systèmes de filtration, la question de la désactivation des virus avec la température et l’humidité relative</strong>, etc.</p>
<p>Une question que l’on peut se poser concerne la transposition de cette analyse dans un environnement extérieur. Si le port du masque est respecté, on peut penser que les risques sont minimes. L’air expiré va s’élever du fait de sa température, et se diluer rapidement. Sans masque, c’est moins clair. L’expiration va se faire sous la forme d’un jet turbulent qui va se diluer rapidement, mais peut conduire à une exposition importante à courte distance. On peut également imaginer des effets de sillage dans le cas de flux d’air ambiants relativement stationnaires. Tout ça pour dire que ceci ne nous dit pas grand chose de quantitatif sur une question comme celle de la réouverture éventuelle des terrasses de restaurant (et au risque de me répéter, là on ne parle bien que de la transmission par aérosols !).</p>
<p>Sur ce sujet, vous pouvez aller voir <a href="https://hal.archives-ouvertes.fr/hal-03213146/document">cette publication</a> de Bruno Andreotti et ses étudiant(e)s de projet expérimental, qui détaille différentes situations et propose des mesures ciblées.</p>
<p>Je vous encourage également à aller voir <a href="http://www.mit.edu/~bazant/">la page de Martin Bazant</a> qui donne des liens vers un simulateur, un autre papier en <a href="https://www.medrxiv.org/content/10.1101/2021.04.04.21254903v1">preprint</a> sur les mesures de CO2, etc.</p>
