title: Which countries are under-performing and over-performing?
url: https://ig.ft.com/tokyo-olympics-alternative-medal-table/
hash_url: e36e870096588a45b32221d254c9da18

Even before a single race was run in Tokyo, one thing was almost certain: by the end of the Olympic Games the US will top the medals table, followed by China and other large or wealthy countries. But how should we measure that success?

The conventional Olympic medals table tends to reflect certain underlying factors, such as population size, economic might and past performance. Large and rich countries typically lead the pack, while nations that take home a modest number of medals but punch well above their weight receive little attention.

With that in mind, the Financial Times’ alternative medal table ranks countries not by their total medal haul but by the difference to the tally they are expected to achieve, according to an economic model that takes into account their economic, social and political characteristics.

---

We will be updating this table throughout the Tokyo Games to track each country’s performance against what would have been expected from it at that stage of the competition, based on the events that have been completed and an updated version of an economic model produced by a team of labour economists ahead of the 2016 Games in Rio de Janeiro.

The research, by Julia Bredtmann, Carsten J Crede and Sebastian Otten, found that factors including medal hauls in past Games, population size and GDP per capita could explain roughly 95 per cent of the difference between countries’ final medal tallies, essentially creating a benchmark for assessing whether a country met, beat or fell short of expectations.

Previous research has also repeatedly shown that host nations — and countries preparing to hold subsequent Olympics — tend to out-perform those of similar size and wealth, as do nations with a recent history of having a planned economy. Conversely, majority-Muslim countries have underperformed.

“Countries in which women have more equal economic opportunities send more female athletes to the Games, and more athletes mean more chances to win medals,” said Bredtmann, one of the authors of the original study.

---

## Methodology

To predict the baseline total number of medals each country might be expected to win in any given summer Olympics, we updated a linear regression model produced by Julia Bredtmann, Carsten J Crede and Sebastian Otten ahead of the Rio Olympics.

Mimicking the original work by Bredtmann, Crede and Otten, we built the same model and fitted it on data for each Summer Olympic year between 1992 and 2008, and then used it to predict the medals table at London 2012. The full model outperforms a naive model that uses only the number of medals a country won and the year of the Games.

We then fitted the same model on data up to and including the 2016 Rio Games, and used this to predict medal counts for Tokyo 2020 (using the latest available data for each input, i.e forecasts for GDP per capita and population in 2021).

This gave us a value for each participating country’s expected medal tally in Tokyo, which we rounded to the nearest whole number greater than or equal to zero, and then scaled up so that the sum came to 1,017, the total number of medals that will be awarded this year.

This predicted medals table is only useful for seeing where countries might rank before the start of the Games, or for assessing the complete results after the closing ceremony. It is less useful for comparing live tallies during the Games, After a few days of competition, when some countries have racked up medals in early events while but others are still waiting for their strongest sports to begin, it is not useful to compare live tallies with the predicted final outcome.

To make the over/under-performance metric useful during the Games, we built an additional layer on top of the academics’ model, breaking down each country’s predicted medal count into the different sports being contested at the Games. This allows us, allowing us to gradually increase each country’s expectedpredicted medals as the real medals are awarded over the Games’ two weeks.

To do this, we distributed each country’s predicted total medal count in proportion to the share of medals it won in each sport at the most recent Olympics it competed in. In the case of ROC (the official name of the Russian team, who are not permitted to use their country’s name due to a banongoing sanctions handed out by the World Anti- Doping Agency), we used the 2012 Games for its typical event-medal distribution, since it had sent a greatly depleted team to Rio in 2016 due to doping sanctions.

Finally we had to account for the Russian team being limited to 10 entrants into athletics competitions in Tokyo, down from a typical athletics team size of 100. To do this, we took away 90 per cent of Russia’s predicted medals in athletics and gave them to countries that have been historically strong performers in track and field.

This gave us our final dataset: for each country participating in Tokyo, we have a total number of predicted medals, broken down by sport. When each event’s medals are awarded, we randomly add three expected medals to countries that have won medals at that event in past Olympics. For example, all nine of Jamaica’s predicted medals are expected in athletics events in which that country has won all of its medals since 1992. Jamaica’s expected total will therefore remain at zero at least until the first athletics medals are awarded, and will then gradually increase following each completed athletics event.
