title: Fair communication requires mutual consent
url: https://danielpocock.com/fair-communication-requires-mutual-consent
hash_url: 3b8e57679878f4222ab277a5078b165b

<p>I was pleased to read <a href="https://flossexperiences.wordpress.com/2018/01/30/webmail-and-whole-class-of-problems/">Shirish Agarwal's blog</a> in reply to the blog I posted last week <a href="https://danielpocock.com/do-the-little-things-matter-gmail"><em>Do the little things matter?</em></a></p>
<p>Given the militaristic theme used in my own post, I was also somewhat amused to see news this week of the <a href="https://www.theguardian.com/technology/2018/jan/29/strava-secret-army-base-locations-heatmap-public-users-military-ban">Strava app leaking locations and layouts of secret US military facilities like Area 51</a>.  What a way to mark <a href="https://en.wikipedia.org/wiki/Data_Privacy_Day">International Data Privacy Day</a>.  Maybe rather than inadvertently misleading people to wonder if I was suggesting that Gmail users don't make their beds, I should have emphasized that Admiral McRaven's boot camp regime for Navy SEALS needs to incorporate some of my suggestions about data privacy?</p>
<p><img src="https://danielpocock.com/sites/danielpocock.com/files/secret-base.png" alt="Strava leaks layouts and locations of secret US bases like Area 51"/></p>
<p>A highlight of Agarwal's blog is his comment <em>I usually wait for a day or more when I feel myself getting inflamed/heated</em> and I wish this had occurred in some of the other places where my ideas were discussed.  Even though my ideas are sometimes provocative, I would kindly ask people to keep point 2 of the <a href="https://www.debian.org/code_of_conduct">Debian Code of Conduct</a> in mind, <em>Assume good faith</em>.</p>
<p>One thing that became clear to me after reading Agarwal's blog is that some people saw my example one-line change to Postfix's configuration as a suggestion that people need to run their own mail server.  In fact, I had seen such comments before but I hadn't realized why people were reaching a conclusion that I expect everybody to run a mail server.  The purpose of that line was simply to emphasize the content of the proposed bounce message, to help people understand, the receiver of an email may never have agreed to Google's non-privacy policy but if you do use Gmail, you impose that surveillance regime on <em>them</em>, and not just yourself, if you send them a message from a Gmail account.</p>
<p>Communication requires <em>mutual</em> agreement about the medium.  Think about it another way: if you go to a meeting with your doctor and some stranger in a foreign military uniform is in the room, you might choose to leave and find another doctor rather than communicate under surveillance.</p>
<p><a href="https://protonmail.ch"><img src="https://danielpocock.com/sites/danielpocock.com/files/protonmail-logo.png" align="right"/></a>
</p><p>As it turns out, many people are using alternative email services, even if they only want a web interface.  There is already a feature request discussion in <a href="https://protonmail.ch">ProtonMail</a> about <a href="https://protonmail.uservoice.com/forums/284483-feedback/suggestions/14784582-selective-bounce-feature-for-privacy">letting users choose to opt-out of receiving messages monitored by Google and send back the bounce message suggested in my blog</a>.  Would you like to have that choice, even if you didn't use it immediately?  You can <a href="https://protonmail.uservoice.com/forums/284483-feedback/suggestions/14784582-selective-bounce-feature-for-privacy">vote</a> for that issue or leave your own feedback comments in there too.</p>
