title: Mobile First
url: http://stratechery.com/2015/mobile-first/
hash_url: 493740e238723f55bddc9416ad8c512b

                        
<p>Last Friday was the eight-year anniversary of the announcement of the iPhone, the event that began <a href="http://stratechery.com/2014/state-consumer-technology-end-2014/">the mobile epoch</a>. It was, though, an Apple rumor that to my mind illustrated just how much the world has changed.</p>

<p>Mark Gurman is reporting <a href="http://9to5mac.com/2015/01/06/macbook-air-12-inch-redesign/">at 9to5Mac</a> that the next MacBook Air will have a radical redesign. The biggest surprise was about the ports, or lack thereof:</p>

<blockquote>
  <p>The upcoming 12-inch Air has the fewest amount of ports ever on an Apple computer…On the right side is a standard headphone jack and dual-microphones for input and noise-canceling. On the left side is solely the new USB Type-C port. Yes, Apple is currently planning to ditch standard USB ports, the SD Card slot, and even its Thunderbolt and MagSafe charging standards on this new notebook…As we’ve reported on multiple occasions, the new USB Type-C connector is smaller, faster, and more capable than the standard USB 2.0 and 3.0 ports on existing computers. The connector is able to replace the Thunderbolt Display port on the current Apple laptops as USB Type-C actually has the technology to drive displays. Additionally, the latest specifications from the USB foundation indicate that USB Type-C can actually be used to power computers, which makes the standard MagSafe plugs unnecessary on this new device.</p>
</blockquote>

<p>The obvious caveat here is that this is a rumor; Gurman may have a great track record, but he could be wrong and the next MacBook Air could have more than one port. But I rather suspect he&#8217;s right, because the MacBook Air he describes is the first Apple PC<sup id="fnref:0:1370"><a href="#fn:0:1370" id="fnref:0:1370" class="footnote-link footnote-identifier-link" rel="footnote" title="Chromebooks were first">1</a></sup> that is Mobile First.</p>

<h4>The Origin of Mobile First</h4>

<p>As best I can tell, &#8220;Mobile First&#8221; was first used by <a href="http://en.wikipedia.org/wiki/Marc_Davis_(academic)">Marc Davis</a>, then Yahoo&#8217;s Chief Scientist and VP of Early Stage Products of Yahoo! Mobile.<sup id="fnref:1:1370"><a href="#fn:1:1370" id="fnref:1:1370" class="footnote-link footnote-identifier-link" rel="footnote" title="Seriously, that&rsquo;s the title, according to this TechCrunch article reporting Davis&rsquo; exit a mere three months after coining the term &ldquo;Mobile First&rdquo;. I suspect there is a lot about Yahoo&rsquo;s fate that can be gleaned from this footnote">2</a></sup> <a href="http://readwrite.com/2009/04/06/putting_mobile-first_to_work">From ReadWriteWeb</a>, reporting on the Web 2.0 Expo in April 2009:</p>

<blockquote>
  <p>Yahoo&#8217;s Marc Davis spoke about the mobile internet and the future of the mobile industry. As the mobile web evolves, he said, it&#8217;s no longer good enough to simply port the PC experience to the phone&#8217;s small screen &#8211; it&#8217;s time to start building &#8220;mobile-first&#8221; products instead. What are &#8220;mobile-first&#8221; products? They&#8217;re services designed to take advantage of the strengths and abilities of the mobile devices themselves, leading to entirely unique creations that can only be found on the mobile web.</p>
</blockquote>

<p>Though it&#8217;s taken a few years, Mobile First is now gospel for most consumer tech companies in particular. Perhaps the most famous example is Facebook; in a shift akin to Microsoft&#8217;s 1995 embrace of the Internet, Facebook went from having <a href="http://mashable.com/2013/09/20/facebook-mobile-strategy/">a mere 20 people</a> on its mobile team in 2012 to <a href="http://www.quora.com/Approximately-how-many-software-engineers-work-at-all-the-teams-responsible-for-all-of-the-Facebook-mobile-apps">several hundred</a> mobile-focused developers embedded in every team in the company. The results &#8211; both in product and to the top and bottom lines &#8211; have been stunning.</p>

<p>A better example is Instagram: the photo-sharing social network launched as an iPhone app only, and for a long time its only web presence was direct photo links. Today there is a website, but it&#8217;s little more than a scaled up version of the app, and there is no tablet app at all. This should not be a surprise: while tablets mostly run mobile operating systems, they are not mobile devices; they do not go with you everywhere.</p>

<p>This distinction is critical: what is essential to understand about Mobile First is that everything flows from, well, mobility. The relative importance of implementation details and even the underlying OS fade relative to the significance of nearly every person on earth having an Internet communicator with them at every single moment. Every single product and service must start with this fundamental assumption.</p>

<h4>The Implications of Mobile First</h4>

<p>In this reading of Mobile First &#8211; that it&#8217;s about presupposing that every potential consumer of your product or service has a smartphone &#8211; the implications apply far more broadly than social networks or app makers.</p>

<p>Consider CES: over the last several years the show has seemed to fade as smartphones have subsumed all types of gadgets from cameras to music players to video recorders. This year, though, was all about the &#8220;Internet of Things,&#8221; and as annoying as that catchphrase may be, it&#8217;s something that only makes sense in a Mobile First world: now, instead of those old gadgets that make PC functions mobile, &#8220;Internet of Things&#8221; products assume the presence of a mobile smartphone. Thus the most interesting innovation is in things that don&#8217;t move: locks, light bulbs, garage door openers, and more, because they are designed with the assumption that the smartphone &#8211; and associated individual &#8211; comes to them.</p>

<p>Even more interesting was <a href="http://www.theverge.com/2015/1/5/7491071/dish-sling-tv-ott-internet-tv-announced-ces-2015">Sling TV</a>, the first service that, with its focus on sports, has the potential to actually make cord-cutting palatable for far more people than any service before it.<sup id="fnref:2:1370"><a href="#fn:2:1370" id="fnref:2:1370" class="footnote-link footnote-identifier-link" rel="footnote" title="I wrote about this extensively in the Daily Update here and here) (members-only links) ">3</a></sup> Just as interesting, though, is that while the service is provided by Dish Network &#8211; a company that has invested millions in launching satellites &#8211; the service is provided through an <em>app.</em> In other words, while the old Dish Service &#8211; and every other pay-TV service &#8211; was delivered to an <em>address</em>, Sling TV is delivered to a <em>person.</em> It is Mobile First.</p>

<p>As I noted in <a href="http://stratechery.com/2014/state-consumer-technology-end-2014/">The State of Consumer Technology at the End of 2014</a>, individual as service endpoint is an essential characteristic of one of the most important categories of emerging services, the so-called &#8220;sharing economy&#8221;. Uber is the easy example &#8211; the service quite literally goes to an individual&#8217;s exact location and picks them up &#8211; but it also applies to services like Instacart: without a smartphone coordinating shopping trips would be a logistical nightmare. The service is absolutely Mobile First.</p>

<p>Mobile First is also upsetting lots of assumptions around the transition to digital: consider the surprising news that the prospects for bookstores are looking up. From the <a href="http://www.ft.com/intl/cms/s/0/8dcddc64-97f4-11e4-b4be-00144feabdc0.html?siteedition=intl#axzz3OZWZbfQU">Financial Times</a>:</p>

<blockquote>
  <p>The plot has now twisted sharply, with publishers and book chains in the US, UK and Australia celebrating sales figures showing the resilience of physical editions and of bricks-and-mortar stores.</p>
  
  <p>Waterstones said its sales had risen 5 per cent in December compared to the previous year…The optimism was echoed in the US. Barnes &amp; Noble appears to have ended a run of declining sales, and expects sales to be flat in 2014 and 2015. Its shares rose 5 per cent on the news.</p>
  
  <p>Fundamental shifts in consumer behaviour may also be helping the high street bookstore. “People are moving back to more frequent local shops. That’s when you can start popping in and buying books,” said Paul Lee, an analyst at Deloitte.</p>
</blockquote>

<p>That fundamental shift in behavior is mobile: the most interesting place to be is no longer in front of a computer, it&#8217;s to go out into the world with a computer in your hand. And in that view, it&#8217;s no surprise that &#8220;3rd-places&#8221; like bookstores are experiencing a renaissance &#8211; or that physical goods, a welcome break from that ever-present screen, are more desirable than ever.</p>

<p>The impact will likely be felt far more broadly than bookstores: a decade ago, every small business thought they needed a website. Now many more businesses are simply focusing on their Facebook page, which is easier to find and use on mobile. Here China is light-years ahead: nearly every business has a WeChat account (you follow by scanning a QR code &#8211; they are ubiquitous) that includes not only the basics like addresses and hours but even ordering with delivery to wherever you&#8217;re sitting when you press the &#8216;Order&#8217; button.</p>

<div id="attachment_1373" style="width: 610px" class="wp-caption aligncenter"><a href="http://2yj23r14cytosbxol4cavq337g.wpengine.netdna-cdn.com/wp-content/uploads/2015/01/wechat2.png"><img src="http://2yj23r14cytosbxol4cavq337g.wpengine.netdna-cdn.com/wp-content/uploads/2015/01/wechat2-600x355.png" alt="Ordering dumplings in WeChat" width="600" height="355" class="size-large wp-image-1373" /></a><p class="wp-caption-text">Ordering dumplings in WeChat</p></div>

<p>Even dumplings are Mobile First.</p>

<h4>Why the Rumored MacBook Air is Mobile First</h4>

<p>And so, the story of the (rumored) MacBook Air starts not with the Mac, but rather with the iPhone. By virtue of its omnipresence it is the most important device in most consumers&#8217; lives. It is the first choice for getting information, for communicating, for taking pictures. It is a device that a huge majority of people could live on exclusively, and it very much stands alone: all of its essential functions have cloud counterparts, but none assume a PC.<sup id="fnref:3:1370"><a href="#fn:3:1370" id="fnref:3:1370" class="footnote-link footnote-identifier-link" rel="footnote" title="Microsoft&rsquo;s &ldquo;Mobile First Cloud First&rdquo; strategy makes much more sense now, no?">4</a></sup></p>

<p>True, it would be nice to have a keyboard to type longer emails, reports or papers, or a larger screen to watch movies, but those capabilities &#8211; again, for most people, not all &#8211; are nice to have, not essential.<sup id="fnref:4:1370"><a href="#fn:4:1370" id="fnref:4:1370" class="footnote-link footnote-identifier-link" rel="footnote" title="To put it another way, a MacBook Air is in the same class as an iPad">5</a></sup> Moreover, all of those capabilities depend on the same cloud services as the phone: email, social networking, photos, all of it comes over the (wireless) network, not a cable.</p>

<p>In this world, a Mobile First world, what exactly is the point of a port?<sup id="fnref:5:1370"><a href="#fn:5:1370" id="fnref:5:1370" class="footnote-link footnote-identifier-link" rel="footnote" title="If you need ports, buy a MacBook Pro. But if you care about rumors of unreleased products, you&rsquo;re probably not a normal consumer!">6</a></sup></p>

