title: The Samurai and the Tea-Master
url: https://www.linkedin.com/pulse/samurai-tea-master-peter-merel
hash_url: 7a653950fca6396723b7c6ebe47f3279

<blockquote>
  “Just make the water boil; and when the tea is ready, simply drink it. That's all we do, you must understand.” --
 <a href="http://chanoyu-to-wa.tumblr.com/page/92" target="_blank" rel="nofollow noopener">Sen No Rikyu</a>
</blockquote>
<p>Two distinct learning patterns struggle in the heart of agile culture. The <em>shu ha ri </em>training hierarchy designed by the tyrant <a href="https://en.wikipedia.org/wiki/Toyotomi_Hideyoshi" target="_blank" rel="nofollow noopener">Hideyoshi</a> to reinforce his samurai caste system. And the <em>mu hin shu </em>learning ecosystem invented by tea master <a href="https://en.wikipedia.org/wiki/Sen_no_Riky%C5%AB" target="_blank" rel="nofollow noopener">Rikyū</a> as the remedy to two centuries of civil war. This is the story of these two men, and of how differences between their learning patterns are critical to agile transformations today.</p>

<p>To talk about tea I think I should start with my own little part of the story. I served tea from 2003 to 2005 in a rainforest teahouse at Limpinwood, Australia. It was scones and cream, not matcha and kimonos, the commonwealth enlightenment style preferred in counter-cultural Tweed Shire. At no other time in my life have I learned as broadly and deeply as in those years. The little video above is the best I can do to convey the spirit of the place.</p>
<h2>Rikyū</h2>

<p>In 16th century Japan a similarly spirited community of Korean-backed tea merchants led by <a href="https://en.wikipedia.org/wiki/Sen_no_Riky%C5%AB" target="_blank" rel="nofollow noopener">Sen No Rikyū</a> ended Japan's two hundred year civil war by creating a new way of tea. Mentored by famed tea-poet <a href="https://en.wikipedia.org/wiki/Takeno_J%C5%8D%C5%8D" target="_blank" rel="nofollow noopener">Jōō</a> and sponsored by progressive warlord <a href="https://en.wikipedia.org/wiki/Oda_Nobunaga#Culture" target="_blank" rel="nofollow noopener">Nobunaga</a>, Rikyu's ecosystem disrupted the older Chinese-derived tea tradition where nobles met at gold-leaf palaces to sip from delicate porcelain. Rikyu served on cheap and mended crockery in the seclusion of rude huts set in meandering gardens, <a href="https://www.youtube.com/watch?v=V1gxziZwmkc" target="_blank"><em>wabi sabi</em></a><em> </em>style.</p>
<p>These tea houses formed a network that shared information across the warring houses. Participants put aside symbols of rank to take tea together as peers; merchants, warriors and nobles speaking heart to heart. The entrances to the tiny huts were made low enough to force even the highest lords to bow. The tea implements were shared and admired for their blemishes, mendings, and the sad stories of their journeys from hand to hand. Far from the ascetic rituals practiced in Japanese tea today, Rikyu's tea was simple, social and experimental, working on variables of time, heat and protocol to improve both quality of experience and the mutual benefit of the participants.</p>
<p>Rikyu himself left almost no writing about just how his tea was served. We know only from his ill-fated colleague, <a href="https://en.wikipedia.org/wiki/Yamanoue_S%C5%8Dji" target="_blank" rel="nofollow noopener">Soji</a>, that its ultimate goal was <em>mu hin shu </em>– literally "no guest, no host". The tea huts formed a <a href="http://en.bp.ntu.edu.tw/wp-content/uploads/2011/12/06-Alexander-A-city-is-not-a-tree.pdf" target="_blank" rel="nofollow noopener">semi-lattice</a> of conversation to support trust relationships that couldn't form any other way. While historians attribute the end of the civil war to the battle strategies of one or another warlord, it was in reality the change in social fabric that generated the national stability that lasted for the next three centuries. Not for want of quarrelsome nobles, either. But then, "no good deed goes unpunished" ...</p>
<h2>The Morning Glory</h2>

<p>On the verge of peace, Rikyu's patron Nobunaga was overthrown in a violent coup. He was succeeded by <a href="https://en.wikipedia.org/wiki/Toyotomi_Hideyoshi" target="_blank" rel="nofollow noopener">Hideyoshi</a>, a self-made samurai who'd started life as a peasant and carried a chip on his shoulder. Seeming as sympathetic to Rikyu's tea as his predecessor, Hideyoshi appointed Rikyu to court, had the emperor name him, and ordered his generals to study under him. Within a decade, however, Hideyoshi would order Rikyu's death by <em>seppuku</em>.</p>
<p>In memory of Nobunaga, Rikyu had planted a field of morning-glories around his teahouse. Word spread of the beauty of the display and Hideyoshi announced he would inspect it. Upon his arrival, however, he found the flowers plowed under the ground. Hideyoshi stormed into the teahut, furious at the insult, to find Rikyu calmly boiling water beside a vase containing the last fading blossom.</p>
<p>Rikyu might have intended this to illustrate <a href="https://www.youtube.com/watch?v=V1gxziZwmkc" target="_blank">wabi sabi</a> to the new regent. Or he might have thought this would wrong-foot Hideyoshi so as to insulate Rikyu's Korean trading partners against the tyrant's invasion plans. Or both. Or neither. With no eyewitness account, the incident may never have happened. But still the story circulated. While the regent might have lost face by failing to forgive a misunderstanding, he couldn't tolerate the independence of Rikyu's teahouses. So, step by step, the samurai set out to defame the tea master.</p>
<h2>An Honorable Disembowelment</h2>

<p>Hideyoshi's man <a href="https://en.wikipedia.org/wiki/Furuta_Oribe" target="_blank" rel="nofollow noopener">Oribe</a> documented every detail of Rikyu's tea service. His notes broke samurai dependence on the community of tea masters. Rather than collaborating to innovate and maintain communities of trust, however, Oribe's tea notes standardised the tools and processes of brewing the beverage itself. In a time before kettles, thermometers and clocks, to prepare tea reliably required great precision in manual measurements and movements.</p>
<p>Next Hideyoshi ordered Rikyu to design a grand golden tea-pavilion at his palace of <em>Jurakudai. </em>Here<em> </em>Hideyoshi himself ran Oribe's tea for hundreds of his lords and samurai. Serving on a vast collection of imported china, Hideyoshi reportedly required Rikyu's daughter to assist in this by becoming his concubine.</p>
<p>Hideyoshi declared that <a href="https://en.wikipedia.org/wiki/Yamanoue_S%C5%8Dji" target="_blank" rel="nofollow noopener">Soji</a>, Rikyu's friend and biographer, plotted against him with <a href="https://en.wikipedia.org/wiki/Ikk%C5%8D-ikki" target="_blank" rel="nofollow noopener">anarchists</a> to use poisoned tea in an assassination attempt. Soji was tortured and executed and a purge of Rikyu's inner circle followed. A year later Hideyoshi declared that a statue of Rikyu appearing high on a gate beneath which the regent walked in the <em>Jurakudai </em>represented a brazen symbol of disrespect. He ordered the tea master to be immediately crucified. Rikyu's supporters petitioned for clemency and the regent relented: only the statue was to be crucified. Rikyu was permitted to honourably disembowel himself.</p>
<h2>The Shu Ha Ri Racket</h2>
<p>Hideyoshi barred commoners from making tea, bearing arms or becoming samurai. With Japan at peace he made war on Korea, ordering 300,000 to their deaths before himself dying of plague. But his successor, the first <a href="https://en.wikipedia.org/wiki/Tokugawa_Ieyasu" target="_blank" rel="nofollow noopener"><em>Shogun Tokugawa</em></a><em>, </em>restored the Sen family name to Rikyu's grandchildren with an exclusive license to conduct tea instruction based on Oribe's procedures.</p>

<p>On the hundredth anniversary of Rikyu's death, a forged book, <em>Namporoku,</em> was discovered to contain the tea master's secret inner doctrines. <em>Namporoku</em> made Rikyu out to be a mystical guardian spirit of tea and prophesied a new tea-saint would appear, coincidentally, on the hundredth anniversary of Rikyu's death ...</p>
<p>The forgery for the first time connected tea to zen. This was a direct challenge to the mundane teachings of the <em>Senke</em> school, and soon <a href="https://en.wikipedia.org/wiki/Schools_of_Japanese_tea#Current_schools" target="_blank" rel="nofollow noopener">dozens of zen tea schools</a> sprang up to<a href="http://%20https//scholarspace.manoa.hawaii.edu/bitstream/handle/10125/9891/uhm_phd_9604172_r.pdf?sequence=1" target="_blank" rel="nofollow noopener"> squabble </a>over the most authentic colour of tea whisk, enlightened ways to fold tea-towels, and the cosmic symmetry of the layout of a tea tray. Antique tea paraphernalia began to trade for vast sums, tea services grew to hours of silent contemplation, and the market for philosophy, insruction and certifications in tea minutiae went exponential.</p>
<p>To regain market dominance the <em>Senke</em> engaged another samurai, <em>Fuhaku,</em> to introduce his <a href="https://en.wikipedia.org/wiki/Shuhari" target="_blank" rel="nofollow noopener"><em>Shu Ha Ri</em></a><em> </em>training hierarchy to tea culture. Starting in the capital city of Edo and basing his ideas on Zeami's 14th century Noh plays, Fuhaku's training hierarchy soon spread via the social network of tea service to every Japanese martial and aesthetic school.</p>
<p>Fuhaku's idea was simply that <em>Shu</em> training recipients should display obedience to <em>Ha</em> teachers, and pay for the privilege. The teachers would purchase licenses from <em>Ri </em>grand masters (<em>Iemoto</em>) who derived authority by blood or zen from Rikyu. Money flowed up, training passed down, and peer to peer learning communities were swiftly out-marketed.</p>
<h2><em>Mu Hin Shu </em>and Agile</h2>

<p>Eight years before the Limpinwood Teahouse I took part in a learning community called <a href="http://wiki.c2.com/?WardsWiki" target="_blank" rel="nofollow noopener">Wiki</a>. Before the Agile Manifesto, XP books and Scrum certificates, the first wiki shared ideas and feedback to field-test all the practice patterns we now call Agile. We had no trainers or frameworks, but a kind of <em>Mu Hin Shu</em> we called the <a href="http://wiki.c2.com/?WikiNature" target="_blank" rel="nofollow noopener">WikiNature</a>.</p>
<blockquote>
 <a href="http://wiki.c2.com/?WikiNature" target="_blank" rel="nofollow noopener">WikiNature</a> is adding value by removing that without. –– Ron Jeffries
</blockquote>
<p>But the pendulum swings back. After the first XP conference<em> </em><a href="http://alistair.cockburn.us/Shu+Ha+Ri" target="_blank" rel="nofollow noopener">Alistair Cockburn</a><em> </em>introduced <em>Shu Ha Ri</em> to Agile culture by reference to the martial art <em>Aikido</em>. Not long after that the Scrum machine converted Schwaber and Sutherland's little handbook into billions of dollars of CSMs. Management consultancies began to roll out "Big Transformation Up Front" with no measurable end or outcome. The <a href="https://www.linkedin.com/pulse/disrupting-agile-industrial-complex-part-one-peter-merel/" target="_blank">Agile Industrial Complex</a> grew into a torrent while the old wiki became a disused backwater beset by trolls.</p>

<p>The problems you see in this video aren't Aikido; Aikido is a deep martial art with a sound philosophical basis and many <a href="https://www.youtube.com/watch?v=-VOb2YBBr7E" target="_blank">extremely useful practice patterns</a>. It's <em>Ri</em> grand masters selling an unquestionable training hierarchy they call Aikido in the place of the learning ecosystem that originated Aikido. The same anti-pattern has become so commonplace in Agile that it's fashionable to say <a href="https://www.linkedin.com/pulse/agile-dead-peter-merel/" target="_blank">Agile is dead</a>.</p>
<p>To instil <em>Mu Hin Shu</em> in our clients, we must re-form a <a href="https://www.linkedin.com/pulse/honorable-agile-ecosystem-peter-merel/" target="_blank">learning ecosystem</a> of our own. Instead of <em>Ha</em> change agents training <em>Shu</em> change recipients to achieve some distant <em>Ri</em> change-enlightenment, we need to apply agile to delivering agile, supplying servant-leaders as peers to change participants to collaborate on numeric improvements to top-line <a href="https://www.youtube.com/watch?v=95poI68g7-E&amp;index=3&amp;list=PLcF9BigzPGr3Fsema6jErOT8xwz0HR7NU" target="_blank">business throughput</a>.</p>
<p>That's the intent of <a href="https://www.linkedin.com/pulse/fixed-price-agile-transformation-peter-merel/" target="_blank">self-propagating transformation</a>. But how do you track it? Prioritise it? Optimise it? If you can't put it on a kanban and pull it toward Done, day by day, it's just more "no touch" mastery. How to go about the pragmatics will be the subject of the next post in this series: the <em>Seven Samurai Kanban</em>. If you can't wait for that post, there's a slide deck after one last glimpse of my teahouse:</p>

<blockquote>
  The Teahouse, Limpinwood, Australia
</blockquote>

<h2>Further Reading</h2>
<p>A vast body of tea literature has descended from the writings of Joo, Soji, Oribe and whoever wrote Namporoku. For reasons I hope are now clear, none of it should be taken seriously. But if you're interested in digging into tea history, here are some great sources:</p>
<ol>
 <li><a href="https://scholarspace.manoa.hawaii.edu/bitstream/handle/10125/9891/uhm_phd_9604172_r.pdf?sequence=1" target="_blank" rel="nofollow noopener">Furuta Oribe: Iconoclastic Guardian of Chanoyu Tradition</a>. Julia Nakano-Holmes's groundbreaking PhD dissertation on samurai tea.</li>
 <li><a href="https://terebess.hu/tea/The-Ideologies-of-Japanese-Tea.pdf" target="_blank" rel="nofollow noopener">The Ideologies of Japanese Tea</a>, Tim Cross's fascinating guide to the use of the Rikyu myth in the 20th and 21st centuries.</li>
 <li><a href="http://chanoyu-to-wa.tumblr.com/archive" target="_blank" rel="nofollow noopener">Chanoyu To Wa</a>, Daniel Burkus' huge and wonderfully unorthodox collection of deep research into the formative texts of Japanese tea</li>
</ol>
