title: Sync/Backup workshop at Redecentralize Conference
url: http://www.flourish.org/2015/11/syncbackup-workshop-at-redecentralize-conference/
hash_url: 7f85d546876c46abbc8a4092e55bbd5a

<p>The fabulous <a href="http://redecentralize.org/conference/">Redecentralize Conference</a> was organised by <a href="http://shevski.com/">Ira</a> and a bunch of other volunteers. Its subject &#8211; how do we make the net resilient, private and fun again?</p>
<p>It was an unconference, so I decided to do a session on a personal itch I&#8217;ve had for the last few years &#8211; file synchronisation and backup.</p>
<p>I don&#8217;t have a nice way to manage my files &#8211; documents, music, photos, email. Syncing them across devices and keeping them backed up seems strangely harder than it did in the 1990s. At least, if you don&#8217;t just go all in and trust Google or Dropbox with them.</p>
<figure id="attachment_1573" style="width: 600px;" class="wp-caption aligncenter"><a href="https://twitter.com/ggbozzo/status/655306731052994560"><img class="wp-image-1573 size-full" src="http://www.flourish.org/wordpress/wp-content/uploads/2015/11/CRgd_JXXIAEa2ih.jpg" alt="Redecentralize Conference" width="600" height="450" /></a><figcaption class="wp-caption-text">Photo by Luigi Bozzo</figcaption></figure>
<p>The idea of the workshop was to find out what decentralized software technical people actually use every day for syncing and backing up their files.</p>
<p>We wrote down all the tools on cards, and voted with sticky notes if we used them. I was hoping there was some amazing tool based on newish technology like Distributed Hash Tables that I could use. There wasn&#8217;t.</p>
<p>So here&#8217;s the tools geeks use, working up to the favourite at the end.</p>
<h2><a href="https://syncthing.net/">Syncthing</a> (0 votes)</h2>
<p>This is one of the few actually peer to peer tools which came up &#8211; it directly syncs files between devices. Lots of people mentioned it, which is why it got a card even with no votes. Alas, none of us use it day to day. It just isn&#8217;t mature enough. Every six months I try it again, hit an unsolvable problem and revert to <a href="https://www.getsync.com/">BitTorrent Sync</a>. They&#8217;re <a href="https://github.com/syncthing/syncthing/graphs/contributors">working hard</a> to improve Syncthing, and I&#8217;m sure would welcome more help.</p>
<h2><a href="https://photobackup.github.io/">PhotoBackup</a> (1 vote)</h2>
<p>Looks like a nice solution to get files off your camera phone and onto your own server. It&#8217;s a pain that it needs a special server to post the files to &#8211; I&#8217;d like it more if I could configure it to just use SCP (see the SSH section below).</p>
<h2><a href="https://bombich.com/">Carbon copy cloner</a> (1 vote), <a href="https://en.wikipedia.org/wiki/Time_Machine_%28OS_X%29">Time Machine</a> (2 votes)</h2>
<p>A few people recommended proprietary Mac tools. They considered them decentralized, because they keep the backups on their own multi-terabyte hard drives at home, rather than putting them in one central cloud. No doubt they&#8217;re polished and easy to use &#8211; I still use <a href="http://www.code42.com/crashplan/">CrashPlan</a> on an old Mac for that reason! Alas, they&#8217;re no good if you have even one device with another operating system.</p>
<h2><a href="https://owncloud.org/">ownCloud</a> (2 votes)</h2>
<p>This self-hosted email/calendar/contacts/file sync tool is a powerful combination. Surprisingly few people use it. My theory is that it tries to do too much itself, and does none of it quite well enough. I found it too slow, clunky, and unconvincing to trust my most valuable data to. I&#8217;m optimistic that it&#8217;ll continue to improve.</p>
<h2><a href="http://duplicity.nongnu.org/">duplicity</a> (2 votes)</h2>
<p>While researching backup for myself, I find price is a constant frustration. All the most open ones require a server with a live disk mounted on it. S3, an Amazon service that can just store blobs, is considerably cheaper. It&#8217;s even cheaper than Dropbox, which is <a href="https://www.quora.com/Why-does-Dropbox-still-use-Amazon-S3-to-store-data-instead-of-building-its-own-data-center">built on top of S3</a> and adds a margin!</p>
<p>A couple of people at the workshop took advantage of this price while keeping privacy by using duplicity. It encrypts files and stores them in S3. I find that a bit of a cheat &#8211; some control is still lost, it isn&#8217;t resilient. As economies of cloud storage scale even more, I&#8217;m open to changing my mind!</p>
<h2><a href="https://www.tarsnap.com/">Tarsnap</a> (2 votes)</h2>
<p>This technically excellent Unix backup tool also uses S3 behind the scenes. It is by all accounts easy to set up, fast and powerful. My one concern is that it is too dependent on its founder Colin Percival. You really want backup software to have a whole community maintaining it, or a strong company with incentives to keep the service running. Or it won&#8217;t be there when you really need it.</p>
<h2><a href="http://www.openssh.com/">SSH</a> (4 votes)</h2>
<p>People using SSH probably overlap with the rsync people below, or they were using scp or bup or unison or something similar. All of these excellent command line sync and backup tools need a protocol to send files remotely, and that&#8217;s SSH. Stalwart, and to this day what geeks use to write data remotely from automated processes. It&#8217;s that basic writing functionality which I want some funky new DHT to improve.</p>
<h2><a href="http://rsnapshot.org/">rsnapshot</a> (5 votes), <a href="https://rsync.samba.org/">rsync</a> (1 vote)</h2>
<p>It&#8217;s hard now to remember how revolutionary rsync was when it came out (apparently in 1996!). Rolling checksums make file copying fast the second time, enabling all sorts of new backup and sync possibilites. The raw technology idea was <a href="https://dl.dropboxusercontent.com/u/27532820/app.html">vital to Dropbox&#8217;s genesis</a>. Nearly everyone at the workshop used rsync via <a href="http://rsnapshot.org/">rsnapshot,</a> a layer which can backup whole machines and archive their history.</p>
<h2><a href="http://www.git-scm.com/">git</a> (6 votes), <a href="http://www.git-annex.org/">git-annex</a> (1 vote)</h2>
<p>I use git with an auto-commit script to keep important text documents. One workshop member used git-annex, making even large files not a problem. It&#8217;s very geeky, but it&#8217;s very reliable &#8211; history and checksums and decentralization make it very hard to lose data. It does two way sync, but unlike Dropbox actually merges the files.</p>
<p>A key problem for me with this is that Android support is woeful. In the end, I fix that with a nasty hack &#8211; I use BitTorrent Sync to transfer a directory on my phone to a server, and have a script there which merges and commits.</p>
<p>Thinking about it, git is the biggest obvious opportunity which came from this workshop. Just as Dropbox was built on rsync technology, could something very user friendly be built on top of git, for the purpose of personal document syncing? Add a peer-to-peer <a href="http://git-scm.com/book/en/v2/Git-Internals-Transfer-Protocols">transfer protocol</a>, a beautiful GUI, three way merge of Word documents&#8230; The internals built by Linus would make it robust and reliable.</p>
<figure id="attachment_1577" style="width: 622px;" class="wp-caption aligncenter"><a href="https://commons.wikimedia.org/wiki/File:Backup_Backup_Backup_-_And_Test_Restores.jpg"><img class="size-full wp-image-1577" src="http://www.flourish.org/wordpress/wp-content/uploads/2015/11/622px-Backup_Backup_Backup_-_And_Test_Restores.jpg" alt="Why you might want to decentralize your files" width="622" height="600" /></a><figcaption class="wp-caption-text">Why you might want to decentralize your files</figcaption></figure>
<h2>OS file browser + standard protocols (1 vote)</h2>
<p>At the end I asked the room, &#8220;who is happy with their solution?&#8221;. Only one person put their hand up. She had tried every nerdy backup tool imaginable, and abandoned them all.</p>
<p>Instead, she keeps files on her computer and her relative&#8217;s computer. If she&#8217;s making a document she cares about, she transfers it by USB stick between the computers, to make sure there are multiple copies in different places. And that&#8217;s it.</p>
<p>Unsophisticated? Not at all. Way easier than backing up paper. Understandable by anyone. Full control. Cheap.</p>
<h1>Conclusions</h1>
<p>Thanks to everyone who came to the workshop. I was disappointed that there wasn&#8217;t a solution to my problem. However, I learnt several valuable things, including one to improve what I do in the short term.</p>
<p><strong>I need my own (virtual) server (again)</strong> &#8211; there were several folk from <a href="https://www.bytemark.co.uk/">Bytemark</a> at Redecentralize. They made me realise that I had been trying for a while to not need my own server. Alas, the fully distributed solutions just aren&#8217;t good enough yet. You need something you can make web requests to and SSH to if you want to use OwnCloud, git, ssh or rsync. It&#8217;s a relief to accept this.</p>
<p><strong>Simple is better, sometimes</strong> &#8211; the happiest person was doing manual file copying like you would have done before &#8220;the cloud&#8221; in the 1990s. It&#8217;s obvious to non geeks, don&#8217;t be afraid of doing this. Of course, you accept downsides, but you gain upsides of simplicity and peace of mind.</p>
<p><strong>Someone will win with an inspiring UI on top of Git</strong> &#8211; merging of text files, robust history, fast and reliable. There are fundamental technical reasons why git is good for some of this stuff. Just as Dropbox used rsync technology and brought it to hundreds of millions, one day somebody will bring these benefits of git to the world.</p>
<p><strong>We need low level distributed storage / naming</strong> &#8211; personal servers running Dropbox clones will keep us going for a while, but at the end of the day this worrying about servers, about named computers, is part of the problem. At some point, a distributed file storage will take off. <a href="http://maidsafe.net/">IPFS</a> is exciting, although it has no charging mechanic so can never be &#8220;fire and forget&#8221;. My best hope right now is <a href="http://maidsafe.net/">MaidSafe</a>. When they ship!</p>
<p><strong>There is a market for a geeky command line sync/backup tool</strong> &#8211; despite all the open alternatives, nothing works well enough that it has dominated the market. I&#8217;m confident that technical people haven&#8217;t solved this problem for themselves, and want it solved. Powerful interfaces can then be built on that stable base.</p>
<p>I&#8217;d love to hear your thoughts and ideas in the comments below!</p>
