title: Everything is Amazing, But Nothing is Ours
url: https://alexdanco.com/2019/10/26/everything-is-amazing-but-nothing-is-ours/
hash_url: 83928917b2696111caabdeb514722b7f

<p>Back in 2015, I wrote a blog post called <a href="https://alexdanco.com/2015/08/24/dropbox-the-first-dead-decacorn/">Dropbox: the First Dead Decacorn</a>. At the time, it was the most widely shared take I’d ever written. I learned several things from writing this piece, and none of them had to do with Dropbox: I learned, for instance, that a great way to get people to click on your blog post is to make them mad. I also learned about a company called Social Capital, after my soon-to-be-colleague Ray reached out to me about what I’d written. I’m certainly thankful I wrote it.  </p>



<p>Today, Dropbox is not dead. I’m glad! I certainly never <em>wanted</em> the business to do poorly. I used it all the time back then, continue to have friends who work there, and generally would rather not cheer for companies to fail; that’s not a great look. But I think it’s fair to say that the take didn’t turn out to be egregiously wrong. (Dropbox had last raised at a $10 billion valuation the year before, and currently trade at an 8 billion dollar market cap. So over the last five years that’s a -4% annual return, compared to the S&amp;P at around 10%. Not dead, but hardly what I think most people pictured the next 5 years to be like.) </p>



<p>Relatedly, I do believe that the main idea in the blog post turned out to be correct. Dropbox was the ultimate file product. But it also hit right at Peak Files. Files aren’t the focus going forward. At the time, I wrote: </p>



<p><em>“Files are discrete objects that exist in a physical place; the internet is pretty much the opposite of that. … Dropbox might be the pinnacle of file management, but Slack is the beginning of what comes next. I don’t think files are going to completely disappear; not anytime soon, anyway. They’ll certainly still exist as data structures, deep inside our servers and our phones, for a very long time – and yet most people will be indifferent to their existence.” </em></p>



<figure class="wp-block-image size-large"><img data-attachment-id="1035" data-permalink="https://alexdanco.com/dropbox/" data-orig-file="https://alexdanco.files.wordpress.com/2019/10/dropbox.jpg" data-orig-size="856,442" data-comments-opened="1" data-image-meta="{&quot;aperture&quot;:&quot;2.4&quot;,&quot;credit&quot;:&quot;&quot;,&quot;camera&quot;:&quot;Nexus 5&quot;,&quot;caption&quot;:&quot;&quot;,&quot;created_timestamp&quot;:&quot;1440440340&quot;,&quot;copyright&quot;:&quot;&quot;,&quot;focal_length&quot;:&quot;3.97&quot;,&quot;iso&quot;:&quot;529&quot;,&quot;shutter_speed&quot;:&quot;0.04407099952757&quot;,&quot;title&quot;:&quot;&quot;,&quot;orientation&quot;:&quot;1&quot;}" data-image-title="dropbox" data-image-description="" data-medium-file="https://alexdanco.files.wordpress.com/2019/10/dropbox.jpg?w=300" data-large-file="https://alexdanco.files.wordpress.com/2019/10/dropbox.jpg?w=700" src="https://alexdanco.files.wordpress.com/2019/10/dropbox.jpg?w=856" alt="" class="wp-image-1035" srcset="https://alexdanco.files.wordpress.com/2019/10/dropbox.jpg 856w, https://alexdanco.files.wordpress.com/2019/10/dropbox.jpg?w=150 150w, https://alexdanco.files.wordpress.com/2019/10/dropbox.jpg?w=300 300w, https://alexdanco.files.wordpress.com/2019/10/dropbox.jpg?w=768 768w" sizes="(max-width: 856px) 100vw, 856px"/></figure>



<p>I got to thinking about all this the other week after hearing news that <a href="https://www.vice.com/en_us/article/8xwe9p/yahoo-groups-is-winding-down-and-all-content-will-be-permanently-removed">Yahoo Groups was shutting down</a>, and wiping out two decades of content – sending online communities and archivists into a scramble to preserve their spaces and history before it all disappears. It’s a huge bummer, for sure; and also a reminder of a hidden price we pay for modern technology. Everything is amazing, but nothing is ours.  </p>



<p>Up until the mid 2000s or so, it felt like the collective goal of software and the internet was to create digital versions of all the stuff that worked well in real life – documents became Word, slides became Powerpoint, and mail became email. It’s also why files are called files, and why we got rid of them by dragging them into the trash can. Software was pretty <a href="https://www.interaction-design.org/literature/topics/skeuomorphism">skeuomorphic</a> in design and in function. The file as an atomic unit for productivity made sense. It’s a solid, distinct object you could understand, and that was yours. You had to take care of it, name it properly, and save it in the right place, just like a paper file.  </p>



<p>But for the last ten years, we’ve been undoing all of that. The constraints of mobile, plus a new generation of users that’ve never really known life without the internet, meant the benefits of skeuomorphism were no longer worth the cost. Ditching it as a philosophy, both in design and in function, freed us to go out and reinvent everything as a <em>service.</em> Abstract everything away into databases, links and logic, and provide it as a consumer service with all the topology and complexity hidden out of sight.  </p>



<p>We love services. Services free us to be pure consumers, seeking <a href="https://medium.com/social-capital/understanding-abundance-part-1-its-caused-by-consumers-db7abb984e2e">exactly what we want</a> for as little friction and overhead as possible. So long as everything works, trading ownership for access is an attractive deal: everything under the hood just gets magic-ed away, and provided for us as a service. No files, no updates, no maintenance; <a href="https://alexdanco.com/2015/02/02/the-rise-of-the-access-economy/%0A">just access</a>. </p>



<p>This isn’t just a software thing, by the way. New technology generally reorganizes our consumption away from ownership and towards access. 100 years ago, music came from a piano, then it came from the record store, and now it comes from Spotify. 100 years ago, food came from a farm, then it came for a grocery store, and now it comes from DoorDash. There’s no denying that this is forward progress for the consumer. You would not want to go backwards. But there’s a cost. The more you can access, the less it’s yours.  </p>



<p>I joke sometimes that my generation’s version of “Sorry I’m late, the car broke down” is “Sorry I’m late, the car got lost.” It makes me laugh because cars are obviously better than they used to be: they don’t break down like they used to, they’re safer, and best of all, you don’t even have to drive it anymore. You just push the Uber button and somebody comes and picks you up. But it’s also not funny, because we’ve all experienced the particularly modern frustration of seeing the Uber drive in the opposite direction, spin around 4 times, then cancel. Access <em>feels</em> like the real thing, until it’s taken away from you.  </p>



<p>Look, all technology breaks sometimes. I’m not saying that new is bad because it’s buggy; I promise you, the old stuff broke too. You probably do not want to go back. But there’s a difference between “the car broke down” and “the car got lost”. One is a fragility of <em>things</em>: if you drive a car, you need to take responsibility for keeping it in good shape. It’s a scarcity problem. But the latter feels more like an abundance problem: it’s fragility of <em>something,</em> I just couldn’t put my finger on what. </p>



<p>Right as I was thinking about all of this, I came across this fabulous post by Simon Pitt from a couple weeks ago that had the answer. </p>



<p><a href="https://onezero.medium.com/the-death-of-the-computer-file-doc-43cb028c0506">Computer files are going extinct | Simon Pitt</a></p>



<p>The whole post is good, but one thing he wrote hit me as a perfect gem of an idea, not just about files and software systems but about technology in general:  </p>



<p><em>“The other day, I came across a website I’d written over two decades ago. I double-clicked the file, and it opened and ran perfectly. Then I tried to run a website I’d written 18 months ago and found I couldn’t run it without firing up a web server, and when I ran NPM install, one or two of those 65,000 files had issues that meant node failed to install them and the website didn’t run. When I did get it working, it needed a database. And then it relied on some third-party APIs and there was an issue with CORS because I hadn’t whitelisted localhost.</em></p>



<p><em>My website made of files carried on, chugging along. This isn’t me saying that things were better in the old days. I’m just saying that<strong>years ago websites were made of files; now they are made of dependencies</strong>.”</em></p>



<p>The last line really hit a chord with me: that’s exactly it. Worlds of scarcity are made out of things. Worlds of abundance are made out of dependencies. That’s the software playbook: find a system made of costly, redundant objects; and rearrange it into a fast, frictionless system made of logical dependencies. The delta in performance is irresistible, and dependencies are a compelling building block: they seem like just a piece of logic, with no cost and no friction. But they absolutely have a cost: the cost is complexity, outsourced agency, and brittleness. The cost of ownership is up front and visible; the cost of access is back-dated and hidden. </p>



<p>Files feel like a good bellwether for what’s happening. We’re in this funny in-between time right now where our phones are fully in the future: apps are services kind of by definition, and it’s <em>really</em> hard to access the file system. But our computers are still kind of in the past: to me, at least, the two most important navigational anchors on my computer are the desktop and the downloads folder.  </p>



<p>One of the funny outcomes of this half-mobile half-desktop world is where our de facto file system remerged. In absence of a coherent, logical file system across these two worlds, we trampled down a <a href="https://en.wikipedia.org/wiki/Desire_path">desire path</a> and made our own: our email inboxes. I (and many of you, I’m sure) use my email inbox the way we’re all supposed to use Dropbox: it’s a ubiquitous, universally understood way to move stuff around, store and retrieve it. Gmail is the new Finder.  </p>



<p>Email as a file system is inefficient, terribly designed, and full of friction. Repeatedly emailing yourself copy-and pasted information and attachments called presentation_final, presentation_final2 and presentation_final_final is nobody’s idea of a good time. But you know why it works? Dependency minimization. It’s air gapped from the rest of your work: no software update or edge case is going to screw things up so badly that it goes into your inbox and deletes your emails. You can always get to your email, and that attachment will always be there. It’s a universally adopted format. Most importantly, your inbox is <em>yours</em>.  </p>



<p>I think there’s a really strong, counter-trend bet to be made here over the next few tech generations. If the world is going to get reorganized into services and dependencies, so be it; but find what’s air gapped, and find what’s ours. People are smart enough to tell what’s solid and what isn’t. Product teams who go out of their way to give us real, tangible objects we feel that we can own will find a great deal of success.  </p>



<p>One example of a software company doing the right thing today is Figma. They’ve built an incredible user experience for multiplayer design software – a domain that’s been fully SaaSed – by taking <em>out</em> the excessive, “everything must be live access” type of dependencies <a href="https://www.figma.com/blog/how-figmas-multiplayer-technology-works/">in favour of simpler, stabler architecture</a> that works fabulously and feels solid, like something you can trust. Meanwhile, the Bitcoin ecosystem is having a real effect on how people think about ownership versus access, as people learn about how to store and manage their private keys, and by extension, come to realize everything that access isn’t.  </p>



<p>I’m fully confident that we’ll continue to invent great software that reimagines how the world can work. But I’d love to see more teams embrace the idea that less friction isn’t always best. If the current trend of technology is sweeping us in a direction of “everything is amazing, but nothing is ours”, <em>Technology that’s Actually Yours</em> could be the next great counter-trend.  </p>

