title: Les lois naturelles de l’enfant
url: https://www.celinealvarez.org/plasticite-pour-le-meilleur-ou-pour-le-pire
hash_url: 85f366cbdabe0217a6ee79d66d1b5561

<p>L'être humain qui vient de naître commence par emmagasiner les informations du monde extérieur par le canal des sens. Chaque image, chaque interaction, chaque évènement - aussi quotidien soit-il - se fixe dans les fibres de son cerveau en connectant des neurones. Ces connexions de neurones commencent dans le ventre de la mère puis augmentent de façon extrêmement rapide dès la naissance : 700 à 1000 nouvelles connexions par seconde se créent pendant les cinq premières années de la vie.</p>

<img class="" src="https://www.celinealvarez.org/assets/blog/blog/45-f30f6e487ad8bcc71cfd2aa9e0cff7d21714cf2a9aba97382dc5d46040a41741.jpg" alt="45 f30f6e487ad8bcc71cfd2aa9e0cff7d21714cf2a9aba97382dc5d46040a41741"/>

<p>Tout comme le maçon commence par poser les fondations pour construire une maison, le cerveau humain commence par créer des milliers de connexions pour se structurer. Autrement dit, cette période de grande impressionnabilité cérébrale est fondamentale car elle pose les premières pierres du temple de l'intelligence. Et comme toujours, la nature est bien faite : au moment où le cerveau a besoin de ce foisonnement de connexions neuronales pour préparer sa structuration, la nature a doté le jeune enfant d'une passion pour l'exploration. Lorsqu'il touche, attrape, nous appelle, nous étudie, observe le monde avec intensité, son cerveau se construit ; et il est essentiel que nous, adultes, n'entravions pas systématiquement ce besoin constructeur en le<strong> réfrénant pour notre confort ou pour sa sécurité ; <em>"ne touche pas à ça", "reste là", "assieds-toi", "attends-moi"</em>, <em>"tais-toi"</em> etc. </strong>Lorsque nous faisons cela, ce n'est pas l'enfant que nous entravons, mais l'intelligence en train de se construire. Permettons donc à l'intelligence d'explorer et de réaliser des milliards de connexions.</p>

<h4 class="text-center fonttiempos">Oui, des milliards.</h4>

<p>Donnons-nous une échelle de grandeur en comparant le cerveau de l'enfant avec le réseau internet mondial. Lorsque deux neurones se connectent, cela s'appelle une<strong> synapse.</strong> Lorsque deux pages web se connectent, cela s'appelle un hyperlien. Qui a le plus de connexions ? Internet ? L'enfant ? Internet possède évidemment une quantité époustouflante de connexions (100 000 milliards d'hyperliens). Mais tenez-vous bien, le cerveau de l'adulte en possède le triple (300 000 milliards de connexions synaptiques) et l'enfant, lui, est doté de 10 fois plus de connexions qu'Internet : <strong>1 million de milliards de connexions synaptiques. </strong>Tout ce qu'il perçoit dans son environnement - absolument <em>tout - </em>crée une connexion.</p>

<img class="" src="https://www.celinealvarez.org/assets/blog/blog/44-4f40b4266a4f7d005530f713108c2bcce58c229e223e5744a927c5d5ed735bbe.jpg" alt="44 4f40b4266a4f7d005530f713108c2bcce58c229e223e5744a927c5d5ed735bbe"/>


<p>Le cerveau humain se structure donc littéralement <i>avec</i> son environnement. Les conséquences d'un environnement peu nourrissant ou violent lors de cette période seraient dramatiques pour sa structuration. Parce que, nous l'avons dit, le cerveau se structure à partir de ce qu'il reçoit. Et s'il reçoit peu, il se développe mal. Le drame des orphelins de <a href="http://www.ncbi.nlm.nih.gov/pmc/articles/PMC4158102/" target="_blank">Bucarest</a> l'illustre bien. Après la chute du dictateur roumain Nicolae Ceaucescu, les orphelinats institutionnels et leurs conditions atroces d'accueil des enfants ont été découverts. Les bébés étaient laissés à eux mêmes pendant des heures dans des lits à barreaux, entassés à plusieurs, et parfois sans voir la lumière du jour. Leur contact avec les adultes était réduit au minimum : une soignante chargée de 20 enfants assurait nourriture et hygiène mais sans plus d'interactions avec eux. <b>Le cerveau humain, privé du monde au moment où il devrait s'en nourrir, ne se développe pas correctement ; il n'atteint pas même un volume normal.</b> Ces enfants, bien qu'alimentés quotidiennement d'un point de vue organique, souffraient d'une véritable famine psychique. Il va donc sans dire qu'un manque lors de cette période abime les potentiels ; car de la même façon que des fondations fragiles compromettent la stabilité d'une maison, de faibles circuits neuronaux créés par le bébé altèrent l'architecture cérébrale de l'adulte qu'il sera. Lors de cette première période de la vie, le cerveau se nourrit du monde. Offrons-le lui.</p>


<h4 class="text-center fonttiempos">L'étape du tri.</h4>


<p>Après avoir recueilli ses 1 million de milliards de connexions et avoir coiffé au poteau le réseau internet mondial, le cerveau humain commence à faire le ménage. N'oublions pas que grandir c'est passer de 1 million de milliards de synapses à 300 000 milliards. Les connexions les moins utilisées, qui codent les expériences les moins répétées, vont progressivement s'affaiblir, et être éliminées. A l'inverse, les connexions les plus souvent utilisées, et qui codent les expériences les plus souvent vécues par l'enfant, vont se renforcer. On appelle cela <strong><em>l'élagage synaptique.</em></strong> Mais attention, dans ses coupes synaptiques, le cerveau ne regarde pas la qualité de ce qu'il supprime : il trie en fonction de la fréquence. Si un enfant a été le plus souvent exposé à un vocabulaire très familier, et même si de temps en temps il a pu entendre des personnes s'exprimant avec un langage plus soutenu, le cerveau renforcera la trace des mots qu'il entend le plus souvent.</p>

<img class="" src="https://www.celinealvarez.org/assets/blog/blog/44-4f40b4266a4f7d005530f713108c2bcce58c229e223e5744a927c5d5ed735bbe.jpg" alt="44 4f40b4266a4f7d005530f713108c2bcce58c229e223e5744a927c5d5ed735bbe"/>


<p>Grandir c'est donc perdre les deux tiers de ses possibilités, et renforcer le tiers le plus utilisé. Une <a href="http://www.jneurosci.org/content/32/33/11159.full">étude</a> montre qu'à 9 mois, le cerveau de l'enfant réagit encore à <em>tous les sons de toutes les langues du monde</em> lorsqu'on lui présente. Mais à 12 mois, le cerveau humain ne réagit plus qu'aux sons de la langue de son environnement. En plus d'être précoce, la nature est ponctuelle : A 9 mois passe encore, mais à 12 mois, terminé les super pouvoirs : l'enfant n'entend plus tous les sons de toutes les langues du monde, il devient spécialiste de la sienne. <strong>Grandir c'est se spécialiser</strong>. L'adulte n'est pas moins intelligent, il est <em>spécialisé</em> : <strong>spécialisé dans sa langue, dans sa culture, dans sa pensée, dans ses comportements sociaux, etc. Et vivre avec l'enfant, c'est participer à sa spécialisation. </strong>Nos façons de parler, de réagir, ce que nous faisons avec lui ou devant lui, va littéralement participer au <em>câblage</em> de son cerveau.</p>

<h4 class="text-center fonttiempos">0-2 ans : période critique</h4>


<p>A 1 an donc, le cerveau a déjà effectué des coupes radicales. Un an plus tard, à deux ans, il a dégagé les fondations de son architecture cérébrale. Et il l'a fait à partir des expériences les plus fréquentes, et ce, qu'elles soient positives ou négatives. Ces structures fondamentales deviennent ensuite de plus en plus difficiles à <em>remodeler</em>. <a href="/all-you-need-is-love/">Les études de Philadelphie et de Bucarest</a> le montrent : alors que la résilience est encore possible si l'enfant est changé d'environnement avant ses deux ans (même après avoir traversé des conditions extrêmes), elle l'est beaucoup moins si l'enfant est changé d'environnement après ses deux ans. Dans ce cas, le cerveau conserve de graves séquelles. Bien sûr, le cerveau évolue et crée de nouvelles connexions toute la vie, mais la plupart du temps, il devra composer avec la qualité des fondations construites pendant la toute petite enfance. <strong>Il est donc primordial de porter une attention particulière à cette période critique, c'est à dire avant que le cerveau de l'enfant ne soit trop spécialisé.</strong></p>


<h4 class="fonttiempos">Et donc c'est quoi concrètement la <em>plasticité cérébrale</em> ?</h4>


<p>C'est ce <strong>processus continu et dynamique</strong> <strong>de <em>création</em>, de <em>renforcement</em> et d'<em>élimination</em> de connexions synaptiques</strong>. Ce processus commence avant la naissance et se poursuit avec beaucoup de puissance les premières années de la vie pendant lesquelles il pose les fondations de l'architecture cérébrale. La plasticité diminue ensuite progressivement, avec une baisse très nette à la puberté. Mais elle se poursuit tout de même à l'âge adulte. Le cerveau continue constamment de créer de nouveaux circuits, et c'est ce qu'il fait pendant que vous lisez cet article.</p>


<h4 class="fonttiempos">Que doit-on retenir ?</h4>

<p>Que nous possédons un fonctionnement cérébral exceptionnel, mais aussi puissant que soit ce mécanisme plastique, il est conditionné par l'environnement extérieur. La première période de la vie est donc en cela à la fois une période de grande opportunité et de grande vulnérabilité. Chaque expérience compte : positive ou négative. Face à cela, un impératif social émerge : nous, adultes, avons la responsabilité de fournir à l'être humain qui vient de naître <strong>les conditions qui lui offrent le meilleur, et qui lui évitent le pire.</strong></p>
<h5>Pour approfondir :</h5>
<p>Center of the Developing Child - Harvard University</p>
<p>Fondements cognitifs des apprentissages scolaires - Collège de France.</p>
<p>Éducation, plasticité cérébrale et recyclage neuronal - Stanislas Dehaene.</p>
<p>TED book Brain power : from neurons to networks - Tiffany Shlain</p>
