title: Du S3C hiérarchique au S4C holarchique
url: http://pedagogieagile.com/2015/02/25/du-s3c-hierarchique-au-s4c-holarchique/
hash_url: 8d343d1a9ec2e9a2ef801fb9074b1a9f

<p>Voici mon point de vue sur le concept de Socle Commun.</p>
<p>En 2005 : apparition du Socle Commun des Connaissances et des Compétences, le S3C.</p>
<p>En juin 2014 puis en février 2015 : création du projet du Socle Commun des Connaissances, des Compétences et de Culture, le S4C.</p>
<p><em><strong>Le S3C.</strong></em></p>
<p>Le S3C est construit à l’aide de 7 piliers que l’on pourrait représenter ainsi.</p>
<p><a href="https://pedagogieagile.files.wordpress.com/2015/02/socle20051.jpg"><img class="aligncenter size-large wp-image-1460" src="https://pedagogieagile.files.wordpress.com/2015/02/socle20051.jpg?w=529&amp;h=276" alt="socle20051"/></a></p>
<p>Comme on le voit, ces piliers sont alignés les uns à côtés des autres. Ils pourraient ressembler à 7 ministères, autonomes, régissant chacun le parcours des élèves. Il faudrait forcer ces 7 piliers pour qu’ils travaillent ensemble car l’interdisciplinarité, vue ainsi, ne va pas de soi. Ce socle est donc plutôt bureaucratique, analytique, recherchant un utilitarisme et ne propose guère une vision enthousiasmante de l’apprentissage comparativement au S4C. Cependant, ce S3C m’a bien aidé en 2007, date à laquelle j’ai débuté mon émancipation, pour commencer à construire le parcours de ma propre formation. Je suis heureux de le quitter pour tendre maintenant vers le S4C.</p>
<p>Tout d’abord, quatre difficultés majeures constatées à propos de la mise en place du S3C de 2005.</p>
<p><strong>En premier lieu, quelle vision systémique ?</strong></p>
<p>Un élément important à prendre en compte : le socle possède une énergie potentielle ; il est inerte. Seul, il n’a aucune valeur, comme d’ailleurs le programme et l’élève. Inerte car on peut laisser le texte du S3C posé sur une table au milieu d’un groupe d’élèves, il ne se passera rien. Le texte a besoin d’un expert, un pédagogue, qui a la responsabilité de décoder l’information (inerte) du Socle dans le but de créer des situations, ou des environnements, propices à des apprentissages. C’est lui également qui a la responsabilité de l’évaluation des améliorations des capacités cognitives de chaque élève. Je reprends ici l’idée donnée par Pierre-Henri Gouyon dans <a href="http://www.editionsladecouverte.fr/catalogue/index-Fabriquer_le_vivant__-9782707169860.html" target="_blank">Fabriquer le vivant</a> lorsqu’il dit  » <em>Mon exemple favori pour illustrer ce point est celui de la recette de cuisine qui va permettre de fabriquer une tarte aux pommes : on part d’une chose amorphe (le livre de recettes), que le cuisinier va lire (décoder) pour produire une entité matérielle (la tarte aux pommes)</em>. » Par conséquent, l’élément primordial dans la transmission de l’information puis dans la réussite du processus demeure plus que jamais le pédagogue (ses connaissances, ses savoirs, ses compétences, sa culture), comme le ribosome lorsqu’il transforme (transduit, traduit) les informations de l’ADN/ARN en protéines. Pour prolonger l’image, en tentant la botanique et un peu de Darwinisme, j’ajoute que l’on ne peut pas comprendre chaque orchidée si on ne lui associe pas son insecte butineur : c’est l’association de ces deux espèces totalement différentes qui prolonge l’orchidée et lui donne sens.</p>
<p>En somme, sortir du cadre habituel d’observation, de réflexion, de raisonnement.</p>
<p>Pour sa mise en oeuvre, le S3C a donc besoin d’un pédagogue, d’un programme de savoirs, et d’un apprenant. C’est donc bien la mise en relation cohérente par l’enseignant du socle, du programme et de l’élève qui permet de créer une dynamique, indépendante de l’enseignant.</p>
<p>Le socle ne peut être ni confondu avec le programme ni avec l’apprenant. Le socle n’est pas un sous-programme, ni un élève réel, ni un élève idéal ou fantasmé. Le socle est le socle. L’écueil majeur consiste à plaquer les valeurs du socle sur l’élève et à reprocher à l’élève de ne pas être en accord avec ce qui est écrit. D’ailleurs, c’est déjà ce qui est fait avec le programme.</p>
<p>Ne pas considérer l’apprentissage comme un ensemble complexe, dans sa globalité, ne permet pas de prendre en compte les flux, c’est-à-dire les liens qui construisent les connaissances.</p>
<p><strong>Second difficulté :  quelle prise en compte des flux ?</strong></p>
<p>Le rythme du S3C et le rythme du programme semblent être opposés, du moins leur flux ne sont synchrones. De plus, socle, programme et élève ne possèdent pas le même rythme, ni les mêmes objectifs. En effet, les programmes représentent un savoir, un résultat. Le socle de compétences lui représente un processus grâce auquel on peut construire des connaissances pour comprendre les informations implicites du monde. Ainsi la masse de savoirs donnée le programme et par le socle est bien supérieure aux possibilités cognitives d’un élève. Si un enseignant peut consacrer quelques minutes pour aborder un savoir nouveau, il faudra en revanche des heures (des mois ?) pour que l’élève puisse le décoder, le transcrire, l’utiliser, le maîtriser et être compétent. Il s’agit donc d’employer l’énergie des conflits et des contradictions, et non pas d’éliminer les conflits et les contradictions : le système permettant au socle et au programme d’exister c’est l’élève.</p>
<p><strong>Une troisième difficulté : quelle statut pour l’exigence demandée par chaque élève ?</strong></p>
<p>Chaque année, l’immense majorité des élèves me répond : « <em>je viens au collège pour apprendre, pour progresser</em>« . Comment faire prendre conscience à l’ensemble des enseignants, des parents, que le socle est un moyen pour mettre en oeuvre les programmes, et que cette mise en oeuvre est prise en charge par un élève avec l’aide d’un enseignant. En d’autres termes, il s’agit considérer que c’est à l’élève de faire le chemin, dans des situations, pour construire ses connaissances, à son rythme, et avec courage.</p>
<p>Mais la masse de savoirs du programme à mettre en oeuvre semble empêcher de considérer l’élève comme étant l’objectif de l’enseignement. C’est dommage car notre but, me semble-t-il, est de trouver un équilibre d’énergie entre la transmission des savoirs et la pédagogie : l’enseignant apprend de l’élève qui apprend. Le summum de l’antipédagogie ne serait donc pas forcément d’ignorer la pédagogie, et donc l’élève, mais consisterait pour un enseignant de passer son temps à créer son manuel de savoirs à destination de ses élèves ; heureusement, aucun enseignant n’est assez stupide pour perdre son temps de cette manière.</p>
<p>La non prise en compte des exigences de l’élève, du fait qu’il construit ses connaissances, savoirs et compétences dans des situations est préjudiciable pour une vision partagée.</p>
<p><strong>Une quatrième difficulté : quelle vision partagée ?</strong></p>
<p>Chaque enseignant devraient s’approprier les 7 piliers du S3C, sans en éliminer. Il me semble que pour aller au-delà de la pluridisciplinarité (juxtaposition) et créer de l’interdisciplinarité (inclusions), il faudrait connaître un minimum les savoirs et méthodes employées dans chacune des disciplines. Dans toutes les réunions et stages auxquels j’ai assisté, il était de tradition de choisir ses piliers en fonction de sa discipline et dans les piliers, choisir les items qui « évoquaient le plus notre discipline ». Ainsi, deux possibilités :</p>
<ul>
<li>soit voir les 7 piliers du socle de manière hiérarchique</li>
</ul>
<p><a href="https://pedagogieagile.files.wordpress.com/2015/02/socle20052.jpg"><img class="aligncenter size-large wp-image-1459" src="https://pedagogieagile.files.wordpress.com/2015/02/socle20052.jpg?w=529&amp;h=277" alt="socle20052"/></a></p>
<ul>
<li>soit choisir les compétences, les hiérarchiser puis éliminer les items encombrants</li>
</ul>
<p><a href="https://pedagogieagile.files.wordpress.com/2015/02/socle20053.jpg"><img class="aligncenter size-large wp-image-1458" src="https://pedagogieagile.files.wordpress.com/2015/02/socle20053.jpg?w=529&amp;h=276" alt="socle20053"/></a></p>
<p>Par exemple, il est même possible de voir dans des manuels scolaires de français une élimination des compétences scientifiques.</p>
<div id="attachment_1457" class="wp-caption aligncenter"><a href="https://pedagogieagile.files.wordpress.com/2015/02/s3cmanuel.jpg"><img class="size-medium wp-image-1457" src="https://pedagogieagile.files.wordpress.com/2015/02/s3cmanuel.jpg?w=224&amp;h=300" alt="manuel scolaire de français"/></a><p class="wp-caption-text">manuel scolaire de français</p></div>
<p>Franchement, est-il vraiment possible de placer un élève, en cours de littérature ou de grammaire, dans une situation d’apprentissage afin que des compétences puissent émerger sans aucune démarche d’investigation ? Je reste perplexe.</p>
<p>Le socle ne peut être confondu avec le programme.</p>
<p>L’idée du socle est tout le contraire. Il fallait donc l’améliorer afin que chacun puisse se l’approprier, le partager, l’utiliser.</p>
<p>En juin 2014 puis en février 2015, amélioration du S3C par le S4C, le Socle Commun des Connaissances, des Compétences et de Culture. Il est commun à tous : élèves, enseignants, parents, citoyens.</p>
<p><em><strong>Le S4C.</strong></em></p>
<p><a href="http://cache.media.education.gouv.fr/file/CSP/05/7/Projet_de_socle_commun_de_connaissances,_de_competences_et_de_culture_12_fev_15_392057.pdf" target="_blank">Le S4C de février 2015</a> est présenté sous 5 domaines. Il représente une orientation pour une culture commune, une forme de pari, un ambitieux et stimulant levier.</p>
<p>A l’inverse du S3C, il propose des domaines qui ne sont pas hiérarchisés et c’est, je crois, sa force car il est, cette fois-ci, impossible d’éliminer un domaine en fonction de sa discipline d’enseignement.</p>
<p>Ces domaines ont des niveaux de complexité croissante. Ils s’incluent les uns dans les autres. Il ne s’agit plus d’une hiérarchie, mais d’une holarchie.</p>
<p>Le premier domaine est inclu dans le second domaine, ces deux domaines sont inclus dans le troisième, qui est inclu dans le quatrième ; le cinquième et dernier niveau englobe les quatre niveaux. Il s’agit d’une forme d’emboîtement, ou de poupées russes. Cependant la notion d’emboîtement ne permet pas de comprendre que si on élimine le premier niveau, cette élimination à pour conséquence de provoquer l’élimination de tous les autres niveaux ; ou si on élimine le second niveau alors les trois niveaux supérieurs n’existent plus. Cette holarchie permet une tension structurante. Le niveau 5, « représentation du monde et activité humaine, est alimenté par le niveau 1, Langages pour penser et communiquer, et il alimente le niveau 1.  Cette boucle récursive permet au système de trouver sa cohérence. Cette structure donne une direction. Cette direction est une culture.</p>
<p>Je pourrais donc représenter le S4C ainsi, avec le premier domaine en bleu au centre des quatre autres domaines aux couleurs de plus en plus chaudes :</p>
<p><a href="https://pedagogieagile.files.wordpress.com/2015/02/projet-socle-fevrier-2015.jpg"><img class="aligncenter size-large wp-image-1478" src="https://pedagogieagile.files.wordpress.com/2015/02/projet-socle-fevrier-2015.jpg?w=529&amp;h=748" alt="projet socle fevrier 2015"/></a></p>
<p><a href="https://pedagogieagile.files.wordpress.com/2015/02/projet-socle-fevrier-2015.pdf" target="_blank">En pdf ici</a></p>
<p>La lecture de ce tableau commence par le niveau bleu. Il est inclu dans les 4 autres domaines. Les langages permettent d’apprendre et de communiquer. Ils ont besoin d’une direction. Elle est proposée par les niveaux supérieurs qui donnent une légitimité (une utilité ?) aux communications et aux créations pour l’apprentissage (niveau 1 – bleu et niveau 2 – vert) : devenir une personne et un citoyen (niveau 3 – jaune) en considérant les systèmes de la naturels et techniques comme complémentaires (niveau 4 – orange) afin de tendre vers une compréhension de la complexité du monde et des concepts (niveau 5 – rouge) , eux-mêmes utilisant les langages et la communication (niveau 1 – bleu).</p>
<p>Le cinquième domaine n’a q’une existence très fragile sans les quatre domaines inférieurs. Il s’agit donc de voir une tension, une énergie, une complémentarité entre les différents niveaux. Chaque domaine est interdépendant des autres, permettant l’apparition de propriétés émergentes créant le domaine supérieur lui-mêle encadré par le niveau qui lui est immédiatement supérieur. C’est ce qui se déroule en grammaire avec le <a title="Pour quelles raisons je ne fais plus aucun cours de grammaire ou de conjugaison, et mes élèves progressent." href="http://pedagogieagile.com/2013/09/25/pour-quelles-raisons-je-ne-fais-plus-aucun-cours-de-grammaire-ou-de-conjugaison-et-mes-eleves-progressent/" target="_blank">grammosome</a>.</p>
<p>De plus, dans chaque domaine, le S4C alterne l’élève présenté autant comme un système individuel créatif que comme un système relié aux autres par la création, dans des environnements structurants et propices aux apprentissages. L’énergie de cette <a title="L’apprentissage est une oscillation créant des structures instables et floues" href="http://pedagogieagile.com/2014/04/22/990/" target="_blank">oscillation</a> est primordiale. Elle permet aussi de donner du sens et de la valeur.</p>
<p>Ce sont les raisons pour lesquelles je trouve ce projet de S4C particulièrement stimulant. J’espère qu’il aura un impact disruptif sur les pédagogies, l’apprentissage des élèves, la formation des enseignants.</p>
<p>Il reste maintenant à attendre les programmes respectifs des différents cycles. Il faudra ensuite apprendre à associer ces futurs nouveaux programmes à ce futur nouveau S4C, en espérant obtenir (<em>c’est un voeu dans une bouteille à la mer</em>) de la part du CSP, le conseil Supérieur des Programmes, le partage de son indispensable bibliographie non exhaustive lui ayant permis de créer ce S4C.</p>
<p>Par la suite, sur le terrain, il conviendra de prendre en compte de <a title="Les valeurs" href="http://pedagogieagile.com/2012/05/12/les-valeurs/" target="_blank">manière agile</a> chaque élève en fonction de ses capacités cognitives, l’associer simultanément au Socle et au Programme, en mettant en place des situations variées grâce à des pédagogies et un management adéquat créant ainsi, espérons-le, une cohérence dans l’ensemble de ces systèmes mis en relation.</p>
<p>Pour finir, puisque, dans une démarche pédagogique holarchique, il ne faut jamais s’éloigner de la maternelle, les germes des programmes sont déjà disponibles <a href="http://eduscol.education.fr/consultations-2014-2015/events/programmes-de-lecole-maternelle/" target="_blank">ici</a>.</p>
