title: Digital pollution
url: https://sivers.org/polut
hash_url: a56645e827e2793eb3e079f2c5ba71a5

<p>
You couldn’t just roll down the street leaving huge piles of garbage everywhere you go, making life slower for everyone as they climb over your mountains of junk, just to get on with their life.
You’d feel bad about it, right?
</p><p>
That’s how I feel about the digital things we put out into the world: websites, apps, and files.
</p><p>
I prefer coding everything by hand, because I don’t like the huge piles of garbage that the automated generators create.
These programs that generate a website, app, or file for you spit out thousands of lines of unnecessary junk when really only 10 lines are needed.
Then people wonder why their site is so slow, and they think it’s their phone or connection’s fault.
</p><p>
Yesterday I needed to make a little vector logo.
Two lines and two triangles.
I tried to use a couple different vector drawing programs but they saved it as hundreds of lines.
I knew it could be simpler, so I read up on SVG and made exactly what I wanted:
</p>
<pre><code>
&lt;svg height=&quot;54&quot; width=&quot;54&quot;&gt;
&lt;defs&gt;&lt;style type=&quot;text/css&quot;&gt;&lt;![CDATA[line,polygon{stroke:black;stroke-width:4} polygon{fill:black}]]&gt;&lt;/style&gt;&lt;/defs&gt;
&lt;line x1=&quot;2&quot; y1=&quot;2&quot; x2=&quot;2&quot; y2=&quot;52&quot; /&gt;
&lt;line x1=&quot;52&quot; y1=&quot;2&quot; x2=&quot;52&quot; y2=&quot;52&quot; /&gt;
&lt;polygon points=&quot;2,2 27,27 2,27&quot; /&gt;
&lt;polygon points=&quot;52,2 27,27 52,27&quot; /&gt;
&lt;/svg&gt;
</code></pre>
<img src="https://sivers.org/images/HitMediaLogo-54.svg">
<p>
Much better!
95% smaller file size, and the joy of making something by hand instead of having it done for me.
But I think my biggest joy is <strong>eliminating the digital pollution</strong> that the auto-generated one created.
It makes everything faster, easier, and cleaner for anyone involved.
95% less junk over the wires.
</p><p>
Same thing with the EPUB file for my new book.
Today I spent the day creating the EPUB’s XML and XHTML by hand, instead of using a generator.
I love the manual control and again - 90% smaller file size.
</p><p>
This makes me unreasonably happy.
It feels like cleaning up the neighborhood.
Or at least my yard.
</p><p>
(And I love it when people notice how fast my site loads.)
</p>
<img src="https://sivers.org/images/HitMediaLogo-54.png">
