title: La stigmergie: un nouveau modèle de gouvernance collaborative
url: http://www.lilianricaud.com/travail-en-reseau/la-stigmergie-un-nouvelle-modele-de-gouvernance-collaborative/
hash_url: 18f8db73b0fa0869a8868f182190683c

<p><em>Si le modèle concurrentiel crée des redondances et gâche des ressources sur la protection des idées, la publicité et autre, le modèle coopératif gâche beaucoup de temps et de ressources à discuter et à discuter les discussions. Entre ces deux modèles, la stigmergie, une nouvelle méthode <em>de gouvernance </em>inspirée du mode d’organisation des insectes sociaux, pourrait offrir un modèle alternatif plus adapté à la collaboration dans des grands groupes.</em><span id="more-1044"/></p>
<h2>C’est quoi la stigmergie ?</h2>
<p><a href="http://fr.wikipedia.org/wiki/Stigmergie">Définition de la s</a><a href="http://fr.wikipedia.org/wiki/Stigmergie">tigmergie</a> par Wikipédia :</p>
<blockquote><p>La <b>stigmergie</b> est une méthode de communication indirecte dans un environnement émergent auto-organisé, où les individus communiquent entre eux en modifiant leur environnement.</p>
<p>La stigmergie a d’abord été observée dans la nature – les fourmis communiquent en déposant des phéromones derrière elles, pour que d’autres fourmis puissent suivre la piste jusqu’à la nourriture ou la colonie suivant les besoins, ce qui constitue un système stigmergique.</p>
<p>Des phénomènes similaires sont visibles chez d’autres espèces d’insectes sociaux comme les termites, qui utilisent des phéromones pour construire de grandes et complexes structures de terre à l’aide d’une simple règle décentralisée.</p>
<p>Chaque termite ramasse un peu de boue autour de lui, y incorporant des phéromones, et la dépose par terre. Comme les termites sont attirés par l’odeur, ils déposent plus souvent leur paquet là où d’autres l’ont déjà déposé, ce qui forme des piliers, des arches, des tunnels et des chambres.</p></blockquote>
<figure id="attachment_1646" class="wp-caption aligncenter"><a href="http://www.lilianricaud.com/travail-en-reseau/wp-content/uploads/2013/01/termitiere-exemple-stigmergie.jpg"><img class=" wp-image-1646 " src="http://www.lilianricaud.com/travail-en-reseau/wp-content/uploads/2013/01/560x420xtermitiere-exemple-stigmergie.jpg.pagespeed.ic.eqDcbG4S_r.jpg" alt="Termitière, un exemple de travail hautement organisé par un processus stigmergique. Photo prise par Bmdavll et mise à disposition sous License GFDL" width="560" height="420"/></a><figcaption class="wp-caption-text">Termitière, un exemple de travail hautement organisé par un processus stigmergique. Photo prise par <a href="https://en.wikipedia.org/wiki/User:Bmdavll">Bmdavll</a> et mise à disposition sous License GFDL</figcaption></figure>

<h2 lang="en">Application du modèle stigmergique aux organisations</h2>
<p id="firstHeading" lang="en">La théoricienne <a href="http://en.wikipedia.org/wiki/Heather_Marsh">Heather Marsh</a> a écrit un <a href="http://georgiebc.wordpress.com/2012/12/24/stigmergy-2/">article remarquable sur l’application de principes issus de la stigmergie</a> à la collaboration dans des grands groupes et comme une méthode de gouvernance alternative à mi-chemin entre les organisations fonctionnant sur un modèle de compétition celles fonctionnant sur un modèle de coopération.</p>
<p>J’ai récemment participé à la <a href="http://imaginationforpeople.org/wiki/workgroup/animfr/stigmergy">traduction collaborative du texte</a> avec plusieurs autres membres du groupe <a href="http://imaginationforpeople.org/wiki/workgroup/animfr/">AnimFR</a>.</p>
<p>Voici une copie de l’article traduit. Pour améliorer la lisibilité j’ai ajouté quelques titres de sections qui n’étaient pas présent dans le texte original.</p>

<hr/>
<p>Article original: <a href="http://georgiebc.wordpress.com/2012/12/24/stigmergy-2/">Stigmergy</a> par Heather Marsh, traduction collaborative par des membres du <a href="http://imaginationforpeople.org/wiki/workgroup/animfr/">groupe AnimFr</a></p>
<h3>Stigmergie</h3>
<p>(article initialement publié par Heather Marsh <a href="http://georgiebc.wordpress.com/2012/12/24/stigmergy-2/">voir l’article original en anglais</a>)</p>
<p>Cet article fait partie de la série: « Gouvernance et autres système de collaboration à grande échelle »</p>
<p>La stigmergie est un mécanisme de coordination indirecte entre agents ou actions. Le principe est qu’une trace laissée par une action dans l’environnement stimule l’accomplissement de l’action suivante, que ce soit par le même agent ou un agent différent.</p>
<p>De cette façon, les actions suivantes tendent à se et renforcer et bâtir sur l’existant, ce qui conduit à l’émergence spontanée d’une activité d’apparence cohérente et systématique. La stigmergie est une forme d’auto-organisation. Elle produit des structures complexes sans avoir besoin de plan, de contrôle ou même de communication directe entre les agents. – Wikipédia.</p>
<h3>Le problème des organisations actuelles</h3>
<p>Un système basé sur les personnes ne permet jamais de collaboration à grande échelle sans un système de représentation, comme on en voit dans les organisations comme les nations unies. Si nous voulons quitter le système de représentation tout en permettant à toutes les voix d’être entendues, nous devons trouver de nouvelles méthodes de collaboration qui marchent avec des systèmes basés sur les idées ou les actions. Des groupes concentriques d’usagers avec des communautés épistémiques et des passerelles de connaissances peuvent fonctionner pour des systèmes fondés sur les idées; pour les systèmes agissant, la stigmergie pourrait être la meilleure option.</p>
<p>A l’heure actuelle, la réponse habituelle à une situation qui nécessite une action c’est de créer une entité nominale, sous la forme d’un comité, une commission, une organisation, une entreprise, une organisation non gouvernementale, une agence gouvernementale, etc… Trop souvent l’action n’apparait jamais car il y a à la place une focalisation sur l’organisation et les personnes impliquées.</p>
<h3>Le modèle concurrentiel</h3>
<p>La plupart des systèmes actuels sont gérés par des organisations concurrentielles. La compétition crée des redondance, ralentit et gâche des ressources sur la protection des idées, la publicité et autre. La compétition nécessite aussi du secret ce qui bloque progrès, évaluation et fait perdre des idées et des opportunités. Brevets et droits d’auteurs réduisent encore plus la vitesse et le potentiel de suggestion d’idées. Les gens qui ont la plus grande expertise ne collaborent pas à moins d’être recrutés sur le même projet.</p>
<h3>Le modèle coopératif</h3>
<p>Traditionnellement l’alternative à la compétition a été la coopération. Celle-ci est au plus efficace uniquement dans les groupes de deux à huit personnes. Pour les groupes supérieurs à 25 personnes, la coopération est terriblement lente, un exercice de gestion de caractères qui dégénère rapidement en discussions sans fin et brossage dans le sens du poil de sensibilités heurtées, elle est extrêmement vulnérable aux « agents provocateurs », et, dans les groupes de grandes tailles aboutit très rarement à quoique ce soit de valable. La coopération repose traditionnellement sur le principe démocratique que toutes les voix sont égales, donc elle ne permet pas aux leaders, usagers avec une expertise, énergie ou compréhension accrue, d’avoir une influence plus importante que ceux agissant en périphérie.</p>
<p>La coopération gâche beaucoup de temps et de ressources à discuter et à discuter les discussions. Dans un système basé sur l’action, la discussion est rarement nécessaire, car l’opinion de ceux qui ne font pas le travail a probablement peu de valeur, sauf dans le cas ou un conseil est sollicité auprès d’une personne experte et de confiance.</p>
<p>La coopération et les systèmes basés sur la coopération sont généralement dominés par des personnalités extraverties qui prennent des décisions pour contrôler le travail des autres et crée un ressentiment justifié auprès de ceux qui font le travail. La plupart des travailleurs n’apprécient pas un système hiérarchique comme celui montré dans le diagramme ci dessous, car ils perdent de l’autonomie, la maîtrise et le contrôle créatif de leur propre travail; que le système de prise de décision soit hiérarchique ou horizontal, le sentiment final n’est pas différent.</p>
<p>Les systèmes coopératifs utilisent fréquemment le consensus ou le vote pour prendre des décisions pour tout le groupe; ces méthodes risquent de ne pas produire les meilleurs résultats car beaucoup de gens ne comprendront pas le travail s’ils ne le pratiquent pas, et ils peuvent demander des choses qu’eux mêmes ne voudraient pas faire. Les systèmes basés sur le consensus sont aussi sensibles à « l’esprit de ruche », l’appropriation par le groupe des idées et du travail d’individus ce qui peut créer encore plus de ressentiment.</p>
<h3>Système hiérarchique</h3>
<p>(controle du groupe par un individu ) <img class="aligncenter size-medium wp-image-1047" src="http://www.lilianricaud.com/travail-en-reseau/wp-content/uploads/2013/01/300x116xsysteme-hierarchique-300x116.png.pagespeed.ic.g2cwabiJVS.jpg" alt="systeme-hierarchique" width="300" height="116"/></p>
<h3>Hiérarchie de consensus</h3>
<p>(controle des individus par le groupe)</p>
<p><img class="aligncenter size-medium wp-image-1048" src="http://www.lilianricaud.com/travail-en-reseau/wp-content/uploads/2013/01/300x62xhierarchie-du-consensus-300x62.png.pagespeed.ic.iN42T-KcCp.jpg" alt="hierarchie-du-consensus" width="300" height="62"/></p>
<h3>Stigmergie</h3>
<p>Dans le schéma de la stigmergie ci-dessous, tous les travailleurs ont une autonomie complète pour créer comme ils le souhaitent; le pouvoir du groupe d’utilisateurs réside dans sa capacité à accepter ou rejeter le travail. Comme il n’y a pas de personne désignée pour accomplir une tâche, les usagers sont libres de créer une alternative s’ils n’aiment pas ce qui est proposé. Les travailleurs sont libres de créer sans prendre en compte l’acceptation ou le rejet; dans le schéma ci-dessous des travaux peuvent être acceptés par le groupe le plus important, une alternative par un autre groupe d’usagers, une autre uniquement par un petit groupe, et parfois le travailleur sera seul avec sa propre vision des choses. Dans tous les cas, les travailleurs restent libres de créer comme ils l’entendent. L’histoire n’a pas montré d’idées radicalement innovantes qui aient reçu une acceptation générale immédiate et l’histoire a également fait la preuve que les idées radicalement neuves sont le plus souvent le résultat de vision solitaires; laisser le contrôle du travail au consensus de groupe seulement résulte dans une paralysie de l’innovation.</p>
<p><img class="aligncenter size-medium wp-image-1049" src="http://www.lilianricaud.com/travail-en-reseau/wp-content/uploads/2013/01/modele-gouvernance-stigmergie-300x210.png" alt="stigmergie schema" width="300" height="210"/></p>

<h3>Compétition et coopération: 2 modèles de « controle a priori »</h3>
<p>Dans un environnement compétitif, une nouvelle idée est jalousement gardée, légalement protégée et entourée de secret. De gros efforts sont faits pour trouver des supporters de l’idée, en même temps que l’on s’assure que l’idée reste légalement protégée (couverte par des protections légales) tels que des accords de dissimulation. L’idée reste inextricablement liée à son créateur jusqu’à ce qu’elle soit transférée à un autre propriétaire, et tous les contributeurs travaillent pour le propriétaire et non pour l’idée. Les contributeurs doivent ensuite être récompensés par le propriétaire, ce qui limite le potentiel de développement et gâche toujours  plus de ressources en accords légaux, actions en justice etc. Les contributeurs n’ont pas d’intérêt particulier à ce que le projet réussisse ou échoue, et n’ont pas la motivation de contribuer plus que ce pour quoi ils sont récompensés.</p>
<p>Par contre, si l’idée est développée de manière coopérative, elle doit d’abord être présentée par son auteur, qui devra essayer de persuader un groupe d’adopter l’idée. Le groupe doit être en accord avec l’idée elle-même, et avec chaque stade de son développement. La majeure partie de l’énergie et des ressources sont dépensées en communication, persuasion et management des susceptibilités , et le climat de travail est tendu par de l’argumentation et des luttes de pouvoir. Parce que le projet est conduit par un groupe, et même si c’est un groupe coopératif, le groupe est toujours en compétition avec d’autres projets similaires extérieurs, et gâche toujours des ressources et de l’énergie en secret, évangélisation etc. Les projets, qu’ils soient sur un modèle compétitif ou coopératif, mourront si le groupe qui le fait fonctionner se retire, et dans les deux cas, les personnalités du groupe existant vont attirer ou repousser les contributeurs. Les deux systèmes sont des systèmes hiérarchiques où les individus ont besoin de demander la permission de contribuer. <strong>Les deux sont focalisés sur l’autorité de personnalités qui approuvent une décision au lieu de se focaliser sur l’idée et l’action elle-même.</strong></p>
<h3>La stigmergie, un modèle avec « autorisation a priori »</h3>
<p>La stigmergie n’est ni compétitive ni collaborative dans le sens communément admis du terme. Avec la stigmergie, une idée initiale est donnée librement, et <strong>le projet est conduit par l’idée, pas par une personnalité ou un groupe de personnalités</strong>. <strong>Aucun individu n’a besoin de permission (modèle compétitif) ou de consensus (modèle coopératif) pour proposer une idée ou initier un projet.</strong> Il n’y a pas besoin de discuter ou de voter une idée, si une idée est intéressante ou nécessaire, elle va susciter de l’intérêt. L’intérêt viendra de personnes activement impliquées dans le système et qui auront la volonté de fournir les efforts pour porter le projet plus loin. Cela ne viendra pas de votes vides de personnes qui n’ont qu’un tout petit peu d’intérêt ou d’implication dans le projet . Tant que le projet est soutenu ou rejeté <strong>sur la base d’efforts contributifs</strong> et non pas sur des votes vides, la contribution de personnes engagées dans l’idée aura plus de poids. La stigmergie met aussi les individus en situation de contrôler leur propre travail, ils n’ont pas besoin de la permission du groupe pour leur dire avec quelle méthode travailler ou à quelle partie contribuer.</p>
<p>La personne qui a eu l’idée initiale peut effectuer ou non des tâches pour avancer le projet. La promotion de l’idée se fait par le volontariat, par un groupe enthousiasmé par l’idée; cela peut être ou peut être pas ceux qui la mettront en oeuvre. Il n’est pas nécessaire de chercher des fonds et des soutiens; si une idée est bonne elle recevra le soutien requis. (en pratique, ce n’est pas encore vrai, car il y a peu de gens qui ont du temps libre à offrir à de projets basés sur le volontariat, la plupart étant enchainés à un travail rendu obligatoire par le système financier existant. De plus nous vivons encore dans un système basé sur les personnes/personnalités où seuls les personnalités les plus fortes sont entendues). Le secret et la compétition ne sont pas nécessaire car une fois qu’une idée est donnée, celle ci et tous les nouveaux développements appartiennent à ceux qui choisissent de travailler dessus. N’importe qui peut proposer un travail, l’idée ne peut pas mourir ou être mis en pause par des personnes; l’acceptation ou le rejet concerne le travail fait, et non pas la personne qui l’a fait. Toutes les idées sont acceptées ou rejetées en fonction des besoins du système.</p>
<p>La responsabilité et les droits du système sont entre les mains du groupe des utilisateurs dans son intégralité, pas seulement les créateurs. Il n’y a pas de raison que les personnes quittent le système pour des questions de conflits de personnes comme il n’y a pas besoin de communication au delà de l’accomplissement des tâches et qu’il y a habituellement beaucoup d’activités relevant d’une autonomie complète. Comme personne n’est propriétaire/possède le système, il n’y pas de nécessité de créer un groupe concurrent afin de faire évoluer la propriété du système vers un autre groupe.<br/>
La stigmergie laisse peu d’espace aux agents provocateurs car seuls les besoins du système sont pris en compte. Quiconque agissant contre les fonctionnalités du système est beaucoup plus facile à voir et à empêcher d’agir que quelqu’un qui bloque les avancées avec des discussions sans fin et le développement de conflits de personnes. Parce que le système est la propriété de tous, il n’y a pas non plus de leader à viser.</p>
<h3>Nœuds</h3>
<p>Plus le travail progresse et plus l’équipe principale et ses membres se développent, plus des personnalités intéressées et dévouées émergent, ce qui commence (à donner au projet) une direction. Des spécialités se forment autour des intérêts de l’équipe principale étant donné que l’équipe principale produit la majeure partie du travail et que ce travail est le plus valorisé par le reste des usagers. Les systèmes au-delà d’un certain niveau de complexité commencent à manquer de cohérence au fur et à mesure que l’énergie et la focalisation du groupe se rétrécit en suivant les intérêts de l’équipe principale et la disponibilité des ressources. Certaines parties du système original peuvent ainsi rester inachevées.</p>
<p>Avec l’arrivée de membres supplémentaires, plus de personnes feront l’expérience de la frustration liée à une utilité ou une autonomie limitée. Certains de ces membres trouveront un intérêt dans le travail laissé inachevé et ils créeront un nouveau nœud de membres dans les mêmes dispositions et de nouvelles personnes pour prendre en charge le travail non accompli. De façon alternative, des usagers occasionnels et des observateurs du système, qui n’ont pas l’envie ou l’expertise pour être plus actif dans le système originel, verront un nouveau besoin et démarreront un nouveau nœud. La stigmergie encourage la fragmentation en différents nœuds plutôt que le modèle entrepreneurial traditionnel d’acquisition et d’expansion sans fin. Parce que chaque individu n’est responsable que de son propre travail, et que personne ne peut diriger un groupe de contributeurs, l’expansion signifie plus de travail pour l’individu et une perspective d’auto-limitation. Au fur et à mesure que le système se développe, le travail supplémentaire exige à la fois des ressources supplémentaires et de nouvelles fragmentations. Comme la communication est plus facile et qu’il y a plus d’autonomie dans des groupes plus petits, la fragmentation est le résultat le plus probable du développement.</p>
<p>La communication entre les nœuds d’un système s’établit sur la base du besoin. La transparence permet à l’information de circuler librement entre les différents nœuds, mais une relation formelle ou une méthode de communication n’est ni nécessaire ni souhaitable. Le partage d’information est guidé par l’information elle-même, pas par les relations personnelles. Si une donnée est pertinente pour plusieurs nœuds elle sera immédiatement transmise à tous, aucune rencontre formelle entre des personnes officielles/légitimes n’est nécessaire.</p>
<p>N’importe quel nœud peut disparaître sans affecter le réseau, et les fonctionnalités subsistantes nécessaires peuvent être récupérées par d’autres. Les nœuds qui s’aperçoivent qu’ils travaillent sur les mêmes taches sont susceptible de s’associer, ou bien certains seront rendus obsolètes par le manque d’usage. De nouveaux nœuds sont créés seulement pour remplir un nouveau besoin ou fournir une meilleure fonctionnalité; il est inefficace que la même tache soit exécutée deux fois et cela n’arrive que quand un deuxième groupe trouve une méthode alternative que le premier groupe ne souhaite pas adopter. Dans ce cas, le meilleur système gagnera plus de soutien de la part du groupe d’usagers et l’autre système disparaitra ou restera comme une alternative précieuse. N’importe quel utilisateur peut contribuer au nœud qui correspond le mieux à leurs intérêts et leur capacités ou contribuer à plusieurs nœuds.</p>
<h3>Le futur</h3>
<p>Un nouveau système de gouvernance ou de collaboration qui ne suit pas un modèle hiérarchique concurrentiel aura besoin d’intégrer la stigmergie dans la plupart de ses systèmes fondés sur l’action. Il n’est ni raisonnable ni souhaitable pour la pensée et l’action individuelle d’être soumises au consensus de groupe pour des sujets qui ne concernent pas le groupe, et il est franchement impossible d’accomplir des tâches complexes si chaque décision doit être présentée pour approbation; c’est la plus grande faiblesse du modèle hiérarchique. Le succès incroyable de si nombreux projets Internet est le résultat de la stigmergie, pas de la coopération, et c’est la stigmergie qui nous aidera à construire rapidement et efficacement et à produire des résultats bien meilleurs que ce que chacun d’entre nous envisage au commencement.</p>
<p>Article original: <a href="http://georgiebc.wordpress.com/2012/12/24/stigmergy-2/">Stigmergy</a> par Heather Marsh, traduction collaborative par des membres du <a href="http://imaginationforpeople.org/wiki/workgroup/animfr/">groupe AnimFr</a></p>
<hr/>

<p>Si j’ai découvert la stigmergie en tant que concept depuis peu, j’ai eu l’occasion de fonctionner selon un modèle similaire quand je travaillais en association dans l’organisation d’évènements et cela a plutôt bien fonctionné pour nous. Je reviendrai plus en détail sur notre mode de fonctionnement avec des exemples pratiques.</p>
<p><strong>Ajout 21/10/2014:</strong> Cet article fait partie d’une série de réflexions sur les <strong>modèles coopératifs en réseau ouverts</strong>.</p>

