title: Un chez soi numérique, c’est terminé
url: http://tcrouzet.com/2015/10/10/la-fin-des-medias-intermediaires-ou-la-necessite-denseigner-a-lecole-lhistoire-et-la-geographie-dinternet/
hash_url: 320921a0251cb25aef965887edd7fed8

<p>À l’invitation de <a href="https://twitter.com/rosselin">Jacques Rosselin</a>, j’ai parlé de ma vision du journalisme à l’âge d’Internet devant les élèves de l’<a href="http://www.efj.fr/">EFJ</a>. Je ne prépare plus guère mes conférences, mais rétrospectivement je peux résumer mon propos (surtout quand autour d’un verre <a href="http://www.internetactu.net/author/hubert/">Hubert Guillaud</a> m’aide à reformuler).<span id="more-42591"/></p>
<ol>
<li><a href="http://tcrouzet.com/tag/territoire/">Internet est un territoire</a> et surtout pas un outil comme on l’entend souvent dire. Il faut imaginer les sites comme des maisons, des villages, des villes interconnectés par des routes plus ou moins importantes.</li>
<li>« Qui a la carte a le pouvoir » disaient les empereurs romains. Si nous ne connaissons pas notre territoire, il nous est difficile de le vivre, de l’explorer, de l’exploiter, de l’étendre…</li>
<li>L’école nous enseigne l’histoire et la géographie parce que c’est indispensable pour faire de nous des citoyens éveillés sur le territoire physique et géopolitique.</li>
<li>Comme nous vivons désormais sur le territoire Internet, nous devons en connaître l’histoire et la géographie (il est aberrant que ce sujet ne soit pas encore enseigné en histoire/géo).</li>
<li>Une idée reçue : le Net résulte d’un projet militaire américain. En réalité, il est né de la nécessité économique de contrôler à distance les premiers ordinateurs et notamment de les faire tourner la nuit en profitant des décalages horaires. Pendant qu’on dormait à New York, on travaillait en Californie. Peu à peu des réseaux se connectent entre eux et Internet se forme, presque de lui-même, sans que personne ne le pense de façon autocratique.</li>
<li>Quand au début des années 1960, <a href="https://en.wikipedia.org/wiki/Paul_Baran">Paul Baran</a> formalise les topologies possibles d’un réseau de communication, c’est indépendamment de la naissance d’Internet (à laquelle il contribue par ailleurs en imaginant la transmission par paquets mise en œuvre dans ARPANET).</li>
<p><a href="http://tcrouzet.com/images_tc//2015/10/paul.jpg"><img src="//tcrouzet.com/images_tc//2015/10/paul-600x282.jpg" alt="Les trois architectures." width="600" height="282" class="aligncenter size-large wp-image-42592"/></a></p>
<li>Le réseau en étoile connecte toutes les branches à un nœud central. Les feuilles au bout des branches peuvent elles-mêmes devenir des nœuds, on obtient alors une structure hiérarchique, celle populaire dans les entreprises et les gouvernements. Les nœuds sont alors des points névralgiques : leur destruction coupe les communications.</li>
<li>Le réseau distribué ressemble à un grillage. En gros, c’est le réseau routier qui interconnecte les villes. Toujours plusieurs chemins permettent de passer d’un point à un autre, ce qui implique une grande robustesse, mais aussi une très lourde infrastructure avec beaucoup de voies peu utilisées ou redondantes.</li>
<li>Quant à lui, le réseau décentralisé interconnecte selon un mode distribué les nœuds des étoiles, et éventuellement les feuilles, si bien qu’il possède les avantages du réseau distribué, sans être aussi onéreux à mettre en œuvre. C’est ainsi que s’est constitué Internet.</li>
<li>La décentralisation topologique du Net implique l’absence de commandement. N’importe qui peut se connecter n’importe où. Grands et petits sont également visibles et accessibles. Alors naît une utopie politique. En 1996, <a href="https://fr.wikipedia.org/wiki/John_Perry_Barlow">John Perry Barlow</a>, déclare <a href="http://editions-hache.com/essais/barlow/barlow2.html">l’indépendance du cyberspace</a>. Nous croyons que nous allons changer le monde en quelques années. Que nous allons l’arracher aux hiérarchies. Qu’un blogueur pèsera autant qu’un grand média à l’ancienne. Je prédis l’émergence <a href="http://tcrouzet.com/le-cinquieme-pouvoir/">d’un cinquième pouvoir</a>.</li>
<li>Beaucoup de gens finissent pas le croire, même les politiques. L’acmé de cette époque est peut-être 2006, surtout en France. Après que le Net ait fait basculer vers le « non » le référendum européen de 2005, tous les politiciens et tous les journalistes ont peur que l’élection présidentielle de 2007 se joue sur le Net. Ce ne sera pas le cas. </li>
<li>D’autant que 2007 est une année charnière : Facebook se mondialise, Twitter se lance, Google devient incontournable.</li>
<li>Plus ces sites grandissent, plus il faut dépenser d’argent pour y être visible, ce qui entraîne une centralisation du Net, une concentration de la puissance. Les blogs deviennent marginaux par rapport aux grands médias qui d’ailleurs les absorbent peu à peu, en leur offrant la promesse du partage de leur audience, une audience de fait générée en grande partie par Google.</li>
<li>On peut certes rester un activiste du réseau sur le mode d’avant 2007, mais on perd en visibilité (ou du moins on n’en gagne guère — ce n’est pas quelques exceptions qui changent le mouvement général). Toujours plus de revenus chez les GAFAM génère un mouvement concentrique qui centralise le Net autour de quelques trous noirs.</li>
<li>Beaucoup de blogueurs décident alors de rejoindre des médias tout en perdant leur indépendance. C’est le début d’une catastrophe (le retour à un modèle d’avant le Web, en pire).</li>
<li>Quand je publie un article sur Rue89, il est 100 fois plus lu que sur mon blog. C’est tentant, une tentation à laquelle peu de gens résistent. Le choix se pose à tous les acteurs du Web, pas seulement aux blogueurs indépendants. Un média de taille moyenne doit sans cesse se demander s’il doit garder une « adresse » ou se fondre dans une plus grande. Quand Rue89 publiera sur Google ou Facebook, il sera 100 fois plus lu que chez Rue89. Tous les médias sont en concurrence avec les géants du Net (et je vois mal comment ils pourront longtemps garder des internautes chez eux).</li>
<li>La centralisation implique toujours plus de centralisation selon la loi <a href="https://en.wikipedia.org/wiki/Winner-take-all_(computing)">Winner-Take-All</a> (jusqu’à ce que la complexité grandissante du système centralisé le paralyse et le laisse soudainement s’écrouler ou qu’une loi de type antitrust tempère ce phénomène naturel).</li>
<li>Nous avons désormais un monde de diffusion en trois couches : 1/ les producteurs de contenus autodiffusés, 2/ les médias, 3/ les GAFAM. La deuxième couche a déjà avalé une grande partie de la première. À son tour, elle est en train d’être avalée par la troisième, la seule capable de se payer les technologies modernes (parce que la centralisation implique également une centralisation des revenus). </li>
<li>Telle est la carte du Net aujourd’hui. Il faut en tenir compte. Entre se terrer dans l’underground d’un réseau qui techniquement reste décentralisé ou tenter de rivaliser avec les GAFAM dans la couche intermédiaire, il existe une troisième voie : renoncer à attirer les lecteurs chez soi, renoncer à un chez soi, aller aux lecteurs où qu’ils se trouvent. <a href="http://www.wattpad.com/story/29694130-1-minute">C’est par exemple ce que je fais en publiant mon nouveau roman <em>One Minute</em> sur Wattpad.</a></li>
<li>Pour disséminer des contenus sur le Net, il faut maîtriser une multitude d’outils, savoir les brancher les uns sur les autres, ce qui implique à un moment ou à un autre d’entrer dans le code (plutôt que se soumettre aux codes des autres). Cette nécessité ne cesse de s’accroître en même temps que le Net évolue et devient de plus en plus technique (et en même temps qu’il se ferme par un autre effet pervers de la centralisation).</li>
<li>Dès aujourd’hui les journalistes et tous les créateurs de contenus doivent être des propulseurs : c’est-àd-dire des manipulateurs d’informations capables de faire naviguer leurs créations sur les flots du Net.</li>
<li>L’idée d’un chez soi numérique est révolue. Cette idée d’avoir sa maison sur le Net n’était que le placage d’un concept issu de la géographie physique à celle du Net. Il faut imaginer les contenus comme des bateaux qui ne cessent de naviguer, sans connexion avec leur port d’attache.</li>
<li>Quid de la génération de revenu ? Une fois qu’un contenu a largué les amarres, il nous reste à inventer un lien retour vers le producteur (une réciprocité dans les biens communs comme le propose <a href="http://p2pfoundation.net/index.php/Main_Page">Michel Bauwens</a>). Sans cette innovation sociale, une fracture séparera bientôt deux mondes étrangers. Celle d’une foule d’innombrables amateurs (ainsi appelés parce que non rémunérés) et une élite professionnelle (obsédée par l’audience, donc peu créative, politiquement correcte… parfaitement adaptée à un régime dictatorial).</li>
<li>Le lien retour existe déjà en partie. C’est mon grand espoir. Par exemple, j’ai largué les amarres de mon livre <a href="http://tcrouzet.com/le-geste-qui-sauve/"><em>Le geste qui sauve</em></a>, des gens le traduisent partout dans le monde et une institution vient de me commander la suite, en me proposant un salaire confortable. Je crois que tel doit être le modèle pour nos créations futures, artistiques comme journalistiques. Je ne vois tout simplement pas d’autres possibilités. Les abonnements particuliers, les péages à tous les coins de rue, ça ne marche pas (ce serait revenir à une société féodale avec des octrois à l’entrée des villes). Le Net est né pour accroître nos libertés, pas pour les réduire.</li>
<li>Il me semble que par le largage des amarres, par la mise en avant des créateurs au profit des marques intermédiaires qui les diffusent, autres que celles de GAFAM, nous nous approchons en fin de compte de l’idéal d’avant 2007 (créateurs délocalisés, mobiles, donc décentralisés, et contenus également mobiles, dupllicables, distribués… et peu importe qui les transporte). Une fois libéré d’un chez soi, nous contenus deviennent mobiles, comme de simples livres qui passent de main en main et se copient. Alors, peut-être, sera-t-il temps de faire tomber les GAFAM qui auront permis tout cela.</li>
<li>Pour résumer, se lancer dans le business des médias intermédiaires est pour le moins hasardeux. Mieux vaut tout de suite s’adapter à l’Internet d’aujourd’hui et non à celui des années 2000.</li>
</ol>
