title: The Forgotten Story Of The Radium Girls, Whose Deaths Saved Thousands Of Lives
url: https://www.buzzfeed.com/authorkatemoore/the-light-that-does-not-lie
hash_url: 0bdcd919935d2bc62634f2df3dedd06d

<p>On April 10, 1917, an 18-year-old woman named Grace Fryer started work as a dial painter at the United States Radium Corporation (USRC) in Orange, New Jersey. It was four days after the US had joined World War I; with two soldier brothers, Grace wanted to do all she could to help the war effort. She had no idea that her new job would change her life — and workers’ rights — forever.</p>

<h2>The Ghost Girls</h2><p>With war declared, hundreds of working-class women flocked to the studio where they were employed to paint watches and military dials with the new element radium, which had been discovered by Marie Curie a little less than 20 years before. Dial painting was "the elite job for the poor working girls"; it paid more than three times the average factory job, and those lucky enough to land a position ranked in the top 5% of female workers nationally, giving the women financial freedom in a time of burgeoning female empowerment. Many of them were teenagers, with small hands perfect for the artistic work, and they spread the message of their new job’s appeal through their friend and family networks; often, whole sets of siblings worked alongside each other in the studio.</p><p>Radium’s luminosity was part of its allure, and the dial painters soon became known as the "ghost girls" — because by the time they finished their shifts, they themselves would glow in the dark. They made the most of the perk, wearing their good dresses to the plant so they’d shine in the dance halls at night, and even painting radium onto their teeth for a smile that would knock their suitors dead.<br/><br/>Grace and her colleagues obediently followed the technique they’d been taught for the painstaking handiwork of painting the tiny dials, some of which were only 3.5 centimeters wide. The girls were instructed to slip their paintbrushes between their lips to make a fine point — a practice called lip-pointing, or a "lip, dip, paint routine," as playwright Melanie Marnich later described it. Every time the girls raised the brushes to their mouths, they swallowed a little of the glowing green paint.</p>

<h2>Truth and Lies</h2><p>"The first thing we asked [was] ‘Does this stuff hurt you?’" Mae Cubberley, who instructed Grace in the technique, later remembered. "Naturally you don’t want to put anything in your mouth that is going to hurt you. Mr. Savoy [the manager] said that it wasn’t dangerous, that we didn’t need to be afraid."</p><p>But that wasn’t true. Ever since the glowing element had been discovered, it had been known to cause harm; Marie Curie herself had suffered radiation burns from handling it. People had died of radium poisoning before the first dial painter ever picked up her brush. That was why the men at the radium companies wore lead aprons in their laboratories and handled the radium with ivory-tipped tongs. Yet the dial painters were not afforded such protection, or even warned it might be necessary.</p><p>That was because, at that time, a <i>small</i> amount of radium — such as the girls were handling — was believed to be beneficial to health: People drank radium water as a tonic, and one could buy cosmetics, butter, milk, and toothpaste laced with the wonder element. Newspapers reported its use would "add years to our lives!"</p><p>But that belief was founded upon research conducted by the very same radium firms who had built their lucrative industry around it. They ignored all the danger signs; when asked, managers told the girls the substance would put roses in their cheeks.</p>

<h2>The First Death</h2><p>In 1922, one of Grace’s colleagues, Mollie Maggia, had to quit the studio because she was sick. She didn’t know what was wrong with her. Her trouble had started with an aching tooth: Her dentist pulled it, but then the next tooth started hurting and also had to be extracted. In the place of the missing teeth, agonizing ulcers sprouted as dark flowers, blooming red and yellow with blood and pus. They seeped constantly and made her breath foul. Then she suffered aching pains in her limbs that were so agonizing they eventually left her unable to walk. The doctor thought it was rheumatism; he sent her home with aspirin.</p><p>By May 1922, Mollie was desperate. At that point, she had lost most of her teeth and the mysterious infection had spread: Her entire lower jaw, the roof of her mouth, and even some of the bones of her ears were said to be "one large abscess." But worse was to come. When her dentist prodded delicately at her jawbone in her mouth, to his horror and shock, it broke against his fingers. He removed it, "not by an operation, but merely by putting his fingers in her mouth and lifting it out." Only days later, her entire lower jaw was removed in the same way.<br /><br />Mollie was literally falling apart. And she wasn’t the only one; by now, Grace Fryer, too, was having trouble with her jaw and suffering pains in her feet, and so were the other radium girls.<br /></p>

<p>On September 12, 1922, the strange infection that had plagued Mollie Maggia for less than a year spread to the tissues of her throat. The disease slowly ate its way through her jugular vein. At 5 p.m. that day, her mouth was flooded with blood as she hemorrhaged so fast that her nurse could not staunch it. She died at the age of 24. With her doctors flummoxed as to the cause of death, her death certificate, erroneously, said she’d died of syphilis, something her former company would later use against her.</p><p>As if by clockwork, one by one, Mollie’s former colleagues soon followed her to the grave.<br /></p><h2>The Cover-Up</h2><p>The young women's employer, USRC, denied any responsibility for the deaths for almost two years. After suffering a downturn in business because of what they saw as "gossip" that wouldn’t go away, in 1924 they finally commissioned an expert to look into the rumored link between the dial-painting profession and the women’s deaths.</p>

<p>Unlike the company’s own research into radium’s beneficence, this study was independent, and when the expert confirmed the link between the radium and the women’s illnesses, the president of the firm was outraged. Instead of accepting the findings, he paid for new studies that published the opposite conclusion; he also lied to the Department of Labor, which had begun investigating, about the verdict of the original report. Publicly, he denounced the women as trying to "palm off" their illnesses on the firm and decried their attempts to get some financial help for their mounting medical bills.<br /></p><h2>The Light That Does Not Lie</h2><p>With the report hushed up, the women's biggest challenge was proving the link between their mysterious illnesses and the radium that they’d been ingesting hundreds of times a day. Though they themselves discussed the fact that their work must be to blame, they were fighting against the widespread belief that radium was safe. In fact, it was only when the first male employee of the radium firm died that experts finally took up the charge. In 1925, a brilliant doctor named Harrison Martland devised tests that proved once and for all that radium had poisoned the women.</p>

<p>Martland also explained what was happening inside their bodies. As early as 1901, it had been evident that radium could harm humans dramatically when applied externally; Pierre Curie once remarked that he would not want to be in room with a kilo of pure radium because he believed it would burn all the skin off his body, destroy his eyesight, and "probably kill [him]." Martland discovered that when radium was used internally, even in tiny amounts, the damage was many thousands of times greater.</p><p>That ingested radium had subsequently settled in the women’s bodies and was now emitting constant, destructive radiation that "honeycombed" their bones. It was literally boring holes inside them <i>while they were alive</i>. It attacked the women all over their bodies: Grace Fryer’s spine was "crushed" and she had to wear a steel back brace; another girl’s jaw was eaten away to "a mere stump." The women’s legs shortened and spontaneously fractured, too.</p>

<p>Eerily, those damaged bones also began to glow from the radium embedded deep within them: the light that does not lie. Sometimes, the moment a woman realized she had radium poisoning was when she caught sight of herself in a mirror in the middle of the night — for a ghost girl was reflected there, shining with an unnatural luminosity that sealed her fate.</p><p>For Martland had also realized that the poisoning was fatal. And now that it was inside of them, there was no way of removing the radium from the girls’ beleaguered bones.</p>

<h2>The Fight</h2><p>Despite the radium industry’s attempts to discredit Martland’s pioneering work, it hadn’t reckoned with the courage and tenacity of the radium girls themselves. They started banding together to fight against the injustice. And there was an altruistic motive to their battle — after all, dial painters were still being employed all across the United States. "It is not for myself I care," Grace Fryer commented. "I am thinking more of the hundreds of girls to whom this may serve as an example."</p><p>It was Grace who led their fight, determined to find a lawyer even after countless attorneys turned her down, either disbelieving the women’s claims, running scared from the powerful radium corporations, or being unprepared to fight a legal battle that demanded the overturn of existing legislation. At that time, radium poisoning was not a compensable disease — it hadn’t even been discovered until the girls got sick — and the women were also stymied by the statute of limitations, which ruled that victims of occupational poisoning had to bring their legal cases within two years. Radium poisoning was insidious, so most girls did not start to sicken until at least five years after they started work; they were trapped in a vicious legal circle that could seemingly not be squared. But Grace was the daughter of a union delegate, and she was determined to hold a clearly guilty firm to account.</p>

<p>Eventually, in 1927, a smart young lawyer named Raymond Berry accepted their case, and Grace (along with four colleagues) found herself at the center of an internationally famous courtroom drama. By now, however, time was running out: The women had been given just four months to live, and the company seemed intent on dragging out the legal proceedings. As a consequence, Grace and her friends were forced to settle out of court — but they had raised the profile of radium poisoning, just as Grace had planned.<br /><br />The New Jersey radium girls’ case was front-page news, and it sent shockwaves across America. In Ottawa, Illinois, a dial painter by the name of Catherine Wolfe read the coverage with horror. "There were meetings at [our] plant that bordered on riots," she remembered. "The chill of fear was so depressing that we could scarcely work."<br /></p><p>Yet the Illinois firm, Radium Dial, took a leaf out of USRC’s book and denied responsibility. Although the firm’s medical tests proved that the Illinois women were showing clear symptoms of radium poisoning, it lied about the results. It even placed a full-page ad in the local paper: "If we at any time had reason to believe that any conditions of the work endangered the health of our employees, we would at once have suspended operations." Its actions to hush up the scandal went as far as interfering in the girls’ autopsies when the Illinois workers began to die: Company officials actually stole their radium-riddled bones in their callous cover-up.<br /></p>

<p>In 1938, Catherine Wolfe (Donohue after her marriage) developed a grapefruit-sized tumor that bulged on her hip. Like Mollie Maggia before her, she lost her teeth and had to pick pieces of her jawbone out of her mouth; she constantly held a patterned handkerchief to her jaw to absorb the ever-seeping pus. She had also seen her friends dying before her, and that rather steeled her spirit.</p><p>When Catherine started her fight for justice, it was the mid-1930s: America was in the grip of the Great Depression. Catherine and her friends were shunned by their community for suing one of the few firms left standing. Though close to death when her case went to court in 1938, Catherine ignored her doctors’ advice and instead gave evidence from her deathbed. In doing so, and with the help of her lawyer, Leonard Grossman (who worked pro bono), she finally won justice not only for herself, but for workers everywhere.<br /></p>

<h2>The Legacy</h2><p>The radium girls’ case was one of the first in which an employer was made responsible for the health of the company’s employees. It led to life-saving regulations and, ultimately, to the establishment of the Occupational Safety and Health Administration, which now operates nationally in the United States to protect workers. Before OSHA was set up, 14,000 people died on the job every year; today, it is just over 4,500. The women also left a legacy to science that has been termed “invaluable.”</p><p>But you won’t often read their names in the history books, for today the individual radium girls have largely been forgotten. Drawing on the women’s own words from their diaries, letters, and court testimonies, my new book, <i>The Radium Girls</i>, attempts to redress the balance — because it was through their strength, suffering, and sacrifice that workers’ rights were won. We all benefit from their courage.<br /></p><p>Grace Fryer and Catherine Donohue — to name just two — are women we need to honor and salute as fearless champions. They shine through history with all that they achieved in their too-short lives. And they shine in other ways, too. For radium has a half-life of 1,600 years...and it is still embedded in their bones. The ghost girls will be glowing in their graves for a good while yet.</p>

