title: Unlocking the commons
url: https://www.niemanlab.org/2019/01/unlocking-the-commons/
hash_url: dfada08049ab34a1200974e7e46cb646

<p>For the last year, I’ve written a <a href="https://kottke.org/newsletter/">newsletter for Kottke.org</a>, one of the last of the independent blogs still going. It’s funded by site memberships that support the main site and all of its subprojects, and by my personal Patreon. There is no paywall. Everything at Kottke.org is free for members and non-members alike.</p>
<p><img src="http://www.niemanlab.org/images/tim-carmody.jpg" alt="" class="nakedrightimage"/>Here’s the picture as generally agreed upon: Ads are still alive and well, but the collapse and consolidation of the ad market means ads alone can’t support media companies anymore, whether they’re big like The New York Times or small like Kottke.org.</p>
<p>There’s a puritanical argument that says ads have failed media — they bring out media’s worse impulses and might be inherently bad. The only way to break with the ad model is to break with it completely and sell media like a product. Make readers pay for content. If they don’t pay for it, don’t give it to them. Only when media companies are wholly accountable to their subscribers can you fix what’s wrong with media. Big companies need paywalls; little ones need exclusive subscribers.</p>
<p>Kottke.org, obviously, does not work this way. It has ads, although those are a very small part of the site and a shrinking part of the revenue. It has <a href="https://kottke.org/members/">members</a>, but very, very little is directed only to them; right now, they get some behind-the-scenes stuff and a few early previews and experiments. Stuff that only real fans even want. The site, the tweets, the RSS feed, and everything else the site’s produced or ever will produce is available to everyone whether they’re a member or not.</p>
<p>I call this “unlocking the commons,” and it’s the same approach I’ve taken with my <a href="https://www.patreon.com/tcarmody">Patreon</a> and <a href="https://www.tinyletter.com/tcarmody">newsletter</a>. Fans support the person and the work. But it’s not a transaction, a fee for service. It’s a contribution that benefits everyone. Free-riders aren’t just welcome; free-riding is the <em>point</em>. This, I think, is key to understanding the psychology of patronage.</p>
<p>Let’s say you’re buying a book. Books aren’t perfect commodities, but they’re still commodities. As a shopper, you’re trying to get as much value for your book as you can for your money. If I can get the book cheaper and faster from retailer A(mazon) than retailer B(arnes &amp; Noble), most of the time, that’s what I’m going to do.</p>
<p>If I’m skeptical of A, and prefer to support B or C(ity bookstore of my choice), I’m not strictly speaking in a purchasing relationship anymore, but something closer to a patronage one. I don’t just want my money to buy an object; I want it to support institutions and individuals I like, and I want it to support the common good.</p>
<p>This is one of the weird things about patronage. As a consumer, your first thought is to your own benefit. As a patron, it’s to the good of your beneficiary. Likewise, as an artisan supported by patronage, you tend to think more about what’s best for your patrons and audience than you do yourself.</p>
<p>For instance, when <a href="https://blog.patreon.com/not-rolling-out-fees-change">Patreon changed its fee structure</a> in 2017, I thought about it on two levels. First, it seemed really bad for patrons, slightly less bad for beneficiaries, and clearly helped out Patreon more than either group. As a customer of Patreon — they’re the ones I give my money to — I felt like I was being ripped off. I was being asked for more money without getting more in return. But as a patron, my first thought was: <em>Does this help the people I pledge money to each month?</em> And as a beneficiary, I thought: <em>How does this affect the people who pledge money to me?</em></p>
<p>In both cases, I wanted what was best for that other person. I wanted them to be getting the full value of the transaction. The only time it was about me was when I thought about my relationship with Patreon — which is completely different.</p>
<p>Please note that this is not fuzzy-headed idealism or just sentiment: This is as concrete and comprehensive as it gets. It’s economic thinking that recognizes that goods don’t just exist to be used up, but are objects of labor produced by and for members of a commonwealth. The truth of the transaction is in the whole.</p>
<p>The most economically powerful thing you can do is to buy something for your own enjoyment that also improves the world. This has always been the value proposition of journalism and art. It’s a nonexclusive good that’s best enjoyed nonexclusively.</p>
<p>Anyways. This is a prediction for 2019 and beyond: The most powerful and interesting media model will remain raising money from members who don’t just permit but <em>insist</em> that the product be given away for free. The value comes not just what they’re buying, but who they’re buying it from and who gets to enjoy it.</p>
<p>The bigger those two pools get — the bigger the membership, and the bigger the audience — the better it gets for everyone. This is why we need more tools, so more people can try to do it. PBS as a service.</p>
<p>Now, I’m not so sure how this works when applied to enormous venture-funded or shareholder-governed sites like BuzzFeed or The Guardian. Those ventures have inherently different dynamics at play and different stakeholders to answer to. But for independent sites like ours, I think it’s the only model that makes sense — that goes with the grain of the web, rather than fighting it by trying to lock everything down in a ransom model or bet on some third-party savior to come through with funding. Readers and writers, working together at personal scale: That’s the only way this all makes sense.</p>
<p>It’s not quite socialized art. <a href="https://en.wikipedia.org/wiki/Mutualism_(economic_theory)">Mutualist</a> art, maybe. Proudhon probably would have thought it was pretty cool. So would the Florentines, arch-capitalists as they were. And it might not work. But so far, it’s the only model I’ve found worth trying.</p>
