title: Garder certaines lumières allumées: redéfinir la sécurité énergétique
url: https://solar.lowtechmagazine.com/fr/2020/05/keeping-some-of-the-lights-on-redefining-energy-security.html
hash_url: ec9701477be934542ffbe81b341b2dc5

<p class="img"><img alt="image" src="https://solar.lowtechmagazine.com/dithers/lighter.png"/></p><p class="caption">
Maintenir un approvisionnement constant de quelque chose de fini est impossible. Image: <a href="https://www.flickr.com/photos/dieknochenblume/8454004839/in/photolist-nJrNa3-z9St6d-vicpX8-bjNYMa-CNWajb-PKUbFu-8TqWZX-qzaoch-r3Gb3J-28jYUV3-p3gMD1-snwVj-2chyArN-4ehCVH-cWuLz-dT3Z78-pnFKK9-5qGDSP-hxU2d7-24uoKVs-f7CoCe-93ZqZQ-jPMVaK-T4yoN-4HiX59-97Kq68-23hFdSw-jE59uD-9aFpr7-68DbEo-NvymKZ-335BtT-8RtT65-a6Jut4-nt2zNy-qrkSGP-HPM9ee-bcdyA2-5Fy731-FGSpvq-eqKSpH-8jGFmq-qcFSw4-6USSog-dJEYby-jk3JQ2-7BMzWV-jetX2F-hLnHJy-5SHzAW">Camilla <span class="caps">MP</span></a>.</p>
<p>Comme les sociétés dépendent en premier lieu de sources d’énergie pour leur fonctionnement au jour le jour, elles deviennent plus vulnérables si l’approvisionnement en énergie est coupé. Ce fait évident est ignoré dans les stratégies de sécurité énergétique actuelles, les rendant contre-productives.</p>
<h2>Qu'est-ce que la sécurité énergétique ?</h2>
<p>Que signifie la «sécurité énergétique» pour une société ? Bien qu’il existe plus de quarante définitions différentes du concept, elles partagent toutes l’idée fondamentale que l’approvisionnement énergétique doit toujours répondre à la demande d’énergie. Cela implique aussi que un approvisionnement énergétique constant : il ne peut y avoir d’interruption de service. <sup id="fnref:1"/> <sup id="fnref:2"/> <sup id="fnref:3"/> <sup id="fnref:4"/> Par exemple, l’Agence Internationale de l’Energie (<span class="caps">AIE</span>) définit la sécurité énergétique comme «la disponibilité ininterrompue de sources d’énergie à un prix abordable», le département américain de l’énergie et des changements climatiques (<span class="caps">DECC</span>) comme l’assurance que « les risques d’interruption de l’approvisionnement énergétique sont faibles », et l’<span class="caps">UE</span> comme « un approvisionnement énergétique stable et abondant ». <sup id="fnref:5"/> <sup id="fnref:6"/> <sup id="fnref:7"/></p>
<p>Historiquement, la sécurité énergétique assurait l’accès <a href="https://solar.lowtechmagazine.com/fr/2011/09/peat-and-coal-fossil-fuels-in-pre-industrial-times.html">aux forêts ou aux tourbières</a> pour l’énergie thermique, et aux sources d’énergie humaine, animale, éolienne ou hydraulique pour l’énergie mécanique. Avec l’arrivée de la Révolution Industrielle, elle est devenue dépendante de l’approvisionnement en combustibles fossiles. En tant que concept théorique, la sécurité énergétique est étroitement liée aux crises pétrolières des années 70, lorsque les embargos et les manipulations des prix ont limité l’approvisionnement des pays occidentaux en pétrole. Ainsi, la plupart des sociétés industrialisées stockent aujourd’hui encore des réserves de pétrole équivalentes à plusieurs mois de consommation. </p>
<p>Bien que le pétrole soit toujours aussi vital pour les économies industrielles que dans les années 70, principalement en ce qui concerne les transports et l’agriculture, il est désormais reconnu que la sécurité énergétique dans les sociétés modernes dépend également d’autres infrastructures, comme celles qui fournissent du gaz, de l’électricité, et même des données. En outre, ces infrastructures s’interconnectent et dépendent de plus en plus les unes des autres. Par exemple, le gaz naturel est un combustible majeur pour la production d’électricité, tandis qu’en parallèle les gazoducs fonctionnent grâce au réseau électrique. Les réseaux électriques sont nécessaires pour faire fonctionner les réseaux de données, et les réseaux de données sont nécessaires pour faire fonctionner les réseaux électriques. </p>
<blockquote>
<p>Les réseaux électriques sont nécessaires pour faire fonctionner les réseaux de données, et les réseaux de données sont nécessaires pour faire fonctionner les réseaux électriques.</p>
</blockquote>
<p>Cet article explore le concept de sécurité énergétique en se concentrant sur le réseau électrique, qui est devenu tout aussi vital que le pétrole pour les sociétés industrielles. De plus, l’électrification est considérée comme un moyen de réduire la dépendance aux combustibles fossiles, à l’instar des véhicules électriques, pompes à chaleur et autres éoliennes. </p>
<p>La «sécurité» ou la «fiabilité» d’un réseau électrique peut être mesurée avec précision par des indicateurs de continuité tels que la «probabilité de perte de charge» ((en) Loss-of-Load Probability, <span class="caps">LOLP</span>) et l’ «Indice de Durée Moyenne d’Interruption du Système» ((en) System Average Interruption Duration Index, <span class="caps">SAIDI</span>). Ces indicateurs nous montrent que les réseaux électriques dans les sociétés industrielles sont indéniablement très fiables. Par exemple, en Allemagne, l’électricité est disponible 99,996% du temps, ce qui correspond à une interruption de service de moins d’une demi-heure par client et par an. <sup id="fnref:8"/> Même les pays les moins performants d’Europe (Lettonie, Pologne, Lituanie) connaissent des pénuries d’approvisionnement de seulement huit heures par client et par an, ce qui correspond à une fiabilité de 99,90%. <sup id="fnref2:8"/> Le réseau électrique américain se situe entre ces deux valeurs, avec des interruptions d’alimentation de moins de quatre heures par client et par an (99,96% de fiabilité). <sup id="fnref:9"/></p>
<h2>Un réseau électrique renouvelable est-il sûr ?</h2>
<p>Dans le fonctionnement actuel des infrastructures, la règle est que les consommateurs peuvent et doivent avoir accès à autant d’électricité, de gaz, de pétrole, de données ou d’eau qu’ils le veulent, quand ils le veulent, aussi longtemps qu’ils le veulent. La seule exigence est qu’ils paient leur facture. En ce qui concerne l’électricité, cette vision de la sécurité énergétique est assez problématique, pour plusieurs raisons. Tout d’abord, la plupart des sources d’énergie à partir desquelles l’électricité est produite sont finies, et maintenir un approvisionnement constant en quelque chose de fini est bien-sûr impossible. À long terme, cette stratégie garantissant la sécurité énergétique est très certainement vouée à l’échec. À plus court terme, cela peut perturber le climat et provoquer des conflits armés.</p>
<p>L’Agence internationale de l’énergie (<span class="caps">AIE</span>), créée à la suite de la première crise pétrolière du début des années 70, encourage l’utilisation de sources d’énergie renouvelables afin de diversifier l’approvisionnement énergétique et d’améliorer la sécurité énergétique à long terme. Un système d’énergie renouvelable n’est pas tributaire des importations énergétiques étrangères ni vulnérable aux manipulations des prix des carburants, qui sont les principales préoccupations d’une politique énergétique largement basée sur les combustibles fossiles. Bien sûr, les panneaux solaires et les éoliennes ont une durée de vie limitée et doivent être fabriqués, ce qui nécessite également des ressources qui pourraient provenir de l’étranger, ou qui pourraient s’épuiser. Mais, une fois installés, les systèmes d’énergie renouvelable sont «sécurisés» d’une manière bien meilleure et pendant un temps bien plus long que les combustibles fossiles (ou l’énergie nucléaire).</p>
<blockquote>
<p>Les sources d’énergie renouvelables posent des défis fondamentaux à la compréhension actuelle de la sécurité énergétique</p>
</blockquote>
<p>En outre, les énergies solaire et éolienne offrent plus de sécurité en cas de défaillance physique ou de sabotage, d’autant plus lorsque la production d’énergie renouvelable est décentralisée. Les centrales électriques renouvelables ont également des émissions de <span class="caps">CO2</span> plus faibles, les événements météorologiques extrêmes dus au changement climatique étant également un risque pour la sécurité énergétique. Cependant, malgré tous ces avantages, les sources d’énergie renouvelables posent des défis fondamentaux à la compréhension actuelle de la sécurité énergétique. En premier lieu, celles ayant le plus grand potentiel - le soleil et le vent - ne sont disponibles que de manière intermittente, en fonction de la météo et des saisons. Cela signifie que les énergies solaire et éolienne ne remplissent pas le critère essentiel présent dans toutes les définitions de sécurité énergétique : la nécessité d’une alimentation électrique ininterrompue, et illimitée.</p>
<p class="img"><img alt="image" src="https://solar.lowtechmagazine.com/dithers/security-nl.png"/></p><p class="caption">
Image: <a href="https://www.flickr.com/photos/bezembinder/3560945758/in/photolist-6qEM7w-7urQui-iSeKZ-8VjqeD-dUgKQ-e4ybCy-eke2Zk-ekeCdc-eke4NV-qBE1z-6Dfw5n-68EJKh-ekk6Rs-qBE2V-NqkS-oWp8Du-psYQc1-pCDop-5JSFFH-9fr321-oguPbE-6pZ6MT-dZ9YLx-vhpHJb-3oeLdu-69J2h1-7hatWp-d26CpQ-27dVzAC-5BEpZz-sUBfz-7B8zeq-HkygG-bHhG5R-2UoYjD-bRCZnx-o1e2oL-4LcBmy-69vhwD-ekz9ec-bLqreV-5jtvAp-2GUCLK-GpCny7-s36gn-dy6aBU-8moRHP-8rrRxd-5BJJyC-8KdmGR">Eduard Bezembinder</a>.</p>
<p>La fiabilité d’un réseau électrique avec une part élevée d’énergies solaire et éolienne serait nettement inférieure aux normes de continuité de service actuelles. <sup id="fnref:10"/> <sup id="fnref:11"/> <sup id="fnref:12"/> <sup id="fnref:13"/> <sup id="fnref:14"/> Dans un tel réseau électrique renouvelable, une alimentation 24h/24 7j/7 ne peut être maintenue qu’à des coûts très élevés, car elle nécessite une infrastructure complète de stockage énergétique, de transmission électrique, et de production excédentaire. Cette infrastructure supplémentaire risque de rendre un réseau électrique renouvelable non durable : au-delà d’un certain seuil, l’énergie fossile utilisée pour construire, installer et entretenir cette infrastructure devient supérieure à celle économisée par l’utilisation des éoliennes et panneaux solaires. </p>
<blockquote>
<p>Les sources d’énergie renouvelables comme le vent et le soleil présentent des avantages non pris en compte dans les définitions actuelles de la sécurité énergétique.</p>
</blockquote>
<p>L’intermittence n’est pas le seul inconvénient des sources d’énergie renouvelables. Bien que de nombreux médias et organisations environnementales présentent les énergies solaire et éolienne comme des sources abondantes («Le soleil fournit plus d’énergie à la Terre en une heure que le monde n’en consomme en un an»), la réalité est plus complexe. L’offre «brute» d’énergie solaire (et éolienne) est en effet gigantesque. Cependant, pour convertir cet approvisionnement énergétique en une forme utile, les panneaux solaires et les éoliennes nécessitent en espace et en matériaux une quantité supérieure de plusieurs ordres de grandeur par rapport aux centrales thermiques - même en incluant l’exploitation et la distribution de combustibles - en raison de leur très faible densité de puissance. <sup id="fnref:15"/> Par conséquent, un réseau électrique renouvelable ne peut garantir aux consommateurs un accès à autant d’électricité qu’ils le souhaitent, même sous des conditions météorologiques optimales.</p>
<h2>Un système d'alimentation électrique hors-réseau est-il sûr ?</h2>
<p>Les politiques énergétiques actuelles liées à l’électricité tentent de concilier trois objectifs: une alimentation en électricité ininterrompue et illimitée, à prix abordable, et environnementalement durable. Un réseau électrique principalement basé sur des combustibles fossiles et du nucléaire ne peut atteindre l’objectif de durabilité environnementale, et il est tributaire de ses fournisseurs étrangers pour l’approvisionnement et l’augmentation des prix de l’énergie (ou même l’épuisement des réserves mondiales) pour atteindre les autres objectifs.</p>
<p>Cependant un réseau électrique renouvelable ne peut pas non plus, de son côté, concilier ces trois objectifs. Pour obtenir une alimentation électrique illimitée 24h/24 et 7j/7, l’infrastructure doit être surdimensionnée, ce qui la rend coûteuse et non durable. Sans cette infrastructure, un réseau électrique renouvelable pourrait être abordable et durable, mais elle ne pourrait jamais offrir une alimentation électrique illimitée 24h/24 7j/7. Par conséquent, si nous voulons une infrastructure électrique abordable et durable, nous devons redéfinir le concept de sécurité énergétique, et remettre en question le critère d’alimentation électrique illimitée et ininterrompue.</p>
<p>En regardant au-delà des grandes infrastructures centralisées, typiques des sociétés industrielles, on voit clairement que les systèmes d’approvisionnement ne fournissent pas tous des ressources de façon illimitée. La micro-génération hors-réseau – càd la production locale et le stockage local d’électricité à l’aide de batteries et de panneaux photovoltaïques ou d’éoliennes – illustre bien ceci. En principe, les systèmes hors-réseau peuvent être dimensionnés pour être «toujours allumés». Cela peut être réalisé en suivant la «méthode du pire mois», qui surdimensionne la capacité de production et de stockage afin que l’offre puisse répondre à la demande même pendant les jours les plus courts et les moins ensoleillés de l’année.</p>
<blockquote>
<p>L’adaptation sans interruption de l’offre à la demande rend un système hors-réseau très coûteux et non durable, en particulier dans des climats à forte saisonnalité</p>
</blockquote>
<p>Cependant, comme dans le cas irréaliste d’un réseau électrique renouvelable à grande échelle, l’adaptation sans interruption de l’offre à la demande rend un système hors-réseau très coûteux et non durable, en particulier dans des climats à forte saisonnalité. <sup id="fnref:16"/> <sup id="fnref:17"/> <sup id="fnref:18"/> Par conséquent, la plupart des systèmes hors-réseau sont dimensionnés selon une méthode qui vise un compromis entre fiabilité, coût économique et durabilité. La «méthode de dimensionnement par probabilité de perte de charge» spécifie un nombre de jours par an pendant lesquels l’offre ne correspond plus à la demande. <sup id="fnref:19"/> <sup id="fnref:20"/> <sup id="fnref:21"/> Autrement dit, le système est dimensionné non seulement en fonction d’une projection de la demande d’énergie, mais également en fonction du budget disponible et/ou de l’espace disponible.</p>
<p class="img"><img alt="image" src="https://solar.lowtechmagazine.com/dithers/solar-panel-in-snow.png"/></p><p class="caption">
Image: <a href="https://www.flickr.com/photos/149368236@N06/33068752693/in/photolist-Sob15v-bBnpyx-keyKG-cuaVX3-nuP1zk-U2eVh7-cuaWEf-pskKMf-cuaswE-p27cJW-cu9SQu-cuaMky-mCLFCt-ajiCfB-4AFrsp-943usV-TyoqrN-pu9HK-erKVcJ-aYHgDT-7zrUXc-tQv77b-6xot6g-baF4gg-Xjymka-qHgAkg-ii2jys-9eD7tj-9fJDFi-Ge2Mn-guUowg-amvdKB-cvDZ15-79wfLn-c6XjSS-ddFjjF-9KYuQV-8Zp8z6-guV3wK-9P1nHp-q5c2cz-9RCRVu-cD8w4d-9YDNzC-7ehy1e-4obYkG-8tkNMS-cvDZru-4obYtN-23Aqhr">Stephen Yang / The Solutions Project</a>.</p>
<p>Le dimensionnement d’un système électrique hors-réseau de cette manière génère des réductions de coûts significatives, même si la «fiabilité» est quelque peu diminuée. Par exemple, un calcul pour une maison hors-réseau en Espagne montre que les coûts sont réduits de 60% en diminuant la fiabilité de 99,75% à 99,00%, avec des avantages similaires pour la durabilité. L’approvisionnement serait interrompu pendant 87,6 heures par an, contre 22 heures pour un système à fiabilité plus élevée. <sup id="fnref2:16"/> </p>
<p>Considérant la définition communément admise de la sécurité énergétique, les systèmes électriques hors-réseau dimensionnés de cette manière seraient un échec : l’approvisionnement en énergie ne répond pas toujours à la demande. Cependant, les « hors-réseau » (off-griders) ne semblent pas se plaindre d’un manque de sécurité énergétique, bien au contraire. Et pour une raison simple : ils adaptent leurs besoins en énergie à une alimentation électrique limitée et intermittente.</p>
<p>Dans leur livre de 2015 <a href="http://lifeoffgrid.ca/off-grid-living-the-book/">“Hors-réseau : reconstituer la vie domestique” (Off-the-Grid: Re-Assembling Domestic Life)</a>, Phillip Vannini et Jonathan Taggart documentent leurs voyages à travers le Canada pour interroger une centaine de foyers hors réseau. <sup id="fnref:22"/> Ils constatent que, significativement, les « hors-réseau » volontaires utilisent globalement moins d’électricité et adaptent régulièrement leur besoin en énergie aux conditions météorologiques et aux saisons.</p>
<blockquote>
<p>Les « hors-réseau » volontaires utilisent globalement moins d’électricité et adaptent régulièrement leur besoin en énergie aux conditions météorologiques et aux saisons.</p>
</blockquote>
<p>Par exemple, ils n’utilisent pas du tout de machines à laver, d’aspirateurs, d’outils électriques, de grille-pain, ni de consoles de jeux-vidéo, ou alors uniquement en périodes d’énergie abondante, lorsque leurs batteries ne peuvent plus supporter d’avantage de charge. Si le ciel est couvert, les « hors-réseau » agissent différemment pour consommer moins d’énergie et en avoir encore plus pour le lendemain. Vannini et Taggart observent également que ces hors-réseau volontaires semblent être parfaitement satisfait de niveaux d’éclairage ou de chauffage bien différents des normes que beaucoup dans le monde occidental considèrent comme normales. Cela se traduit en général par une concentration des activités autour de sources de chaleur et de lumière plus localisées. <sup id="fnref2:22"/></p>
<p>Des observations similaires peuvent être faites dans des endroits où les gens dépendent - involontairement - d’infrastructures qui ne sont pas toujours disponibles. Si des réseaux centralisés d’eau, d’électricité et de données sont bien présents dans les pays les moins industrialisés, ils sont tout de même souvent caractérisés par des interruptions régulières (et irrégulières) de l’approvisionnement. <sup id="fnref:23"/> <sup id="fnref:24"/> <sup id="fnref:25"/> Cependant, bien que ces infrastructures soient très peu fiables - selon les indicateurs standards - la vie continue. Les routines quotidiennes des ménages s’articulent autour des perturbations des systèmes d’approvisionnement, qui sont considérées comme normales et faisant partie intégrante de la vie. Par exemple, si l’électricité, l’eau ou Internet ne sont disponibles qu’à certaines heures de la journée, les tâches ménagères ou autres activités sont planifiées en conséquence. Les gens consomment également moins d’énergie dans l’ensemble, l’infrastructure ne permettant tout simplement pas un mode de vie gourmand en ressources. <sup id="fnref2:23"/></p>
<h2>Plus fiable, mais moins sûr ?</h2>
<p>La très grande «fiabilité» des réseaux électriques dans les sociétés industrielles se justifie par le calcul de la «valeur de perte de charge» (value of lost load, <span class="caps">VOLL</span>), où la perte financière due aux coupures d’électricité est comparée aux coûts d’investissement supplémentaires nécessaires pour éviter ces pénuries. <sup id="fnref2:1"/> <sup id="fnref2:10"/> <sup id="fnref:26"/> <sup id="fnref:27"/> <sup id="fnref:28"/> <sup id="fnref:29"/> Cependant, la valeur de perte de charge dépend fortement de l’organisation de la société. Plus elle est dépendante de l’électricité, plus les pertes financières dues aux coupures de courant seront élevées. </p>
<p>Les définitions actuelles de la sécurité énergétique considèrent que l’offre et la demande ne sont pas liées, et se concentrent presque entièrement sur la sécurisation de l’approvisionnement énergétique. Cependant, des formes alternatives d’infrastructures électriques comme celles décrites ci-dessus montrent que les gens s’adaptent et font correspondre leurs attentes à une alimentation électrique limitée et pas toujours disponible. En d’autres termes la sécurité énergétique peut être améliorée, non seulement en augmentant la fiabilité, mais également en réduisant la dépendance à l’énergie.</p>
<p class="img"><img alt="image" src="https://solar.lowtechmagazine.com/dithers/energy-storage-gas-security.png"/></p><p class="caption">
Image: Terminal de stockage de gaz naturel. <a href="https://www.flickr.com/photos/woodhead/7150825737/in/photolist-bTTRmV-85JomL-jysSQn-fw7gTZ-5Jkm2T-eDueWy-ohYc4x-fFxZCm-eD8VG8-eDfhqy-8pCnxZ-qPTdqx-22WNtVf-fFybmb-fFxRVG-fFyhCf-mGNU1p-24mDPG2-8efS2s-fFguSX-nN4pMi-fFgpjT-6br69i-hVGdgU-9DSQQ5-cDwVt-EqVP-dp7vJX-fwmwQh-oHAfHH-fFy6QS-fFgvS8-aaCofJ-fFxW5L-agEkAL-eDfonE-fFgrrn-eD9m9a-PLLffy-fFggcX-fFgka6-nRdzs-fFgwFH-88JrU8-nN4epz-2atchc9-nN523B-24mDNL4-2atciAb-GFzRM">Jason Woodhead</a>. </p>
<p>La demande et l’offre sont également interdépendantes et s’influencent mutuellement dans les réseaux électriques fonctionnant 24h/24 7j/7, mais avec un effet inversé. Tout comme les infrastructures électriques «peu fiables» hors-réseau favorisent des modes de vie moins dépendants à l’électricité, les infrastructures «fiables» favorisent des modes de vie en dépendant de plus en plus.</p>
<blockquote>
<p>Les sociétés industrielles dotées de réseaux électriques «fiables» sont les plus faibles et les plus fragiles face aux interruptions d’alimentation</p>
</blockquote>
<p>Dans leur livre de 2018 <a href="https://www.routledge.com/Infrastructures-in-Practice-The-Dynamics-of-Demand-in-Networked-Societies/Shove-Trentmann/p/book/9781138476165">« Infrastructures et pratiques: la dynamique de la demande dans les sociétés en réseau », “Infrastructures and Practices: the Dynamics of Demand in Networked Societies”</a>, Olivier Coutard et Elizabeth Shove soutiennent qu’une alimentation électrique illimitée et ininterrompue a permis aux gens des sociétés industrielles d’adopter une multitude de technologies dépendantes de l’énergie - telles que les machines à laver, les climatiseurs, les réfrigérateurs, les portes automatiques, ou un accès Internet mobile 24h/24 et 7j/7 - qui deviennent «normales» et primordiales dans la vie de tous les jours. En parallèle, d’autres façons de faire - comme laver les vêtements à la main, stocker des aliments sans électricité, garder un air frais sans climatisation, ou se déplacer et communiquer sans téléphone portable – ont disparus ou sont sur le point de l’être. <sup id="fnref:30"/></p>
<p>Par conséquent la sécurité énergétique est en fait plus élevée dans les systèmes électriques hors-réseau et les infrastructures électriques centrales «peu fiables», tandis que les sociétés industrielles sont les plus fragiles et vulnérables face aux coupures de courant. Une alimentation électrique illimitée et ininterrompue - généralement considéré comme un indicateur de bonne sécurité énergétique - rend en fait les sociétés industrielles de plus en plus vulnérables aux interruptions d’alimentation : les gens manquent toujours plus de compétences et de technologie pour fonctionner sans alimentation électrique continue.</p>
<h2>Redéfinir la sécurité énergétique</h2>
<p>Pour parvenir à une définition plus précise de la sécurité énergétique, le concept doit être défini, non pas en termes de produits tels que les kilowattheures (kWh) d’électricité, mais en termes de services énergétiques, de pratiques sociales, ou de besoins de base. <sup id="fnref3:1"/> Les gens n’ont pas besoin de l’électricité en elle-même. Ce dont ils ont besoin c’est de stocker leur nourriture, de laver leurs vêtements, d’ouvrir et de fermer les portes, de communiquer entre eux, de se déplacer d’un endroit à l’autre, de voir dans l’obscurité, etc. Toutes ces choses peuvent être réalisées avec ou sans électricité, et dans le premier cas, avec plus ou moins d’électricité.</p>
<p>Avec cette définition, la sécurité énergétique ne consiste pas seulement à sécuriser l’approvisionnement en électricité, mais aussi à améliorer la résilience de la société, afin qu’elle devienne moins dépendante d’un approvisionnement continu en courant. Cela comprend la résilience des personnes (ont-elles les compétences pour faire les choses sans électricité ?), la résilience des appareils et systèmes technologiques (peuvent-ils supporter une alimentation électrique intermittente ?), et la résilience des institutions (est-il légal d’exploiter un réseau électrique qui ne serait pas toujours allumé ?). Selon la résilience de la société, une interruption de l’alimentation électrique peut ou non entraîner une interruption des services énergétiques ou des activités sociales.</p>
<p>Par exemple, bien que notre système de distribution alimentaire dépende d’une chaîne du froid fonctionnant sous alimentation électrique continue, il y a plein d’autres alternatives. Nous pourrions adapter les réfrigérateurs à une alimentation électrique irrégulière en les isolant beaucoup mieux, réintroduire des caves froides (qui gardent les aliments frais sans électricité), ou réapprendre des méthodes plus anciennes de stockage des aliments, comme la fermentation. Nous pourrions également améliorer les compétences de chacun en matière de cuisine fraîche, passer à des régimes alimentaires à base d’ingrédients qui n’ont pas besoin d’aller au frigo, et encourager des achats quotidiens et locaux plutôt que les virées hebdomadaires dans les grands supermarchés.</p>
<blockquote>
<p>Pour améliorer la sécurité énergétique, nous devons rendre les infrastructures moins fiables.</p>
</blockquote>
<p>Si nous envisageons la sécurité énergétique d’une manière plus globale, en tenant compte à la fois de l’offre et de la demande, il devient rapidement évident que la sécurité énergétique dans les sociétés industrielles ne cesse de se détériorer. Nous déléguons de plus en plus de tâches aux machines, ordinateurs et grandes infrastructures, augmentant ainsi notre dépendance à l’électricité. En outre, Internet devient tout aussi essentiel que le réseau électrique, et les tendances comme le cloud computing, l’Internet des objets et les voitures autonomes reposent toutes sur plusieurs couches interconnectées d’infrastructures en fonctionnement continu.</p>
<p class="img"><img alt="image" src="https://solar.lowtechmagazine.com/dithers/abandoned-power-line.png"/></p><p class="caption">
Image: Une ligne électrique abandonnée. <a href="https://www.flickr.com/photos/paulisson_miura/10318768955/in/photolist-gHQovz-kCLi9r-82pqq6-f4539G-6i3Aih-5m5G9b-6RkZvr-6V6k85-2b9wdNP-4DvxJx-WfvmJT-5CGLgF-5C1ojh-eANWrM-kjDG4Z-9QKWz-DnnTH9-ntvKWL-82sxbf-UssMS3-deJRBD-d6qh1S-5C1ooU-tkcYLj-MpbqCB-84zF9u-5CM5d7-5CM51J-82ppX6-a1H2sr-Rd9o59-a1LEed-6W3He9-VCD56X-bg3vgT-5BW5CT-82sxDb-2b1hTxi-6hpZ1g-8d19tj-qm9Cy-cgpx3-gszM15-eANtbt-MpbCWK-98h2dj-7HyrGe-5md8aD-d9fLdq-2cyGoSv">Miura Paulison</a>.</p>
<p>Parce que l’offre et la demande s’influencent mutuellement, nous arrivons à une conclusion contre-intuitive : pour améliorer la sécurité énergétique, nous devons rendre le réseau électrique moins fiable. Cela encouragerait la résilience et la substitution, et rendrait ainsi les sociétés industrielles moins vulnérables aux interruptions d’approvisionnement. Coutard et Shove soutiennent qu’ «il serait logique d’accorder plus d’attention aux opportunités d’innovation qui se présentent lorsque les grands systèmes en réseau sont affaiblis et abandonnés, ou lorsqu’ils deviennent moins fiables». Ils ajoutent que les expériences des « hors-réseau » volontaires «donnent un aperçu des types de configuration en jeu». <sup id="fnref2:30"/></p>
<p>Argumenter pour une alimentation électrique moins fiable amènera à coup sûr une controverse. En fait, l’expression «garder les lumières allumées» est souvent utilisée pour justifier des réformes énergétiques, comme la construction de plus de centrales nucléaires ou leur maintien en activité au-delà de leur durée de vie prévue. Pour atteindre une réelle sécurité énergétique, «garder les lumières allumées» devrait être remplacé par des phrases comme «garder certaines lumières allumées», «quelles lumières devrions-nous éteindre ensuite ?», ou «pourquoi pas un peu plus d’obscurité ?». <sup id="fnref:31"/> De toute évidence, un approvisionnement énergétique moins fiable apporterait <a href="https://solar.lowtechmagazine.com/2017/09/how-to-run-the-economy-on-the-weather.html">des changements fondamentaux dans les habitudes et les technologies</a>, que ce soit dans les ménages, les usines, les systèmes de transport ou les <a href="https://solar.lowtechmagazine.com/fr/2018/09/how-to-build-a-lowtech-website.html">réseaux de télécommunication</a> - mais c’est justement l’idée. Les modes de vie actuels dans les sociétés industrielles ne sont tout simplement <a href="https://solar.lowtechmagazine.com/2018/01/how-much-energy-do-we-need.html">pas durables</a>.</p>
<p>Kris De Decker. Article initialement écrit pour le <a href="http://www.demand.ac.uk"><span class="caps">UK</span> Demand Centre</a>. </p>
