title: Why I Stopped Protesting and Started a Garden
url: https://abeautifulresistance.org/site/2019/12/5/why-i-quit-350org
hash_url: f84169abe9067aa3fde8e3f3fc200517

<p>I quit protesting and started a garden. It sounds absurd at first, I know. But bear with me.</p>
<p>I first woke up to the threat of climate change in 2014 (I was a late bloomer), when 350.org was organizing the first People’s Climate March in New York City. Around that time, I started writing about environmental issues and then joining—and later organizing—protests. </p>
<p>It was exhilarating. It felt empowering. I experienced for the first time in my life the potential of masses of people organized for a common cause. Harvard political scientist, <a href="https://www.bbc.com/future/article/20190513-it-only-takes-35-of-people-to-change-the-world" target="_blank">Erica Chenoweth</a>, has concluded that as little as 3.5% of a population participating in nonviolent protest can effect political change. I was excited to be a part of that transformative minority. </p>
<p>Mind you, I never expected protesting, by itself, to change the world. Rather, I saw mass events as opportunities to raise energy and build solidarity, especially among those who participated, but also among those who witnessed from afar. When people would ask me if I thought events like the People’s Climate March “accomplished anything”, I would respond that what those events do is to help people realize that they are not alone, that together they have power when they act collectively, and (this is critical) to motivate them to organize when they go back home.</p>
<p>And so I joined the ranks. Raising my voice. Raising awareness. Raising hell.</p>
<p>Five years later, I was done.</p>
<p>Done marching. Done mobilizing. Done.</p><h2>It Was Fun While It Lasted</h2><p class="">When I first got active, there was no chapter of 350.org in the whole state of Indiana, where I live. In May 2016, 350.org organized the Break Free campaign, which consisted of twenty coordinated actions all around the world, all targeting the fossil fuel industry. One of those actions took place at the BP refinery in Whiting, Indiana, near where I live. The BP refinery is the largest tar sands refinery in the U.S. There was a rally and march, attended by about 1,000 people. Forty-one people participated in non-violent civil disobedience on the BP property and were arrested. I was one of them.</p>
<p>After the Break Free action, I and a few others who participated in Break Free organized <a href="https://350incalumet.org/" target="_blank">the first chapter of 350.org in Indiana</a>. Though we all got deferred prosecutions, the judge in the case unnecessarily ordered all the arrestees to personally appear in court. This gave us an opportunity for our first action. We rallied around the state courthouse, and after the hearing, we marched to the nearby federal courthouse, put on an amazing street theater production, and delivered our demand to our Democratic senator, that he reject Donald Trump’s climate change-denying cabinet nominees. </p>
<p>Over the following years, we organized <a href="https://350incalumet.org/what-weve-done/" target="_blank">a variety of events</a>. We chartered a bus to the 2017 People’s Climate March in Washington, D.C., and we raised money to subsidize tickets for residents of a housing complex who had been forced from their homes due to industrial lead contamination. We organized two pipeline walks, one in the fall and one in the spring, designed to bring attention to the existence of pipelines carrying tar sands oil through our neighborhoods, under playgrounds, and by schools. We raised money for and brought bottled water to the residents of East Chicago who had been most affected by the lead crisis. We organized a film screening of <em>The Reluctant Radical</em>, about Ken Ward, one of the “valve turners” who was arrested and prosecuted in 2016 for shutting the valves on pipelines bringing tar sands oil into the U.S. After the film, we had a virtual Q&amp;A with Ken himself and the filmmaker.<em> </em>We tabled at the Northwest Indiana Earth Day Celebration and shared information with people about the tar sands pipelines and the fossil fuel industry in the region. And we hosted a 4-week non-violent direct action class. </p>
<p>Our last event was on Earth Day 2019. We organized an interfaith event called “Prayer for the Planet”, with representatives of Buddhist, Christian, Humanist, Jewish, Mormon, Muslim, Pagan, and Sikh religious communities, who shared in word, song, and prayer their unique understanding of the sacred calling to protect our planet.</p>
<p>It was good work. It was fun. I don’t regret any of it.</p>
<p>But at the end of three years, we had very little to show for our work. We were still just a handful of people with very few resources. We probably helped “raise awareness” in some people. But we had not accomplished any tangible goals. And we were all feeling burnt out.</p>
<p>Over the years, I kept thinking that what we really needed to do was go spend some time together outdoors, in the nearby national park or some other semi-wild place. We never did. I really wish we had.</p><h2>Go Big Green, or Go Home</h2><p class="">In July 2019, our chapter of 350 officially went on hiatus. Two other 350 groups had been organized elsewhere in Indiana in the meantime. But they too had gone inactive.</p>
<p>For a little while after our local 350 chapter disbanded, I considered starting a local chapter of Extinction Rebellion (also called “XR”)—which seemed like a hipper version of 350. But it didn’t take me long to see that I was going to have the same problems with XR that I had with 350. There were a lot of reasons why I decided to be done with 350, XR, and all the rest … but one reason predominated.</p>
<p>I could write about <a href="https://www.amazon.com/Manufacturing-Greta-Thunberg-Cory-Morningstar/dp/3749464758" target="_blank">how 350.org and other Big Green groups have been co-opted by capitalists</a>. I could talk about how class and racial privilege are manifest in both the demographics and <a href="https://praywithyourfeet.org/2018/08/24/an-open-letter-to-my-activist-friends/" target="_blank">the tactics* of 350.org</a>, <a href="https://medium.com/@baesharamdrag/what-are-you-doing-to-dismantle-your-middle-class-white-privilege-when-participating-in-xr-2bfcfc1d66a9" target="_blank">as well as XR</a>. I could write about how effective forms of <a href="https://praywithyourfeet.org/2018/07/17/civil-disobedience-vs-direct-action/" target="_blank">direct action</a> had been replaced with what Sophia Burns calls <a href="https://godsandradicals.org/2017/11/22/dont-protest/" target="_blank">“expressive protests”</a>, which are little more than theatrical productions followed by no real organizing, and which tend <a href="https://godsandradicals.org/2017/08/09/catharsis-is-counter-revolutionary/" target="_blank">act as a safety valve</a> for whatever revolutionary energy might be raised. I could write about the flaw in trying to effect political change by convincing people that climate change is real using facts and figures. I could write about <a href="https://www.abc.net.au/news/2012-10-02/kingsnorth-why-sustainability-is-bad-for-the-environment/4290720?pfmredir=sm" target="_blank">the mirage that is environmental “sustainability”</a> and the futility of pursuing a transition to renewable energy without a reduction in consumption (on a scale which would collapse the global economic system).** </p>
<p>Any one of those things would have been enough of a reason to quit 350. But the biggest problem I had with 350, was … well, it was too big.</p>
<p>Climate change is a big problem. Maybe the biggest problem we’ve ever faced. Such a big problem would seem to demand big solutions, and big movements to bring about those solutions. But those big solutions have a way of causing their own problems. And those big movements have a way of distancing us from the very thing we are trying to save. </p><h2>The Co-Optation of Environmentalism</h2><p class="">Paul Kingsnorth, co-founder of the Dark Mountain Project and author of <a href="http://paulkingsnorth.net/books/confessions/" target="_blank"><em>Confessions of a Recovering Environmentalist</em></a>, asks “What if the problem is bigness itself?” He explains that he became an environmentalist because of a strong emotional reaction to wild places: “Throughout my life I have had experiences on mountains and in forests that have offered up some unworded but real connection to something way beyond myself. …</p><blockquote><p class="">“Sometimes I ask myself why I give a shit about any of this. Why do I feel that the forests matter? The becks, the orang-utans, the hornbills, the giant anteaters, the speckled wood butterflies? I always come back to the same answer: … these things stir feelings in me that point towards a greatness that cannot be found within the human world alone. And I know that the possibility of these things disappearing for ever from the world brings about in me a passion, an anger, a fear and a frustration that is primal, atavistic and probably as old as the caves. Because I am an animal and this is my world; my birthright. It is my place.”</p>
<p>— Paul Kingsnorth, <a href="http://paulkingsnorth.net/2014/04/04/in-the-black-chamber/" target="_blank">“The Black Chamber”</a></p></blockquote><p class="">Looking back on the British road protests of the 1990s, Kingsnorth recalls it as the last time that the environmental movement was truly ecocentric. “They didn’t see ‘the environment’ as something ‘out there’; separate from people, to be utilised or destroyed or protected according to human whim. They saw themselves as part of it, within it, of it.” Environmentalism at its rawest, he writes, is simply people being in a place, knowing it, loving it, and standing up for it.</p>
<p>But so much of environmentalism today seems to have little to no attachment to any actual environment. It isn’t about the sacredness of the more-than-human world; it’s about ensuring that the machine of progress can keep moving “forward” so we can consuming at the levels we have become accustomed to. Kingsnorth writes that mainstream environmentalists have bought into the language and the ideological assumptions of industrial capitalism, so that they now “find themselves unable to do anything but argue about which machines they would prefer to use to power an ever-growing industrial economy.” </p>
<p>The language of climate activists today is of parts-per-million of carbon, peer-reviewed scientific papers, and technological fixes. But something is lost in all this abstraction. What is lost is our experience of connection to the earth. And I suspect that this is intentional. It’s easier to turn a forest or a mountain into a commodity when we don’t really feel anything for it. This is how we get sacrilegious environmental policies like carbon offsetting.</p>
<p>Amongst all the campaigns to “save the Earth” today, Kingsnorth sees “no sign of any real, felt attachment to any small part of that Earth.” It’s no wonder we are feeling burnt out. We have lost the connection to the earth—not the planet Earth with a capital “E”, but the earth beneath our feet, the place where we are. “The antidote to this global distancing of humanity from the rest of nature,” writes Kingsnorth, “is the slow, messy business of <a href="https://abeautifulresistance.org/site/2020/1/10/building-a-relationship-with-nature">getting to know a landscape</a>.”</p>
<p>Ecotheologian Thomas Berry once wrote, “We will not save what we do not love. And we will neither love nor save what we do not experience as sacred.” Climate activism is focused on the global, the general. And yet, love is always specific. Most of us cannot love “the whales”, any more than we can love a stranger, because we don’t interact with them regularly. But we can love the beings—human and other—with whom we are in direct relation. We cannot love “the Earth”, because we cannot have a relationship with the planet, any more than we can have a relationship with “humankind"—it’s too big. But we can love the place where we are and the people who live there.</p><blockquote><p class="">“If you treat this not as a ‘global issue', which requires some kind of mass political response, but instead as a personal experience you have to live through, things start to look rather different. I usually find that the small picture is the most important one. You can think about ‘global issues' until your head hurts and you want to die of despair: it is another form of abstraction. We live by the small things: the things we can control or experience personally.”</p>
<p>— Paul Kingsnorth, <a href="https://dark-mountain.net/the-barcode-moment-part-3/" target="_blank">The Barcode Moment</a></p></blockquote><h2>Withdraw, and then …</h2><p class="">And so, after years of environmental activism, Kingsnorth decided to withdraw.</p>
<p>To a lot of people, withdrawing sounds like giving up. For those still operating within the paradigm of mainstream environmentalism, there are only two options,<a href="https://anotherendoftheworld.org/2020/01/23/not-extinction-rebellion-but-extinction-reconciliation/" target="_blank"> “fighting” and “giving up”</a>. But that’s a false dichotomy. Withdrawing doesn’t mean giving up, and it doesn’t mean doing nothing. Withdrawing is about pulling back to a space where you can breathe, a space to experience the world around you again, to remember what it is you are trying to save, to realize what you do and do not have the power to do, and to hear the call of the world to whatever it is that you are being called you to at this time and place. </p><blockquote><p class="">“Withdraw not with cynicism, but with a questing mind. Withdraw so that you can allow yourself to sit back quietly and feel–intuit–work out what is right for you, and what nature might need from you. .... Withdraw because action is not always more effective than inaction. Withdraw to examine your worldview: the cosmology, the paradigm, the assumptions, the direction of travel. All real change starts with withdrawal.”</p>
<p>— Paul Kingsnorth, <a href="https://orionmagazine.org/article/dark-ecology/" target="_blank">“Dark Ecology”</a></p></blockquote><p class="">What then? What comes after withdrawing? Well, you have to work that out for yourself. But Kingsnorth does give some suggestions:</p><h3>1. Preserve non-human life.</h3><blockquote><p class="">“Maybe you can buy up some land and re-wild it; maybe you can let your garden run free; maybe you can work for a conservation group or set one up yourself; maybe you can put your body in the way of a bulldozer; maybe you can use your skills to prevent the destruction of yet another wild place.”</p></blockquote><h3>2. Get your hands dirty.</h3><blockquote><p class="">“Root yourself in something: some practical work, some place, some way of doing. Pick up your scythe or your equivalent and get out there and do physical work in clean air surrounded by things you cannot control. Get away from your laptop and throw away your smartphone, if you have one. Ground yourself in things and places, learn or practise human-scale convivial skills.”</p>
<p>“I’ve thought for years that the best way to put a spanner in the consumer dystopia that is unfolding is to ground yourself in a place and to learn to do things with your hands–actually learn to do them, not just write about learning to do them. Grow your own carrots, learn to use an axe and a scythe, know where the sun falls and what the trees do and what is growing in the laneways.”</p></blockquote><h3>3. Insist that nature has a value beyond utility … and tell everyone.</h3><blockquote><p class="">“Environmentalists … have persuaded themselves that, in order to be taken seriously by those with the power to save or destroy, they must speak this language [the language of utility] too. But this has been a Faustian bargain. Argue that a forest should be protected because of its economic value as a ‘carbon sink’, and you have nothing to say when gold or oil of much greater value are discovered beneath it. Speaking the language of the dominant culture, the culture of human empire that measures everything it sees and demands a return, is not a clever trick but a clever trap. Omit that sense of the sacred in nature—play it down, diminish it, laugh nervously when it is mentioned—and you are lost, and so is the world that moved you to save it for reasons you are never quite able to explain.”</p></blockquote><h3>4. Build refuges.</h3><blockquote><p class="">“The ongoing collapse of social and economic infrastructures, and of the web of life itself, will kill off much of what we value. In this context, ask yourself: what power do you have to preserve what is of value–creatures, skills, things, places? Can you work, with others or alone, to create places or networks that act as refuges from the unfolding storm?”</p></blockquote><p class="">Kingsnorth admits that none of this is going to save the world. But then maybe the reason why we’re in this predicament is the hubris of believing we could ever have saved the world in the first place. As Kingsnorth writes, “Sometimes I think that ‘saving the world’ is just another way of controlling it.”</p><h2>Post-Activism?</h2><p class="">This kind of thinking is what Bayo Akomolofe calls <a href="http://bayoakomolafe.net/sacred-activisms/" target="_blank">“post-activism”</a>. I’m sure that, to many people, it will seem an irresponsible (not to mention privileged) stance, given the state of the world. But more and more people have been arriving at a similar place in the last few years.</p>
<p>Jonathan Franzen, author of the controversial <em>New Yorker </em>article, <a href="https://www.newyorker.com/culture/cultural-comment/what-if-we-stopped-pretending?fbclid=IwAR0JP82wKMYemsFmZnjW15JNwo2en15SkOplF5Hs0q36wp-NEAjCYiUeKCU" target="_blank">“What If We Stopped Pretending?”</a>, argues that, while it remains important to try to mitigate the worst impacts of climate change, </p><blockquote><p class="">“it’s just as important to fight smaller, more local battles that you have some realistic hope of winning. Keep doing the right thing for the planet, yes, but also keep trying to save what you love specifically—a community, an institution, a wild place, a species that’s in trouble—and take heart in your small successes. Any good thing you do now is arguably a hedge against the hotter future, but the really meaningful thing is that it’s good today. As long as you have something to love, you have something to hope for.”</p></blockquote><p class="">Eric Demore, author of <a href="https://humanparts.medium.com/the-palliative-environmentalist-8a3a3fe77a72" target="_blank">“A Palliative Approach to the End of the World”</a>, who writes that the Earth resembles a patient with an untreatable cancer. That cancer is industrial capitalism. But rather that trying to treat the patient with “disfiguring aggression”, Demore recommends a palliative approach. This means focusing on the short-term, the local, the concrete; it means “comforting my immediate world, my school, my street, the ravine behind my house.”</p>
<p>Dahr Jamail and Barbara Cecil, are co-authors of a series of articles at Truthout called, <a href="https://truthout.org/series/how-then-shall-we-live/" target="_blank">“How Then Shall We Live?”</a>, in which they wrestle with how to live in the face of climate catastrophe. <a href="https://truthout.org/articles/climate-crisis-forces-us-to-ask-to-what-do-we-devote-ourselves/" target="_blank">Jamail writes</a> that the root of the climate crisis is that we have become disconnected from the earth. The first step, then, before we attempt any solutions, is to reconnect. “For we cannot begin to walk until our feet are on the ground.” <a href="https://truthout.org/articles/what-would-it-mean-to-deeply-accept-that-were-in-planetary-crisis/" target="_blank">Cecil then explains</a> why growing vegetables is one way they have chosen to reconnect, as it provides not only food, but helps foster a relationship with the earth and with their human community.</p><h2>My “Bit of Earth”</h2><p class="">So I am taking Kingsnorth advice. I’m turning my attention from the planet to the place where I live, from humanity to the beings—both human and other—who I share this place with. I am turning from my hopes and fears about the future to the needs of the present. I’m turning from all the big picture stuff to the small scale, from the global to the local, to what I can see and touch and feel. </p>
<p>And I’m starting with the place where I live, the little plot of land where my house sits, with my yard and my garden. I’m starting the work (or, in some ways, the un-work) of rewilding my yard. Planting for pollinators will be next. I actually already had a garden, but now I’m looking for better ways to grow and preserve the food from the garden, as well as ways that I can use this food to connect with my local community. Recently I was inspired by <a href="https://www.chicagotribune.com/suburbs/post-tribune/opinion/ct-ptb-davich-urban-gardening-farming-gary-st-0424-story.html" target="_blank">a woman living in nearby Gary, Indiana</a>, Aja Yasir, who has been fighting a legal battle with municipal authorities for practicing regenerative agriculture and growing a community food garden in the front yard of her urban home. There’s <a href="https://medium.com/@georgekao/why-growing-food-is-the-single-most-impactful-thing-you-can-do-in-a-rigged-political-system-40edea136064" target="_blank">something revolutionary about growing your own food</a>—especially doing it in a community. </p>
<p>When the Scottish artist, Ian Hamilton Finlay, was accused of retreating from reality into his garden, he responded, “Certain gardens are described as retreats when they are really attacks.” Kingsnorth speculates that what Finlay meant was …</p><blockquote><p class="">“that the beauty and meaning he was constructing around him was an attack on the kind of world that thinks it is meaningless to do something so small, so local, so specific. To tend a garden, to learn to be humble, to use your skills locally rather than globally: none of this will ‘save the world’, none of it is easy to rally large groups of people behind, none of it makes a good slogan. And yet, it has an impact.”</p>
<p>Paul Kingsnorth, <a href="https://dark-mountain.net/learning-what-to-make-of-it/" target="_blank">“Learning What to Make of It”</a></p></blockquote><p class="">And when I know more what I’m doing, then I’m going to try my hand at <a href="http://www.guerrillagardening.org/" target="_blank">guerrilla gardening</a>. Maybe instead of protesting on the lawn of my state representative, I’ll secretly plant some vegetables in his yard.</p>
<p>At the same time, I’m going to really try to listen to the place where I live, to find out what it needs and wants, instead of automatically trying to impose my ideas on it. I’m taking the time from activism to go on that walk in the woods that we never did. I need to remind myself of the love I have for this place, especially the few wild parts of it that remain, like the <a href="https://en.wikipedia.org/wiki/Habitats_of_the_Indiana_Dunes" target="_blank">wonderfully diverse Michigan lakeshore</a> with its dunes, forest, and wetlands, sandwiched though it is between a coal-fired power plant on one side and a noxious steel mill on the other. <a href="https://globalecoguy.org/learning-the-lessons-of-the-planet-54fa11d5abc9" target="_blank">There are, after all, important lessons to learn from (and to be reminded by)  wild nature</a> … lessons about interconnectedness, about resilience, and above all, about limits.</p><h2>Getting Real</h2><p class="">And I also want to connect with my human community more intimately. So I’m starting a climate grief group. And I’m keeping it small—no more than five people and a moderator, so we can have a real conversation. </p>
<p>It is one of the ironies of climate activism that, in fighting for a more sustainable way of life, we often pursue our activism in an unsustainable way. In her essay, <a href="https://www.hollytruhlar.com/environmental-movement-failed/" target="_blank">“The Environmental Movement Has Failed”</a>, grief therapist Holly Truhlar writes that the environmental movement has failed to offer spaces where we can talk about our grief and other emotions, and until we do we are never going to be in right relationship with nature, with ourselves, or with each other. </p>
<p>So I’m starting this group (actually two of them) with the goal of creating a space where we can talk about feeling tired or afraid or overwhelmed or paralyzed or uncertain, where we can talk about these feelings without judgment and without a rush to answers or action. I believe that talking about our feelings honestly will lead to more appropriate and effective action when it is called for. As Dahr Jamail has written:</p><blockquote><p class="">“I’ve learned that I need to work on my own grief because it’s the only way I can access the depths within myself that are requisite of these times. Only then am I able to be clear about what is most important, and what my next right step should be. Only after fully taking in the gravity of our crisis and the impending collapse of civilization are my eyes cleared of any delusion, or any fantasy of hope.”</p>
<p>— Dahr Jamail, <a href="https://www.resilience.org/stories/2019-07-15/uncertain-future-forum-dahr-jamail-essay/" target="_blank">“Dancing with Grief”</a></p></blockquote><p class="">I think this is what Bayo Akomolafe means when he says, <a href="http://bayoakomolafe.net/project/the-times-are-urgent-lets-slow-down/" target="_blank">“The times are urgent—we must slow down.”</a> It’s counterintuitive, but I’m finding the wisdom in it now.</p>
<p>Yes, I’m still probably going to call my state congressional representative when a bill is proposed that would make it impossible for a nearby coal-fired power plant to shut down. I’m still probably going to support the local youth who organize a protest at the mall on Black Friday. And I’m still probably going to march with friends and family at climate marches in the streets of Chicago—if for no other reason than they’re a lot of fun! But this isn’t going to be the focus of my attention for the foreseeable future.</p>
<p>I’m not saying that starting a garden or a grief group is going to save the planet, or humanity, or civilization. It won’t. </p>
<p>And I’m not saying this is the answer for everyone. It’s not. </p>
<p>It’s not even the answer for me. It’s more of a beginning of an answer. Or maybe the place from which I hope the answer will eventually emerge. For now, this is where I am choosing to stand. On this little bit of earth which I love, with these people who I love. And while I wait for the answers to come, at least we’ll have something fresh to eat from my garden.</p>