title: 🚨 How Basecamp blew up
url: https://www.platformer.news/p/-how-basecamp-blew-up
hash_url: 413c4ae36b9d7f577768dcc991561268

<figure><a class="image-link image2 image2-974-1456" target="_blank" href="https://cdn.substack.com/image/fetch/f_auto,q_auto:good,fl_progressive:steep/https%3A%2F%2Fbucketeer-e05bbc84-baa3-437e-9518-adb32be77984.s3.amazonaws.com%2Fpublic%2Fimages%2F7fe80c61-caa9-42bb-bcf8-bdc766cf11d2_5864x3922.jpeg"><img src="https://cdn.substack.com/image/fetch/w_1456,c_limit,f_auto,q_auto:good,fl_progressive:steep/https%3A%2F%2Fbucketeer-e05bbc84-baa3-437e-9518-adb32be77984.s3.amazonaws.com%2Fpublic%2Fimages%2F7fe80c61-caa9-42bb-bcf8-bdc766cf11d2_5864x3922.jpeg" data-attrs='{"src":"https://bucketeer-e05bbc84-baa3-437e-9518-adb32be77984.s3.amazonaws.com/public/images/7fe80c61-caa9-42bb-bcf8-bdc766cf11d2_5864x3922.jpeg","height":974,"width":1456,"resizeWidth":null,"bytes":1402908,"alt":"Photo of a half-opened laptop with the screen showing a rainbow-colored explosion. Joshua Woroniecki / Unsplash","title":null,"type":"image/jpeg","href":null}' alt="Photo of a half-opened laptop with the screen showing a rainbow-colored explosion. Joshua Woroniecki / Unsplash"></a><figcaption class="image-caption">Joshua Woroniecki / Unsplash</figcaption></figure>

<p><strong>I.</strong></p><p>At 8AM PT on Friday, a bleary-eyed Basecamp CEO Jason Fried gathered his remote workforce together on Zoom to apologize. Four days earlier, he had thrown the company into turmoil by announcing that “societal and political discussions” <a href="https://world.hey.com/jason/changes-at-basecamp-7f32afc5">would no longer be allowed on the company’s internal chat forums</a>. In his blog post, Fried said the decision stemmed from the fact that “today's social and political waters are especially choppy,” and that internal discussions of those issues was “not healthy” and “hasn’t served us well.” The public reaction had been furious, and Fried said he was sorry for the way the new policies had been rolled out — but not for the policies themselves. </p><p>Behind the scenes, Fried had been dealing with <a href="https://www.theverge.com/2021/4/27/22406673/basecamp-political-speech-policy-controversy">an employee reckoning over a long-standing company practice of maintaining a list of “funny” customer names</a>, some of which were of Asian and African origin. The internal discussion over that list had been oriented primarily around making Basecamp feel more inclusive to its employees and customers. But Fried and his co-founder, David Heinemeier Hansson, had been taken aback by an employee post which argued that mocking customer names laid the foundation for racially-motivated violence, and closed the thread. They also disbanded an internal committee of employees who had volunteered to work on issues related to diversity, equity, and inclusion.  </p><p>On Friday, employees had their chance to address these issues directly with Fried and his co-founder. What followed was a wrenching discussion that left several employees I spoke with in tears. Thirty minutes after the meeting ended, Fried announced that Basecamp’s longtime head of strategy, Ryan Singer, had been suspended and placed under investigation after he questioned the existence of white supremacy at the company. Over the weekend, Singer — who worked for the company for nearly 18 years, and authored a book about product management for Basecamp called <em>Shape Up: Stop Running in Circles and Ship Work that Matters</em> — resigned.</p><p>Within a few hours of the meeting, at least 20 people — more than one-third of Basecamp’s 57 employees — had announced their intention to accept buyouts from the company. And while many of them had been leaning toward resigning in the aftermath of Fried’s original post, the meeting itself pushed several to accelerate their decisions, employees said. The response overwhelmed the founders, who extended the deadline to accept buyouts indefinitely amid an unexpected surge of interest.</p><p>This account is based on interviews with six Basecamp employees who were present at the meeting, along with a partial transcript created by employees. Collectively, they describe a company whose attempt to tamp down on difficult conversations blew up in its face as employees rejected the notion that discussions of power and justice should remain off limits in the workplace. And they suggest that efforts to eliminate disruptions in the workplace by regulating internal speech may cause even more turmoil for a company in the long run. </p><p>“My honest sense of why everybody is leaving because they're tired of Jason and David's behavior — the suppression of voices, of any dissent,” one employee told me. “They really don’t care what employees have to say. If they don't think it's an issue, it's not an issue. If they don't experience it, then it's not real. And this was the final straw for a lot of employees.”</p>
<p><strong>II.</strong></p><p>While Friday’s meeting would eventually grow heated, it began on a conciliatory note. Fried, who employees described as looking tired, began the meeting by apologizing for announcing the policy changes by a public blog post rather than first telling all employees. Hansson tuned into the meeting from bed, where he reported that he was feeling ill, and after making introductory remarks turned off his camera for the duration of the meeting.</p><p>Fried opened the floor for comments and questions. For the next two and a half hours, employees pressed the founders on the policy changes, the events leading up to them, and the state of the company. The first part of the meeting was devoted to discussing the events that had unfolded in the company’s internal Basecamp chat last month, in which an employee had cited the Anti-Defamation League’s “<a href="https://www.adl.org/sites/default/files/documents/pyramid-of-hate.pdf">pyramid of hate</a>” to argue that documents like the “funny” names list laid a foundation that contributes to racist violence and even genocide.</p><p>Roughly 90 minutes into the meeting, Singer raised his hand and spoke. One of Basecamp’s most senior executives, he had joined the company in 2003, when it was known as 37Signals and consisted of just four people. From his original role designing interfaces, Singer had risen to become head of strategy — essentially, Basecamp’s chief product officer.</p><p>Along the way, he had also alienated some of his coworkers by promoting conservative views. In 2016, three employees said, he praised right-wing website Breitbart’s coverage of the presidential election in an internal forum. (About a week before rolling out the policy changes, the founders deleted nearly two decades of internal conversations from previous instances of Basecamp and its other collaboration products. Among other things, this made it more difficult for employees I spoke with to accurately describe past interactions with Singer in the forums.)</p><p>In the April discussion about the list of customer names, Singer posted to say that attempting to link the list to genocide was “absurd.” On the Friday call, he went further.</p><p>“I strongly disagree we live in a white supremacist culture,” Singer said. “I don't believe in a lot of the framing around implicit bias. I think a lot of this is actually racist.”</p><p>He continued: “Very often, if you express a dissenting view, you get called a Nazi. … I have not felt this is open territory for discussion. If we were to try to get into it as a group discussion it would be very painful and divisive.”</p><p>Singer concluded his remarks. Fried responded, “Thank you, Ryan.” </p><p>A handful of other speakers followed. Then a Black employee asked if the company could revisit Singer’s remarks. (I’m withholding the employee’s name and other identifying details out of colleagues’ fears that they could be targeted for harassment for speaking out.)</p><p>“The fact that you can be a white male, and come to this meeting and call people racist and say ‘white supremacy doesn't exist’ when it's blatant at this company is white privilege,” the employee said. “The fact that he wasn’t corrected and was in fact thanked — it makes me sick.”</p><p>Fried went to move on, but other employees pressed for more of a response from him and Hansson. At that point, employees said, Singer spoke up again.</p><p>“I can gladly respond,” he said. “I stand by what I said. Saying white people have something in common is racist. I stand by it … I am very sure I don’t treat people in a racist way.”</p><p>(Singer remembers one of these quotes differently: “I said that claiming anybody <em>must</em> have a certain viewpoint because of the color of their skin is racist,” he said today.) The Black employee said they did not want to hear from Singer, but after some cross-talk he finished his statement.</p><p>“The difficulty of this conversation is exactly why I raised it,” he said. </p><p>The Black employee responded: “You said, ‘white supremacy doesn't exist.’ That's a factual lie. It's not true.”</p><p>To which Singer responded: “I said we have different ways of framing … If you want to debate whether it exists anywhere, then yeah. But not here at this company, not with the people I associate with.” </p><p>“It exists right now,” another employee said. “This is fucking bullshit. You are being ridiculous.” </p><p>“I don’t accept that framing,” Singer responded. “It’s not productive to argue further. I don’t want to argue. This difference in views, it is what makes a political discussion so difficult.” </p><p>Employees once again pressed Fried and Hansson for a response.</p><p>“I don’t like hearing that someone doesn’t feel valued,” Fried said. “I don’t know what to say … I can understand why [the employee] feels uncomfortable right now. I feel terrible about it. I don’t know how else to respond.” </p><p>The employee called for the founders to denounce white supremacy. “That would be the bare minimum for me,” they said. </p><p>“I’m not here to share my personal views on anything,” Fried said. “I’m horrified when one group dominates another.” Fried, who is Jewish, added that he had lost relatives during the Holocaust. “I think it’s absolutely the most disgusting thing in the world … I can’t say that’s happening here.” </p><p>Fried added that he didn’t “know what to say about specific terms. I don’t know how to satisfy that right now.” </p><p>Hansson remained on mute. </p><p>It was in that exchange that several employees decided to quit Basecamp, I’m told. Two employees told me that they had found themselves crying and screaming at the screen.</p><p>“This was the test, as far as I’m concerned,” one told me later. “Do you protect this extremely senior employee that you’ve protected for many years? And [the answer] was yes.”</p><p>Over the next hour, employees continued to come forward to discuss Basecamp’s new policies and what would be like going forward. But before the meeting ended, one employee spoke up to address Singer’s remarks directly in a way that Fried and Hansson did not.</p><p>“Racism [and] white supremacy are not things that are so convenient that they only happen when full intention is present, or true malice is present,” the employee said. “Evil is not required. We’re not so lucky as for this to come down to good and evil. It’s as simple as creating a space where people do not feel welcome.”</p><p>The employee continued: “The silence in the background is what racism and white supremacy does. It creates that atmosphere that feels suffocating to people. It doesn't require active malice. It's not that convenient.”</p><p>The meeting broke up after no more employees had questions.</p>
<p><strong>III.</strong></p><p>A half hour after the meeting ended, Fried posted an internal note saying that Singer has been suspended pending an investigation. He added that the company was bringing in unspecified outside “help” to address the situation. </p><p>On Monday morning, in an interview, Fried told me that Singer had resigned. </p><p>I asked Fried to clarify his remarks during the Friday meeting, which had clearly caught him off guard.</p><p>“I denounce white supremacy unconditionally,” he told me. </p><p>Fried declined to answer my other questions on the record.</p><p>I also asked Singer about his remarks. Here is what he said, over email, in full:</p><blockquote><p>“I objected to an employee’s statement that we live in a white supremacist culture. White supremacism exists, and America’s history of racism still presents terrible problems, but I don’t agree that we should label our entire culture with this ideology.</p><p>On the call, the view I gave was we all want a future where everyone is treated fairly.  And yet there can be disagreement on whether defining our culture as ‘white supremacist’ helps us to get there. The subject is so charged that discussing such disagreements at work quickly leads to misunderstanding, heated accusations, and loss of faith.</p><p>Unfortunately, painful misunderstanding did result. Tensions were so high after the call that I decided it won’t be tenable to stay on the team. I gave my resignation over the weekend.”</p></blockquote>
<p><strong>IV. </strong></p><p>This week was to have been Basecamp’s (virtual) biannual meetup, in which employees come together to bond over social activities while talking about the future of the company. </p><p>Those discussions will still take place, but amidst a backdrop in which some of the company’s most senior leadership has abruptly departed. More employees are likely to follow in the coming weeks as they find new jobs and make other arrangements, I’m told. In the meantime, no changes to the policies that Fried laid out last week are planned.</p><p>Fried and Hansson’s moves last week, and the discussion around them, revealed clear fault lines between executives and workers that go far beyond Basecamp. Founders at Coinbase, Basecamp, and other companies have sought to quash internal dissent that, in their view, distracts workers from the company mission and makes everyone miserable. To a manager, the exchange that led to Singer’s departure could lend credence to the idea that addressing social injustices on company Zoom calls is bound to be disastrous. </p><p>Meanwhile, employees at those companies have recoiled at what appear to be transparent efforts to prevent their workplaces from becoming more diverse, equitable, and inclusive. </p><p>No one I interviewed offered a confident prediction about how the past week’s events would affect Basecamp over the long term. On one hand, it’s clear that the five books Fried and Hansson wrote <a href="https://basecamp.com/books">lecturing other people about good management</a> made them a lot of enemies, at least on Twitter, where they have been criticized relentlessly. On the other hand, as one employee told me, it’s not clear that average Basecamp customers know or care much about Basecamp the company, and no one predicts a mass revolt of the user base.  </p><p>But as much as the conversation about Basecamp’s moves has been framed as “politics,” it seems important to remember that the entire affair began when a third of the company — not all of whom are among the 20 who have departed so far, by the way — volunteered to help the company become more diverse and equitable. It was only when their committee dug a skeleton out of the company closet — that list of names — that Fried and Hansson moved to shut the whole thing down. </p><p>“It was actually a positive thing we were doing,” one employee told me, marveling at the chaos that had followed. “We had identified the problem, how it happened, and vowed not to do it again. It was a company doing exactly what it should do. The founders refused to lead, and so the company was doing it itself.”</p><p>Another employee said they had been thrown by the fact that the founders, after years of telling employees that they were part of an elite chosen few who were good enough to work at Basecamp, would get rid of them so easily.</p><p>“They just want to build cool shit all day,” the employee said. “They don't want to deal with people, which is something you have to do as a manager … Jason and David just threw us away.”</p>
