title: The First Question To Ask When Building Teams - Is This Really A Team?
url: https://www.viktorcessan.com/the-first-question-to-ask-when-building-teams-is-this-really-a-team/
hash_url: 77419ba77876ddc880823ee6321f9cbe

<p><span>Have you ever wondered why so many organizations fail at building effective and high performing teams despite offering so much support in different ways e.g. by managing people, by managing the environment, and by coaching teams? You’re not alone. This is often something that frustrates teams, coaches, and managers.</span></p> <p><span>You’d think that given all the support that teams receive, they would have great chances for becoming high performing. What our experience shows us, and </span><a href="https://www.adlibris.com/se/bok/creating-effective-teams-a-guide-for-members-and-leaders-9781483346120"><span>research</span></a><span>, is that it’s more uncommon than common for teams to get to a high performing state. While there are many reasons to why this happens, in this article we’re going to look at one often overlooked aspect of coaching teams. That is, whether the team, in fact, is a team or not.  </span></p> 
<h2><b>Teams, Pseudo-Teams, Temporary Alliances, and Co-workers</b></h2> <p><span>You might assume that if you put together a bunch of people and give them a goal, they’re a team. But that’s not how it works. While all constellations are working groups of some sort, in order for a working group to be considered a team two criteria need to be met.</span></p> <p><span>First they need to have a common/shared goal and second, they need to truly need each other to reach that goal. The need can be objective, e.g. that someone has accesses or a necessary skill-set I lack, or the need can be subjective, e.g. I’ve come to prefer a collaborative way of working such as pair or mob programming. But only when these two criteria are met, a working group can be considered a team.</span></p> <p> </p> <p><img class="aligncenter wp-image-1951" src="https://www.viktorcessan.com/wp-content/uploads/2018/10/team-e1539010042693.png" srcset="https://www.viktorcessan.com/wp-content/uploads/2018/10/team-e1539010042693.png 696w, https://www.viktorcessan.com/wp-content/uploads/2018/10/team-e1539010042693-300x225.png 300w, https://www.viktorcessan.com/wp-content/uploads/2018/10/team-e1539010042693-20x15.png 20w, https://www.viktorcessan.com/wp-content/uploads/2018/10/team-e1539010042693-600x451.png 600w" data-sizes="(max-width: 500px) 100vw, 500px" data-swift-image-lazyload="true" data-style="" data-l></p> 

<h2><b>Pseudo-teams</b></h2> <p><span>Teams where the members do not necessarily need each other to reach their goal, despite the goal being shared, are merely Pseudo-Teams. In Pseudo-teams members often, but not always, report to a manager who assigns goals to the members individually or they do it in pairs. Sales teams, Customer Service Teams, Component teams, Channel teams (e.g. iOS, Android) are some examples where members from an objective standpoint </span><i><span>often</span></i><span> can accomplish their work and reach their goal without needing the help of other people in the working group.</span></p> <p><img class="aligncenter wp-image-1952" src="https://www.viktorcessan.com/wp-content/uploads/2018/10/pseudo-e1539010095120.png" srcset="https://www.viktorcessan.com/wp-content/uploads/2018/10/pseudo-e1539010095120.png 693w, https://www.viktorcessan.com/wp-content/uploads/2018/10/pseudo-e1539010095120-300x224.png 300w, https://www.viktorcessan.com/wp-content/uploads/2018/10/pseudo-e1539010095120-20x15.png 20w, https://www.viktorcessan.com/wp-content/uploads/2018/10/pseudo-e1539010095120-600x448.png 600w" data-sizes="(max-width: 500px) 100vw, 500px" data-swift-image-lazyload="true" data-style="" data-l></p> 

<h2><b>Temporary Alliances</b></h2> <p><span>When co-workers need each other for something specific but they don’t share a common goal they form Temporary Alliances. Examples of this are team members that embed perhaps to help a team adopt a new technology. Alternatively, if I need to get help from IT-support, or a new entry card to the building and I ask office management for help, I have formed Temporary Alliances. Knowledge sharing guilds are also examples of Temporary Alliances. A Temporary Alliance can last anywhere from minutes to months.</span></p> <p><img class="aligncenter wp-image-1953" src="https://www.viktorcessan.com/wp-content/uploads/2018/10/alliance-e1539010159514.png" srcset="https://www.viktorcessan.com/wp-content/uploads/2018/10/alliance-e1539010159514.png 667w, https://www.viktorcessan.com/wp-content/uploads/2018/10/alliance-e1539010159514-300x231.png 300w, https://www.viktorcessan.com/wp-content/uploads/2018/10/alliance-e1539010159514-20x15.png 20w, https://www.viktorcessan.com/wp-content/uploads/2018/10/alliance-e1539010159514-600x461.png 600w" data-sizes="(max-width: 500px) 100vw, 500px" data-swift-image-lazyload="true" data-style="" data-l></p> 

<h2><b>Co-Workers</b></h2> <p><span>When team members don’t share their daily goals and they don’t need each other to achieve them, they’re just co-workers. </span></p> <p><img class="aligncenter wp-image-1954" src="https://www.viktorcessan.com/wp-content/uploads/2018/10/co-workers-e1539010194306.png" srcset="https://www.viktorcessan.com/wp-content/uploads/2018/10/co-workers-e1539010194306.png 672w, https://www.viktorcessan.com/wp-content/uploads/2018/10/co-workers-e1539010194306-300x237.png 300w, https://www.viktorcessan.com/wp-content/uploads/2018/10/co-workers-e1539010194306-20x16.png 20w, https://www.viktorcessan.com/wp-content/uploads/2018/10/co-workers-e1539010194306-600x473.png 600w" data-sizes="(max-width: 500px) 100vw, 500px" data-swift-image-lazyload="true" data-style="" data-l></p> 

<h2><b>A common goal is both objective and subjective</b></h2> <p><span>While the need for each other can be either subjective or objective, having a common goal needs to be both subjective and objective. If a common goal is shared by the people in the team but the rest of the company doesn’t believe that’s the right goal, those forces will work to disband the team. </span></p> <p><span>If the company has a shared view of what the goal should be but only a few in the team share that view, subgroups will form. And of course most work can be linked towards the company’s overarching vision but that’s not what we’re talking about. We’re talking about goals as in daily work, monthly goals, quarterly goals, a year or years-long specific missions.</span></p> <p><span>So whatever the goal for the working group is, it has to be both objectively and subjectively shared.</span></p> <p><img class="aligncenter wp-image-1955" src="https://www.viktorcessan.com/wp-content/uploads/2018/10/need-and-goal-e1539010249636.png" srcset="https://www.viktorcessan.com/wp-content/uploads/2018/10/need-and-goal-e1539010249636.png 717w, https://www.viktorcessan.com/wp-content/uploads/2018/10/need-and-goal-e1539010249636-300x219.png 300w, https://www.viktorcessan.com/wp-content/uploads/2018/10/need-and-goal-e1539010249636-20x15.png 20w, https://www.viktorcessan.com/wp-content/uploads/2018/10/need-and-goal-e1539010249636-600x438.png 600w" data-sizes="(max-width: 500px) 100vw, 500px" data-swift-image-lazyload="true" data-style="" data-l></p> 
<h2><b>Knowing your type of working group</b></h2> <p><span>It’s crucial to pay attention to whether or not a working group is a team because it dictates what kind of structures to build and how to support the team. We see organizations spend tremendous amounts of energy in trying to coach Temporary Alliances and Pseudo-Teams as if they were teams, when in fact the kind of support those working groups needs is very different from what a team needs.</span></p> <p><span>Not only is this a wasted effort it’s also highly demotivating for the members to engage in activities that attempt to foster collaboration when it’s not necessary. Examples of this are daily stand-ups with people who don’t have any real reason to sync other than to possibly keep their manager updated (it’s really common still) – ever heard standups like this: </span><i><span>“Yesterday I went to these meetings, today I may think about this and attend these workshops, and I don’t have any impediments”</span></i><span> or </span><i><span>“What are you going to do today”</span></i><span>? </span></p> <p><span>Frequent offsites with Temporary Alliances aimed at team building with extensive getting to know each other exercises or talking about roles and responsibilities are also examples of misdirected efforts.</span></p> 
<h2><b>Only teams need to stick through the rough times</b></h2> <p><span>Different working groups are affected by group dynamics in different ways. A team has to get through the rough times because they do need each other. A Temporary Alliance will often never work together long enough to get to the storming phase (see </span><a href="https://en.wikipedia.org/wiki/Tuckman%27s_stages_of_group_development"><span>Tuckman’s stages of group development</span></a><span>)or they may change or disband the alliance because they don’t really share a common goal and they don’t need to stick through difficult times. They can fake it until they don’t need to.</span></p> <p><span>The same goes for a Pseudo-team. When the times get tough, the team members can either try to work their way through the difficult times or they can just stop showing up to meetings, work from home, etc. They simply don’t actually need each other.</span></p> 
<h2><b>Running a retro about what type of working group you have</b></h2> <p><span>If you haven’t thought about this before, if you’re generally curious, or if your team isn’t collaborating to the extent you were hoping, ask yourself what kind of working group they are. Or better yet, facilitate a conversation with the team / run a retro about what type of working group you are. Here’s a simple format you can use with your team:</span></p> <ol> <li><span>Set the stage and mention that this retro is about determining whether or not we’re a team, and if we’re collaborating enough according to our own views.</span></li> <li><span>Draw the working group framework without naming the quadrants and ask the working group to plot how much they individually need the other members of the team to achieve their goal, and how much they perceive their goal to be shared by the other members. </span></li> <li><span>Once people have answered write out the names of the quadrants. As little as one member not being in the team-quadrant is enough to negatively affect the team dynamics and hinder the group from ever reaching a performing state.</span></li> <li><span>Now ask the working group whether or not they want to be a team, and whether or not they want to collaborate (and how much and in what types of questions). </span></li> <li><span>It may be helpful to have the roadmap and vision available when the team starts discussing point 3 if they start discussing if they have a common goal or not.</span></li> <li><span>If the team wants to collaborate more / and want to work more towards a common goal, have them generate actions on what they think would lead to that.</span></li> </ol>
