title: Confrontation Constructive ou Tension Constructive - l’État et les Communs
url: http://www.greeneuropeanjournal.eu/confrontation-constructive-ou-tension-constructive-letat-et-les-communs/
hash_url: 2ec56f6dca4493e4dbd463332ef518aa

<p>Entretien avec Danijela Dolenec, Hilary Wainwright, Tomislav Tomašević, Michel Bauwens, et John Clarke, par Vedran Horvat</p>
<p>L’Académie verte 2016 de l’Institut pour l’écologie politique s’intitulait « Tipping Points », ou points de basculement. Cet événement a réuni des universitaires, des responsables politiques, des militants, et des experts de nombreux domaines afin de discuter des communs, de la décroissance et de la justice, et de ce que ces notions ont de commun. Par ailleurs, toujours pendant cet événement, plusieurs des orateurs se sont réunis pour discuter des communs pour mener une réflexion sur les politiques actuelles, répondre à l’échec de l’État et du marché, et évaluer leur potentiel pour exploiter le pouvoir réel et impulser le changement politique.</p>
<p><strong>Vedran Horvat : Qu’entend-on exactement quand on parle des communs et de l’État aujourd’hui ?</strong></p>
<p><strong>Michel Bauwens </strong>: Je dirais qu’il existe deux visions concurrentes de l’État dans l’histoire européenne. La première correspond à une société centrée sur l’État, comme il a pu en exister en Europe de l’Est, et où tout tourne autour de lui. L’autre modèle, devenu dominant, est l’État de marché, qui crée les conditions permettant au marché néolibéral et au secteur privé de prospérer. Je pense pour ma part que nous pouvons opposer à ces deux options un État qui serait au service des communs, où les communs seraient le moyen de créer de la valeur pour les citoyens. Cet État serait centré sur les citoyens, son rôle serait de faciliter et de responsabiliser ; il serait au service des citoyens et c’est ainsi qu’il se percevrait.</p>
<p><strong>John Clarke :</strong> La question sur l’État et les communs en appelle une autre : est-il envisageable de sauver la belle notion de l’État pris comme l’intérêt collectif, le bien commun, et l’intérêt public ? Cette notion a toujours convoqué un ensemble d’images très puissantes sur la nature même de l’État. En revanche, l’expérience vécue par rapport à lui est plus nuancée et plus perturbante parce que les États assument aussi un rôle disciplinaire. Ils contraignent, façonnent, et font en sorte que les gens adoptent des comportements adéquats. Aussi la relation des citoyens avec les États est-elle marquée par cette tension forcée entre leurs désirs et la sombre réalité. Les communs réapparaissent aujourd’hui avec cette question en filigrane : pourrions-nous sauver cette image, ce fantasme qui consiste à faire les choses bien et ensemble, et les communs sont-ils un moyen d’y parvenir ?</p>
<p><strong>Danijela Dolenec :</strong> La façon dont je conçois la relation entre les communs et l’État réside dans ce qu’en font les mouvements sociaux et les combats contemporains, dans la façon dont ils s’en servent et son potentiel politique. Je vois au moins deux éléments importants. Le premier a trait aux régimes de propriété parce qu’à un niveau vraiment élémentaire, le discours sur les communs et l’imaginaire aide à résister à la marchandisation et à la privatisation qui résultent aujourd’hui de l’État néolibéral. Le second, beaucoup plus crucial, est que la théorie des communs nous enseigne que l’important n’est pas tant de savoir qui possède quoi. Ce qui compte, ce sont les régimes de gouvernance. Il est donc essentiel de revendiquer des droits à la décision et d’aller vers des régimes de gouvernance participatifs et plus inclusifs.</p>
<p><strong>Hilary Wainwright :</strong> Je pense que la situation politique actuelle se caractérise avant tout par le développement de mouvements souvent associés à de nouveaux partis politiques ou, dans le cas de la Grande-Bretagne, par exemple, à l’intérieur et sans le Parti travailliste au sens traditionnel. Ces mouvements ne sont pas seulement là pour protester et manifester. Ils reflètent l’aliénation des citoyens du processus politique, y compris des partis et de l’État. Ils sont le reflet d’un processus lancé depuis 1968, au sein duquel les citoyens s’affirment en tant qu’acteurs instruits et productifs. La logique des alternatives créées dans l’ici et le maintenant, le refus des relations existantes, fondée sur l’hypothèse que la situation pourrait être différente, trouve désormais son prolongement dans le mouvement écologiste, les coopératives d’énergie, les jardins communautaires, les systèmes de soins alternatifs, etc. Ce que les communs mettent en évidence, c’est la notion d’auto-organisation et de création d’une force matérielle autonome vis-à-vis de la sphère politique existante. C’est là qu’entre en jeu l’élément de la participation, fondé sur la notion des personnes prises comme des citoyens « qui savent ». Les citoyens sont aliénés par la façon dont ils sont traités par l’État, c’est-à-dire comme de simples rouages, des statistiques.</p>
<p><strong>Tomislav Tomašević :</strong> Je pense que les communs sont importants en ce sens qu’ils proposent un nouveau récit qui dépasse le dualisme entre l’État et le marché pris comme les seules institutions permettant l’action collective et le partage de la prospérité. Tous les deux sont en crise et leur légitimité s’érode aujourd’hui. Les communs s’insèrent dans ce scénario sous la forme d’un nouveau récit qui nous montre qu’il est possible de mener une action collective qui n’est basée ni sur l’échange de marché, ni sur la perspective disciplinaire, hiérarchique, et paternaliste mise en œuvre par l’État. Situés à l’extérieur de la sphère étatique, les communs fournissent un contre-pouvoir autonome qui donne lieu à une sorte de redécouverte des pratiques collectives et de la gestion des ressources. Les communs, en quelque sorte, nous révèlent, mais sous un jour nouveau, le potentiel de la cogouvernance – ou de l’autogouvernance – des personnes. Et nous ne pouvons qu’espérer que cette redécouverte puisse être élargie aussi à l’État, à travers certaines pratiques de cogestion entre les personnes qui n’agiraient plus comme des consommateurs ou des sujets de l’État-providence, mais davantage comme des coproducteurs ou des partenaires.</p>
<p><strong>VH : L’État et les communs peuvent-ils fonctionner ensemble ? Les communs pourraient-ils assumer un rôle transformatif pour l’État en tant que régime de gouvernance ?</strong></p>
<p><strong>TT </strong>: Sur un plan conceptuel, rien n’est plus facile que de catégoriser les choses et d’affirmer qu’il existe trois domaines totalement distincts, c’est-à-dire les communs, l’État, et le marché. D’évidence, la réalité est beaucoup plus floue. La nature de la relation entre l’État et les communs est subordonnée à ceux qui détiennent le pouvoir étatique. Si la configuration du pouvoir politique est favorable, l’État peut être utilisé pour protéger et soutenir les communs, à travers des moyens redistributifs. Par contre, les communs ne peuvent pas fonctionner si la coopération avec l’État n’est pas une coopération entre acteurs placés sur un pied d’égalité, en ce sens que la relation doit être juste et que la redistribution qui vient en retour est ce qui permet de faire fonctionner les communs sur le plan pratique. Je pense que là où les communs peuvent être appliqués dans la pratique, on peut obtenir une certaine transformation à la fois de l’État et de ses pratiques.</p>
<blockquote><p>À un niveau vraiment élémentaire, le discours sur les communs et l’imaginaire aide à résister à la marchandisation et à la privatisation qui résultent aujourd’hui de l’État néolibéral.</p>
<p>~ Danijela Dolenec</p>
</blockquote>
<p><strong>MB </strong>: Pour moi, les communs sont une réponse à l’échec du marché et de l’État, à une crise systémique où la nature extractive du système économique actuel met la planète en danger. Les communs désignent en réalité un nouveau régime de valeur et ce n’est pas la première fois qu’un tel changement se produit. Entre le V<sup>e</sup> et le X<sup>e</sup> siècle, par exemple, l’économie européenne était basée sur le pillage. Des tribus itinérantes se disputaient en permanence des territoires jusqu’à ce qu’on voie apparaître, au XI<sup>e</sup> siècle, des villes libres, des guildes, et des communs donner corps à un nouveau système de valeur. Il me semble que nous sommes en présence d’un phénomène du même ordre.  Et ce régime de valeur nécessite un ensemble de services et de mécanismes de mise en place que seule une institution comme l’État peut fournir. Par conséquent, selon moi, il ne s’agit pas seulement de rendre l’État meilleur, mais davantage de conquérir un nouveau régime de valeur et les forces sociales qui le représentent. C’est donc une lutte pour une vision de l’État. Je pense que c’est dans ce type de mouvement-là que nous nous trouvons.</p>
<p><strong>DD :</strong> Il existe une tension spécifique entre les communs et l’État. Bien souvent, dans les discussions sur les communs, l’idée est émise qu’il s’agit d’un troisième domaine, extérieur à l’État et au marché. Mais cette conception est pour le moins non conflictuelle, tocquevilienne. Elle laisse entendre qu’il suffirait que les communs croissent pour que le capitalisme dépérisse. Mais ce n’est pas comme ça que le monde tourne. Les sociétés sont le cadre de conflits à propos de son fonctionnement et les intérêts en présence sont différents. Je dirais par conséquent que je vois les communs comme un élément politiquement utile lorsqu’il s’agit de se confronter à l’État, de poser des revendications concernant la voie à suivre pour le réformer, et pas seulement comme des zones autonomes, séparées, qui grandiront toutes seules et finiront par prendre l’ascendant sur l’État.</p>
<p><strong>VH : Danijela, pensez-vous que des confrontations autour des communs sont déjà présentes et remettent l’État en cause ?</strong></p>
<p><strong>DD </strong>: Absolument. À mes yeux, certains des mouvements sociaux contemporains sont des luttes pour les communs. Même si les acteurs de ces luttes recourent parfois à l’ancien vocabulaire, en utilisant le terme « public », ils n’en articulent pas moins un autre modèle politique que celui qui met aux prises l’État et la société de marché.</p>
<blockquote><p>Les communs sont importants en ce sens qu’ils proposent un nouveau récit qui dépasse le dualisme entre l’État et le marché pris comme les seules institutions permettant l’action collective et le partage de la prospérité.</p>
<p>~ Tomislav Tomašević</p>
</blockquote>
<p><strong>HW </strong>: Je crois qu’il est vraiment essentiel de voir les communs comme un pouvoir d’une autre nature que le pouvoir étatique. Traditionnellement, le pouvoir de l’État est celui de la domination. En parallèle, il faut aussi tenir compte du pouvoir de la capacité transformatrice, qui place l’accent sur l’autonomie et la créativité des forces populaires. Mais ce pouvoir-là en est à ses balbutiements, il n’est pas encore une réalité, juste un potentiel. D’une certaine façon, le rôle de la gauche et des organisations comme l’Institut pour l’écologie politique (IPE;  Croatie) consiste à nourrir ce potentiel, à développer ses capacités. Je pense que les partis et les mouvements alternatifs ne l’emporteront jamais uniquement par des scrutins politiques, ni pas l’insurrection. Il faut instaurer un lien avec un paradigme émergent, alternatif, semblable au nouveau régime de valeur décrit par Michel.</p>
<p><strong>DD </strong>: Ce qui compte, selon moi, c’est que la théorie des communs oblige la Gauche à se focaliser sur le développement durable. Pendant cette Académie verte, nous avons parlé de la Gauche bolivienne, une Gauche classique, redistributive, avec ses réussites, mais aussi ses échecs, étant donné qu’elle s’appuie sur un paradigme productiviste, extractiviste. Défendre les communs sur le plan politique génère un double impératif : l’abandon du productivisme et la nécessité d’adopter une approche largement égalitaire, pas seulement redistributive.</p>
<p><strong>VH : Beaucoup voient la mondialisation comme un processus au service de l’expansion économique néolibérale, dont l’Europe est un acteur. Les communs peuvent-ils contribuer à changer la situation ou à trouver une voie alternative, que ce soit au sein même des institutions européennes ou de ses États membres ?</strong></p>
<p><strong>JC </strong>: Je pense que le moment présent est celui d’un échec retentissant. L’une des dimensions primordiales de ce débâcle est l’incapacité des États d’être au service autant de la planète que de la population. Pour les communs, il y a donc à la fois une fenêtre d’opportunité et un immense danger. Les États recherchent sans cesse l’innovation et des moyens plus rapides, moins chers, et plus efficaces de s’acquitter des missions qui sont censément les leurs, mais sans y parvenir. Si bien que beaucoup de choses, qu’on appelle les services publics, sont désormais ouvertes aux quatre vents, pas seulement à l’exploitation commerciale, mais aussi aux intérêts et aux organisations des communautés. Pris ensemble, ces échecs de la force étatique marquent un moment de désespoir, mais aussi, potentiellement, un moment du possible ; l’État pourrait devenir une resource pour générer davantage de choses nouvelles.</p>
<blockquote><p>Il ne s’agit pas seulement de rendre l’État meilleur, mais davantage de conquérir un nouveau régime de valeur et les forces sociales qui le représentent.</p>
<p>~ Michel Bauwens</p>
</blockquote>
<p><strong>MB </strong>: Gramsci a dit qu’une crise existe au moment précis où l’ancien meurt et que le nouveau ne peut pas naître, et que toutes sortes de symptômes morbides sont susceptibles d’apparaître pendant cet interrègne. Quand on observe la montée en puissance de la droite radicale aujourd’hui, il est difficile de ne pas faire le parallèle avec une période comme les années 1930. Au XVI<sup>e</sup> siècle, pour prendre un autre exemple, l’État-nation était en gestation. Les acteurs étaient la ligue hanséatique, les villes libres de l’Italie du Nord, mais aucune forme n’avait déjà pris l’ascendant. Je crois qu’il en est de même aujourd’hui. Nous devons nous intéresser aux germes des formes nouvelles, même si nous ne pouvons pas encore savoir celle qui apportera des réponses pertinentes.</p>
<p><strong>HW </strong>: Si nous observons ce qui apparaît sur le terrain, il me semble que la lutte contre la privatisation de l’eau en Europe a été un combat transnational très efficace. La clé, dans ce débat, était l’idée qu’il existe un moyen alternatif de gérer l’eau qui l’emporte sur la corruption, l’inefficacité, la mauvaise qualité, etc. L’idée même que la gestion de l’eau pouvait être améliorée tout en restant dans le domaine public, au moyen d’une démocratisation, a joué un rôle crucial dans la mise en place d’un mouvement transnational démocratique et très sûr de lui. Cela a même changé la donne à l’échelon européen puisqu’il y a eu modification constitutionnelle pour que l’eau devienne un bien commun, ce qui est loin d’être négligeable.</p>
<p><strong>DD </strong>: La décomposition politique à laquelle nous assistons et la montée de l’extrême droite ne sont qu’une expression parmi d’autre de l’échec de la Gauche. Je pense que le discours sur les communs peut aider à faire progresser les politiques de Gauche au XXI<sup>e</sup> siècle. Dans mes travaux, je me suis inspiré du concept de Foucault, celui de la « gouvernementalité socialiste », pour faire glisser l’attention vers la création d’un nouveau rationalisme étatique et le sens d’un projet collectif, mais aussi vers une façon de gouverner, des principes sur lesquels ce projet se baserait. La durabilité matérielle et une conception élargie de l’égalitarisme semblent des objectifs faciles, mais leur concrétisation, la transformation de ces notions en principe de gouvernementalité, voilà l’impératif de la Gauche.</p>
<blockquote><p>Les partis et les mouvements alternatifs ne l’emporteront jamais uniquement par des scrutins politiques, ni pas l’insurrection. Il faut instaurer un lien avec un paradigme émergent, alternatif</p>
<p>~ Hilary Wainwright</p>
</blockquote>
<p><strong>VH : Peut-on dire qu’une dynamique politique pour les communs existe aujourd’hui en Europe ?  Comment tirer le meilleur parti des communs et quelle est leur relation au pouvoir ?</strong></p>
<p><strong>MB </strong>: Je crois que la ville est l’échelle où les communs s’insèrent le mieux à l’heure actuelle. Qu’il s’agisse des expériences menées à Barcelone, à Séoul (Corée), à Frome (au Royaume-Uni), à Grenoble (France), ou encore de l’expérience Co-Bologna en Italie (sans oublier Co-Mantova, Co-Palermo, Co-Bataglia), nous voyons émerger un modèle de gouvernement polycentrique où les politiques s’élaborent à la base, ce qui permet des groupes de citoyens de soumettre des propositions politiques. Cette approche est pour moi très radicale même si elle est en même temps très pragmatique. L’élaboration des politiques s’ouvre aux collectifs citoyens tandis que la ville se mue en mécanisme de mise en œuvre des projets proposés. Les villes trouvent de nouveaux modes de coopération à un niveau urbain et translocal qui n’existait pas auparavant. Une quarantaine de villes, par exemple, ont uni leurs forces pour réglementer Uber et, à mon avis, il vaudrait la peine de commencer à cartographier ces initiatives. Il en va de même dans la lutte contre le changement climatique, domaine où des villes se coalisent pour aller beaucoup plus loin que les États. À un autre niveau encore, il y a ce que j’appelle les « néotribus », essentiellement des travailleurs du savoir qui voyagent de par le monde, travaillent dans différents lieux et créent toute ces infrastructures de coopération mondiale dans des lieux physiques, comme le « cotravail » et le « fabbing<a href="#_ftn1" name="_ftnref1">[1]</a> ». Encore dix ou quinze ans et nous aurons des structures transnationales de différents types, à l’image des guildes du Moyen-Âge. De nombreuses forces de terrain sont déjà actives dans le jardinage urbain, l’utilisation du cotravail dans les fab-labs<a href="#_ftn2" name="_ftnref2">[2]</a>, font circuler des monnaies alternatives, soutiennent l’agriculture locale… Ces gens <em>sont là </em>et je ne pense qu’ils soient suffisamment mobilisés pour des projets politiques.</p>
<p><strong>TT :</strong> Bon nombre d’initiatives basées sur la coopération et la participation surgissent au niveau local parce que l’État-nation n’est pas équipé pour soutenir ce type de gouvernance par le peuple. Quant au niveau supranational européen, il est encore plus incapable d’agir et moins responsable à cause de sa masse et de la tyrannie des experts. Cela dit, personnellement, je ne vois pas d’autre moyen que d’essayer de changer ces régimes de gouvernance, notamment l’État. Sans cette lutte politique visant à transformer les pratiques étatiques, je ne pense pas que nous puissions mettre à l’avant-plan les communs et de nouvelles alternatives.</p>
<blockquote><p>Et une des choses les plus importantes concernant les communs et les mouvements qui y sont liés, c’est qu’ils font levier sur la répartition du pouvoir.</p>
<p>~ John Clarke</p>
</blockquote>
<p><strong>DD </strong>: Les mouvements sociaux contemporains s’appuient en partie sur le discours des communs, mais peinent à l’articuler en plateforme politique. Le cas de Syriza, en Grèce, était centré sur l’État, alors que le cas de figure espagnol fonctionne davantage de base vers le sommet. La tentative de Syriza s’est clairement soldée par un échec tandis qu’en Espagne, le mouvement est plus polycentrique et décentralisé. En outre, l’échec de la Gauche vis-à-vis de sa base sociale, la classe ouvrière, et désormais vis-à-vis des classes moyennes soulève la question de savoir à qui la jeunesse fera confiance. Je pense que les politiques urbaines – la ville symbolise la surmarchandisation et la privatisation de l’espace public – ont beaucoup de potentiel parce qu’elle est aussi un espace où les solutions alternatives sont relativement visibles et ouvertes à la participation. Politiquement et concrètement, en termes d’action et de programme, je pense que les villes en tant que lieux sont une première étape pertinente, avant de vouloir orienter l’action vers l’État.</p>
<p><strong>JC </strong>: Je pense qu’il faut une discussion sur le pouvoir. L’idée de la « prise du pouvoir » est un vieil héritage léniniste. L’idée que le pouvoir est concentré en un seul lieu et que l’on pourra gérer la situation une fois qu’on l’aura pris est presque ridicule. Il vaut la peine de réfléchir à la façon dont le pouvoir est tout à la fois constitué, concentré, et réparti. Et une des choses les plus importantes concernant les communs et les mouvements qui y sont liés, c’est qu’ils font levier sur la répartition du pouvoir. Ils ne peuvent pas se déplacer vers le centre de l’État pour le démanteler et le réorganiser par la suite, mais ils peuvent par contre le reconfigurer, à l’intérieur de lieux particuliers et entre ceux-ci. Les communs n’ont pas grand-chose à voir avec la prise du pouvoir. En revanche, ils fournissent un langage et sont destinés à couvrir une réalité de type hybride, qui pointe vers une nouvelle base matérielle au service d’une politique transformatrice, exactement comme les coopératives syndicales dont les structures constituaient la base matérielle dans les anciens partis de la Gauche, assuraient leur longévité, et leur donnaient une source de puissance matérielle. Nous ne sommes pas en train de nous obséder avec les communs, mais il est indubitable que des gens créent de nouvelles formes collaboratives, mutuellement bénéfiques, et ces nouveaux partis doivent rompre avec les institutions anciennes et présomptueuses afin de créer l’espace nécessaire aux communs. Un changement de mentalité s’impose pour que les communs soient appréhendés comme une force créatrice et matérielle – condition indispensable à tout changement politique.</p>
<p><a href="#_ftnref1" name="_ftn1">[1]</a> Défini par Kraftner.com comme « traverser les frontières dséparant le monde numérique du monde physique en utilisant divers outils de fabrication contrôlée par ordinateurs tels que les imprimantes 3D, les découpeurs au laser, les machines pilotées par ordinateur, etc. »</p>
<p><a href="#_ftnref2" name="_ftn2">[2]</a> Contraction de l’anglais <em>fabrication</em> et <em>laboratory</em>, laboratoire de fabrication (NDT).</p>
