title: Why I Don’t Trust the Cloud
url: http://www.poetryfoundation.org/harriet/2012/04/why-i-dont-trust-the-cloud/
hash_url: 4b266ef1fe2cced9528f1fb18c6d65ad

<p>Boy, am I glad that I didn’t build <a href="http://www.ubu.com">UbuWeb</a> on the cloud. There were times when I actually considered it. I mean, it sounded so good: unlimited server space, bandwidth, global access, all for <em>free</em>. There were times over the past few years when I actually felt that MP3 and film blogs were doing as good or better a job of archiving the avant-garde than UbuWeb was. For a while there, Ubu felt out of date, even verging on obsolete.</p>
<p>I used cloud lockers as much as you did. In fact, much of the content on UbuWeb was culled from them and reposted on Ubu. I had paid memberships to Megaupload, Rapidshare and a few others so I could have swift access to their treasures. And frankly, the price to me—as a ravenous collector, consumer and distributor of cultural artifacts—was small,  a helluva lot cheaper than having to buy, scan them, and upload them to Ubu (at inflated collector’s prices) from shops around town. I didn’t really stop spending money on movies and films, it’s just that it went to cloud lockers, hard drives and ISPs instead of book and record stores.</p>
<p>I love the idea of the cloud, but I hate the reality of it. The reality of it is nothing like what’s been promised to us. Trusting the cloud is a mistake: it’s too centralized, too easily blocked, too easily controlled. And it’s privatized, owned, and administrated by someone other than you. The cloud is presumed to be all around us, advertised as “your data when you want it.” But when I travel, finding unlocked wifi connections anywhere on the globe (with the exception of, surprisingly, Starbucks) is impossible. Instead, when I’m in, say, Barcelona, I’m forced to use 3G at $20/mb. And if I wanted to access my rich media materials on “my cloud,” I’m forced to pay dearly for the privilege. And <em>free</em> isn’t always free: I often encounter a highly censored, “family friendly” cloud on Amtrak or similar modes of transportation, which trump their “hotspot” connections as ways of filling their seats. Aside from content restrictions, their clouds work sporadically and slowly, if they work at all. Streaming media is as censored and tightly controlled as the cloud. YouTube or SoundCloud are not benevolent or free: they are massive entities seeking equally massive profits, out to control, remove and censor content. (YouTube actually has an algorithm which sniffs out anything in the shape of a cunt or cock and removes it, whether it is anatomical or not). Their <em>free</em> is not free; it’s a hook, a means to their end. We’re all dazzled by <em>free. </em>But in commercial culture, there is no <em>free</em>.</p>
<p>There there’s the issue of politics. When I recently attended a conference in China, many of the presenters left their papers on the cloud—Google Docs, to be specific. You know how this story ends: they got to China and there was no Google. Shit out of luck. Their cloud-based Gmail was also unavailable, as were the cloud lockers on which they had stored their rich media presentations. Transparently similar agendas were behind the Megaupload meltdown, which you’ll recall happened the day after  the SOPA bill was defeated. I’m astonished by the domino effect this one incident had on the entire cloud ecology, one which made clear its fragility, vulnerability, and controllability. The US Department of Justice and the MPAA won a much greater victory much quicker than they did had SOPA passed: with one raid, they pretty much put an end to file-sharing all together. One by one, clouds shuttered; MP3, film, and literature blogs quickly followed, to the point where even <a href="http://captaincrawl.com/">search engines indexing the blogosphere</a> shuttered. Really? It’s illegal now to point to something?</p>
<p>I feel terrible for folks who put their trust in the cloud, building beautiful libraries of cultural materials to share with others, only to have it collapse overnight: castles made of sand, indeed. While much copyrighted material was hosted on these servers, the circles in which I moved tended to host out of print and orphaned works. The tragedy of seeing libraries like <a href="http://mutant-sounds.blogspot.com/2012/04/mediafire-wipeout-and-saved-by-bell-of.html">these</a> decimated (and often attempt to rebuild again on the cloud: don’t they ever learn?) is absolutely heartbreaking. But it’s equally upsetting to see how frightened people are of copyright: the mere threat of it—not the reality of it—has collapsed an entire once-vibrant cultural ecology.</p>
<p>Don’t trust the cloud. Use it, enjoy it, exploit it, but don’t believe in it. Or even the web for that matter. Many people assume that the web —and its riches—will always be there waiting for you. It won’t. Don’t bookmark. Download. Hard drives are cheap. Fill them up with everything you think you might need to consult, watch, read, listen to, or cite in the future. Your local library should be more vast than anything up for offer on the web. Please understand that the web and its treasures are temporary and ephemeral; that <a href="http://www.mediafire.com/?1fqs4qg9em859es">Deleuze PDF</a> that you bookmarked yesterday very well may not be there tomorrow.</p>
