title: Et si le problème, c’était la civilisation ?
url: http://partage-le.com/2017/10/7993/
hash_url: 72a9449b640feab96e16bfda116fc221

<blockquote>
<p><strong>« Le mot <em>civilisation</em> évoque de puissantes images et d’importantes conceptions. On nous enseigne, ici, aux États-Unis, et depuis l’école primaire, qu’une poignée de peuples anciens — comme les Égyptiens et les Grecs — étaient « civilisés » et que la civilisation a atteint son niveau optimal de développement chez nous et dans d’autres pays occidentaux. La civilisation, nous dit-on, est bénéfique, désirable — et résolument préférable au fait d’être incivilisé. L’idée de civilisation implique toujours implicitement une comparaison : l’existence de peuples civilisés implique des peuples incivilisés, qui sont inférieurs <em>parce qu’ils ne sont pas civilisés</em>. Les populations incivilisées, quant à elles, se sont vues expliquer qu’elles ne pourraient jamais devenir civilisées, ou bien qu’elles <em>devraient</em> tenter de le devenir aussi vite que possible ; nombre de celles qui ont essayé ou qui y ont été forcées — comme les habitants de l’atoll de Bikini qui ont été expulsés de leurs îles afin que les USA puissent faire exploser des bombes atomiques dans leur lagon après la Seconde Guerre mondiale — ont beaucoup souffert du fait de l’expansion de la civilisation.</strong></p>
<p><strong>La civilisation est une idée qu’on nous enseigne à l’école. Qui plus est, il s’agit une idée élitiste, qui se définit par la création de hiérarchies — entre sociétés, entre classes, entre cultures, ou entre races. Pour les élites qui ont inventé l’idée, les civilisations sont toujours des sociétés stratifiées en classes et fondées sur l’État, et les personnes civilisées appartiennent toujours aux classes dont les privilèges sont garantis par les institutions et les pratiques étatiques. Les personnes incivilisées sont alors celles qui n’appartiennent pas à ces classes ou qui vivent en dehors de la civilisation et du contrôle de l’État. »</strong></p>
<p>—<strong> </strong>Thomas C. Patterson, <em>Inventing Western Civilization</em> (1997).</p>
<p><strong>« L’histoire de la civilisation, depuis la destruction de Carthage et de Jérusalem jusqu’à celle de Dresde, d’Hiroshima et du peuple, du sol et des arbres du Vietnam, est un témoignage tragique de sadisme et de destructivité. »</strong></p>
<p>— Erich Fromm, <em>La passion de détruire</em> (1973).</p>
</blockquote>
<p>La toute dernière édition du célèbre magazine américain <em>The New Yorker</em>, en date de septembre 2017, comporte un article intitulé « The Case Against Civilization »<sup><a id="post-7993-endnote-ref-1" href="#post-7993-endnote-1">[1]</a></sup> (La critique de la civilisation)<em> </em>; fait exceptionnel pour un média grand public.</p>
<p>Cet article se base sur deux livres récemment publiés (en anglais seulement, pour l’instant) : <em>Against the Grain: A Deep History of the Earliest States </em>(Contre l’agriculture : une histoire des premiers États), écrit par James C. Scott<sup><a id="post-7993-endnote-ref-2" href="#post-7993-endnote-2">[2]</a></sup>, anthropologue (et anarchiste revendiqué, soulignons-le) enseignant à l’université de Yale aux États-Unis ; et <em>Affluence Without Abundance: The disappearing world of the Bushmen </em>(La richesse sans l’abondance : le monde en voie de disparition des Bushmen) écrit par James Suzman, un anthropologue britannique.</p>
<p>À travers ces deux ouvrages, le journaliste du <em>New Yorker</em> dresse un (trop) bref portrait de quelques problèmes liés à l’avènement de la civilisation, et dont nous souffrons toujours aujourd’hui (il se concentre principalement sur les inégalités sociales et quelques valeurs culturelles nuisibles).</p>
<p>J’imagine déjà les réactions d’incompréhension de beaucoup. La civilisation ? Poser problème ? Comment le « Fait pour un peuple de quitter une condition primitive (un état de nature) pour progresser dans le domaine des mœurs, des connaissances, des idées » (définition officielle du Centre National de Ressources Textuelles et Lexicales ou CNRTL, un organe du CNRS) pourrait-il être un problème ?</p>
<p>Eh bien, pour commencer, avez-vous remarqué le racisme et le suprémacisme qui caractérisent cette définition de la civilisation ? Ce qui est implicitement (et relativement explicitement) insinué, c’est que les peuples (que les civilisés qualifient de) « primitifs » sont en quelque sorte en retard, ou arriérés, « dans le domaine des mœurs, des connaissances, des idées » par rapport aux peuples civilisés.</p>
<p>La définition du Larousse ne vaut pas mieux : « État de développement économique, social, politique, culturel auquel sont parvenues certaines sociétés et qui est considéré comme un idéal à atteindre par les autres. » N’est-ce pas. Nous savons tous que les Indiens d’Amérique considéraient la civilisation qui les a massacrés comme un idéal à atteindre, à l’instar de tous les autres peuples opprimés, décimés ou supprimés par son expansion.</p>
<p>Il va sans dire que les rédacteurs de dictionnaires sont des gens « civilisés », ce qui aide à comprendre pourquoi ils se définissent en des termes si élogieux. Derrick Jensen, militant écologiste et écrivain états-unien, le souligne de manière ironique : « Pouvez-vous imaginer des rédacteurs de dictionnaires se qualifier volontairement de membres d’une société humaine basse, non-développée, ou arriérée ? »</p>
<p>La littérature du XIXe siècle regorge de titres d’ouvrages exposant clairement l’impérialisme, le racisme et le suprémacisme inhérents au concept de civilisation, comme<em> Progrès de la civilisation en Afrique</em> de Louis Desgrand, ou encore <em>Plan de colonisation des possessions françaises dans l’Afrique occidentale au moyen de la civilisation des nègres indigènes</em> de Laurent Basile Hautefeuille. Une affiche du <em>Petit Journal</em> du 19 novembre 1911 expliquait : « La France va pouvoir porter librement au Maroc la civilisation, la richesse et la paix. » Le 28 juillet 1885, Jules Ferry, « l’un des pères fondateurs de l’identité républicaine », prononça un discours dans lequel il affirmait : « Il faut dire ouvertement qu’en effet les races supérieures ont un droit vis-à-vis des races inférieures. […] Il y a pour les races supérieures un droit, parce qu’il y a un devoir pour elles. Elles ont le devoir de <em>civiliser</em> les races inférieures. »</p>
<figure class="wp-caption alignnone site-typeface-body typo-size-xsmall"><img class="size-full" src="http://partage-le.com/wp-content/uploads/2015/02/CV1.png"/><figcaption class="wp-caption-text">En images.</figcaption></figure>
<p><strong>***</strong></p>
<p>Le terme de <em>civilisation,</em> apparu, en France, au XVIIIe siècle dans <em>L’ami des hommes</em> de Mirabeau, fut initialement utilisé « pour décrire des gens, qui […] obéissaient à certaines organisations politiques, dont les arts et lettres faisaient montre d’un certain degré de sophistication, et dont les manières et la morale étaient considérées comme supérieures à celles des autres membres de leur propre société ou d’autres sociétés. […] La civilisation, en d’autres termes, se base sur l’État, sur la stratification sociale et sur le règne de la loi. » (Thomas C. Patterson, anthropologue de l’université de Berkeley, aux États-Unis, dans son livre <em>Inventing Western Civilization</em>). C’est-à-dire que la <em>civilisation </em>s’opposait, et s’oppose, par exemple, à la <em>sauvagerie</em>, et les <em>civilisés </em>aux <em>sauvages </em>(<em>sauvage </em>étant étymologiquement <em>relatif au bois</em>, ou <em>à la forêt</em>, tandis que <em>civilisation</em> vient du latin <em>civitas</em>, qui signifie <em>État</em>, <em>cité</em>, <em>centre urbain</em>, <em>ville)</em>. L’idée de <em>civilisation </em>était et est également liée au concept de <em>grandeur</em> : on parlait et on parle encore souvent de « grandes civilisations » (par opposition aux petits peuples indigènes <em>primitifs</em>, <em>sauvages</em>). C’est-à-dire que la civilisation est une société qui se définit, entre autres, par ses excès — y compris, donc par <em>une taille excessive</em>.</p>
<p>En plus de cela, la civilisation se définit par un certain nombre de valeurs et de perspectives culturelles (dont, par exemple, en ce qui concerne notre civilisation industrielle mondialisée, une perception suprémaciste de la place de l’être humain dans le monde, une manière de concevoir les autres espèces vivantes comme inférieures et comme <em>ressources</em> : ce que Derrick Jensen appelle <em>le mythe de la suprématie humaine</em>).</p>
<p>Derrick Jensen définit la « civilisation<em> »</em> comme suit<sup><a id="post-7993-endnote-ref-3" href="#post-7993-endnote-3">[3]</a></sup> :</p>
<blockquote>
<p>« La civilisation est une culture – c’est-à-dire un complexe d’histoires, d’institutions, et d’artefacts – qui, <strong>à la fois, mène à</strong> et<strong> émerge de</strong> la croissance de villes (voir civil, de <em>civis</em>, citoyen, du latin <em>civitas</em>, État, cité, centre urbain, ville), en définissant les villes – pour les distinguer des camps, des villages, etc. – comme des regroupements de gens vivant de façon plus ou moins permanente en un lieu précis, d’une densité telle que l’importation quotidienne de nourriture et d’autres éléments nécessaires à la vie est requise. »</p>
</blockquote>
<p><strong>***</strong></p>
<p>Les problèmes inhérents à la notion de civilisation ont été dénoncés par des figures historiques très diverses. Freud avait entièrement raison lorsqu’il écrivait, dans son livre (au titre très évocateur)<em> Malaise dans la civilisation</em>, que : « La civilisation est quelque chose d’imposé à une majorité récalcitrante par une minorité ayant compris comment s’approprier les moyens de puissance et de coercition. »</p>
<p>Ou Louis-Auguste Blanqui, révolutionnaire socialiste et figure importante de la Commune de Paris, lorsqu’il écrivait : « Il y a dans le sentiment de la liberté personnelle une si âpre saveur de jouissance, que pas un homme ne l’eût échangée contre le collier doré de la civilisation. »</p>
<p>Ou Charles Fourier, figure importante de l’histoire du socialisme, lorsqu’il écrivait (en 1808)<sup><a id="post-7993-endnote-ref-4" href="#post-7993-endnote-4">[4]</a></sup>:</p>
<blockquote>
<p>« Comme je n’avais de rapport avec nul parti scientifique, je résolus d’appliquer le doute aux opinions des uns et des autres indistinctement, et de suspecter jusqu’aux dispositions qui avaient l’assentiment universel : telle est la civilisation qui est l’idole de tous les partis philosophiques, et dans laquelle on croit voir le terme de la perfection : cependant, quoi de plus imparfait que cette civilisation qui traîne tous les fléaux à sa suite ? quoi de plus douteux que sa nécessité et sa permanence future ? […] Il faut donc appliquer le doute à la civilisation, douter de sa nécessité, de son excellence, et de sa permanence. Ce sont là des problèmes que les philosophes n’osent pas se proposer, parce qu’en suspectant la civilisation, ils feraient planer le soupçon de nullité sur leurs théories qui toutes se rattachent à la civilisation, et qui tomberaient avec elle du moment où l’on trouverait un meilleur ordre social pour la remplacer. »</p>
</blockquote>
<p>En France, toujours, le courant des anarchistes naturiens, vers la fin du XIXe siècle, dénonçait également les problèmes liés à la notion de civilisation<sup><a id="post-7993-endnote-ref-5" href="#post-7993-endnote-5">[5]</a></sup>.</p>
<p>Enfin, pour prendre un dernier exemple plus proche de nous, citons Erich Fromm, célèbre psychanalyste allemand, dont l’épilogue de son livre <em>La passion de détruire</em> (1973) commençait ainsi :</p>
<blockquote>
<p>« J’ai essayé, dans cette étude, de démontrer que l’homme préhistorique, vivant en bandes de chasseurs et de cueilleurs, était caractérisé par un minimum de destructivité et un maximum de coopération et de partage ; c’est seulement l’accroissement de la productivité et de la division du travail, la formation d’un large surplus et l’édification d’États pourvus d’une hiérarchie et d’une élite, qui firent apparaître la destructivité et la cruauté et qu’elles se sont mises à croître, en même temps que se développaient la civilisation et le rôle du pouvoir. »</p>
</blockquote>
<p><strong>***</strong></p>
<p>En résumé, donc, la civilisation<sup><a id="post-7993-endnote-ref-6" href="#post-7993-endnote-6">[6]</a></sup> désigne les sociétés humaines urbaines, très hiérarchiques, organisées grâce à une forme d’État, et dont l’alimentation dépend de l’agriculture<sup><a id="post-7993-endnote-ref-7" href="#post-7993-endnote-7">[7]</a></sup> principalement céréalière (à grande échelle, façon monoculture, par opposition, entre autres, à la petite horticulture parfois pratiquée par des populations de chasseurs-cueilleurs).</p>
<p>Durant la grande majorité (entre 95 et 99 %) de leur existence les humains ont vécu en petits groupes de chasseurs-cueilleurs, d’horticulteurs ou de nomades, sans anéantir le paysage planétaire, sans le submerger de millions de tonnes de plastique et de produits chimiques cancérigènes, et sans saturer son atmosphère de gaz toxiques (et de gaz à effet de serre). Leur histoire (arrogamment qualifiée de <em>préhistoire</em>) n’était ni infectée, ni rythmée par la guerre<sup><a id="post-7993-endnote-ref-8" href="#post-7993-endnote-8">[8]</a></sup>. Leur mode de vie ne requérait pas ce qui, d’après Lewis Mumford (historien et sociologue états-unien), caractérisera par la suite le fonctionnement de toutes les civilisations : « la centralisation du pouvoir politique, la séparation des classes, la division du travail (pour la vie), la mécanisation de la production, l’expansion du pouvoir militaire, l’exploitation économique des faibles, l’introduction universelle de l’esclavage et du travail imposés pour raisons industrielles et militaires. »<sup><a id="post-7993-endnote-ref-9" href="#post-7993-endnote-9">[9]</a></sup></p>
<p>Si l’on considère que l’avènement de la civilisation se rapporte à l’avènement du phénomène urbain, et donc à la croissance des premières villes (et donc à l’agriculture), ou cités-états, en Mésopotamie, on se rend compte qu’en termes écologiques, elle a toujours constitué une catastrophe. Ce qui était autrefois un « croissant fertile » a été transformé (en quelques millénaires de civilisation) en un désert infertile.</p>
<p>L’expansion de cultures urbaines, étatiques, en d’autres termes, de civilisations, qui a balayé la planète au cours des derniers millénaires, a fait disparaître les forêts du Proche-Orient (les cèdres du Liban ne sont plus qu’un lointain souvenir), les forêts de l’Afrique du Nord, les forêts de Grèce, et ainsi de suite.</p>
<p>Ces forêts furent détruites — la novlangue <em>civilisée</em> parlerait plutôt de « valorisation des ressources naturelles » — entre autres, pour la construction des flottes égyptiennes et phéniciennes. Ces forêts furent détruites par diverses civilisations qui faisaient simplement ce que font les civilisations : détruire les biomes, épuiser les aquifères, lessiver les sols, couper les forêts, remplacer l’équilibre des biotopes par le déséquilibre de leurs exploitations, etc.</p>
<p>Ces civilisations (grecque, romaine, égyptienne, khmer, etc.) se sont toutes effondrées. Pour diverses raisons. Cependant, elles avaient toutes ravagé les territoires qu’elles contrôlaient.</p>
<p>Leurs effondrements ont été documentés et analysés dans plusieurs ouvrages, parmi lesquels <em>Effondrement</em> de Jared Diamond, <em>Le viol de la terre : Depuis des siècles, toutes les civilisations sont coupables</em> de Clive Ponting, et <em>L’effondrement des sociétés complexes</em> de Joseph Tainter. <em>Comment tout peut s’effondrer</em>, écrit par Pablo Servigne et Raphael Stevens, documente l’effondrement en cours de la civilisation mondialisée qui est la nôtre.</p>
<figure id="attachment_7047" class="wp-caption aligncenter site-typeface-body typo-size-xsmall"><img class="wp-image-7047 size-full" src="http://partage-le.com/wp-content/uploads/2015/02/civtes3.png" alt="" srcset="http://partage-le.com/wp-content/uploads/2015/02/civtes3.png 1401w, http://partage-le.com/wp-content/uploads/2015/02/civtes3-300x166.png 300w, http://partage-le.com/wp-content/uploads/2015/02/civtes3-768x426.png 768w, http://partage-le.com/wp-content/uploads/2015/02/civtes3-1024x568.png 1024w, http://partage-le.com/wp-content/uploads/2015/02/civtes3-600x333.png 600w, http://partage-le.com/wp-content/uploads/2015/02/civtes3-120x67.png 120w, http://partage-le.com/wp-content/uploads/2015/02/civtes3-800x444.png 800w, http://partage-le.com/wp-content/uploads/2015/02/civtes3-568x315.png 568w" sizes="(max-width: 1401px) 100vw, 1401px"/><figcaption class="wp-caption-text">Aujourd’hui</figcaption></figure>
<p><strong>***</strong></p>
<p>Contrairement à ce que l’on pourrait penser, l’effondrement de notre civilisation est une bonne chose. Du moins, c’est ainsi que le perçoivent ceux qui placent « le monde avant la vie, la vie avant l’homme » et « le respect des autres êtres avant l’amour-propre » (Lévi-Strauss). Notre civilisation est actuellement synonyme de sixième extinction de masse des espèces, et d’ethnocide vis-à-vis de la diversité culturelle humaine (ainsi que l’ONU le reconnaît : « Les cultures autochtones d’aujourd’hui sont menacées d’extinction dans de nombreuses régions du monde »). Cet écocide et cet ethnocide ne sont pas des accidents de parcours, ils découlent du fonctionnement <em>normal</em> de la civilisation (les autres civilisations ne se comportèrent pas autrement).</p>
<p>Lorsqu’il écrivait, dans son roman <em>Les carnets du sous-sol</em>, que « les buveurs de sang les plus raffinés furent presque tous les hommes les plus civilisés qui soient », et que : « La civilisation a rendu l’homme sinon plus sanguinaire, en tout cas plus ignoblement que jadis », Dostoïevski ne se trompait pas.</p>
<p>Cependant, une grande partie du mouvement écologiste grand public, en plus d’ignorer l’ethnocide en cours, ne considère l’écocide que comme un problème vis-à-vis de la continuation de la civilisation. Son principal objectif consiste <em>à sauver la civilisation</em>. D’où le prosélytisme en faveur des énergies faussement « vertes »<sup><a id="post-7993-endnote-ref-10" href="#post-7993-endnote-10">[10]</a></sup>, d’où la multitude d’éco-innovations, d’où l’oxymore du « développement durable »<sup><a id="post-7993-endnote-ref-11" href="#post-7993-endnote-11">[11]</a></sup>. Autant de nouvelles nuisances pour le monde naturel, qui, de surcroît, ne sont d’aucune aide dans la lutte contre les inégalités sociales inhérentes à toute civilisation.</p>
<p>L’histoire et l’anthropologie nous enseignent que les seuls groupes humains qui vivent encore aujourd’hui comme ils vivaient déjà il y a des milliers d’années, et parfois des dizaines de milliers d’années (ce qui, au passage, est une définition de la soutenabilité), sont des peuples que la civilisation (qui menace de les éradiquer) qualifierait de « primitifs » ou de « sauvages ». Claude Lévi-Strauss affirmait par exemple que les peuples autochtones étaient les premiers « écologistes », parce qu’ils avaient « réussi à se maintenir en équilibre avec le milieu naturel ».</p>
<p><strong>***</strong></p>
<p><strong><em>Aparté</em> :</strong> Il n’est pas ici suggéré que <em>les sauvages</em> (ou <em>tous les peuples incivilisés</em>) sont nécessairement bons et purs, ni qu’ils incarnent le paradis sur Terre. La réalité est évidemment plus complexe que cela. Cependant, il serait absurde de rejeter la critique de la civilisation au motif qu’elle émanerait simplement d’un « mythe du bon sauvage » : bien peu savent que cette expression du « mythe du bon sauvage », qui sert principalement à calomnier et à diffamer tous ceux qui ne sont pas <em>civilisés</em> (et donc <em>à glorifier la civilisation</em>), a été popularisée, entre autres, par des déclarations infâmes, ouvertement racistes et clairement mensongères de Charles Dickens au sujet des Indiens d’Amérique (il parlait de « civiliser » ces « sauvages » qui « ne prennent du plaisir que lorsqu’ils s’entretuent » afin « qu’ils disparaissent de la surface de la planète »), et par des partisans du racisme scientifique comme John Crawfurd et James Hunt. Ter Ellingson, professeur d’anthropologie à l’université de Washington, le détaille dans son livre<sup><a id="post-7993-endnote-ref-12" href="#post-7993-endnote-12">[12]</a></sup> intitulé <em>The Myth of The Noble Savage </em>(Le mythe du bon sauvage), dans lequel il affirme que cette notion du « mythe du bon sauvage » a été conçue pour soutenir l’impérialisme civilisateur, en discréditant (et en intimidant) ceux qui s’y opposaient. Selon lui, il ne s’agit ni plus ni moins que d’une version séculière de l’Inquisition.</p>
<p><strong>***</strong></p>
<p>Parmi les raisons pour lesquelles toutes ces horreurs sont tolérées, acceptées, voire soutenues, on retrouve l’idée étrangement mal définie, mais très répandue, selon laquelle tout cela en vaut la peine, puisque cela permet « le progrès ». Et puisque « le progrès » (que l’on n’arrête pas) peut tout résoudre, il n’y a aucune raison de s’inquiéter. À ce propos, il convient de souligner deux choses.</p>
<p>La première chose, c’est que le progrès, que l’on désigne par là des améliorations techniques ou des améliorations sociales (les deux se rapportant de toute manière à la vie humaine), est une notion extrêmement discutable. Il est en effet assez simple d’affirmer et d’exposer en quoi, au contraire, la civilisation et son progrès ont rendu l’être humain plus faible, plus malade, et potentiellement plus malheureux (plus stressé, plus angoissé). Je vous renvoie pour cela à un petit article intitulé <a href="http://partage-le.com/2017/09/une-breve-contre-histoire-du-progres-et-de-ses-effets-sur-la-sante-de-letre-humain/">« Une brève contre-histoire du “progrès” et de ses effets sur la santé de l’être humain »</a>.</p>
<p>La deuxième, c’est que l’idée de progrès n’est pas une nouveauté. Jules Delvaille, dans son <em>Essai sur l’histoire de l’idée de progrès</em> (1977), retrace son existence jusqu’à l’époque de la Grèce antique. Les Grecs croyaient en une idée de progrès (qui n’était, certes, pas exactement la même que celle qui a émergé au XVIIe siècle), les Romains aussi, mais cela n’a manifestement pas empêché l’effondrement de leurs civilisations respectives.</p>
<p><strong>***</strong></p>
<p> Thomas Patterson, vers la fin de son livre <em>Inventing Western Civilization</em> :</p>
<blockquote>
<p>« Nous ne pouvons pas continuer à utiliser la notion de civilisation de manière irréfléchie. Les assertions selon lesquelles la civilisation est désirable, bénéfique ou supérieure aux sociétés ne présentant pas de telles hiérarchies sociales ne servent qu’à perpétuer et à promouvoir les perspectives de ceux au pouvoir, autodésignés arbitres et juges de la culture et du savoir. De telles assertions déforment l’histoire. Elles minimisent les accomplissements des communautés et des classes subordonnées et privent leurs membres d’un rôle dans l’élaboration de leur propre histoire. Reconnaître l’existence de groupes subordonnés, reconnaître leurs contributions et les rôles historiques qu’ils ont joués, et comprendre leurs points de vue sur le monde et la vie invalide les perspectives qui les dénigrent ou qui les privent de pouvoir sur leurs propres existences. »</p>
</blockquote>
<p>La critique de la civilisation implique de remettre en question un large pan de ce que la plupart des gens comprennent de l’histoire de l’humanité, de l’idée de progrès, de la place de l’être humain sur Terre.</p>
<p>Elle nous rappelle ce que nous avons été pendant des centaines de milliers d’années, ce que nous sommes encore — derrière le conditionnement culturel massif qui nous est imposé dès l’enfance.</p>
<p>Elle nous offre une perspective de soutenabilité écologique réaliste, éprouvée et testée, et encore incarnée, aujourd’hui, par quelques peuples autochtones (les rares qui subsistent encore) en Amazonie, en Papouasie, en Inde (les Jarawas, par exemple, dont la cause est actuellement médiatisée par deux Français<sup><a id="post-7993-endnote-ref-13" href="#post-7993-endnote-13">[13]</a></sup>), et ailleurs.</p>
<p><strong>Nicolas Casaux </strong>(membre de <em>Deep Green Resistance</em>)</p>
<p><strong>***</strong></p>
<p><strong>P.S.#1 :</strong> Il y aurait, vous l’imaginez, bien plus de choses à dire. Ce texte n’est qu’une brève introduction à la critique de la civilisation, que nous vous invitons à prolonger en lisant d’autres articles présents sur notre site web : <a href="http://www.partage-le.com">www.partage-le.com</a>. <em>Deep Green Resistance</em> est une organisation écologiste internationale créée aux États-Unis, fondée, entre autres, sur la critique de la civilisation, et dont la branche française est en cours de formation.</p>
<p><strong>#2 :</strong> Certains adeptes du sophisme s’empresseront de rappeler que selon les scénarios officiels de la préhistoire, l’extinction d’une certaine mégafaune au cours du Pléistocène prouve que les non-civilisés (qui se voient, pour l’occasion, tous jetés dans le même sac, sans distinction aucune) ne valent pas mieux que les civilisés. Ce à quoi l’on rétorquera que s’il est vrai que certaines sociétés non civilisées étaient destructrices de leur environnement, toutes ne l’étaient pas, et toutes le ne sont pas (pour celles qui existent encore) — affirmer que <em>toutes</em> les sociétés non civilisées sont destructrices parce que <em>certaines</em> l’ont été (ou le sont) n’aurait pas vraiment de sens. En revanche, l’histoire nous enseigne que <em>toutes</em> les civilisations ont été des désastres écocidaires et qu’il ne pourrait en être autrement, en raison des caractéristiques techniques et culturelles (taille/échelle, pratiques, valeurs, etc.) qui définissent la civilisation. La diversité des sociétés — des cultures — non civilisées, est telle qu’on ne peut se permettre de toutes les amalgamer. Pour le dire autrement, si les caractéristiques qui définissent la civilisation impliquent <em>toujours</em> inégalités sociales et insoutenabilité (destructivité) écologique, l’on ne peut en dire autant des sociétés non civilisées.</p>
<hr/>
<p><strong>Notes</strong></p>
<ol>
<li id="post-7993-endnote-1"><a href="https://www.newyorker.com/magazine/2017/09/18/the-case-against-civilization">https://www.newyorker.com/magazine/2017/09/18/the-case-against-civilization</a> <a href="#post-7993-endnote-ref-1">↑</a></li>
<li id="post-7993-endnote-2">Vous pouvez lire ici : <a href="http://partage-le.com/2017/10/7962/">http://partage-le.com/2017/10/7962/</a> un extrait de l’introduction de ce livre, qui sera bientôt publié en France. Deux autres excellents livres de James C. Scott ont été traduits en français <em>: Petit éloge de l’anarchisme</em> et <em>Zomia ou L’art de ne pas être gouverné</em>. Ils sont à lire ! <a href="#post-7993-endnote-ref-2">↑</a></li>
<li id="post-7993-endnote-3">Voir également les vingt prémisses de son livre <em>Endgame</em>, que nous avons traduites et publiées dans un article intitulé « Quel est le problème avec la civilisation ? » : <a href="http://partage-le.com/2015/03/ce-qui-ne-va-pas-avec-la-civilisation-derrick-jensen/">http://partage-le.com/2015/03/ce-qui-ne-va-pas-avec-la-civilisation-derrick-jensen/</a> <a href="#post-7993-endnote-ref-3">↑</a></li>
<li id="post-7993-endnote-4">Charles Fourier, <em>Théorie des quatre mouvements et des destinées générales.</em> <a href="#post-7993-endnote-ref-4">↑</a></li>
<li id="post-7993-endnote-5">François Jarrige, <em>« Gravelle, Zisly » et les anarchistes naturiens contre la civilisation industrielle</em>, Le Passager clandestin, 2016. <a href="#post-7993-endnote-ref-5">↑</a></li>
<li id="post-7993-endnote-6">La « civilisation », cette catastrophe (par Aric McBay / Thomas C. Patterson) : <a href="http://partage-le.com/2015/02/1084/">http://partage-le.com/2015/02/1084/</a> <a href="#post-7993-endnote-ref-6">↑</a></li>
<li id="post-7993-endnote-7">L’agriculture ou la pire erreur de l’histoire de l’humanité (par Jared Diamond &amp; Clive Dennis) :<a href="http://partage-le.com/2016/09/lagriculture-ou-la-pire-erreur-de-lhistoire-de-lhumanite-par-jared-diamond-clive-dennis/">http://partage-le.com/2016/09/lagriculture-ou-la-pire-erreur-de-lhistoire-de-lhumanite-par-jared-diamond-clive-dennis/</a> <a href="#post-7993-endnote-ref-7">↑</a></li>
<li id="post-7993-endnote-8">Non, les hommes n’ont pas toujours fait la guerre (par Marylène Patou-Mathis) : <a href="https://www.monde-diplomatique.fr/2015/07/PATOU_MATHIS/53204">https://www.monde-diplomatique.fr/2015/07/PATOU_MATHIS/53204</a> <a href="#post-7993-endnote-ref-8">↑</a></li>
<li id="post-7993-endnote-9">Lewis Mumford, <em>Le mythe de la machine</em>. <a href="#post-7993-endnote-ref-9">↑</a></li>
<li id="post-7993-endnote-10">L’étrange logique derrière la quête d’énergies « renouvelables » : <a href="https://medium.com/@niko7882/l%C3%A9trange-logique-derri%C3%A8re-la-qu%C3%AAte-d-%C3%A9nergies-renouvelables-3b3beb53d58b">https://medium.com/@niko7882/l%C3%A9trange-logique-derri%C3%A8re-la-qu%C3%AAte-d-%C3%A9nergies-renouvelables-3b3beb53d58b</a> <a href="#post-7993-endnote-ref-10">↑</a></li>
<li id="post-7993-endnote-11">Le « développement durable » est un mensonge (par Derrick Jensen) : <a href="http://partage-le.com/2015/12/le-developpement-durable-est-un-mensonge-par-derrick-jensen/">http://partage-le.com/2015/12/le-developpement-durable-est-un-mensonge-par-derrick-jensen/</a> <a href="#post-7993-endnote-ref-11">↑</a></li>
<li id="post-7993-endnote-12">Racists created the Noble Savage (Des racistes ont inventé le bon sauvage) : <a href="https://www.theguardian.com/world/2001/apr/15/socialsciences.highereducation">https://www.theguardian.com/world/2001/apr/15/socialsciences.highereducation</a> <a href="#post-7993-endnote-ref-12">↑</a></li>
<li id="post-7993-endnote-13"><a href="https://www.goodplanet.org/fr/domaine/projection-debat-sommes-lhumanite/">https://www.goodplanet.org/fr/domaine/projection-debat-sommes-lhumanite/</a> <a href="#post-7993-endnote-ref-13">↑</a></li>
</ol>
