title: D’une sélection artificielle à une sélection naturelle dans un écosystème complexe
url: https://pedagogieagile.com/2014/11/09/une-classe-est-un-organisme-vivant/
hash_url: 75253c8a0ff2ec14e6dc31b6475ba1d1

<p>Afin de faire émerger les pratiques personnelles des élèves, renforcer leurs connaissances, il me semble important d’instaurer l’horizontalité dans les rapports humains, au sein de la classe. J’espère pouvoir devenir alors un accompagnateur, un facilitateur, encadrant le processus de maîtrise des concepts de littérature et de grammaire. Le but est de fluidifier la communication, d’augmenter les feedbacks, de rendre les réussites plus accessibles.</p>
<p>Du jour au lendemain, en 2009, j’ai modifié la structure de la salle de classe en déplaçant toutes les tables pour former un cercle. Résultat : tous les élèves sont au premier rang. La salle de classe (pour classer) se transforme en salle de formation.</p>
<p>Le modèle militaire en rangs deux par deux a vécu. Plus personne au dernier rang, ni caché derrière son voisin de devant. Fini le cléricalisme et le prêche. Terminés la nef, les fidèles, la chaire et le prédicateur. Instauration d’une laïcité de la forme, donc.</p>
<p><strong>Une cellule eucaryote</strong></p>
<p>S’il faut conserver une invariance, alors je conserve l’aspect fractal des formes naturelles. Ne pas lisser ni créer des lignes droites, mais s’adapter à la rugosité (l’augmenter ?) pour explorer (affiner ?) la complexité du vivant.  Désormais, la diversité des compétences est mise en relief. Le curriculum réel (naturel ?) apparait comme une évidence.</p>
<div data-shortcode="caption" id="attachment_1361" class="wp-caption aligncenter"><a href="https://pedagogieagile.files.wordpress.com/2014/11/pubic-hair.jpg"><img class="size-medium wp-image-1361" src="https://pedagogieagile.files.wordpress.com/2014/11/pubic-hair.jpg?w=300&amp;h=241" alt="forme fractale"/></a><p class="wp-caption-text">forme fractale</p></div>
<p>La salle de formation est une cellule eucaryote : un noyau contenant l’ADN-livres,  des ribosomes-élèves transformant l’information-ADN en connaissances-créations-protéines. <span id="more-1309"/>Aspect fractal de cette cellule : le groupe peut se transformer en groupes, les groupes d’élèves sont des cellules dans lesquels chaque élève est une cellule, composé de cellules eucaryotes et maintenue en vie aussi par des bactéries, cellules procaryotes. De la biodiversité à la neurodiversité, tout organisme agit et évolue par interactions, complémentarités, paradoxes, boucles récursives, redondances, etc…</p>
<p>« <em>La nature construit en redondance afin de s’adapter au changement. (…) La redondance de la nature est également inscrite dans les protéines (…) Le fait que les protéines puissent accepter gracieusement des changements incrémentiel et mutationnels sans s’effondrer est important ; cela signifie qu’elles peuvent se perfectionner avec le temps »</em>, écrit Janine Benyus dans <a href="http://www.ruedelechiquier.net/index2.php?option=com_bibliotheque&amp;view=poplivre&amp;Itemid=25&amp;height=520&amp;width=450&amp;TB_iframe=true" target="_blank">Biomimétisme, quand la nature inspire des innovations durables</a>.</p>
<p>Par réflexion, ce cercle formé par les élèves, la membrane, représente leur propre point de départ, leur limite et leur force. Penser que vouloir uniformiser, tenter d’instaurer une seule manière de penser et d’agir pour résoudre les problèmes n’est pas la solution. Il me semble absurde de vouloir masquer la diversité. Il est peut être illusoire de croire que tous les élèves vont réfléchir comme un professeur, que tous les élèves vont agir et devenir comme lui ; par voie de conséquence c’est sans doute être dans une posture conduisant à penser que tous les élèves qui sont différents de l’élite de la classe sont à bannir, à orienter vers des voies annexes, sans valeurs.</p>
<p>Le jour où j’ai cessé de m’adresser à une classe, mon métier a changé. Parce que je m’adressais à chaque individu. La transmission d’une information est un signal sinusoïdal. Si l’élève n’est pas en phase avec ce signal, alors la transmission est perdue. Il me semble important, dans ce cas, de varier les transmissions, les signaux, les outils, les codes d’informations, les langages, les postures, les environnements. Ainsi, essayer de supplanter les signaux sinusoïdaux en signaux « <em>en suivant un trajet en forme de spirale</em>« , écrit Joël de Rosnay dans <a href="http://livre.fnac.com/a6989751/Joel-de-Rosnay-Le-macroscope" target="_blank">Le Macroscope</a>. Toujours concernant l’éducation systémique, il ajoute : « <em>Se garder des définitions trop précises qui risquent de polariser et de scléroser l’imagination. Un concept ou une loi nouvelle doivent être étudiés sous des angles différents et replacés dans d’autres contextes</em>« .</p>
<p>C’est alors que les problèmes, pour moi, sont apparus. Mon travail, compliqué, consistait d’abord à trouver ma place, mon rôle, et à décoder cette complexité comme le souligne Jean-Louis Le Moigne dans <a href="http://www.editions-harmattan.fr/index.asp?navig=catalogue&amp;obj=livre&amp;no=5118" target="_blank">Le Constructivisme, Tome 1</a> : « <em>S’il nous faut admettre que la complexité d’un système n’est pas nécessairement une propriété de ce système (qu’il soit naturel ou artificiel), mais une propriété de la représentation actuellement disponible de ce système, lui-mêle décrit dans un ou plusieurs codes (ou langages), notre représentation de la complexité se transforme, et avec elle les modes d’appréhension que nous pouvons nous en donner : par construction, la complexité la plus inextricable devient à la lettre convenable, puisqu’elle est construite par un cryptographie au moins, qui peut-être nous-même : la complexité est entendue dans le code, et non dans la nature des choses »</em>.</p>
<p><a href="https://pedagogieagile.files.wordpress.com/2013/12/sallecercle.jpg"><img class="aligncenter size-large wp-image-803" src="https://pedagogieagile.files.wordpress.com/2013/12/sallecercle.jpg?w=529&amp;h=126" alt="sallecercle"/></a></p>
<p>J’ai supprimé le bureau du professeur. Je suis devenu nomade, libre dans cette cellule. Je suis très rarement assis. Je suis dans un processus adaptatif, prêt à intervenir sur le terrain, au plus près des difficultés rencontrées. Parce que je ne peux être disponible pour chacun, j’envoie un élève à la rescousse de tel ou tel élève. Je garde à l’esprit les <a title="Les valeurs" href="https://pedagogieagile.com/2012/05/12/les-valeurs/" target="_blank">valeurs de l’Agilité</a>.</p>
<p>A chaque début de cours, d’un coup d’oeil, la place vide des absents. Distribution ultra rapide de documents et ramassage du travail des élèves en un clin d’oeil. Application du <a href="http://fr.wikipedia.org/wiki/Lean" target="_blank">lean</a> dans une structure simple. Gain de temps pour me consacrer à l’essentiel et ne plus avoir à me déplacer dans les rangs, à enjamber les cartables, à chercher le regard de chacun.</p>
<p><strong>Les élèves en cercle</strong></p>
<p>Je peux tous les regarder, un par un.</p>
<p>Objectif prioritaire : augmenter la fréquence des feedbacks pour offrir à chacun de la reconnaissance en valorisant les plus petites réussites.</p>
<p>J’essaie tant bien que mal de prendre en compte chaque individu : atténuer les faiblesses et valoriser les qualités. Par exemple, faire un check à cet élève parce qu’il m’a dit : « Je n’ai pas eu une bonne note, mais ça m’a plu ». Il me semble bien que l’échec scolaire commence lorsque la formation uniformisée se fait en classe et les activités individualisées sont réalisées à la maison.</p>
<p>Se faisant face, si l’un d’eux me pose une question, je demande à un autre de lui répondre. S’il n’est pas satisfait de cette réponse, un autre prend le relais. Paradoxalement, l’individualisation émerge lorsque les élèves travaillent ensemble.</p>
<p>Dans cette disposition adéquate au travail collaboratif, chaque élève a ainsi deux voisins. Ils travaillent par imbrication, par vagues successives. Donc, en théorie si un élève a fini un travail à la suite des ces soubresauts, c’est que tous les élèves ont terminé. Mais bien sûr ce n’est pas le cas. Je n’évolue pas, et les enfants également, dans une structure uniformisée, standardisée, et artificielle mais dans un système dynamique, chaotique, réel. « <em>La réalité n’est plus la continuité, la prédictibilité, la programmation, l’immobilité, la force mais intègre de plus en plus l’évolution chaotique, la persistance du flou, l’autorégulation et l’auto-analyse, la mobilité, l’adaptation et le flux »</em>, écrit Joël de Rosnay dans <a href="http://www.amazon.fr/Surfer-vie-Vers-société-fluide/dp/2918597724" target="_blank">Surfer la vie</a>. Il ajoute à ce constat que « <em>la biologie et l’écologie abondent d’exemples où entrent en jeu les propriétés et les caractéristiques de la complexité et de la complémentarité</em>« .</p>
<p>Au centre du cercle, des manuels scolaires. Le rythme de l’apprentissage correspond au processus pendant lequel les élèves traduisent les informations des ouvrages pour les transformer en éléments utilisables pour eux, comme, dans une cellule eucaryote, les ribosomes peuvent lire l’ARN messager pour former des protéines. Si je modifie la vitesse du processus, je risque d’empêcher les élèves-ribosomes de synthétiser les informations. dans cette approche constructiviste, l’impact de mes interventions et les situations d’apprentissage peuvent donc être déterminants sur la réussite ou l’échec des élèves.</p>
<p>A partir de cette structure circulaire, je peux modifier sans cesse, en fonction des objectifs ou des exercices, la disposition des élèves. Ainsi, je peux à nouveau créer de nouvelles cellules, autonomes et dépendantes les unes des autres.</p>
<p>L’invariance demeure et la rugosité ne disparait pas : l’établissement possède un CDI (bibliothèque) pour rechercher des informations / la salle de formation possède des manuels, des dictionnaires et des cahiers-laboratoires / les groupes utilisent des manuels, et les cahiers / chaque élève conserve les informations dans son cahier à travers des expériences, des problèmes, des études et utilise manuels, dictionnaire dans toutes les activités, même pour les évaluations.</p>
<div data-shortcode="caption" id="attachment_804" class="wp-caption aligncenter"><a href="https://pedagogieagile.files.wordpress.com/2013/12/sallegroupes.jpg"><img class="size-large wp-image-804" src="https://pedagogieagile.files.wordpress.com/2013/12/sallegroupes.jpg?w=529&amp;h=117" alt="5 groupes"/></a><p class="wp-caption-text">5 groupes</p></div>
<p><strong>Des cellules plus petites</strong></p>
<p>Les élèves travaillent alors par groupes de quatre, cinq ou six. Ils équilibrent leurs différences, échangent des informations, débattent, prennent des décisions, me demandent s’ils ont le droit, s’ils peuvent, etc… et je les encourage à essayer.</p>
<div data-shortcode="caption" id="attachment_1378" class="wp-caption aligncenter"><a href="https://pedagogieagile.files.wordpress.com/2014/11/echangegroupe.jpg"><img class="size-large wp-image-1378" src="https://pedagogieagile.files.wordpress.com/2014/11/echangegroupe.jpg?w=529&amp;h=381" alt="traduction en groupe pour synthétiser sous forme de carte mentale"/></a><p class="wp-caption-text">traduction en groupe pour synthétiser sous forme de carte mentale</p></div>
<p>Ils existent de nombreuses manières de tisser des liens entre les élèves une fois qu’ils sont en groupe.</p>
<p>– Les cinq groupes font le même travail, aidés par un <a title="Kanban" href="https://pedagogieagile.com/2012/07/16/kanban/" target="_blank">kanban</a>. A la fin du processus, un élève de chaque groupe va comparer et butiner des informations dans les quatre autres groupes pour les rapporter, de mémoire, à son groupe. Afin de relancer un rythme soutenu, j’accorde deux minutes aux butineurs pour leur quête.</p>
<div data-shortcode="caption" id="attachment_1354" class="wp-caption aligncenter"><a href="https://pedagogieagile.files.wordpress.com/2014/11/5groupes.jpg"><img class="size-medium wp-image-1354" src="https://pedagogieagile.files.wordpress.com/2014/11/5groupes.jpg?w=300&amp;h=224" alt="les butineurs"/></a><p class="wp-caption-text">les butineurs</p></div>
<p>– les cinq groupes font un travail différent. Puis les groupes sont reformés avec chaque élève des différents groupes. De cette manière les élèves deviennent le porte-parole du groupe dans lequel ils travaillaient pour transmettre le travail accompli. Dès le départ, les élèves sont responsabilisés car ils savent qu’ils devront apporter une information fiable aux autres élèves attentifs.</p>
<p><a href="https://pedagogieagile.files.wordpress.com/2014/11/chgtgroupe2.jpg"><img class="aligncenter size-medium wp-image-1359" src="https://pedagogieagile.files.wordpress.com/2014/11/chgtgroupe2.jpg?w=192&amp;h=300" alt="chgtgroupe2"/></a></p>
<p>– A l’inverse du précédent, dans chacun des groupes, les quatre ou cinq élèves font un travail différent (à la manière du processus <a href="http://fr.wikipedia.org/wiki/Jigsaw_classroom" target="_blank">Jigsaw Classroom</a>). Puis les élèves de chaque groupe ayant fait le même travail sont réunis pour comparer et améliorer leurs informations.</p>
<p><a href="https://pedagogieagile.files.wordpress.com/2014/11/chgtgroupes1.jpg"><img class="aligncenter size-medium wp-image-1358" src="https://pedagogieagile.files.wordpress.com/2014/11/chgtgroupes1.jpg?w=192&amp;h=300" alt="chgtgroupes1"/></a></p>
<p><strong>Plasticité pédagogique.</strong></p>
<p>Le design environnemental a un rôle crucial pour accompagner le processus d’apprentissage. L’influence du design d’une salle de classe, d’un établissement, ainsi que l’impact des formes et des couleurs ne sont pas à négliger. Ni à exagérer. Une salle de classe trop chargée en panneaux, couleurs ou fresques entraînent des <a href="http://mindmodeling.org/cogsci2011/papers/0643/paper0643.pdf" target="_blank">perturbations sur l’attention des élèves</a>.</p>
<p>Un groupe d’élèves est un organisme vivant, parce qu’il est éphémère, adaptatif, complexe. C’est une unité. Il s’agit d’un système ouvert : La membrane laisse passer les informations et permet à cet organisme de s’adapter : interdisciplinarité, cellules familiales, changements de l’environnement (heure, mois, saisons, etc), formations précédentes. Je dois m’adapter à ce qu’ils savent. C’est la raison pour laquelle les élèves transmettent leur flux d’informations vers moi. Je ne transmets pas mon savoir. Je suis apte à recevoir ce flux d’informations, le synthétiser et créer des réponses adaptées, c’est à dire de nouvelles situations dans lesquelles le processus prime sur le résultat et le résultat influe sur le processus. Je peux ainsi me rendre compte que je ne peux mener les élèves au-delà de ce qu’ils peuvent eux-mêmes réellement créer, ni au-delà de ce que peuvent faire les autres classes-cellules, ni au-delà des capacités de tous les élèves de l’établissement. Les progrès de chaque élève sont liés à l’espace des progrès de l’ensemble des élèves de l’établissement. Je suis tributaire des développements précédents, effectués dans les différents environnements d’apprentissage par les groupes d’élèves et je ne peux pas faire progresser les élèves plus vite que la vitesse d’apprentissage de l’établissement.</p>
<p>Par conséquent, en observant les compétences réelles des élèves, je peux, en toute conscience, mesurer entre septembre et juin les évolutions des compétences de chacun.</p>
<p>C’est dans ces conditions, me semble-t-il, qu’il peut exister une égalité de traitement dans la formation des apprenants. C’est une égalité de point de vue bienveillant dans la reconnaissance des aptitudes de chacun. Nassim Nicholas Taleb constate dans son dernier livre <a href="http://www.lesbelleslettres.com/livre/?GCOI=22510100181870" target="_blank">Antifragile, les bienfaits du désordre</a> que « <em>l’école est fondée sur un parti pris de sélection, car elle favorise ceux qui sont plus performants dans ce type d’environnement, et, comme tout ce qui implique une concurrence, elle le fait au dépens de ce que les élèves réalisent à l’extérieur de ses murs ».</em></p>
<p>Dans la salle de formation, ils ne sont comparés ni en fonction d’un idéal, ni les uns par rapport aux autres, mais en fonction de leurs propres capacités cognitives, en fonction de leurs connaissances, aptitudes, stratégies, compétences qu’ils peuvent construire, dépasser ou inhiber dans les diverses situations d’apprentissage. Cette égalité de reconnaissance permet de prendre en compte la bio-neuro-diversité dans un groupe et ainsi de tendre vers une sélection naturelle et non artificielle.</p>
