title: Aconcagua: Everyman’s Everest
url: http://www.mensjournal.com/magazine/print-view/aconcagua-everyman-s-everest-20130403
hash_url: 7b54d1ac7238ee9867663dcc1a745877

<div><section class="article-body clearfix">
<p><em>Though it's the second-highest of the seven summits, 22,834-foot Aconcagua is also one of the most accessible. Doubt that? Tim Sohn managed to summit on willpower, Kool-Aid, and, okay, yeah, a little help from the best in the business.</em></p>
<p>It was the quizzical looks of the children that finally alerted me to the fact that I had become ridiculous. On an idyllic Saturday, the weekend before Christmas, kids were sledding down a hillside in a Brooklyn park, making the most of a recent snowstorm. Their parents stood nearby, occasionally jumping in to adjust a scarf or tow a sled. And then there was me: a bearded man in tights and a bright orange hat, running up and down the same set of stairs for two hours, weighed down by a large backpack. One parent nodded toward me and said something to another. I glared at them: Yes, I know what I look like.</p>&#13;
<p>I'd been invited to climb Aconcagua in the Argentine Andes, the highest peak in the Western Hemisphere and the second tallest of the seven summits, that checklist of the highest points on each continent. My first thought: no way. I had less than a month to train for what normally requires at least two or three. I'm an active guy, prone to ill-advised adventures, but I'd never been above 14,300 feet. Aconcagua clocks in at 22,834. My second thought: Chance of a lifetime, no way you're turning this down, you better get to work.</p>&#13;
<p>The one thing I did have confidence in was the company I'd be keeping. The trip was being led by all-star guiding triumvirate Peter Whittaker, Ed Viesturs, and Dave Hahn, who had all been assembled by clothing company Eddie Bauer to help design a new line of technical gear called First Ascent.</p>&#13;
<p>Whittaker, 50, was born into the mountains. His uncle Jim was the first American to summit Everest, in 1963, and his father Lou, the co-founder of Rainier Mountaineering Inc., led several pioneering American expeditions. By the time Peter was 12, he was a guide-in-training. Viesturs, 49, is perhaps the greatest American high-altitude climber of all time and the only American to summit all 14 of the world's 8,000-meter peaks without supplemental oxygen. Hahn, 47, has climbed Everest 10 times, more than any other non-Sherpa, and over a 24-year career has gained a reputation as the consummate guide, equal parts workhorse, teacher, and sheepdog. He had never been to Aconcagua, and Viesturs had climbed it just once, 20 years earlier. (The mountain's reputation as an altitude training ground doesn't normally lure climbers of their caliber.) Whittaker was our Aconcagua expert, with eight ascents.</p>&#13;
<p>Initial focus-group testing of my plans yielded mixed results. "That's very high," said my doctor. "My advice would be not to go." My cousin Brian, an avid climber, gave me the unvarnished outlook. "It's a walk-up, pure and simple," he said, "but it's also a suffer-fest." This was in line with what I'd read elsewhere: that while certainly a challenging mountain with serious conditions, Aconcagua is technically undemanding, the sort of peak that a relatively inexperienced climber like me could conquer, with enough fitness, drive, and guidance. I was still haunted by unknowns – Would I be fit enough? How would I respond to the altitude? – but this was also part of the attraction, and I had long wanted to test myself with a trip like this. Ideally, I might have worked my way up from smaller mountains, but I liked the idea of bypassing such half-measures and starting big.</p>&#13;
<p>Training was a blur of early mornings, soggy running shoes, and chapped nipples, but by the end of it I had actually come to look forward to my routine. I was now flying up and down the 100 stairs on the north side of Fort Greene Park and had all but forgotten about the 30-pound backpack I was wearing. I was in if not the best shape of my life, something close. But I knew fitness would only take me so far and that mountains can be dangerously unpredictable places. Little did I know I was heading into what would turn out to be one of the deadliest seasons on Aconcagua.</p>&#13;
<p><strong>Day 6: Base Camp (elev. 13,800 ft.) </strong><br/>"There are lots of reasons to feel shitty up here," said Dave Hahn, soon after we'd arrived at Plaza Argentina. We had just completed the three-day, 24-mile trek to Base Camp, finally reaching a small tent city erected in a dusty bowl of scree at the end of a lateral moraine. Bustling with climbers and mule trains from down-valley, the camp serves as the jumping-off point for the two Polish Glacier routes up Aconcagua's eastern flank: the Polish Traverse, which we would be attempting, and the more difficult Polish Direct.</p>&#13;
<p>My particular brand of shittiness took the form of a mild, throbbing headache, a seemingly unquenchable thirst, loss of appetite, and some mildly alarming digestive issues. Hahn assured us that he was going through the same thing. "It's all part of a conversation with my body to figure out if I'm acclimating properly. There are no tricks." A ski patroller in Taos when he's not guiding, Hahn specializes in these sorts of mini-lectures, at once didactic and reassuring.</p>&#13;
<p>There were three other mortals on the trip, but even they had more high-altitude experience than I did. Clark Vautier, a marketing consultant from L.A., was the most experienced climber, with Kilimanjaro, Elbrus, and Denali already under his belt. Kelley Maybo, a superfit all-around outdoorswoman from Sun Valley, Idaho, had been up Rainier five times and once topped out on an 18,996-foot Ecuadoran volcano. And Andrew Turner, who heads up the First Ascent effort for Eddie Bauer, had, a couple of months earlier, hit 19,000 feet on nearby Cotopaxi with these same guides.</p>&#13;
<p>From Mendoza, where we savored fine malbecs and thick steaks with the relish of the condemned, we drove to the ski resort of Penitentes, at just under 9,000 feet. We unpacked, shed some gear, and repacked for transport to Base Camp with the help of 20 mules. The first few days had the feel of a dress rehearsal for what was to come, and the guides were watching us closely, taking note of how we responded to advice. During one of our breaks, Peter noticed me walking around. "We have a saying," he told me. "Never stand when you can sit, never sit when you can lie down."</p>&#13;
<p>On the third morning we got our first clear look at the mountain. Aconcagua – which means "stone sentinel" – loomed at the end of a long valley, massive and cloaked in snow. It was first climbed in 1897, but an Incan mummy discovered high on its flanks proves its lure preceded that by 500 years. It was perfectly framed by the valley walls on either side of us, a gleaming white hulk with a vapor trail whipping off of its rounded top. Everest speed record-holder Lhakpa Gelu Sherpa has said the wind on Aconcagua – the viento blanco – is even stronger than in the Himalayas, and our relatively benign route up its eastern flank belies its grim death toll. Routes on its south side are some of the deadliest in the world, and the final resting place of roughly a dozen corpses. Indeed, its bite is far worse than its bark.</p>&#13;
<p>As we neared Base Camp, green shrubs of the lower valley yielded to a moonscape of dust and rocks – a reminder that ascending to these heights is deeply unnatural. "Look around: You see anything else alive up here?" asked Peter. "If you feel normal up here, there's something wrong with you." One of the keys to success, he told me, is "self-care": looking after our bodies, staying hydrated, and dealing with small problems – blisters, sunburn, a chafing hip belt – before they snowball into larger ones. If we needed any further motivation to take the mountain seriously, some sobering news brought the point home. Just days earlier a storm had stranded four Italian climbers and their Argentine guide near the summit. By the time rescuers reached them, the guide and one climber had died. The risks had certainly been brought into sharper relief, and, as Peter reminded us, "We've still got 9,000 feet to go." <br/><strong>Day 9: Camp 1 (16,600 ft.) </strong><br/>By the time we moved to camp 1, three days later, i was nearly disabused of the myth that mountaineering is exciting. In reality it's carrying a heavy pack for six to 10 hours a day while keeping a wary eye on the weather and struggling to take in enough oxygen and calories to sustain life. "Climbing mountains is a slow, kind of endless suffering," Peter had told me back in Mendoza. "It never becomes unbearable, so you just keep going."</p>&#13;
<p>We were ascending "expedition-style," which involves ferrying gear up to the next camp, then returning lower to sleep. This "carry high, sleep low" approach is the surest way to acclimate and avoid backbreaking carries. On my first ferry from Base Camp to Camp 1, I found it demoralizing to struggle all day only to end up back down where we started. But by the second day the wisdom of the strategy was obvious. The body has a remarkable ability to acclimate, and I was beginning to revel in the physicality of the climb. I enjoyed the feeling of growing stronger with each ferry as my body adjusted. My resting heart rate, which shot up 20 beats per minute faster than normal in the altitude, began to drop with each day, tangible proof that I was adapting successfully. I still couldn't keep up with Viesturs, though, even when he slowed to a metronomic pace he called "guide gear low."</p>&#13;
<p>The simplest tasks, like sleeping, eating, walking, and going to the bathroom, all become far more difficult at altitude. You exist in a state of constant sleep deprivation; eating is a chore, and you learn to capitalize on the rare moments when you actually feel hungry; walking becomes a robotic, halting process of step, rest/step, rest; as for the shitting, let's just say it involves a plastic bag that you have to carry with you and leave it at that.</p>&#13;
<p>Breathing is perhaps the most essential habit to relearn. At altitude it's not the involuntary, automatic act that it is at sea level. The key is what's called the "pressure breath" – pursing your lips and exhaling forcefully to expel as much air from your lungs as possible, which creates a vacuum and increases the amount of air you can inhale on your next breath.</p>&#13;
<p>The guides made it all look effortless, drawing on habits developed over decades in the mountains, yet their approachability had us forgetting we were climbing with icons. It felt as though we were all working as equals. Dinners were enlivened by jokes and mountain guide lore. When a few of us noticed a gasoline aftertaste to our cookies, a debate arose as to whether they'd been accidentally doused with stove fuel or if it was just some strange Argentine flavor. As the rest of us tried unsuccessfully to light the cookies, Viesturs quietly set up a windscreen, soaked two cookies in white gas, and set them ablaze. He had Kent, one of our cameramen, convinced.</p>&#13;
<p>The night before we were to carry a load from Camp 1 up to our high camp at 19,200 feet, the jokes subsided and the tone turned serious. We were about to enter the realm of potentially dangerous altitude. The guides wanted to make sure we knew that the preliminaries were over: It was game time. "Your goals, from here on out," Peter said, "should be to take care of yourself, put one foot in front of the other, and get to the top with enough energy left to get back down."</p>&#13;
<p><strong>Day 13: Camp 2 (19,200 ft.)</strong><br/>At 3 am on January 17, under the light of a headlamp, I was suddenly feeling a new empathy for the aged. Between the altitude, the darkness, and my nearsightedness, I was having trouble getting organized. I had just finished a five-minute battle to get my boots on when Viesturs wandered over to check on me. "How you doing over here, Tim?" he asked, calmly surveying the chaos. "Let's think about getting those crampons on."</p>&#13;
<p>By dawn, nearly three hours later, we had crested the first long traverse and gained a ridgeline. The rising sun offered sweeping views of the Andes stretching out to the north, but the altitude and the cold were beginning to take their toll. I wriggled my chilled toes and balled up my fingers in my mittens, taking three breaths for every step. I was still cold and hypoxic. I managed to take a few photos; two were upside down.</p>&#13;
<p>I remember thinking how strange it was to be locked in a solitary battle with the mountain while constantly surrounded by people, either crammed three to a tent or staring at the backpack and boots of the climber in front of you. You rely on your guides and teammates, but the real struggle is the one in your head.</p>&#13;
<p>An hour later the sun had done little to warm us when we stopped again at 21,000 feet. The exposed ridge that lay beyond was being lashed by winds of more than 40 mph. I was tired and dazed, so Dave made me drink water and gnaw on a frozen Clif Bar. He was concerned. "If you want to keep going, I need you to take better care of yourself," he said. "Breathe more. Now."</p>&#13;
<p>We started on the exposed traverse but made it only a few hundred yards before Peter, who was in front, turned around. The wind was getting worse, and there were clouds moving in. It was 8 am, and we had been walking for four hours.</p>&#13;
<p>It started to snow soon after we got back to camp, and we spent most of the next day confined to our tents. But the bad weather turned out to be a blessing. If we had tried for the summit again the next day, I doubt I would have made it. I was completely spent, and it's no small task, after such a failure, to get excited to do it all over again. Still, with a day's rest I grew optimistic. We had gotten to within 1,500 feet of the summit. We had been close. <br/><strong>Day 15: Summit (22,834 ft.) </strong><br/>Actually, we hadn't been close at all. we had turned back at the bottom of what would prove to be the most painful part of the climb. On our second attempt, two days later, it was still a mad dash to get my equipment together, but I was nowhere near the gong show I was the first time around. The additional two nights at 19,200 had done wonders for my acclimation, and I felt far stronger. By 8 am we reached the previous turnaround point. My head was relatively clear, the weather was perfect, and I was in good spirits, buoyed by my erroneous assumption that the top was only a couple of hours away.</p>&#13;
<p>From our previous high point we traversed for an hour and a half across a steep, snow-covered scree field to reach the bottom of the Canaleta, the rocky gully that guards the final approach to Aconcagua's summit. Though it represented less than 1,000 vertical feet of climbing, it took nearly three hours of grunt work. The whole thing began to seem like a purgatory I'd never escape, as I tried to sync my pace to the steady flashes of Viesturs's yellow climbing boots in front of me. My feet kept up their obedient march, but looking down, they seemed not to be my own. My head felt as though I'd spent the morning doing whippits rather than climbing.</p>&#13;
<p>Then, shortly after noon, Viesturs and I turned a corner and scrambled over a few boulders. We were there, on the windblown summit plateau. I had done it. Standing on the top of Aconcagua, I felt – to use the word I'd scratched in my notebook at the time – "loopy." I had hardly eaten anything all morning. After an unsuccessful attempt at a handful of almonds, all I had managed to put down were some M&amp;Ms and a few Oreos. The bulk of my calories must have come from the Kool-Aid that I'd mixed into my water bottles.</p>&#13;
<p>"How's that feel?" said Viesturs, as we stood on the summit.</p>&#13;
<p>I didn't have an answer. Looking back at the photos, I see I'm flashing a wide smile – a rare thing for me – but it seems filled with relief more than triumph. The entire journey, in retrospect, was a series of anxieties, alleviated one by one: My feet held up, I did all right in the thin air, I didn't hold the team back. As it all started to fall into place, I had begun to relax and gain confidence, letting the rhythms of the climb and the physical exertion quiet my racing mind and focus me on the goal. The relief of standing on top of the continent was confirmation that all the work had been worth it. And it had been hard. The summit day, which, with the descent, stretched to 14 hours, ranks as one of the most physically and mentally challenging of my life.</p>&#13;
<p>During my time on the mountain my head spun with inordinately rosy visions of life back in New York, and, after I returned home, I reveled in the joys of reentry: my extra-soft bed, my luxuriant daily showers. Back at Base Camp, Peter had said that mountaineering was a lot like being hit in the head with a hammer: It feels really good when you stop. But as my head once again gradually became cluttered with the detritus of modern urban life, I began to understand why men return to mountains again and again. My thoughts drifted back to the emotional highs and the sense of accomplishment (hindsight is metic­ulous at censoring the unpleasant), but mostly to the mental clarity, that special focus born of high-stakes endeavors. It reminded me of something Dave Hahn told me that could only be fully understood now that I had Aconcagua in my rearview mirror. "The big mountains," he said, "have a powerful way of organizing your mind."</p>        </section>
</div>
