title: Le manifeste de la Montagne Sombre
url: http://partage-le.com/2018/10/le-manifeste-de-la-montagne-sombre-the-dark-mountain-manifesto/
hash_url: a225c37f4556ad9057bba1363c8c675d

<p><span><strong>Note du Traducteur</strong> (Nicolas Casaux) : Le Manifeste de la Montagne Sombre, en anglais <a href="https://dark-mountain.net/about/manifesto/" target="_blank" rel="noopener"><em>The Dark Mountain Manifesto</em></a>, a été rédigé en 2009 par Dougald Hine (entrepreneur et ancien journaliste britannique) et Paul Kingsnorth (ancien rédacteur en chef adjoint de la revue environnementale britannique <em>The Ecologist</em>). Il est à l’origine du collectif éponyme (Dark Mountain), d’artistes, d’écrivains et de penseurs qui s’intéressent à l’effondrement de la <a href="http://partage-le.com/2017/10/7993/" target="_blank" rel="noopener">civilisation</a>, ses causes et ses conséquences. Je n’approuve ni tout ce qu’ils font et écrivent, ni la posture résignée de Kingsnorth (qui, entretemps, a quitté le collectif). Néanmoins, il m’a semblé intéressant de traduire ce manifeste parce qu’il s’inscrit dans le courant d’écologie radicale critique de la civilisation. Malgré son renoncement explicite au militantisme et au combat, Paul Kingsnorth comprend bien les errements de l’écologisme grand public, l’absurdité du mythe du progrès et des autres mythes sur lesquels repose celui de la civilisation.<br/>
</span></p>
<hr/>
<h1><strong>Incivilisation</strong></h1>
<h3><strong>Le manifeste de la Montagne Sombre</strong></h3>
<p><em><strong>Réarmement</strong></em></p>
<p>Ces grands et fatals mouvements vers la mort : la grandeur des masses<br/>
Font de la pitié une folle, cette pitié déchirante<br/>
Puisque les atomes de la masse, les personnes, les victimes, rendent cela monstrueux<br/>
D’admirer la tragique beauté qu’ils construisent.<br/>
Aussi belle qu’une rivière qui s’écoule ou que le lent rassemblement<br/>
D’un glacier sur la paroi rocheuse d’une haute montagne,<br/>
Voué à ensevelir une forêt, ou que le gel de novembre,<br/>
Avec sa danse mortelle des feuilles couleur d’or et de flamme […].<br/>
Je brûlerais ma main droite dans un feu lent<br/>
Pour changer l’avenir … Je serais déraisonnable. La beauté de l’homme moderne<br/>
Ne réside pas dans l’individu mais dans le<br/>
Rythme funeste, les masses lourdes et mouvantes, la danse des masses<br/>
Guidées par les rêves le long de la montagne sombre.</p>
<p>Robinson Jeffers, 1935</p>
<h2><strong>I</strong></h2>
<h3><strong>Marcher sur de la lave</strong></h3>
<p><em>La civilisation finira par précipiter la fin du genre humain.</em></p>
<p>— Ralph Waldo Emerson</p>
<p>Ceux qui font l’expérience directe d’un effondrement social rapportent rarement de grande révélation concernant les vérités profondes de l’existence humaine. En revanche, ce qu’ils rapportent, si on le leur demande, c’est leur étonnement vis-à-vis du fait qu’il est finalement si simple de mourir.</p>
<p>Les structures répétitives de la vie ordinaire, dans laquelle tant de choses restent les mêmes d’un jour à l’autre, dissimulent la fragilité de sa fabrique. Combien de nos activités sont-elles rendues possibles par l’impression de stabilité que procurent ces structures ? Du moment qu’elles se répètent, qu’elles restent régulières, nous sommes en mesure de planifier, de prévoir pour demain comme si toutes les choses dont nous dépendons et que nous ne considérons pas avec une grande attention seront toujours là. Lorsque ces structures se brisent, sous l’effet d’une guerre civile, d’une catastrophe naturelle ou d’une tragédie de moindre importance, abimant leur fabrique, nombre de ces activités deviennent impossibles ou insignifiantes, tandis que la simple tâche de répondre à nos besoins élémentaires, que nous tenions pour acquis, peut parfois occuper une grande partie de nos journées.</p>
<p>Les correspondants de guerre et les travailleurs humanitaires nous rapportent non seulement la fragilité de cette fabrique, mais aussi la vitesse à laquelle elle peut se défaire. Tandis que nous écrivons, personne ne sait précisément où la déliquescence de la fabrique financière et commerciale de nos économies nous mènera. Pendant quoi, au-delà des villes, l’exploitation industrielle incontrôlée dévore les bases matérielles de la vie dans de nombreuses régions du monde, consumant les communautés biotiques qui la rendent possible.</p>
<p>Cependant, aussi précaire que soit cette époque, la conscience de la fragilité de ce que nous appelons <em>civilisation</em> n’est pas nouvelle.</p>
<p>« <em>Peu comprennent</em>, écrivait Joseph Conrad en 1896, <em>que leur vie, l’essence même de leur personne, leurs capacités et leurs audaces, ne sont que l’expression de leur croyance en la sûreté de leur milieu</em>. » Les écrits de Conrad dénonçaient la civilisation exportée par les impérialistes européens. Ils la dépeignaient comme une illusion confortable, et rien de plus, non seulement au cœur ténébreux et indomptable de l’Afrique, mais aussi dans la blancheur des sépulcres de leurs grandes métropoles. Les habitants de cette civilisation croyaient « aveuglément en la force irrésistible de ses institutions et de sa morale, au pouvoir de sa police et de son opinion », mais leur confiance ne pouvait se maintenir qu’en raison de la foule des croyants dans laquelle ils étaient plongés, et qui partageaient cette même vision. Hors les murs demeurait le sauvage, aussi proche que le sang sous la peau, bien que le citadin n’était plus en mesure d’y faire face directement.</p>
<p>Bertrand Russell remarqua cette tendance dans la perspective de Conrad, suggérant que le romancier « considérait la vie humaine civilisée et moralement tolérable comme une marche dangereuse sur une fine couche de lave à peine refroidie qui pourrait céder à tout moment et plonger l’imprudent dans une fournaise ardente ». Russell et Conrad soulignaient une évidence que n’importe quel historien pourrait confirmer : la civilisation est une construction très fragile, édifiée sur des croyances : la croyance en la justesse de ses valeurs ; la croyance en la force de son système de maintien de l’ordre ; la croyance en sa monnaie ; et avant tout, probablement, la croyance en son futur.</p>
<p>Lorsque ces croyances commencent à se disloquer, l’effondrement de la civilisation peut devenir inarrêtable<em>.</em> Que les civilisations s’effondrent, tôt ou tard, est une loi de l’histoire aussi inéluctable que la gravité. Ce qui demeure, après l’effondrement, est un mélange de vestiges culturels et d’individus confus et énervés, trahis par leurs certitudes. Mais l’on retrouve aussi ces forces qui étaient restées là, toujours, dont les racines sont plus profondes que les murs des villes : le désir de survivre et le désir de sens.</p>
<p><strong>*</strong></p>
<p>Il semble que ce soit au tour de notre civilisation de connaître l’irruption du sauvage et de l’invisible ; notre tour d’être secoués au contact de la réalité brute. Un effondrement se profile. Nous vivons un temps où les contraintes qui nous sont familières se rompent, où les fondations se dérobent dessous nous. Après un quart de siècle de complaisance, au cours duquel nous étions invités à croire à des bulles qui n’éclateraient jamais, à des prix qui ne tomberaient jamais, à la fin de l’histoire, au reconditionnement du triomphalisme du crépuscule victorien de Conrad — Hubris rencontre Némésis. Et l’on assiste désormais au recommencement d’une vieille histoire humaine dont nous sommes coutumiers. L’histoire de l’Empire qui s’érode de l’intérieur. L’histoire d’un peuple qui a cru, pendant longtemps, que ses actions n’auraient pas de conséquences. L’histoire de la manière dont ce peuple souffrira l’écroulement de ses mythes. Notre histoire.</p>
<p>Cette fois-ci, l’Empire qui chancelle, c’est l’inexpugnable économie mondialisée, et le Meilleur des Mondes de la démocratie consumériste qu’elle constituait à l’échelle planétaire. Sur l’indestructibilité de cet édifice, nous avons misé les espoirs de cette ultime phase de notre civilisation. Désormais, son échec et sa faillibilité sont exposés, les élites du monde s’affairent frénétiquement à réparer la machine économique dont, pendant des décennies, ils nous ont assuré qu’elle ne devait pas être contrainte, car la contrainte aurait causé sa perte. D’innombrables sommes d’argents sont acheminées afin d’empêcher son explosion incontrôlée. La machine cahote et les ingénieurs paniquent. Ils se demandent s’ils la comprennent finalement aussi bien qu’ils le croyaient. Ils se demandent s’ils la contrôlent ou, au contraire, si c’est elle qui les contrôle.</p>
<p>De plus en plus, les gens s’inquiètent. Les ingénieurs se regroupent en équipes concurrentes, mais aucune ne semble savoir quoi faire, et toutes se ressemblent. Autour du monde, le mécontentement gronde. Les extrémistes affutent leurs armes et se regroupent durant que les cahots et les sursauts de la machine dévoilent les errements des oligarchies politiques qui prétendaient tout maîtriser. Les anciens Dieux relèvent la tête, de même que les vieilles ritournelles : révolution, guerre, conflit ethnique. La politique telle que nous l’avons connue titube, comme la machine qu’elle était censée soutenir. À sa place pourrait bien se dresser quelque chose de plus élémentaire, au cœur sombre.</p>
<p>À mesure que les magiciens de la finance perdent leur pouvoir de lévitation, que les politiciens et les économistes échouent à articuler de nouvelles explications, nous commençons à comprendre que derrière le rideau, au cœur de la Cité d’Émeraude, ne se trouve pas l’omnipotente et bénigne main invisible qu’on nous avait vendue, mais tout autre chose. Quelque chose responsable, selon Marx, écrivant peu avant Conrad, de « l’incertitude éternelle et de l’angoisse » de « l’époque bourgeoise », dans laquelle « tout ce qui est solide, bien établi, se volatilise, tout ce qui est sacré se trouve profané ». Levez le rideau, suivez les mouvements des rouages de la machine et remontez à sa source, et vous trouvez le moteur de notre civilisation : le mythe du progrès.</p>
<p>Le mythe du progrès est pour nous ce que le mythe de la prouesse guerrière d’inspiration divine était pour les Romains, ou ce que le mythe du salut éternel était pour les conquistadors : sans lui, nous ne pourrions pas avancer. Sur les racines de l’Occident chrétien, les Lumières, à leur apogée, greffèrent une vision d’un paradis terrestre vers lequel l’effort humain, guidé par la raison mathématique, pourrait nous mener. Selon ce credo, chaque génération devait connaitre une vie meilleure que celle qui l’avait précédée. L’histoire devenait un ascenseur qui ne pouvait que monter. Au dernier étage, on trouverait la perfection humaine. Mais il était important qu’il reste hors de portée, afin de garantir une impression de mouvement.</p>
<p>Cependant, l’histoire récente a quelque peu perturbé ce mécanisme. Le siècle dernier a trop souvent eu l’air d’une descente aux enfers plutôt que d’un paradis terrestre. Et même au sein des sociétés prospères et libérales de l’Occident, le progrès, de bien des manières, a échoué à tenir ses promesses. Les générations présentes sont visiblement moins satisfaites et ainsi moins optimistes que celles qui les ont précédées. Elles travaillent de longues heures, d’une manière plus précaire, et avec moins de chance d’échapper au contexte social qui les a vues naître. Elles craignent le crime, l’éclatement social, le surdéveloppement, l’effondrement écologique. Elles ne croient pas que le futur sera meilleur que le passé. Individuellement, ils sont moins limités par les conventions de classe que leurs parents ou leurs grands-parents, mais plus limités par la loi, la surveillance, la proscription étatique et l’endettement. Leur santé physique est meilleure<sup><a id="post-9874-footnote-ref-1" href="#post-9874-footnote-1">[1]</a></sup>, mais leur santé mentale plus fragile. Personne ne sait ce qui arrive. Personne ne veut savoir.</p>
<p>Mais surtout, il se trouve une obscurité sous-jacente à tout ce que nous avons construit. Hors des villes, au-delà des frontières diffuses de notre civilisation, à la merci des machines mais non sous leur contrôle, repose quelque chose que ni Marx ni Conrad, ni César ni Hume, ni Thatcher ni Lénine, n’ont jamais compris. Quelque chose que la civilisation occidentale — qui a posé les jalons de la civilisation mondialisée — n’a jamais été en mesure de comprendre, car le comprendre aurait fatalement sapé son mythe fondateur. Cette chose sur laquelle repose notre fine couche de lave fondue, qui nourrit la machine et tous ceux qui la soutiennent, et qu’ils se sont tous persuadés de ne pas voir.</p>
<h2><strong>II</strong></h2>
<h3><strong>La main coupée</strong></h3>
<p>Alors, quelle est la réponse ? Ne pas être éblouis par les rêves.<br/>
Savoir que les grandes civilisations se sont écroulées dans la violence,<br/>
et que leurs tyrans sont apparus, déjà de nombreuses fois.<br/>
Lorsque la violence ouverte apparaît, l’éviter avec honneur et choisir<br/>
la moins mauvaise faction ; ces maux sont essentiels.<br/>
Garder son intégrité, être miséricordieux et incorruptible,<br/>
ne pas souhaiter le mal ; ne pas être dupé,<br/>
par les rêves de la justice ou du bonheur universels. Ces rêves<br/>
ne se réaliseront pas.<br/>
Le savoir, et savoir que peu importe à quel point les choses semblent horribles,<br/>
l’ensemble demeure splendide. Une main coupée<br/>
est une chose horrible et l’homme coupé de la terre et des étoiles<br/>
et de son histoire… spirituellement ou concrètement…<br/>
paraît souvent insupportablement horrible. L’intégrité est la complétude,<br/>
la plus grande beauté est<br/>
la complétude biologique, l’unicité de la vie et des choses, la beauté divine<br/>
de l’univers. Aime cela, et non pas l’homme<br/>
coupé de cela, ou bien tu partageras sa confusion pitoyable,<br/>
ou te noieras dans le désespoir lorsque ses jours s’assombriront.</p>
<p>— Robinson Jeffers, <em>La Réponse</em></p>
<p>Le mythe du progrès se fonde sur le mythe de la nature. Le premier nous suggère que la gloire nous attend ; le second que la gloire ne coûte rien. Le premier est indissociable du second. Tous deux nous racontent que nous sommes séparés du monde ; que nous avons commencé à grommeler dans les marais primitifs, en tant qu’humbles participants de ce que l’on appelle « nature », et que nous avons aujourd’hui triomphalement dompté. Le seul fait que nous ayons un mot pour désigner la « nature » témoigne du fait que nous ne nous considérons pas en faire partie. Cette idée de séparation constitue un mythe nécessaire au triomphe de notre civilisation. Nous sommes, croyons-nous, la seule espèce ayant jamais attaqué et vaincu la nature. Telle est notre seule gloire.</p>
<p>Hors les citadelles de notre autocongratulation, des voix solitaires s’élèvent depuis des siècles pour dénoncer cette vision immature de l’histoire humaine. Mais c’est seulement au cours des dernières décennies que cette erreur est risiblement devenue manifeste. Nous sommes la première génération à grandir cernée par l’évidence, à savoir que notre tentative de nous séparer de la « nature » est un échec, qui prouve, non pas notre génie, mais notre hubris. Cette tentative de couper la main et de la dissocier du corps met en danger le « progrès » que nous chérissons tant, et aussi la « nature ». La tourmente qui en résulte sous-tend les crises auxquelles nous faisons face, désormais.</p>
<p>Nous nous percevons comme séparés de la source de notre existence. Les répercussions de cette erreur perceptuelle sont tout autour de nous : un quart des mammifères du monde sont menacés d’extinction imminente ; un hectare de forêt tropicale est coupé chaque seconde ; 75 % des pêcheries du monde sont au bord de l’effondrement ; on estime que d’ici 2048 les océans n’abriteront plus aucun poisson ; 25 % des fleuves n’atteignent plus l’océan ; depuis moins de 60 ans, 90 % des grands poissons, 70 % des oiseaux marins et, plus généralement, 52 % des animaux sauvages, ont été anéantis ; chaque jour, deux cents espèces sont précipitées dans les ténèbres éternelles de l’extinction. Même au travers de la froideur des statistiques, nous percevons les violences auxquelles nos mythes nous ont conduits.</p>
<p>Et, plus haut encore, au-dessus de ce sombre tableau, plane l’ombre de l’emballement climatique. De ce changement climatique qui menace de rendre caduque tout projet humain ; qui nous renvoie en pleine figure la preuve formelle de notre très mauvaise compréhension du monde que nous habitons, tout en nous rappelant que nous dépendons toujours autant de lui. De ce changement climatique qui illustre de manière dramatique le conflit qui existe entre la civilisation et la « nature » ; qui prouve, plus efficacement qu’aucun argument soigneusement construit ou qu’aucune manifestation de défi optimiste, à quel point les besoins de croissance de la machine requièrent que nous nous détruisions en son nom. De ce changement climatique qui, finalement, nous rappelle notre impuissance.</p>
<p>Voilà les faits, ou au moins quelques-uns. Cependant, les faits ne racontent jamais toute l’histoire. (« Les faits, écrivait Conrad, comme si les faits pouvaient prouver quoi que ce soit. ») Les faits que nous entendons si souvent concernant les crises environnementales dissimulent autant qu’ils exposent. Et chaque jour on nous rapporte les impacts de nos activités sur « l’environnement » (de même que la « nature », il s’agit d’une expression qui nous distance de la réalité de notre situation). Chaque jour, on nous rapporte également les nombreuses « solutions » à ces problèmes : solutions qui impliquent habituellement la nécessité d’accords politiques urgents et d’une utilisation judicieuse du génie technologique humain. Les choses changent peut-être, nous dit-on, mais il n’y a rien, ici, chers concitoyens, que nous ne puissions gérer. Il nous faut aller de l’avant, plus rapidement encore. Il nous faut accélérer la cadence de la recherche et développement. Il nous faut devenir plus « durables ». Mais tout ira bien. Il y aura toujours la croissance, il y aura toujours le progrès : ces choses continueront, parce qu’il doit en être ainsi, elles ne peuvent faire que continuer. Circulez, il n’y a rien à voir. Tout ira bien.</p>
<p><strong>*</strong></p>
<p>Le « déni » est un mot lourdement connoté. Lorsqu’on l’utilise pour qualifier ceux qui ne croient toujours pas au changement climatique, ils objectent bruyamment en refusant d’être associés à ceux qui réécrivent l’histoire de l’Holocauste. Pourtant, la tendance à se focaliser sur ce groupe, qui fond comme neige au soleil, sert peut-être à nous dissimuler une autre forme, bien plus répandue, de déni, au sens psychanalytique. Freud s’est intéressé à cette capacité que nous avons de ne pas écouter et de ne pas entendre les choses qui ne confortent pas la manière dont nous nous percevons et dont nous percevons le monde. Nous préférons nous livrer à toutes sortes de contorsions internes plutôt que regarder ces choses en face, qui remettent en question notre compréhension fondamentale du monde.</p>
<p>Aujourd’hui, l’humanité civilisée tout entière est comme plongée dans les eaux troubles du déni concernant ce qu’elle a construit, et ce qui va lui arriver. Les effondrements écologique et économique se déroulent sous nos yeux et, lorsque nous les remarquons, nous agissons comme s’il s’agissait d’un problème temporaire, d’un incident technique. Des siècles d’hubris calfatent nos oreilles comme des bouchons de cérumen ; nous ne parvenons pas à entendre le message que la réalité nous hurle. Malgré nos doutes et nos malaises, nous sommes toujours sous l’emprise d’une idée de l’histoire selon laquelle le futur sera une version améliorée du présent, selon laquelle les choses doivent continuer à évoluer dans la même direction : le sentiment de crise ne fait qu’atténuer l’assurance de ce « doivent ». Et ce qui n’était qu’inéluctabilité naturelle devient nécessité urgente : nous devons trouver une manière de continuer à avoir des supermarchés et des autoroutes. Nous ne parvenons pas à contempler l’alternative.</p>
<p>Nous nous trouvons ainsi, tous ensemble, à trembler au bord du précipice d’un changement si massif que nous n’avons aucun moyen de le jauger. Aucun d’entre nous ne sait où regarder, mais tous nous évitons de regarder en bas. Secrètement, nous pensons tous être condamnés : même les politiciens le pensent, et même les écologistes. Certains d’entre nous se soignent en faisant du shopping. D’autres en espérant que cela advienne. D’autres s’abandonnent au désespoir. Et d’autres travaillent fiévreusement à essayer de se préparer à la tempête qui vient.</p>
<p>Notre question est la suivante : que se passerait-il si nous regardions en bas ? Serait-ce aussi dramatique que nous semblons le croire ? Que verrions-nous ? Cela pourrait-il être bon pour nous ?</p>
<p>Il est temps de regarder.</p>
<h2><strong>III</strong></h2>
<h3>Incivilisation</h3>
<p><em>Sans mystère, sans curiosité et sans la forme qu’impose une réponse partielle, il ne peut y avoir d’histoire — seulement des confessions, des communiqués, des souvenirs et des fragments de fantaisie autobiographique qui, pour l’instant, passent pour des romans.</em></p>
<p>— John Berger, ‘A Story for Aesop’, from <em>Keeping a Rendezvous</em><br/>
[« Une histoire pour Ésope », tiré de « Garder un rendez-vous »]</p>
<p>Si nous vacillons effectivement au bord du précipice d’un changement colossal dans la manière dont nous vivons, dont la société humaine elle-même se construit, et dans nos rapports au monde, ce sont les histoires que nous nous racontons qui nous ont menés là — et notamment l’histoire de la civilisation.</p>
<p>Cette histoire se raconte de différentes façons, religieuse et séculière, scientifique, économique et mystique. Mais toutes parlent de la manière dont l’humanité a transcendé ses origines animales, de notre maitrise croissante de la « nature » à laquelle nous n’appartenons plus, et du futur glorieux d’abondance et de prospérité que nous promet sa maitrise complète. Il s’agit de l’histoire de la centralité humaine, d’une espèce destinée à dominer tout ce qu’elle rencontre, affranchie des limites qui s’appliquent aux autres créatures, jugées inférieures.</p>
<p>Ce qui la rend dangereuse, c’est d’abord, pour la plupart, que nous avons oublié qu’il s’agissait d’une histoire. Elle nous a été contée tant de fois par ceux qui se considèrent comme rationnels, et même scientifiques, dépositaires de l’héritage des Lumières — héritage qui inclut le déni du rôle des histoires dans la fabrique de notre monde.</p>
<p>Les humains ont toujours vécu au travers d’histoires. Ceux qui étaient doués pour en raconter étaient traités avec respect, et souvent, même, avec une certaine méfiance. Au-delà des limites de la raison, la réalité demeure mystérieuse, aussi difficile à approcher de manière directe que la proie d’un chasseur. À l’aide des histoires, de l’art, des symboles et des significations, nous traquons ces aspects subtils de la réalité qui demeurent insoupçonnés dans notre philosophie. Les conteurs tissent le numineux dans la fabrique de la vie, en l’associant avec le comique, le tragique, l’obscène, faisant ainsi apparaître des chemins plus sûrs pour traverser un territoire dangereux.</p>
<p>Pourtant, à mesure que le mythe de la civilisation consolidait son emprise sur notre pensée, en empruntant les apparences de la science et de la raison, nous commençâmes à nier le rôle des histoires, à dénigrer leur pouvoir comme relevant de quelque grossièreté primitive, infantile, dépassée. Les vieux contes grâce auxquels de si nombreuses générations avaient saisi le sens des subtilités et des étrangetés de la vie furent expurgés et confinés à la crèche. La religion, ce sac de mythes et de mystères, berceau du théâtre, fut dépoussiérée et normalisée de manière à s’inscrire dans un cadre de lois universelles et de comptabilité morale. Les visions oniriques du Moyen Âge réduites aux histoires absurdes de l’enfance victorienne. À l’âge du roman, les histoires n’étaient plus la manière appropriée d’approcher les vérités profondes de l’existence, mais plutôt un moyen de passer le temps durant qu’on prenait le train. Difficile, aujourd’hui, d’imaginer qu’autrefois les mots des poètes pouvaient faire trembler les rois.</p>
<p>Toutefois, les histoires continuent de façonner notre monde. À travers la télévision, les films, les romans et les jeux-vidéo, nous sommes bien plus gavés de narratifs que tous ceux qui nous ont précédés. L’étrange, cependant, est la négligence avec laquelle ces histoires nous sont communiquées — en tant que divertissement, que distraction de la vie quotidienne, visant à retenir notre attention jusqu’à la prochaine page de publicité. Rien ne suggère que ces choses constituent l’équipement nous permettant de naviguer à travers la réalité. Mais de l’autre côté, on retrouve les histoires sérieuses que nous racontent les économistes, les politiciens, les généticiens et les dirigeants d’entreprise. Celles-ci ne nous sont absolument pas présentées comme des histoires, mais comme des témoignages directs de la réalité du monde. Choisissez une des versions concurrentes qui nous sont proposées, puis combattez ceux qui en choisissent une autre. Le conflit que cela génère se joue chaque matin à la radio, et lors des joutes d’experts des débats télévisés du soir et de l’après-midi. Mais malgré leurs simagrées et la bruyance de leurs oppositions, il est frappant de constater à quel point les différents camps s’accordent : leurs différents points de vue ne sont que des variations sur le thème commun de la centralité humaine, de notre maitrise croissante de la « nature », de notre droit à une croissance économique infinie, de notre capacité à transcender toutes les limites.</p>
<p>Ainsi, à cause de cette histoire erronée, nous trouvons-nous piégés par un narratif hors de contrôle, en route vers les pires retrouvailles possibles avec la réalité. Dans un tel moment, les écrivains, les artistes, les poètes et les conteurs de toutes sortes ont un rôle critique à jouer. La créativité demeure la plus incontrôlable des forces humaines : sans elle, le projet de la civilisation serait inconcevable, et pourtant aucun autre aspect de notre vie ne demeure aussi indompté et indomestiqué. Les mots et les images peuvent chambouler les esprits, les cœurs et même le cours de l’histoire. Leurs créateurs façonnent des histoires que les gens portent dans leurs vies, en déterrent des anciennes afin de les raviver, de leur ajouter des rebondissements — parce qu’elles doivent toujours être renouvelées, en partant de notre contexte.</p>
<p>L’art grand public, en Occident, consiste depuis longtemps à choquer, à briser des tabous, à se faire remarquer. Cela dure depuis si longtemps qu’il est devenu courant d’affirmer qu’en ces temps ironiques, épuisés, post-presque-tout, il n’y a plus aucun tabou à abattre. Seulement, il en reste un.</p>
<p>Ce dernier tabou, c’est le mythe de la civilisation. Il repose sur les histoires que nous avons conçues concernant notre génie, notre indestructibilité, notre Destinée Manifeste en tant qu’espèce élue. Il est là où notre vision, notre hubris et notre refus irresponsable de faire face à la réalité de notre place sur Terre se rejoignent. Il a permis à l’espèce humaine d’accomplir ce que l’on peut constater, et a conduit la planète à l’âge de l’écocide. Les deux sont intimement liés. Nous pensons qu’ils doivent être déliés si nous devons avoir une chance que quelque chose survive.</p>
<p>Nous pensons que les « artistes » — qui constitue pour nous le plus sympathique de tous les mots, qui regroupe les écrivains de toutes sortes, les peintres, les musiciens, les sculpteurs, les poètes, les modélistes, les créateurs, les fabricants de choses, les rêveurs de rêves — ont une responsabilité dans l’amorçage de ce processus de <em>dénouement</em>. Nous pensons qu’à l’âge de l’écocide, le dernier tabou doit être brisé — et que seuls les artistes peuvent le faire.</p>
<p>L’écocide exige une réponse. Cette réponse est trop cruciale pour être laissée aux politiciens, aux économistes, aux penseurs conceptuels, aux dévoreurs de chiffres ; trop envahissante pour être laissée aux activistes ou aux militants. Nous avons besoin des artistes. Cependant, jusqu’ici, la réponse artistique est inexistante. Entre la traditionnelle poésie de la nature et l’agitprop, que trouve-t-on ? Où sont les poèmes ayant ajusté leur portée à la mesure de ce défi ? Où sont les romans qui explorent par-delà la maison de campagne ou le centre-ville ? Une nouvelle manière d’écrire a-t-elle vu le jour afin de défier la civilisation elle-même ? Une galerie d’art propose-t-elle une exposition à la hauteur de cette épreuve ? Un musicien a-t-il découvert l’accord secret ?</p>
<p>Si les réponses à ces questions sont, jusque-là, insuffisantes, c’est peut-être à cause de la profondeur de notre déni collectif, et du caractère effrayant de ce défi. Qui nous effraie nous aussi. Seulement, il doit être affronté. L’art doit regarder par-delà le précipice, faire face au monde qui vient d’un œil déterminé, et relever le défi de l’écocide en recourant à un autre défi : une réponse artistique à l’effondrement des empires de l’esprit.</p>
<p><strong>*</strong></p>
<p>Cette réponse, nous l’appelons l’art Incivilisé, et une de ses branches nous intéresse tout particulièrement : l’écriture Incivilisée. L’écriture Incivilisée est une écriture qui tente de sortir du dôme humain et de nous considérer comme nous sommes : des singes dotés d’un éventail de talents et de capacités que nous déployons de manière irresponsable, sans assez de réflexion, de contrôle, de compassion ou d’intelligence. Des singes qui ont construit un mythe sophistiqué concernant leur propre importance, afin de soutenir leur projet civilisateur. Des singes dont le projet est de dompter, de contrôler, de soumettre ou de détruire — de civiliser les forêts, les déserts, les territoires sauvages et les mers, d’imposer des obligations aux esprits de leurs congénères afin qu’ils puissent demeurer insensibles tout en exploitant ou en détruisant leurs cohabitants terriens.</p>
<p>Contre le projet civilisateur et l’écocide qu’il engendre, l’écriture Incivilisée ne propose pas une perspective non humaine — nous demeurons humains et, même avec ce qui se passe, nous n’en avons pas honte — mais une perspective qui nous perçoit comme un des innumérables fils de la tapisserie du vivant plutôt que comme le premier palanquin d’une glorieuse procession. Elle propose de regarder sans broncher les forces parmi lesquelles nous évoluons.</p>
<p>Elle s’emploie à peindre un portrait d’<em>Homo sapiens</em> qu’un être d’un autre monde ou, mieux, de notre monde — une baleine bleue, un albatros, un renard roux — pourrait considérer comme vraiment ressemblant. À détourner notre attention de nous-mêmes afin que l’on se tourne vers l’extérieur, à décentrer nos esprits. Il s’agit, pour faire court, d’une écriture qui met la civilisation — et nous-mêmes — en perspective. D’une écriture qui émane non pas, ainsi que la plupart des écrits, des centres métropolitains autocentrés et autosatisfaits de la civilisation, mais d’ailleurs, du dehors, de ses périphéries sauvages. De ces endroits arborés, remplis de mauvaises herbes, et largement évités, d’où l’on perçoit ces vérités inconfortables nous concernant, ces vérités qu’il nous déplait d’entendre. D’une écriture qui s’emploie vigoureusement à nous remettre à notre place, peu importe à quel point cela nous embarrasse.</p>
<p>Il pourrait être tout aussi utile d’étayer un peu ce que l’écriture Incivilisée n’est pas. Elle n’est pas l’écriture écologiste, qui abonde d’ores et déjà, qui échoue la plupart du temps à passer outre les barrières qui délimitent notre ego civilisé collectif, et qui finit le plus souvent par l’exalter davantage, alimentant ainsi nos illusions civilisées collectives. Elle n’est pas l’écriture naturaliste, puisque la nature n’est pas distincte des humains. Et elle n’est pas l’écriture politique, qui inonde déjà notre monde, parce que la politique est une création humaine, complice de l’écocide et qui pourrit de l’intérieur.</p>
<p>L’écriture Incivilisée est plus <em>radicale</em> que toutes celles-là. Par-dessus-tout, elle est déterminée à dérouter notre vision du monde, et non pas à l’alimenter. Il s’agit de l’écriture des marginaux. Si votre but est d’être aimé, mieux vaut ne pas vous y aventurer, car la majorité, au moins pour un temps, refusera fermement d’écouter. En témoigne le sort d’un des plus importants et des plus négligés des poètes du vingtième siècle. Robinson Jeffers écrivait, sans les qualifier ainsi, des vers Incivilisés soixante-dix ans avant que ce manifeste soit imaginé. Au début de sa carrière de poète, Jeffers était une star : il apparaissait sur la couverture du <em>Time magazine</em>, lisait ses poèmes dans la bibliothèque du Congrès, et était respecté pour l’alternative qu’il offrait face au mastodonte moderniste. Aujourd’hui, son travail est ignoré des anthologies, son nom, à peine connu, et ses perspectives, considérées avec suspicion. Lisez ses dernières œuvres et vous comprendrez pourquoi. Son crime fut de tenter, délibérément, de perforer la baudruche enflée de l’égo civilisé. Sa punition, d’être condamné aux oubliettes littéraires d’où, quarante ans après sa mort, il n’a toujours pas été autorisé à sortir.</p>
<p>Mais Jeffers savait dans quoi il s’embarquait. Il savait que personne, à l’ère du « choix du consommateur », ne voulait entendre un prophète des falaises californiennes affirmer qu’il « est bon pour l’homme […] de savoir que ses besoins et sa nature n’ont pas plus changés en dix mille ans que les becs des aigles ». Il savait qu’aucun libéral exalté ne voudrait entendre ces avertissements cinglants, publiés à l’apogée de la Seconde Guerre mondiale : « Méfiez-vous des dupes qui parlent de démocratie / Et des chiens qui parlent de révolution / Des orateurs ivres, des menteurs et des croyants […] / Longue vie à la liberté, et maudites soient les idéologies ». Sa vision d’un monde dans lequel l’humanité était condamnée à détruire son milieu et ultimement, à se détruire elle-même (« Je brûlerais ma main droite dans un feu lent / Pour changer l’avenir […] Je serais déraisonnable ») fut vertement rejetée, en ces débuts de l’ère de la démocratie consumériste, qu’il prédisait également (« Soyez heureux, ajustez votre portefeuille à la nouvelle abondance […] »).</p>
<p>À mesure que sa poésie se développait, Jeffers développait également une philosophie. Il l’appela « inhumanisme ». Elle consistait, écrivait-il :</p>
<blockquote>
<p>« En un déplacement de l’emphase et de l’importance de l’humain vers le non-humain : le rejet du solipsisme humain et la reconnaissance de la magnificence suprahumaine […]. Cette manière de penser et de ressentir n’est ni misanthrope ni pessimiste […]. Elle propose un détachement raisonnable comme règle de conduite, au lieu de l’amour, de la haine et de la convoitise […], elle procure la magnificence de l’instinct religieux, et satisfait nos besoins de contempler la grandeur et de se réjouir de la beauté. »</p>
</blockquote>
<p>Le déplacement de l’emphase depuis l’humain vers le non-humain : tel est l’objectif de l’écriture Incivilisée. Pour « inhumaniser un peu nos perspectives, et devenir confiants / Comme le rocher et l’océan qui nous ont engendrés ». Il ne s’agit pas d’un rejet de notre humanité — mais d’une affirmation du miracle que constitue le fait d’être pleinement humain. Cela consiste à accepter le monde pour ce qu’il est et d’enfin en faire notre maison, plutôt que de rêver d’une délocalisation stellaire, ou d’exister sous un dôme de fabrication humaine et de prétendre qu’il n’y a rien — ni personne — en-dehors, avec quoi — ou qui — nous serions liés.</p>
<p>Voilà donc le défi littéraire de notre époque. Jusqu’à présent, peu s’y sont essayés. Les signes des temps virent tous au rouge éclatant, mais nos sommités de lettres ont plus important à lire. Leur art reste confiné sous le dôme civilisé. L’idée de civilisation s’inscrit, depuis ses racines étymologiques, dans le phénomène urbain, ce qui soulève la question suivante : si nos écrivains semblent incapables de trouver de nouvelles histoires à même de nous guider dans les temps qui viennent, n’est-ce pas le résultat de leur mentalité métropolitaine ? Les grands noms de la littérature contemporaine sont aussi bien chez eux dans les quartiers huppés de Londres que dans ceux de New-York, leurs écrits reflètent les préjugés des déracinés, de l’élite transnationale à laquelle ils appartiennent.</p>
<p>L’inverse est aussi vrai. Ces voix qui racontent une autre histoire ont tendance à émaner d’un sens de l’appartenance au lieu. Ainsi des romans et des essais de John Berger et de la Haute-Savoie, ou des profondeurs explorées par Alan Garner dans un rayon d’une journée de marche de son lieu natal dans le comté de Cheshire. Ou de Wendell Berry ou de WS Merwin, de Mary Oliver ou de Cormac McCarthy. Ceux dont les écrits approchent les rives de l’Incivilisation sont ceux qui connaissent leur place, au sens physique, et qui se méfient des cris de sirène de la mode citadine et de l’effervescence civilisée.</p>
<p>Si nous citons quelques écrivains particuliers dont les travaux illustrent ce que nous défendons, ce n’est pas dans l’optique de les situer d’une manière prestigieuse sur la carte existante des réputations littéraires. Il s’agit plutôt, ainsi que Geoff Dyer le disait de John Berger, de prendre leur travail au sérieux afin de redessiner entièrement la carte — non seulement la carte des réputations littéraires, mais également toutes celles qui nous servent à naviguer à travers l’existence.</p>
<p>Et même en la matière, nous restons prudents, la cartographie n’est pas non plus une activité neutre. L’idée de tracer des cartes fait écho à un lourd passé colonial. L’œil civilisé cherche à observer le monde depuis l’espace, comme quelque chose que l’on dépasse et que l’on surveille. L’écrivain Incivilisé comprend que le monde est plutôt une chose à laquelle nous appartenons — une mosaïque de lieux, d’expériences, de vues, d’odeurs, de sons. Les cartes peuvent guider, mais aussi égarer. Nos cartes doivent être de celles que l’on dessine par terre à l’aide d’un bâton, et que la pluie efface. Elles ne peuvent être lues que par ceux qui demandent à les voir, et elles ne s’achètent pas.</p>
<p>Voilà, finalement, ce qui constitue l’écriture Incivilisée. Humaine, inhumaine, stoïque et entièrement naturelle. Humble, interrogeante, suspicieuse des grandes idées et des réponses faciles. Cheminant sur les crêtes et revisitant de vieilles conversations. À part mais engagée, ses pratiquants sont toujours prêts à mettre les mains dans la terre ; conscients, d’ailleurs, que la terre est essentielle ; que sur les touches des claviers ne devraient taper que ceux dont les ongles sont terreux et les esprits imprégnés de sauvage.</p>
<p>Nous avons essayé de dominer le monde ; nous avons tenté d’agir comme les intendants de Dieu et, enfin, nous avons tenté de faire advenir la révolution humaniste, l’âge de la raison et de la séparation. Dans tout cela, nous avons échoué, et notre échec a détruit bien plus que le peu que nous percevions. La civilisation appartient au passé. L’Incivilisation, qui comprend ses défauts puisqu’elle y a participé ; qui regarde les choses en face et mord aussi vertement qu’elle rapporte ce qu’elle voit — voilà le projet dans lequel nous devons désormais nous investir. Voilà le défi que l’écriture — que l’art — doit relever. Voilà pourquoi nous sommes là.</p>
<p> </p>
<h2><strong>IV</strong></h2>
<h3><strong>Aux contreforts !</strong></h3>
<p>L’élan vital d’un bois vernal<br/>
Peut vous apprendre plus de l’homme,<br/>
Du bien et du mal,<br/>
Que tous les sages.</p>
<p>— William Wordsworth,<em> ‘The Tables Turned’ / Les temps basculent</em></p>
<p>Tout mouvement a besoin d’un début. Toute expédition, d’un camp de base. Tout projet, d’un quartier général. Notre projet, l’Incivilisation, qui comprend la promotion de l’écriture — et de l’art — Incivilisée, requiert une base. Nous proposons ce manifeste, non seulement parce que nous avons quelque chose à dire — comme beaucoup — mais également parce que nous avons quelque chose à faire. Nous espérons que ce pamphlet a allumé une flamme. Si tel est le cas, nous nous devons de l’attiser. Et c’est ce que nous comptons faire. Mais nous n’y arriverons pas seuls.</p>
<p>Voici venu le moment de poser les questions profondes et de les poser urgemment. Tout autour de nous, des changements sont en cours qui suggèrent que notre mode de vie commence à devenir obsolète. Il est temps de partir à la recherche de nouvelles voies et de nouvelles histoires, à même de nous guider à travers ces temps de fin du monde tel que nous le connaissons, et au-delà. Nous pensons qu’en questionnant les fondations de la civilisation, le mythe de la centralité humaine, de notre séparation imaginaire, nous trouverons de telles voies.</p>
<p>Hors les enceintes que nous avons bâties — les murs des villes, ces signes originels, en pierre ou en bois, de la séparation de « l’homme » et de « la nature ». Au-delà des portes, vers le sauvage, voilà où nous allons. Et même là, il nous faudra viser les hauteurs, étant donné, ainsi que l’a écrit Jeffers, que « lorsque les villes reposent aux pieds du monstre / Il reste les montagnes ». Nous effectuerons notre pèlerinage en direction de la montagne sombre du poète, vers les hauts sommets, immuables, de l’inhumanité, qui étaient là avant nous et seront là après et, depuis leurs flancs, nous observerons les minuscules lumières des villes au loin afin de comprendre qui nous sommes et ce que nous sommes devenus.</p>
<p>Voilà le projet de la montagne sombre. Voilà où il débute.</p>
<p>Où il finira ? Personne ne sait. Où il mènera ? Nous ne sommes pas sûrs. Sa première incarnation, en plus de ce manifeste, est un site internet, qui indique la direction des montagnes. Il contiendra des pensées, des notes, des idées ; il préparera le projet de l’Incivilisation en proposant aux nouveaux venus de rejoindre la discussion.</p>
<p>Et puis il deviendra un objet physique, la réalité virtuelle n’ayant, au bout du compte, rien de réel. Il deviendra un journal papier, des cartes, des tableaux et des gravures ; d’idées, de pensées, d’observations, de murmures ; de nouvelles histoires qui aideront à définir le projet — l’école, le mouvement — de l’écriture Incivilisée. Il collectera les mots et les images de ceux qui se considèrent Incivilisés et qui veulent en parler ; qui veulent nous aider à attaquer les citadelles. Il sera beau pour l’œil, pour le cœur et pour l’esprit, puisque nous sommes assez archaïques pour croire que la beauté — comme la vérité — existe, mais aussi qu’elle importe.</p>
<p>Au-delà… le reste est à découvrir. Le chemin est long à travers les plaines, et les choses deviennent indistinctes avec la distance. Il reste de grands espaces vierges sur cette carte. Les civilisés voudraient les remplir ; nous ne le souhaitons pas. Mais nous ne résistons pas à les explorer, en navigant, au gré des rumeurs et des étoiles. Nous ne savons pas exactement ce que nous trouverons. Cela nous rend quelque peu nerveux. Mais nous ne ferons pas demi-tour. Nous pensons que quelque chose d’immense attend là, dehors, d’être trouvé.</p>
<p>L’Incivilisation, comme la civilisation, n’est pas quelque chose que l’on peut créer seul. L’ascension de la montagne sombre ne peut être un exercice solitaire. Nous avons besoin de porteurs, de sherpas, de guides, de compagnons d’aventure. Nous devons nous encorder ensemble, pour plus de sécurité. Pour le moment, notre structure est amorphe et nébuleuse. Elle se raffermira au cours de la marche. Comme les meilleurs écrits, nous devons être façonnés par le sol sous nos pieds, et ce que nous deviendrons sera formé, au moins en partie, de ce que nous découvrirons en chemin.</p>
<p>Si cela vous intéresse de marcher avec nous, au moins un bout de chemin, nous aimerions avoir de vos nouvelles. Nous sommes persuadés qu’il y en a d’autres, dehors, qui apprécieraient de participer à cette expédition.</p>
<p>Venez. Joignez-vous à nous. Nous partons à l’aube.</p>
<h3><strong>Les huit principes de l’Incivilisation</strong></h3>
<p><em>« Nous devons inhumaniser un peu nos perspectives, et devenir confiants<br/>
Comme le rocher et l’océan qui nous ont engendrés. »</em></p>
<ol>
<li>Nous vivons une époque de désagrégation sociale, économique et écologique. Tout autour de nous sont des signes de ce que notre mode de vie, dans son intégralité, commence déjà à devenir obsolète. Nous affronterons cette réalité honnêtement et apprendrons à vivre avec.</li>
<li>Nous rejetons la foi qui voudrait que les crises convergentes de notre temps puissent être réduites à une série de « problèmes » appelant des « solutions » technologiques ou politiques.</li>
<li>Nous pensons que les racines de ces crises plongent dans les histoires que nous nous racontons. Nous comptons défier ces histoires qui soutiennent notre civilisation : le mythe du progrès, le mythe de la centralité humaine, et le mythe de notre séparation de la « nature ». Ces mythes sont d’autant plus dangereux que nous avons oublié qu’ils en étaient.</li>
<li>Nous réaffirmerons le rôle du récit en tant que force dépassant largement le seul divertissement. C’est au travers des histoires que nous tissons la réalité.</li>
<li>Les humains ne sont ni le centre ni la raison d’être de la planète. Notre art commencera par tenter de sortir du dôme de la civilisation. Avec une grande attention, nous nous réinvestirons avec le monde non humain.</li>
<li>Nous célèbrerons l’écriture et l’art ancrés dans un sens du lieu et du temps. Notre littérature est depuis trop longtemps dominée par ceux qui habitent les citadelles cosmopolites.</li>
<li>Nous ne nous perdrons pas dans l’élaboration de théories ou d’idéologies. Nos mots seront élémentaires. Nous écrirons d’ailleurs avec la terre qu’il y aura sous nos ongles.</li>
<li>La fin du monde tel que nous le connaissons n’est pas la fin du monde. Ensemble, nous trouverons l’espoir au-delà de l’espoir, les chemins qui mènent au monde inconnu que l’on a devant nous.</li>
</ol>
<hr/>
<p><em>Notes :<br/>
</em></p>
<ol>
<li id="post-9874-footnote-1">Une affirmation certainement discutable, qui me semble même simplement fausse. Selon toute probabilité, la santé physique des civilisés, sédentaires, nourris à l’alimentation industrielle, surmédicalisés, physiquement inactifs, etc., est vraisemblablement moins bonne que celle des générations précédentes. Seule l’espérance de vie a augmenté, mais il s’agit d’un indicateur quantitatif et non qualitatif. Ainsi que Sénèque le remarquait déjà en son temps : « Pas un ne se demande s’il vit bien, mais s’il aura longtemps à vivre. Cependant tout le monde est maître de bien vivre ; nul, de vivre longtemps. » C’est pourquoi : « L’essentiel est une bonne et non une longue vie. » Voir : <a href="http://partage-le.com/2017/09/une-breve-contre-histoire-du-progres-et-de-ses-effets-sur-la-sante-de-letre-humain/">http://partage-le.com/2017/09/une-breve-contre-histoire-du-progres-et-de-ses-effets-sur-la-sante-de-letre-humain/</a>, NdT. <a href="#post-9874-footnote-ref-1">↑</a></li>
</ol>
