title: Requiem for a data: imagining speculative rituals to cope with a data loss
url: https://medium.com/design-friction/requiem-for-a-data-imagining-speculative-rituals-to-cope-with-a-data-loss-32175e6c4c08
hash_url: a3935b1b839c8d6d17ace91e98ff2bbc

<blockquote name="b85f" id="b85f" class="graf graf--blockquote graf-after--h3">The idea was maturing in our minds: if we are about to become a digital civilisation as it has been stated so many times, and funerals being considered by anthropologists one of the foundations of a civilisation, should we start to imagine funerals for our precious data? We seized the opportunity of the upcoming <a href="https://interaction18.ixda.org/program/workshop-requiem-for-a-data-bastien-kerspern/" data-href="https://interaction18.ixda.org/program/workshop-requiem-for-a-data-bastien-kerspern/" class="markup--anchor markup--blockquote-anchor" rel="noopener nofollow" target="_blank"><strong class="markup--strong markup--blockquote-strong">Interaction18</strong></a><strong class="markup--strong markup--blockquote-strong"> </strong>design week to put out a call for participation in a collaborative workshop exploring this <em class="markup--em markup--blockquote-em">“what if”</em> question — “What if data had funerals too?” — through the approach of design fiction.</blockquote><h3 name="a538" id="a538" class="graf graf--h3 graf-after--blockquote">Setting the stage: a near-future data-centred civilisation</h3><p name="d221" id="d221" class="graf graf--p graf-after--h3">Data tend to play a crucial role in our life nowadays and have become a digital extension of ourselves. In fact, they have become the essential building blocks of our so-called digital-driven society, but they are still fragile, volatile and vulnerable pieces of our digital self even in an era of generalised backup. Leaks, hacking, misuses, startup bankruptcy, even if they look immaterial and then eternal, data are exposed to a wide range of existential risks.</p><p name="e60a" id="e60a" class="graf graf--p graf-after--p">However, do we value them enough to consider funerals for these once beloved traces of our life when they are gone? Through this workshop, participants learnt to use design fiction as a method to explore emerging and speculative rituals helping users to cope with failing data-driven services.</p><h3 name="1e2d" id="1e2d" class="graf graf--h3 graf-after--p">Live-predictions from the Maraboot</h3><p name="bdae" id="bdae" class="graf graf--p graf-after--h3">Groups of participants were given each a first piece of context: a “moment” they could use as a start for their speculations. Three of them were available:</p><p name="39fb" id="39fb" class="graf graf--p graf-after--p">In the first one, “<em class="markup--em markup--p-em">Who wants to live forever</em>”, data were safe so far. But, forecasting or dreading an upcoming data loss, how would near-future inhabitants of the data-centred world prepare themselves, mentally and physically, online and offline ? How would they ward off the threat? How would this question data dependency and superstition towards technologies?</p><p name="0f88" id="0f88" class="graf graf--p graf-after--p">The second one, “<em class="markup--em markup--p-em">Another one bites the dust</em>”, places the group right after the dreaded moment: the precious data are now gone. But a doubt remains: are they really gone? Traces of their existence are still warm ; could they resurrect some day? How would they face a resuscitated zombie-data, especially in the case of the most private ones?</p><p name="3117" id="3117" class="graf graf--p graf-after--p">In the last one, “<em class="markup--em markup--p-em">The show must go on</em>”, time has passed, but the sad event is stored in the collective human memory. How would this change the way they live and interact with technologies? Do they take it as a lesson and multiply back-ups? Do they carefully and emotionally keep the corpses of their beloved hard drives and other data canopic jars somewhere?</p><p name="a9b7" id="a9b7" class="graf graf--p graf-after--p">Groups did not really choose their contextual card, fate chose it for them. Indeed, we had brought our mysterious Maraboot kit with us, and gave it one throw per group, to reveal what the future held for their respective data.</p><figure name="bc59" id="bc59" class="graf graf--figure graf-after--p"><figcaption class="imageCaption">The Maraboot kit helps in divining futures for one’s data.</figcaption></figure><h3 name="55f9" id="55f9" class="graf graf--h3 graf-after--figure">Time to be hands on: punishment rituals, occult gatherings and data purging sessions to train one’s resiliency</h3><p name="c9ba" id="c9ba" class="graf graf--p graf-after--h3">The first group was assigned the “<em class="markup--em markup--p-em">Another one bite the dust</em>” posture, strangely in line with the fact that one of its members had precisely lost her smartphone a few weeks ago, and all her locally stored data; the Maraboot Future Tellers did see it right.</p><p name="7881" id="7881" class="graf graf--p graf-after--p">After a short introduction to Design Fiction and a few examples on how to build speculative scenarios, workshop participants, at first a bit puzzled, actively started to exchange their first ideas and intuitions. They got inspired by the various personas we gave them, especially the “datassisted”, a kind of extreme-users heavily relying on data-driven services for their personal or professional lives — lives that would be infinitely more complex for them without the beloved data. Facing this dramatic loss, almost a part of themselves, would they commit a complete data-suicide and erase all their accounts and data, hoping for their next rebirth? Would they go to an Anonymous Datalcoolic circle, to seek support and share their pain with others? Would they try to evacuate, in one way or another, irritation, anger, fear or distrust? Would this happen through the action of building or buying something, as a symbol, or a catharsis? Or a digital detox? Would they blame themselves and accomplish a self-inflicted punishment? Would they organise a funeral party, and try to restore part of the lost data by taking inputs from different sources and friends?</p><figure name="e165" id="e165" class="graf graf--figure graf-after--p"/><p name="507e" id="507e" class="graf graf--p graf-after--figure">These last two synopses were the chosen ones. They imagined that in this speculative world, if you lose your data, whether personal or business data, you will have to go through a punishment ritual. Indeed, data are a precious element, constitutive of oneself, prized by major players and stored at a costly environmental price: if you lose it, you have to “carry the weight of the loss”. In a religious and pawnshop-like way, the ritual takes place as follows:</p><p name="c85d" id="c85d" class="graf graf--p graf-after--p">1. You promise that you won’t do it again ; from now on, you will be more careful.<br/>2. You wear the shameful crown which will suck out something out of your head in exchange for the lost data, like a memory, a skill (like a language for example). However you can choose a third way: the “suicide mode”: in this case you simply choose to kill yourself.<br/>3. The sucked-out content is stored in some secure and secret place, and if / once you have“learned the lesson”, you can get it back.</p><figure name="bfba" id="bfba" class="graf graf--figure graf-after--p"><figcaption class="imageCaption"><em class="markup--em markup--figure-em">The data-punishment uses a sort of crown of thorns.</em></figcaption></figure><p name="6ffc" id="6ffc" class="graf graf--p graf-after--figure">A second ritual performs “ghosts raising from collective memory”. The traumatised user invites its relatives to a collective remembrance session. Families and friends are reunited around the table, where personal devices are gathered. They all put their hands together, in a circle, and focus on their shared memories. All the data related to the ones lost by the victim are sourced among all the devices of others and their content (text messages, pictures, Instagram photos…) flow to a shared and mysterious storage piece in the middle of the circle. Finally, although original data could not come back from death, a partial image is restored, and like a ghost, comes to relieve the victim of loss, born again through this “crowdsourced biography” of the data, written by many.</p><figure name="8591" id="8591" class="graf graf--figure graf-after--p"><figcaption class="imageCaption">Data ghosts rising from collective memory.</figcaption></figure><p name="bee7" id="bee7" class="graf graf--p graf-after--figure">The second group was evolving in the frightening “<em class="markup--em markup--p-em">Who wants to live forever</em>” pre-loss context. All participants, being from different nationalities, started by exchanging on typical funerary rites in their respective cultures. Their minds quickly aligned on a particular <em class="markup--em markup--p-em">“what if”</em> scenario: “what if instead of enduring the loss or the perspective of it, inhabitants trained their resiliency by provoking periodic and intentional losses?” How being more in control would change one’s relationship to a data death? Would you feel relieved by such a cleansing ritual, and be more ready for the upcoming death? Would this help prepare to the second death, the one that happens when you are no longer remembered? Do you finally end up with what matters the most, a distillate of the massive digital content accumulated through years? Here is their final scenario:</p><p name="acea" id="acea" class="graf graf--p graf-after--p">In this world, you train yourself to prepare for the upcoming data loss. This ritual allows you to increase your own resiliency when facing the loss, and to accept more easily that ”everything wonderful comes to an end”.</p><p name="dbd8" id="dbd8" class="graf graf--p graf-after--p">All your digital memories are stored in a “Time Box Machine” and are displayed in front of your eyes — you “see your life flash by” — before being erased, one by one. It is time for a final goodbye, before you move to the next life, or the next step of your life. You learn to let it go, and afterwards you feel reborn, purged, with a new space inside you to welcome the future. Everyone has its own pace when it comes to performing this ritual: some can do it every year, some can do it every decade.</p><p name="989b" id="989b" class="graf graf--p graf-after--p">The machine is equipped with a fingerprint sensor and detects your strongest emotional reactions while watching your memories scrolling. In the end, the machine will automatically decide which (very few) memories to preserve, embodied in symbolic tangible artefacts. From a thousand images, you end up with one image that move you, which you can physically hold in your hand. The most is preserved.</p><figure name="656a" id="656a" class="graf graf--figure graf-after--p"><figcaption class="imageCaption">The Time Box Machine is showing you data that will be erased for a last goodbye.</figcaption></figure><figure name="32b0" id="32b0" class="graf graf--figure graf-after--figure"><figcaption class="imageCaption">Data are materialised as concrete artefacts that can be kept as a memory.</figcaption></figure><h3 name="5861" id="5861" class="graf graf--h3 graf-after--figure">Feedback, next steps and retrospective learning</h3><p name="24d9" id="24d9" class="graf graf--p graf-after--h3">It was unclear for us what would emerge from a workshop with such a mystical issue; we were pleasantly surprised by the amazing responsiveness of the participants, and by the quality of their reflections as well as of their productions given the allocated time. They brightly seized and played with the speculation, avoiding the simplistic anthropomorphisation of data to explore new rituals tailored to them, with a deep concern for the psychological component. In other words, when it comes to imagine funerals for data, we aren’t talking about a direct transposition of the classic rituals such as burials or commemorations, but it is more about envisaging a sort of hybridisation between the actual standards of funerals — dealing with the tangibility of the lost element — and the very specific immateriality of data.</p><p name="7ead" id="7ead" class="graf graf--p graf-after--p">The scenarios built by participants and the collective discussion that followed highlighted some particular tendencies when it comes to digital data:</p><ul class="postList"><li name="edcd" id="edcd" class="graf graf--li graf-after--p">They all experienced the need to make digital data tangible. This probably expresses a kind of distrust towards data and/or those whom are storing them.</li><li name="53b8" id="53b8" class="graf graf--li graf-after--li">Templates of computer, smartphones and tablet screens were at their disposal to prototype, as well as explicit objects like cardboard hashtag and arrobas, yet they all chose a blue ice cube-like to picture data embodiment in a broad sense.</li><li name="6192" id="6192" class="graf graf--li graf-after--li">If some of the rituals might seem to be absurd at a first sight, we have to admit they are just the reflect of how each of us builds her or his very own strategy to cope with a loss.</li></ul><p name="1f5b" id="1f5b" class="graf graf--p graf-after--li">In the end, envisioning funerals for data can be justified because the value of data isn’t based on its materiality, but on the emotional charge we place in them. At this point, it is easy, and quite logical, to say “so what?”. If one of the purposes of design fiction is to inspire new perspectives and think about socio-technological implications beyond a productivist imperative, there are still actionable insights to gather from this exercise: data loss is an unavoidable experience at some point. Exploring and understanding how users try to overcome the loss of their cherished data can help us in designing better answers when the many data-driven services we have already adopted are failing us.</p><p name="843b" id="843b" class="graf graf--p graf-after--p graf--trailing"><strong class="markup--strong markup--p-strong">Requiem for a data</strong> was the first experiment of our broader project <strong class="markup--strong markup--p-strong">Data Funerals</strong>, designed to be a participatory project. The next phases of this speculative exploration will be summarised and displayed on a dedicated website.</p>
