title: Do travel deals change based on your browsing history?
url: http://www.usatoday.com/story/travel/columnist/mcgee/2013/04/03/do-travel-deals-change-based-on-your-browsing-history/2021993/
hash_url: d842291e1a9feaa677f97961449fe524

<p>Imagine seeing a pair of shoes in a store window priced at $50, but when you enter the store you're told the actual cost is $75. It's the classic bait-and-switch. Well, what if the store offered a variety of prices for those same shoes, ranging from $50 on up to $100? And what if the amount YOU will be charged is due to a complex formula based on the condition of other shoes you've bought, how much you've spent on shoes in the past and what you're likely to spend for shoes now?</p><p>Think that couldn't happen? Some say it already is. And  consumer advocates warn that the world's airlines want to codify and legalize such practices, so that soon every flight you book will be personally priced just for you.</p><p><b>The dynamics of pricing</b></p><p>The term "dynamic pricing" has multiple definitions. For example, nearly all travelers know they'll pay more for peak times when booking flights, trains, buses, rental cars, hotel rooms, cruises and theme parks. Such yield-management practices exist in dozens of industries with "distressed inventory," from produce to Christmas trees. In fact, many professional sports franchises now alter the cost of admission on a game-by-game basis; the <a title="http://stlouis.cardinals.mlb.com/stl/ticketing/dynamic.jsp" href="http://stlouis.cardinals.mlb.com/stl/ticketing/dynamic.jsp">St. Louis Cardinals</a> tell buyers that they "adjust ticket prices upward or downward on a daily basis based on changing factors such as team performance, pitching matchups, weather and ticket demand."</p><p>Yet yield management is one thing, provided it's implemented fairly to all customers. But price discrimination is another matter, when different customers are charged separate rates for the same products at the same time. Simply put, the law prohibits discrimination in pricing, even though exceptions are made all the time for factors such as discounts for children, seniors, students, veterans, etc. But even "ladies' nights" have come under fire as a form of discrimination.</p><p>What worries many industry observers is a company charging different prices based on an individual's characteristics or buying history. There is strong evidence this occurs regularly. And while it's important to note that such practices can be imposed offline in the bricks-and-mortar environment as well, the Internet has driven such capabilities into the stratosphere.</p><p><b>Bookers beware!</b></p><p>The attorney Robert M. Weiss is an expert on this topic, and back <a title="http://www.vjolt.net/vol6/issue2/v6i2-a11-Weiss.html" href="http://www.vjolt.net/vol6/issue2/v6i2-a11-Weiss.html">in 2001 he published a paper</a> detailing how airlines and travel sites can use technological tools to perfect "online micro-marketing":</p><div><ul><li>computer cookies that track past interactions</li><li>click-stream technology that discerns how users arrive at a given site, and what other sites they visit before and after</li><li>databases that store a "vast amount of information" on previous purchases</li></ul></div><p>Weiss summarized: "With this enhanced technology, online companies have the potential power to use an unprecedented amount of consumer information in tailoring their pricing strategies."</p><p>Back in 2007, on behalf of Consumers Union, I spent many hours examining this issue, and conducted extensive testing using multiple computers with multiple browsers. In one case, we searched a major travel site for a fare from New York City to Sydney, Australia under identical, real-time, apples-to-apples circumstances with two different browsers; one was cleared of all cookies and one had a robust history of purchasing flights. We found the cleared browser offered fares ranging from $1,770 to $1,950, while the second browser could only find a fare of $2,116. Although a company spokesperson said there is no "user differentiation" based on buying histories, industry analysts, journalists and consumers have been noticing this trend for years now.</p><p>Not only do such practices prevent consumers from getting the best deals, they also raise serious questions about privacy and the storing of personal information.</p><p><b>New capability or old problem?</b></p><p>Recently the industry's largest global trade organization, the International Air Transport Association, introduced New Distribution Capability (NDC), an initiative designed to address the problem of consumers not having "easy access to all of the options to add value to their travel plans." A few weeks ago,<a title="http://www.iata.org/pressroom/pr/Pages/2013-03-15-01.aspx" href="http://www.iata.org/pressroom/pr/Pages/2013-03-15-01.aspx"> IATA filed an application</a> for approval with the U.S. Department of Transportation; public comments are welcome through May 1.</p><p>But as <a href="/story/travel/flights/2013/03/12/airline-tickets/1982745/" title="http://www.usatoday.com/story/travel/flights/2013/03/12/airline-tickets/1982745/">Bart Jansen pointed out here earlier this month</a>, the new paradigm "may" require that shoppers provide such information as age, marital status, nationality, travel history and reason for flying. He quoted IATA's chief executive as saying "airlines are developing a system to tailor ticket prices specifically to the traveler."</p><p>The Business Travel Coalition—one of several travel organizations opposed to NDC—has <a href="http://www.businesstravelcoalition.com/press-room/2013/march-4---btc-briefing.html" title="http://www.businesstravelcoalition.com/press-room/2013/march-4---btc-briefing.html">compiled a briefing paper on the topic</a>. In testimony before a House subcommittee last month, BTC Chairman Kevin Mitchell stated: "Airfares would no longer be publicly filed and available on a non-discriminatory basis for consumers to anonymously comparison-shop and then purchase through travel agencies. Instead, each price would be 'unique' depending on the profile of the consumer."</p><p>IATA spokesman Perry Flint, in an e-mail, responds that the initiative's "new XML-based messaging standard between airlines and travel agents ... will enable greater transparency and choice for consumer in comparison shopping by closing the gap between direct and indirect channels."</p><p>The airlines' plans raise concerns not just about shopping and fares, but also about privacy issues. In 2007, the non-profit New York Public Interest Research Group examined the <a href="http://www.cyberstreetsmart.org/privacy/travel/travel01.html" title="http://www.cyberstreetsmart.org/privacy/travel/travel01.html">privacy policies of 275 travel sites</a> and found that sensitive "Personally Identifiable Information" was not always secure. But in the near future we all may need to provide such information simply to book a flight, giving new meaning to the term, "buyer beware."</p><p><b>Tips for travel shopping</b></p>
<ul><li>When it comes to travel, don't be an impulsive shopper. More than ever, it's critical that you shop around, and view fares on more than one site. And if you find a price on a third-party travel site, make sure you visit that airline's own branded site as well, to see if there's a lower fare.</li><li>When shopping online, use more than one browser, or more than one computer if possible.</li><li>Beware travel sites that state your personal information will be "held" or "shared" or "sold."</li><li>NEVER book travel through a site that does not have a posted privacy policy or offers non-working links.</li><li>If you would like to weigh in on the IATA initiative, contact the <a href="http://www.dot.gov/contact-us" title="http://www.dot.gov/contact-us">DOT</a>.</li></ul>
