title: How Google warped the hyperlink
url: https://www.wired.co.uk/article/google-link-hyperlink-seo
hash_url: d882643dd70e30ab8af009837911f6e8

<p class="bb-p">The fourth doctor, Tom Baker, stands on a scrap heap of CRTs, dressed in a tux and red cumberbund, addressing a bemused Douglas Adams. It’s the opening of the 1994 BBC documentary <em class="bb-em">Hyperland</em> and Baker, a software agent, is trying to coax Adams into going on a “ramble” through the internet. </p><p class="bb-p">Baker chaperones Adams as he jumps around various media, clicking hyperlinks to access everything from Robert Abel’s educational tool on <em class="bb-em">Guernica</em> to a live feed of the Atlantic Ocean. This intellectual ramble, which seems wonderfully naïve decades later, has its roots in proto-web information science concepts such as the “associative trails” of discovery through <a href="https://www.theatlantic.com/magazine/archive/1945/07/as-we-may-think/303881/" class="bb-a">automated, cross-referenced documents</a> that Vannevar Bush, head of the US Office of Scientific Research and Development and later a major influence on internet pioneers, outlined in 1945.</p><p class="bb-p">You might think of the hyperlink as a relatively recent invention, but, at least conceptually, it’s not. But more than 70 years later, it’s warped beyond all recognition from what was first proposed. In the 1960s Ted Nelson introduced the concepts of hypertext and hyperlinking between text and media, proclaiming “everything is deeply intertwingled” in 1974, and, to race through history, a succession of pioneering, local, collaborative systems including Doug Engelbart’s NLS, HyperTIES, Microcosm and Brown University’s Intermedia, followed. </p><p class="bb-p">Tim Berners-Lee cited Ben Schneiderman and Dan Ostroff’s HyperTIES, the first electronic journal, as the inspiration behind the link concept for his WorldWideWeb proposal at CERN in 1989. The original impetus behind Berners-Lee’s work? To develop a system for automated information sharing across universities and research institutions. </p><p class="bb-p">“The early hypertext pioneers envisioned systems geared primarily for scholarly research and knowledge production; for the most part they did not envision the kind of commercial, consumer-oriented environment that has come to characterise the modern internet,” says Alex Wright, lecturer at the School of Visual Arts and author of <a href="https://alexwright.com/books/" class="bb-a"><em class="bb-em">Glut: Mastering Information Through The Ages</em>.</a> “In certain crucial respects the web is still a much more limited version of what Bush, Nelson, Engelbart, and others had in mind. Hyperlinks still only work in one direction; it’s all but impossible to follow user ‘trails’ among documents in the way that Bush envisioned; and there’s no single, universal mechanism for managing your identity across platforms.”</p><p class="bb-p">If the link is the <a href="https://www.youtube.com/watch?v=3Va3oY8pfSI" class="bb-a">connecting studs of a LEGO brick</a>, in this sense it’s far from broken. Search engines aside, links are shared in WhatsApp groups, emails, on Twitter and Google Drive and you still browse the web in homage to the innocent, curious, proto and early web thinkers, every time you get lost down a rabbit hole. The web is global, not simply a local connected library. And yet Google, Apple, Facebook and Amazon have skewed the original ambitions for hyperlinks, who they are for and how far they can lead you. </p><p class="bb-p">The impact that Google’s PageRank algorithms have had on how the commercial web chooses to deploy hyperlinks can be seen in just about any SEO (search engine optimisation) blog. Publishers and businesses are encouraged to prioritise internal links over external links that may boost the competition in Google’s rankings.</p><p class="bb-p">“Since the very moment Google came on the scene, links moved from being the defining characteristic of the web, to being a battleground. Google’s core insight was that you could treat every link as, essentially, a vote for the site,” says Adam Tinworth, a <a href="https://onemanandhisblog.com/" class="bb-a">digital publishing strategist</a>. Tinworth explains that Google tries to minimise the effect of these ‘unnatural linking patterns’, which includes comment spam and ‘guest posts’, but it remains part of “how the shadier side of the SEO industry operates”. </p><p class="bb-p">With clear, financial incentives to serve Google’s web spiders, which regularly ‘crawl’ website content to determine its placement in searches, a common strategy involves placing hyperlinks on specific ‘anchor text’ - the actual words that you click on - that benefit that site’s PageRank for keywords rather than tailor links to readers. That’s not inherently a problem but research from the University of Southampton, published in February, suggests it doesn’t go unnoticed.</p><p class="bb-p">Researchers used eye-tracking tech on 30 participants to find out how hyperlinks affect human readers’ experience of a web page. Confirming pre-web research on signalling theory, they found that people reading passages of text containing blue, underlined hyperlinks, or simply blue words, were more likely to re-read sentences when uncommon words were linked and therefore highlighted. (Berners-Lee doesn’t remember who decided on the standard blue, underlined hyperlinks though early browsers like Mosaic undoubtedly popularised them.)</p><p class="bb-p">“What does your brain do when you’re looking at a blue word and a bunch of black words?” says Gemma Fitzsimmons, a web science researcher who led the study. “The main thing is that when you have a blue or bold word on its own and it’s the only unique thing that stands out, everyone thinks, ‘I need to look at that, it might be important.’ The less hyperlinks you have, the more important they seem.” If hyperlinks were completely geared towards human readers of texts, <a href="https://journals.plos.org/plosone/article?id=10.1371/journal.pone.0210900" class="bb-a">they’d point towards relevant, contextual information</a> using anchor text that contains the most important points on the page.</p><p class="bb-p">In the cases of Apple and Facebook, the question isn’t so much how we link and how we react to them, as where we can link to and where we can follow links to. Facebook’s Instant Articles, Google AMP (and indeed apps like Apple News) all propose variations on limited systems of linking back to sources of information. As for Instagram, it’s based on a two-tier system: users can’t add external links to posts (#linkinbio) unless they buy adverts whereas accounts with a large number of followers are able to add external links to Stories. </p><p class="bb-p">Facebook’s linking rules aren’t as explicitly limited but its news feed algorithm encourages people to pay to boost posts with external links that take users out of its network. As computer scientist and internet pioneer Dame Wendy Hall puts it, “Facebook would love us to just live inside of Facebook.” Truly surfing the entire web, hopping from link to link, hasn’t made business sense, it seems, hence the silos. If working today, Vannevar Bush, whose Memex concept was concerned with books and microfilm, might effectively consider Instagram as one book, Facebook as another book, with information inside in need of liberation via associative trails (links). </p><p class="bb-p">Hall describes changes in linking practices as a “side effect”, not a cause, of <a href="https://www.cigionline.org/publications/four-internets-geopolitics-digital-governance" class="bb-a">the fracturing of the internet</a> based on the key issue of who controls data. So perhaps shifting trends in hyperlinking can at best be seen as symptoms of wider concerns around the web at 30. </p><p class="bb-p">“The whole phenomenon of fake news and information silos has been facilitated by platforms like Facebook taking control of content, even preventing outbound links by displaying content within the app, and feeding you content they think you want to see,” says Belinda Barnet, senior lecturer in media at Swinburne University of Technology and author of <em class="bb-em"><a href="https://www.cambridge.org/core/books/memory-machines/3020E1AC5BB9D4AD640CA1E2D7509418" class="bb-a">Memory Machines: The Evolution of Hypertext</a></em>. “To free us from these ‘echo chambers’, we need to open those platforms up or at least make their workings more transparent. It’s not enough just to change the hyperlinks we need to crack the whole thing open.”</p><p class="bb-p">In tackling what’s broken in online news and information, there’s a renewed focus on provenance. “The basic ethics of linking are simple,” says Adam Tinworth. “If you sourced information or content from elsewhere, link to that source. It’s what the web was built for, and it’s just good manners.” Where things get “murky”, though, are instances where media outlets are considering linking to problematic or dangerous content in which case ‘no follow’ links can be used to signal to Google that it should ignore that site for ranking purposes.</p><p class="bb-p">Returning to PageRank, in 2016 Google advised that social media influencers use no-follow links when including affiliate links on their posts, in which they receive a product sales commission in return for freebies, gifts and sponsorship. With Amazon’s international affiliate scheme, in particular, offering a revenue stream to social media creators and media organisations, money is now flowing directly through hyperlinks, tagged to the influencer or publisher, with the onus on the creator of the links to make that fact known to readers, viewers and subscribers. (WIRED is a member of affiliate schemes). </p><p class="bb-p">It’s unlikely that the hyperlink will get a makeover in the near future because a large part of the web’s success lies in its simplicity - attempts at backlinks, labels and hovering windows tend to feel cluttered. If hyperlinks were to be given an update, though, there’s no shortage of suggestions from thinkers and computer scientists who began working before the web. </p><p class="bb-p">Berners-Lee’s links were designed to be one-way, unlike the two way hyperlinks first suggested by Ted Nelson. In Nelson’s ongoing Project Xanadu, “links must be bivisible and bifollowable,” says Barnet, “capable of being seen and followed from the destination document as well as the originating document.” And Nelson went further, with a method of citing text or media by integrating parts of the original into the first ‘window’ or ‘document’, something he refers to as a “parallel presentation” in Werner Herzog’s documentary <em class="bb-em">Lo and Behold: Reveries of the Connected World</em>. These were hyperlinked so that the user could click through to get the full context with a mechanism for micropayments to the original author.</p><p class="bb-p">“The system we were working on at Southampton Microcosm [the pre-web hypermedia system developed in the 1980s] had very sophisticated two way linking,” says Dame Wendy Hall, professor of computer science at the University of Southampton. “It was very prescient of the Semantic Web – you used the links to describe why you were making that relationship between those two data objects.” </p><p class="bb-p">The Semantic Web, first proposed by Berners-Lee in 1994, moves away from 20th-century ideas of interlinked documents and pages towards a web of data, that can be processed by machines.. Barnet similarly suggests a “more intelligent linking system”, something she says the Semantic Web is seeking to rectify: “Is there a more efficient way of linking that could identify content by what it is, not just where it is?”  </p><p class="bb-p">Then there’s the question of whether the many hidden functions of hyperlinks could be made more transparent. Designer Ted Hunt, a resident at Somerset House Studios, suggests an alternate timeline in which Nelson’s nonlinear links influence everything from the authority of information online to copyright. In 2016, Hunt took Nelson’s concepts and combined them with the +/- classifications of Paul Otlet, an earlier influential thinker on information science, working in the 1930s, about more sophisticated relationships between information.</p><p class="bb-p">In a one-day project, he created a <a href="http://www.ted-hunt.com/HYPERLINKS/index.html" class="bb-a">speculative system of classifying links</a>. A double underline indicates a citation of a source document and dash, dot and wave underlines signal agreement, disagreement and other relationships. “Otlet proposed ideas about how information has its own social world,” Hunt says. “You could relate documents that disagreed with each other, or cited each other or built on each other and XYZ.” </p><p class="bb-p">It’s an interesting experiment into the user interface of hyperlinks but, says Hall, this kind of functionality can’t be retrofitted into what we have now. “If you’ve got a way of building links between data objects, as [Berners-Lee] proposed in the Semantic Web, or the way we were doing it, then of course you build in about whether you like or dislike something. But you can’t build it into the vanilla web because they’re static links embedded in documents.” Alex Wright sees linked data movements as “in some ways harkening back to <a href="https://www.nytimes.com/2008/06/17/science/17mund.html" class="bb-a">Paul Otlet’s vision</a> of a more organised, structured networked information environment.”</p><p class="bb-p">Hyperlinks are doing a lot more work than was originally intended and at the same time, the core component of links between ‘pages’ and ‘documents’, not just within them, has been altered. Barnet points out that as wholesome and pure as early, small-scale visions seem now, “you can’t just meander about and find what you need, any more than you can wander around the Library of Congress and arrive at the exact document you need.” Still, for anyone interested in a ramble, here’s a <a href="https://www.youtube.com/watch?v=Bqx6li5dbEY" class="bb-a">link</a>.</p>
