title: Apprendre à apprendre (2/4) : l’importance du corps
url: http://www.internetactu.net/2015/09/15/apprendre-a-apprendre-24-limportance-du-corps/
hash_url: e51e3d3dcda933cc77eee1161a2111bf

<p>Une chose que les futurs éducateurs devront sans doute prendre en compte, c’est le rôle du corps et de l’exercice dans la pratique éducative. C’est un point que nous avons déjà abordé <a href="http://www.internetactu.net/2009/01/13/le-cerveau-objet-technologique-28-le-plus-complexe-non-ordinateur-du-monde/">dans un précédent article</a>, mais qui tend à se confirmer…</p>
<p>L’exercice qui semble avoir le plus d’impact sur nos capacités cognitives est aussi le plus simple, puisqu’il s’agit de la marche. Barbara Oakley ne manque pas de le souligner : “<i>Un chimiste remarquablement inventif du milieu du XIXe siècle, Alexander Williamson, a observé qu’une promenade solitaire valait une semaine dans le laboratoire pour l’aider à faire progresser son travail… Marcher stimule la créativité dans beaucoup de domaines : ainsi nombre d’écrivains célèbres, tels Jane Austen, <a href="https://fr.wikipedia.org/wiki/Carl_Sandburg">Carl Sandburg</a> et Charles Dickens, ont trouvé l’inspiration au cours de leurs fréquentes et longues promenades.</i>”</p>
<p>De récents travaux donnent raison à Williamson et à Dickens. La marche accroît les capacités cognitives. Par exemple, une <a href="http://www.machineslikeus.com/news/walking-improves-cognitive-performance">recherche effectuée par une équipe interuniversitaire espagnole</a> tend à montrer que les adolescentes qui se rendent à l’école à pied ont de meilleures capacités cognitives (mesurées à l’aide d’un test standard) que celles qui rejoignent leur établissement en bus ou en voiture. Et les jeunes femmes qui marchent plus de 15 minutes s’en tirent mieux que celles qui parcourent une distance inférieure. Pourquoi des filles et pas des garçons ? Après tout, le communiqué nous informe que la recherche a été effectuée sur 808 garçons et 892 filles. L’étude originale n’est malheureusement pas disponible, mais on tient sans doute un élément de réponse dans ce passage qui note que, pendant l’adolescence, “<i>la plasticité du cerveau est supérieure à tout autre moment de la vie, ce qui rend la période propice pour stimuler la fonction cognitive</i>“. Cependant, continue l’article, l’adolescence est la période qui voit la plus forte baisse de l’activité physique, et elle est plus sensible chez les filles. Autrement dit, on peut en déduire que l’étude s’intéresse surtout à ces dernières parce qu’elles se dépensent moins que les garçons pendant cette phase de leur vie.</p>
<h3> Marcher, c’est créer</h3>
<p>Pourquoi la marche possède-t-elle cet effet ? La première hypothèse serait qu’elle favorise <a href="http://www.internetactu.net/2015/09/08/apprendre-a-apprendre-14-deux-modes-dapprentissage/">ce mode diffus dont nous parlait Barbara Oakley</a>, et permettrait ainsi à l’inconscient de dégager des solutions créatives. Cependant, il semble que les bénéfices de la marche ne soient pas simplement dus au fait de “changer d’air” ou de s’aérer l’esprit, mais que l’acte de marcher agisse directement sur le cerveau, du moins si l’on en croit une expérience menée à Stanford et rapportée par le blog <a href="http://www.machineslikeus.com/news/walking-may-lead-more-creativity-sitting">Machines Like Us</a>. </p>
<p>L’étude concernait la créativité. Pour mesurer celle-ci, on recourt à un exercice maintenant classique : il s’agit de trouver un maximum d’usages inédits pour un objet usuel (savoir si ce type de créativité présente le moindre rapport avec la rédaction du Bateau Ivre est une question que nous n’aborderons pas aujourd’hui). </p>
<p>Comme toujours dans les expériences psychologiques, on a divisé les sujets en deux groupes. En cette circonstance, l’un restait immobile tandis que l’autre marchait. Le nombre de réponses inventives trouvées par le groupe de marcheurs s’est avéré supérieur de 80% à 100% à celui qu’obtenaient les personnes assises. Mais cela ne s’arrête pas là. Les chercheurs ont refait l’expérience, mais cette fois les marcheurs restaient à l’intérieur, sur un tapis de course, tandis que les “immobiles” pouvaient se balader dehors, mais en chaise roulante. Résultat, les marcheurs se sont révélé une fois encore les plus créatifs. </p>
<h3>Et grimper, c’est se souvenir</h3>
<p><a href="http://www.internetactu.net/wp-content/uploads/2015/08/steelcase-e1394564003875.jpg"><img src="http://www.internetactu.net/wp-content/uploads/2015/08/steelcase-e1394564003875-300x262.jpg" alt="steelcase-e1394564003875" width="300" height="262" align="right" hspace="6" vspace="6"/></a>Un autre type d’activité semble attirer l’intérêt des scientifiques : ce sont les exercices “proprioceptifs”, destinés à augmenter la capacité à percevoir son propre corps, par exemple grimper à un arbre. <a href="http://www.unf.edu/publicrelations/media_relations/press/2015/UNF_Researchers_Reveal_Climbing_a_Tree_Can_Improve_Cognitive_Skills.aspx">Selon des chercheurs de Floride</a>, les activés de ce genre augmentent la mémoire de travail d’environ 50 % en un temps très court (deux heures). Parmi les exercices proposés lors de l’expérience, outre la grimpette, figuraient aussi se déplacer sur une poutre, marcher en étant attentif à sa posture, courir pieds nus, ramper et se déplacer entre des objets, etc. A noter que cette étude a été effectuée sur des adultes de de 18 à 59 ans, et non sur des enfants.</p>
<p>Les chercheurs ont comparé par la suite les résultats de cette sorte d’exercice avec ceux enregistrés par des adeptes du yoga, une discipline dont les postures complexes accroissent cette capacité de proprioception et qui devraient donc, en théorie, elles aussi augmenter notre mémoire de travail. Mais ils n’ont rien découvert de tel. La conclusion en est que c’est la combinaison de la proprioception avec un exercice dynamique qui permettrait d’obtenir ce genre d’effet. Les postures de yoga, trop statiques, ne fournissaient donc pas les critères nécessaires (je serais curieux toutefois de connaître les postures de yoga prises en considération, et surtout s’ils ont analysé ce qu’on appelle les postures d’équilibre, certes statiques, mais qui demandent un constant réajustement de la position corporelle et comportent donc un aspect dynamique, même s’il reste discret).</p>
<p>Pour <a href="http://www.huffingtonpost.com/tracy-alloway-phd-and-ross-alloway-phd/">Ross Alloway</a>, auteur de l’étude, c’est plutôt la combinaison d’exercice et de réflexion qui serait la cause de ce boost “cognitif” : “<i>Cette recherche suggère qu’en accomplissant des activités qui nous font réfléchir, nous pouvons exercer notre cerveau en même temps que notre corps… Elle présente des implications importantes pour tous, enfants comme adultes. En prenant une pause pour effectuer des activités imprévisibles et qui nous obligent à adapter consciemment nos mouvements, nous pouvons renforcer notre mémoire de travail pour mieux travailler dans la salle de classe et de réunion </i>“.</p>
<h3>Vers de nouvelles pratiques éducatives ?</h3>
<p>Mais à qui ce genre de découvertes s’applique-t-il ? Dans son livre <i>Brain Rules</i> traduit récemment sous le titre  <i><a href="http://www.amazon.fr/gp/product/B00K17TLUM/ref=as_li_tl?ie=UTF8&amp;camp=1642&amp;creative=19458&amp;creativeASIN=B00K17TLUM&amp;linkCode=as2&amp;tag=internetnet-21">les 12 lois du cerveau</a></i>, le biologiste <a href="https://en.wikipedia.org/wiki/John_Medina">John Medina</a> observe que bon nombre des recherches effectuées sur ce sujet concernent les personnes âgées, tandis que “<i>le nombre d’études nous renseignant sur les effets de l’exercice sur les enfants est carrément microscopique.</i>”</p>
<p>Bon, les choses changent tout de même doucement. Pour exemple cette étude relatée par le <i><a href="http://well.blogs.nytimes.com/2014/10/08/how-exercise-can-boost-the-childs-brain/">New York Times</a></i>, effectuée sur 220 enfants de 9 ans environ. Un âge, où, nous explique le magazine, se développent particulièrement les fonctions exécutives du cerveau, celles qui aident à se concentrer et à jongler entre diverses tâches, bref à planifier nos activés. Le groupe fut divisé en deux, 110 enfants servant de “groupe témoin” tandis que l’autre moitié se livrait après l’école à un programme d’exercices physiques divers, toujours très ludiques. L’expérience dura toute l’année scolaire. A la fin, les petits sujets passèrent divers tests cognitifs et les membres du groupe ayant vécu l’entraînement physique se montrèrent meilleurs dans les domaines liés à ces fonctions exécutives et notamment dans celui de “l’inhibition attentionnelle” qui permet de rejeter les informations sans valeurs et de se concentrer sur la tâche en cours (les enfants du groupe témoin progressèrent aussi, mais dans des proportions moindres). </p>
<p><a href="http://www.uvm.edu/~uvmpr/?Page=news&amp;storyID=19960&amp;category=ucommfeature">Il existe aussi des travaux plus expérimentaux</a>, comme ceux menés par <a href="https://www.uvm.edu/~cess/?Page=facbio.php&amp;username=csmith53">Carmen Petrick Smith</a>, de l’université du Vermont, sur l’usage de la Kinect dans la compréhension de la géométrie. </p>
<p>La chercheuse a soumis des enfants d’école primaire à des tests au cours desquels ils devaient, avec leur bras, créer des angles spécifiques (aigu, obtus, droit) leurs actions étant projetées sur l’écran, via la Kinect. Et comme on pouvait s’y attendre, le niveau de compréhension des enfants passés par ce système était supérieur à celui de leurs camarades éduqués par une représentation plus statique – et traditionnelle – des figures géométriques.</p>
<div id="attachment_24094" class="wp-caption right"><a href="http://www.internetactu.net/wp-content/uploads/2015/08/mathmovement.jpg"><img src="http://www.internetactu.net/wp-content/uploads/2015/08/mathmovement-300x150.jpg" alt="Photo: Andy Duback" title="photo Andy Duback" width="540" class="size-medium wp-image-24094" hspace="6" vspace="6"/></a><p class="wp-caption-text"><i>Photo: Andy Duback</i></p></div>
<p>Malgré ses réserves mentionnées plus haut, Medina n’hésite pas à émettre quelques idées sur l’avenir de l’enseignement dans la salle de classe : “<i>Et si, pendant les leçons, les enfants ne restaient pas assis à leurs pupitres, mais marchaient sur des tapis roulants ? Les élèves pourraient écouter un cours de mathématiques tout en marchant de 1 à 3 km par heure, ou étudier l’anglais sur des tapis roulants modifiés pour accueillir un ordinateur de bureau.</i>”</p>
<p>On ne peut que penser à l’équipement du “marcheur-programmeur” <a href="http://www.internetactu.net/2014/11/05/et-vous-quel-est-votre-chiffre-daffaires-au-kilometre/">Benoit Pereira da Silva, qu’il nous a présenté dans le cadre de Lift Marseille en 2014</a> !</p>
<p>Mais, Medina le reconnait, il ne s’agit que d’une suggestion : “<i>une telle méthode, déployée sur une année scolaire, pourrait-elle améliorer les performances scolaires ? Tant que les neuroscientifiques scientifiques et les chercheurs en éducation ne peuvent nous en démontrer les avantages dans le monde réel, la réponse est : personne ne sait.</i>”</p>
<p>Malheureusement, dès qu’on aborde le domaine du cerveau, et surtout celui des applications pratiques des sciences cognitives, la phrase “personne ne sait” revient bien souvent !</p>
<p>Rémi Sussan</p>
